package com.ibm.easyswing;
import java.io.Serializable;
import java.util.*;

class VectorEnumerator implements Enumeration, Serializable {

   Vector vector;
   int count;

public VectorEnumerator(Vector vector1) {
   vector = vector1;
   count = 0;
}


public boolean hasMoreElements() {
   return count < vector.size();
}


public Object nextElement() {
   synchronized (vector) {
      if (count < vector.size()) {
         Object obj = vector.elementAt(count++);
         return obj;
      }
   }
   throw new NoSuchElementException("VectorEnumerator");
}
}