package de.uniwue.ki.gui.mas.application;

import java.awt.Image;
import java.io.File;

/**
 * @author Reinhard Hatko
 * 
 * Created on 11.01.2004
 */
public class ModelLibraryEntry {
	
	private String _title;
	private Image[] _images;
	private String[] _imageDescriptions;
	private String _description;
	private File _modelFile;
	
	public ModelLibraryEntry(File modelFile, String title, Image[] images, String[] imageDescriptions, String description){
		_modelFile = modelFile;
		_title = title;
		_images = images;
		_imageDescriptions = imageDescriptions;
		_description = description;
		
	}

	public String getDescription() {
		return _description;
	}

	public String[] getImageDescriptions() {
		return _imageDescriptions;
	}

	public Image[] getImages() {
		return _images;
	}

	public String getTitle() {
		return _title;
	}
	
	public int getNumberOfPics(){
		return _images.length;
	}

	public File getModelFile() {
		return _modelFile;
	}

}
