package de.uniwue.ki.gui.mas.basics.feature.spatial;
import de.uniwue.ki.gui.mas.util.declaration.IDeclarationPanel;
import de.uniwue.ki.mas.basics.feature.spatial.IHasSpatialInfoDeclaration;
import de.uniwue.ki.mas.util.declaration.IDeclaration;

/**
 * Creation date: (05.02.2001 16:31:15)
 * @author Christoph Oechslein
 */
public class WriteableHasSpatialInfoDeclarationPanel
	extends WriteableSpatialInfoPanel
	implements IDeclarationPanel {

	private IDeclaration _declaration = null;

	public WriteableHasSpatialInfoDeclarationPanel() {
		super();
	}

	public IDeclaration getDeclaration() {
		return _declaration;
	}

	public void setDeclaration(IDeclaration declaration) {
		if (declaration == null) {
			_declaration = null;

			setSpatialInfo(null);
			setSpatialMapModel(null);

		} else {
			setSpatialInfo(((IHasSpatialInfoDeclaration)declaration).getSpatialInfo());
			setSpatialMapModel(((IHasSpatialInfoDeclaration)declaration).getSpatialMapModel());

			_declaration = declaration;
		}
	}
}