package de.uniwue.ki.gui.mas.basics.feature.user;
import de.uniwue.ki.gui.mas.entity.variableclass.VariableClassDeclarationListPanel;
import de.uniwue.ki.mas.basics.feature.user.IUserFeatureClassDeclaration;
/**
 * Creation date: (10.01.2002 16:07:34)
 * @author Christoph Oechslein
 */
public class UserFeatureVariableClassDeclarationListPanel extends VariableClassDeclarationListPanel {
	private IUserFeatureClassDeclaration _userFeatureClassDeclaration;

	public UserFeatureVariableClassDeclarationListPanel() {
		super();
	}

	public void dispose() {
		super.dispose();

		setUserFeatureClassDeclaration(null);
	}

	public IUserFeatureClassDeclaration getUserFeatureClassDeclaration() {
		return _userFeatureClassDeclaration;
	}

	public void setUserFeatureClassDeclaration(IUserFeatureClassDeclaration newUserFeatureClassDeclaration) {

		_userFeatureClassDeclaration = newUserFeatureClassDeclaration;

		if (newUserFeatureClassDeclaration != null) {
			setDeclarationListAndFactory(
				newUserFeatureClassDeclaration.getFeatureVariableClassDeclarationListAndFactory());
		}
	}
}