package de.uniwue.ki.gui.mas.basics.functionArgument;
import javax.swing.ListCellRenderer;

import de.uniwue.ki.gui.util.NamedCellRendererAdapter;
import de.uniwue.ki.mas.basics.type.argument.IArgumentDeclaration;
import de.uniwue.ki.util.name.INamed;
/**
 * Creation date: (25.06.2001 20:13:14)
 * @author Christoph Oechslein
 */
public class ArgumentDeclarationWithTypeCellRendererAdapter extends NamedCellRendererAdapter {

	public ArgumentDeclarationWithTypeCellRendererAdapter(ListCellRenderer cellRenderer) {
		super(cellRenderer);
	}

	protected String getName(INamed value) {
		if (!(value instanceof IArgumentDeclaration)) {
			return super.getName(value);

		} else {
			IArgumentDeclaration argDecl = (IArgumentDeclaration) value;

			return argDecl.getName()
				+ " ["
				+ (argDecl.getSpecificType() == null ? "ERROR" : argDecl.getSpecificType().getName())
				+ "]";
		}
	}
}