package de.uniwue.ki.gui.mas.basics.functionArgument;
import java.awt.BorderLayout;
import java.util.List;

import javax.swing.JFrame;
import javax.swing.JTabbedPane;

import junit.framework.Assert;
import de.uniwue.ki.gui.mas.basics.functionCall.IExpertFilterFunctionDeclarationListAble;
import de.uniwue.ki.gui.mas.util.declaration.AbstractDeclarationPanel;
import de.uniwue.ki.mas.basics.functionArgument.*;
import de.uniwue.ki.mas.basics.functionCall.IFunctionCallDeclaration;
import de.uniwue.ki.mas.entity.objectclass.IObjectClassDeclaration;
import de.uniwue.ki.mas.util.declaration.IDeclaration;

/**
 * Creation date: (25.06.2001 16:15:42)
 * @author Christoph Oechslein
 */
public class SpecificFunctionDeclarationWithArgDeclBindsPanel extends AbstractDeclarationPanel {
	private ArgumentDeclarationForFunctionDeclarationPanel ivjArgumentDeclarationForFunctionDeclarationPanel =
		null;
	private FunctionCallDeclarationTreeListPanelWithArgsDecl ivjFunctionCallDeclarationTreeListPanelWithArgsDecl =
		null;
	private boolean ivjConnPtoP4Aligning = false;
	private final IvjEventHandler ivjEventHandler = new IvjEventHandler();
	private IObjectClassDeclaration ivjObjectClassDeclarationIntern = null;
	private ISpecificFunctionDeclarationWithArgDeclBinds ivjSpecificFunctionDeclarationWithArgDeclBindsIntern =
		null;
	private boolean ivjConnPtoP6Aligning = false;
	private boolean ivjConnPtoP7Aligning = false;

	private final class IvjEventHandler implements java.beans.PropertyChangeListener {
		public void propertyChange(java.beans.PropertyChangeEvent evt) {
			if (evt.getSource()
				== SpecificFunctionDeclarationWithArgDeclBindsPanel
					.this
					.getArgumentDeclarationForFunctionDeclarationPanel()
				&& (evt.getPropertyName().equals("outputType"))) 
				connPtoP8SetSource();
			if (evt.getSource() == SpecificFunctionDeclarationWithArgDeclBindsPanel.this
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP6SetTarget();
			if (evt.getSource()
				== SpecificFunctionDeclarationWithArgDeclBindsPanel
					.this
					.getFunctionCallDeclarationTreeListPanelWithArgsDecl()
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP6SetSourceGUISeSAmDeclaration();
			if (evt.getSource() == SpecificFunctionDeclarationWithArgDeclBindsPanel.this
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP7SetTarget();
			if (evt.getSource()
				== SpecificFunctionDeclarationWithArgDeclBindsPanel
					.this
					.getArgumentDeclarationForFunctionDeclarationPanel()
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP7SetSource();
			if (evt.getSource()
				== SpecificFunctionDeclarationWithArgDeclBindsPanel
					.this
					.getFunctionCallDeclarationTreeListPanelWithArgsDecl()
				&& (evt.getPropertyName().equals("outerFunctionArgumentDeclarationList")))
				connEtoC1(evt);
			if (evt.getSource()
				== SpecificFunctionDeclarationWithArgDeclBindsPanel
					.this
					.getFunctionCallDeclarationTreeListPanelWithArgsDecl()
				&& (evt.getPropertyName().equals("functionListModel")))
				connEtoC2(evt);
			if (evt.getSource()
				== SpecificFunctionDeclarationWithArgDeclBindsPanel
					.this
					.getFunctionCallDeclarationTreeListPanelWithArgsDecl()
				&& (evt.getPropertyName().equals("argumentDeclarationListModel")))
				connEtoC3(evt);
		}
	}

	public SpecificFunctionDeclarationWithArgDeclBindsPanel() {
		super();
		initialize();
	}

	private void connEtoC1(java.beans.PropertyChangeEvent arg1) {
		try {
			this.firePropertyChange(
				"outerFunctionArgumentDeclarationList",
				arg1.getOldValue(),
				arg1.getNewValue());
		} catch (Throwable ivjExc) {
			handleException(ivjExc);
		}
	}

	private void connEtoC2(java.beans.PropertyChangeEvent arg1) {
		try {
			this.firePropertyChange("functionListModel", arg1.getOldValue(), arg1.getNewValue());
		} catch (Throwable ivjExc) {
			handleException(ivjExc);
		}
	}

	private void connEtoC3(java.beans.PropertyChangeEvent arg1) {
		try {
			this.firePropertyChange("argumentDeclarationListModel", arg1.getOldValue(), arg1.getNewValue());
		} catch (Throwable ivjExc) {
			handleException(ivjExc);
		}
	}

	private void connEtoM1(ISpecificFunctionDeclarationWithArgDeclBinds value) {
		try {
			getFunctionCallDeclarationTreeListPanelWithArgsDecl().setFunctionCallDeclaration(
				this.getFunctionCallDeclaration());
		} catch (Throwable ivjExc) {
			handleException(ivjExc);
		}
	}

	private void connPtoP1SetTarget() {
		try {
			if ((getSpecificFunctionDeclarationWithArgDeclBindsIntern() != null)) {
				getFunctionCallDeclarationTreeListPanelWithArgsDecl().setFunctionArgumentDeclarationList(
					getSpecificFunctionDeclarationWithArgDeclBindsIntern()
						.getFunctionArgumentDeclarationList());
			}
		} catch (Throwable ivjExc) {
			handleException(ivjExc);
		}
	}

	private void connPtoP4ObjectClassDeclaration() {
		try {
			if (ivjConnPtoP4Aligning == false) {
				ivjConnPtoP4Aligning = true;
				if ((getObjectClassDeclarationIntern() != null)) {
					IExpertFilterFunctionDeclarationListAble expertFilterFunctionDeclarationListAble =
						getFunctionCallDeclarationTreeListPanelWithArgsDecl()
							.getExpertFilterFunctionDeclarationListAble();

					if (expertFilterFunctionDeclarationListAble != null)
						expertFilterFunctionDeclarationListAble.setObjectClassDeclaration(
							getObjectClassDeclarationIntern());
				}
				ivjConnPtoP4Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP4Aligning = false;
			handleException(ivjExc);
		}
	}

	private void connPtoP6SetSourceGUISeSAmDeclaration() {
		try {
			if (ivjConnPtoP6Aligning == false) {
				ivjConnPtoP6Aligning = true;
				this.setGUISeSAmDeclaration(
					getFunctionCallDeclarationTreeListPanelWithArgsDecl().getGUISeSAmDeclaration());
				ivjConnPtoP6Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP6Aligning = false;
			handleException(ivjExc);
		}
	}

	private void connPtoP6SetTarget() {
		try {
			if (ivjConnPtoP6Aligning == false) {
				ivjConnPtoP6Aligning = true;
				getFunctionCallDeclarationTreeListPanelWithArgsDecl().setGUISeSAmDeclaration(
					this.getGUISeSAmDeclaration());
				ivjConnPtoP6Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP6Aligning = false;
			handleException(ivjExc);
		}
	}

	private void connPtoP7SetSource() {
		try {
			if (ivjConnPtoP7Aligning == false) {
				ivjConnPtoP7Aligning = true;
				this.setGUISeSAmDeclaration(
					getArgumentDeclarationForFunctionDeclarationPanel().getGUISeSAmDeclaration());
				ivjConnPtoP7Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP7Aligning = false;
			handleException(ivjExc);
		}
	}

	private void connPtoP7SetTarget() {
		try {
			if (ivjConnPtoP7Aligning == false) {
				ivjConnPtoP7Aligning = true;
				getArgumentDeclarationForFunctionDeclarationPanel().setGUISeSAmDeclaration(
					this.getGUISeSAmDeclaration());
				ivjConnPtoP7Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP7Aligning = false;
			handleException(ivjExc);
		}
	}

	private void connPtoP8SetSource() {
		try {
			if ((getSpecificFunctionDeclarationWithArgDeclBindsIntern() != null)) {
				//Bedueted eine UserFunctionDeclaration
				getSpecificFunctionDeclarationWithArgDeclBindsIntern().setSpecificOutputType(
				getArgumentDeclarationForFunctionDeclarationPanel().getOutputType());
			}
		} catch (Throwable ivjExc) {
			handleException(ivjExc);
		}
	}

	private void connPtoP8SetTarget() {
		try {
			if ((getSpecificFunctionDeclarationWithArgDeclBindsIntern() != null)) {
				getArgumentDeclarationForFunctionDeclarationPanel().setOutputType(
					getSpecificFunctionDeclarationWithArgDeclBindsIntern().getSpecificOutputType());
			}
		} catch (Throwable ivjExc) {
			handleException(ivjExc);
		}
	}

	private void connPtoP9SetTarget() {
		try {
			if ((getSpecificFunctionDeclarationWithArgDeclBindsIntern() != null)) {
				getArgumentDeclarationForFunctionDeclarationPanel().setFunctionArgumentDeclarationList(
					getSpecificFunctionDeclarationWithArgDeclBindsIntern()
						.getFunctionArgumentDeclarationList());
			}
		} catch (Throwable ivjExc) {
			handleException(ivjExc);
		}
	}

	public void dispose() {
		getFunctionCallDeclarationTreeListPanelWithArgsDecl().removePropertyChangeListener(ivjEventHandler);
		getArgumentDeclarationForFunctionDeclarationPanel().removePropertyChangeListener(ivjEventHandler);

		getArgumentDeclarationForFunctionDeclarationPanel().dispose();
		getFunctionCallDeclarationTreeListPanelWithArgsDecl().dispose();

		super.dispose();
	}

	private ArgumentDeclarationForFunctionDeclarationPanel getArgumentDeclarationForFunctionDeclarationPanel() {
		if (ivjArgumentDeclarationForFunctionDeclarationPanel == null) {
			ivjArgumentDeclarationForFunctionDeclarationPanel =
				new ArgumentDeclarationForFunctionDeclarationPanel();
		}
		return ivjArgumentDeclarationForFunctionDeclarationPanel;
	}

	public IDeclaration getDeclaration() {
		return getSpecificFunctionDeclarationWithArgDeclBindsIntern();
	}

	protected IFunctionCallDeclaration getFunctionCallDeclaration() {
		if (getSpecificFunctionDeclarationWithArgDeclBindsIntern() == null) {
			return null;
		} else {
			return getSpecificFunctionDeclarationWithArgDeclBindsIntern()
				.getParametricFunctionCallDeclaration()
				.getFunctionCallDeclaration();
		}
	}

	private FunctionCallDeclarationTreeListPanelWithArgsDecl getFunctionCallDeclarationTreeListPanelWithArgsDecl() {
		if (ivjFunctionCallDeclarationTreeListPanelWithArgsDecl == null) {
			ivjFunctionCallDeclarationTreeListPanelWithArgsDecl =
				new FunctionCallDeclarationTreeListPanelWithArgsDecl();
		}
		return ivjFunctionCallDeclarationTreeListPanelWithArgsDecl;
	}

	public IObjectClassDeclaration getObjectClassDeclaration() {
		return getObjectClassDeclarationIntern();
	}

	private IObjectClassDeclaration getObjectClassDeclarationIntern() {
		return ivjObjectClassDeclarationIntern;
	}

	public IFunctionArgumentDeclarationList getOuterFunctionArgumentDeclarationList() {
		return getFunctionCallDeclarationTreeListPanelWithArgsDecl()
			.getOuterFunctionArgumentDeclarationList();
	}

	private ISpecificFunctionDeclarationWithArgDeclBinds getSpecificFunctionDeclarationWithArgDeclBindsIntern() {
		return ivjSpecificFunctionDeclarationWithArgDeclBindsIntern;
	}

	private void handleException(Throwable exception) {
		exception.printStackTrace(System.out);
	}

	private void initConnections() {
		getFunctionCallDeclarationTreeListPanelWithArgsDecl().addPropertyChangeListener(ivjEventHandler);
		getArgumentDeclarationForFunctionDeclarationPanel().addPropertyChangeListener(ivjEventHandler);
		addPropertyChangeListener(ivjEventHandler);
		connPtoP4ObjectClassDeclaration();
		connPtoP8SetTarget();
		connPtoP9SetTarget();
		connPtoP1SetTarget();
		connPtoP6SetTarget();
		connPtoP7SetTarget();
	}

	private JTabbedPane tabPane = null;

	public JTabbedPane getTabPane() {
		if (tabPane == null) {
			tabPane = new JTabbedPane();
		}
		return tabPane;
	}

	private void initialize() {

		//		FormLayout layout =
		//			new FormLayout(
		//				"fill:default:grow",
		//				"default, 0dlu, fill:default:grow(0.1), default, 1dlu, fill:pref:grow");
		//
		//		setLayout(layout);
		//
		//		CellConstraints cc = new CellConstraints();
		//
		//		add(DefaultComponentFactory.getInstance().createSeparator("Arguments"), cc.xy(1, 1));
		//		add(getArgumentDeclarationForFunctionDeclarationPanel(), cc.xy(1, 3));
		//		add(DefaultComponentFactory.getInstance().createSeparator("Function Call"), cc.xy(1, 4));
		//		add(getFunctionCallDeclarationTreeListPanelWithArgsDecl(), cc.xy(1, 6));					

		setLayout(new BorderLayout());

		getTabPane().addTab("Arguments", getArgumentDeclarationForFunctionDeclarationPanel());
		getTabPane().addTab("Function Call", getFunctionCallDeclarationTreeListPanelWithArgsDecl());

		add(tabPane, BorderLayout.CENTER);

		initConnections();

	}

	public boolean isSignatureConstant() {
		return getArgumentDeclarationForFunctionDeclarationPanel().isSignatureConstant();
	}

	public static void main(String[] args) {
		try {
			JFrame frame = new javax.swing.JFrame();
			SpecificFunctionDeclarationWithArgDeclBindsPanel aSpecificFunctionDeclarationWithArgDeclBindsPanel;
			aSpecificFunctionDeclarationWithArgDeclBindsPanel =
				new SpecificFunctionDeclarationWithArgDeclBindsPanel();

			aSpecificFunctionDeclarationWithArgDeclBindsPanel
				.setSpecificFunctionDeclarationWithArgDeclBindsIntern(
				SpecificFunctionDeclarationWithArgDeclBindsFactory
					.createSpecificFunctionDeclarationWithArgDeclBinds());

			frame.setContentPane(aSpecificFunctionDeclarationWithArgDeclBindsPanel);
			frame.setSize(aSpecificFunctionDeclarationWithArgDeclBindsPanel.getSize());
			frame.addWindowListener(new java.awt.event.WindowAdapter() {
				public void windowClosing(java.awt.event.WindowEvent e) {
					System.exit(0);
				}
			});
			frame.show();
			java.awt.Insets insets = frame.getInsets();
			frame.setSize(
				frame.getWidth() + insets.left + insets.right,
				frame.getHeight() + insets.top + insets.bottom);
			frame.setVisible(true);
		} catch (Throwable exception) {
			System.err.println("Exception occurred in main() of javax.swing.JPanel");
			exception.printStackTrace(System.out);
		}
	}

	public void setDeclaration(IDeclaration declaration) {
		if (Assert.ASSERTION_ON)
			Assert.assertTrue(
				"declaration is not of type '"
					+ ISpecificFunctionDeclarationWithArgDeclBinds.class.getName()
					+ "': "
					+ declaration,
				(declaration == null)
					|| (declaration instanceof ISpecificFunctionDeclarationWithArgDeclBinds));

		setSpecificFunctionDeclarationWithArgDeclBindsIntern(
			(ISpecificFunctionDeclarationWithArgDeclBinds)declaration);
	}

	public void setExpertFilterFunctionDeclarationListAble(IExpertFilterFunctionDeclarationListAble expertFilterFunctionDeclarationListAble) {
		getFunctionCallDeclarationTreeListPanelWithArgsDecl().setExpertFilterFunctionDeclarationListAble(
			expertFilterFunctionDeclarationListAble);
	}

	public void setObjectClassDeclaration(IObjectClassDeclaration arg1) {
		setObjectClassDeclarationIntern(arg1);
	}

	private void setObjectClassDeclarationIntern(IObjectClassDeclaration newValue) {
		if (ivjObjectClassDeclarationIntern != newValue) {
			try {
				IObjectClassDeclaration oldValue = getObjectClassDeclarationIntern();
				ivjObjectClassDeclarationIntern = newValue;
				connPtoP4ObjectClassDeclaration();
				firePropertyChange("objectClassDeclaration", oldValue, newValue);
			} catch (Throwable ivjExc) {
				handleException(ivjExc);
			}
		}
	}

	public void setOuterFunctionArgumentDeclarationList(IFunctionArgumentDeclarationList arg1) {
		getFunctionCallDeclarationTreeListPanelWithArgsDecl().setOuterFunctionArgumentDeclarationList(arg1);
	}

	public void setSignatureConstant(boolean newisSignatureConstant) {
		getArgumentDeclarationForFunctionDeclarationPanel().setSignatureConstant(newisSignatureConstant);

		revalidate();
	}

	private void setSpecificFunctionDeclarationWithArgDeclBindsIntern(ISpecificFunctionDeclarationWithArgDeclBinds newValue) {
		if (ivjSpecificFunctionDeclarationWithArgDeclBindsIntern != newValue) {
			try {
				ivjSpecificFunctionDeclarationWithArgDeclBindsIntern = newValue;
				connPtoP8SetTarget();
				connPtoP9SetTarget();
				connPtoP1SetTarget();
				connEtoM1(ivjSpecificFunctionDeclarationWithArgDeclBindsIntern);
			} catch (Throwable ivjExc) {
				handleException(ivjExc);
			}
		}

		if (newValue != null) {
			if (!newValue.canBeRemoved()) {
				getArgumentDeclarationForFunctionDeclarationPanel().setSignatureConstant(true);
			}

			// switch to second
			if (!newValue
				.getParametricFunctionCallDeclaration()
				.getFunctionCallDeclaration()
				.getFunctionCallInternDeclaration().
				isomorphicEquals(newValue.getSpecificOutputType().createDefaultFunctionCallInternDeclaration())) {
				getTabPane().setSelectedIndex(1);
			}
		}
	}

	public void setTypeList(List list) {
		getFunctionCallDeclarationTreeListPanelWithArgsDecl().setTypeList(list);
		getArgumentDeclarationForFunctionDeclarationPanel().setTypeList(list);
	}

	public void setFilterExpertSettings(boolean expert) {
		getFunctionCallDeclarationTreeListPanelWithArgsDecl().setFilterExpertSettings(expert);
	}

	public boolean isFilterExpertSettings() {
		return getFunctionCallDeclarationTreeListPanelWithArgsDecl().isFilterExpertSettings();
	}

}