package de.uniwue.ki.gui.mas.basics.functionCall;

import java.awt.Container;

import de.uniwue.ki.gui.mas.model.IGUISeSAmDeclaration;
import de.uniwue.ki.gui.mas.util.AbstractActionFactory;
import de.uniwue.ki.gui.mas.util.IActionFactory;
import de.uniwue.ki.mas.basics.functionCall.IFunctionCallInternDeclaration;

/**
 * @author herrler
 */
public class FunctionCallInternDeclarationActionFactory extends AbstractActionFactory implements IActionFactory {
	public FunctionCallInternDeclarationActionFactory (IGUISeSAmDeclaration sesamDeclaration){
		super(sesamDeclaration);
	}
	
	/*
    * Can this IPanelActionFactory produce Actions for the given object.
    */
   public boolean getCanProduceActions(Container parent, Object anObject)  {
   	  return (anObject instanceof IFunctionCallInternDeclaration);
   }
}
