package de.uniwue.ki.gui.mas.basics.type;

import java.util.List;

import de.uniwue.ki.gui.mas.model.IGUISeSAmDeclaration;
import de.uniwue.ki.mas.basics.type.IGenericGroupType;
import de.uniwue.ki.util.collection.CollectionsHelper;

/**
 * @author herrler
 */
public class GenericGroupTypeDefinePanel extends SpecificTypeDefinePanel implements IGenericTypeDefinePanel {

	public GenericGroupTypeDefinePanel(IGenericGroupType groupType, IGUISeSAmDeclaration guiSeSAmDeclaration) {
		super();
		setGUISeSAmDeclaration(guiSeSAmDeclaration);
		
		super.setTypeListAndSelectedItem(CollectionsHelper.asArrayList(groupType.getGroupItems()),groupType.createDefaultSpecificType(getGUISeSAmDeclaration().getSeSAmDeclaration()));
	}

	public void setTypeList(List typeList) {
		// ignore
	}
}
