package de.uniwue.ki.gui.mas.basics.type;
import java.beans.PropertyChangeListener;
import java.util.List;

import de.uniwue.ki.gui.mas.model.IGUISeSAmDeclaration;
import de.uniwue.ki.mas.basics.type.ISpecificType;
/**
 * Creation date: (31.08.2000 14:58:20)
 * @author Christoph Oechslein
 */
public interface ITypeDefinePanel {
	void addPropertyChangeListener(PropertyChangeListener listener);

	IGUISeSAmDeclaration getGUISeSAmDeclaration();

	ISpecificType getSpecificType();

	List getTypeList();

	boolean isEnabled();

	void removePropertyChangeListener(PropertyChangeListener listener);

	void setEnabled(boolean isEnabled);

	void setGUISeSAmDeclaration(IGUISeSAmDeclaration guiSeSAmDeclaration);

	// the selected type
	void setSpecificType(ISpecificType specificType);

	void setTypeList(List typeList);
}