package de.uniwue.ki.gui.mas.basics.type;
import java.util.Iterator;
import java.util.List;

import javax.swing.*;

import de.uniwue.ki.gui.mas.model.IGUISeSAmDeclaration;
import de.uniwue.ki.gui.util.IDisposeable;
import de.uniwue.ki.mas.basics.type.IGenericType;
import de.uniwue.ki.mas.basics.type.ISpecificType;
import de.uniwue.ki.util.collection.CollectionsHelper;
/**
 * Creation date: (31.05.00 10:45:54)
 * @author Christoph Oechslein
 */
public class SpecificTypeDefinePanelWithName extends JPanel implements IDisposeable, ITypeDefinePanel {
	private JTextField ivjArgumentName = null;
	private JLabel ivjJLabel1 = null;
	private SpecificTypeDefinePanel ivjSpecificArgumentDefinePanel = null;
	private final IvjEventHandler ivjEventHandler = new IvjEventHandler();
	private boolean ivjConnPtoP1Aligning = false;
	private ISpecificType ivjanSpecificType = null;
	private JPanel ivjJPanelName = null;
	private com.magelang.box.HorizontalStrut ivjHorizontalStrut1 = null;
	private com.magelang.box.VerticalStrut ivjBoxLayoutVerticalStrut1 = null;

	private final class IvjEventHandler implements java.beans.PropertyChangeListener {
		public void propertyChange(java.beans.PropertyChangeEvent evt) {
			if (evt.getSource() == SpecificTypeDefinePanelWithName.this.getSpecificArgumentDefinePanel()
				&& (evt.getPropertyName().equals("specificType")))
				connEtoC2(evt);
			if (evt.getSource() == SpecificTypeDefinePanelWithName.this.getSpecificArgumentDefinePanel()
				&& (evt.getPropertyName().equals("specificType")))
				connPtoP1SetTarget();
			if (evt.getSource() == SpecificTypeDefinePanelWithName.this.getJLabel1()
				&& (evt.getPropertyName().equals("text")))
				connEtoC3(evt);
			if (evt.getSource() == SpecificTypeDefinePanelWithName.this.getSpecificArgumentDefinePanel()
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connEtoC1(evt);
		};
	};

	/**
	 * SpecificArgumentDefinePanelWithName constructor comment.
	 */
	public SpecificTypeDefinePanelWithName() {
		super();
		initialize();
	}

	/**
	 * SpecificArgumentDefinePanelWithName constructor comment.
	 * @param layout java.awt.LayoutManager
	 */
	public SpecificTypeDefinePanelWithName(java.awt.LayoutManager layout) {
		super(layout);
	}

	/**
	 * SpecificArgumentDefinePanelWithName constructor comment.
	 * @param layout java.awt.LayoutManager
	 * @param isDoubleBuffered boolean
	 */
	public SpecificTypeDefinePanelWithName(java.awt.LayoutManager layout, boolean isDoubleBuffered) {
		super(layout, isDoubleBuffered);
	}

	/**
	 * SpecificArgumentDefinePanelWithName constructor comment.
	 * @param isDoubleBuffered boolean
	 */
	public SpecificTypeDefinePanelWithName(boolean isDoubleBuffered) {
		super(isDoubleBuffered);
	}

	/**
	 * connEtoC1:  (SpecificArgumentDefinePanel.gUISeSAmDeclaration --> SpecificTypeDefinePanelWithName.firePropertyChange(LString;LObject;LObject;)V)
	 * @param arg1 java.beans.PropertyChangeEvent
	 */
	private void connEtoC1(java.beans.PropertyChangeEvent arg1) {
		try {
					this.firePropertyChange("gUISeSAmDeclaration", arg1.getOldValue(), arg1.getNewValue());
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connEtoC2:  (SpecificArgumentDefinePanel.argumentSpecific --> SpecificArgumentDefinePanelWithName.firePropertyChange(LString;LObject;LObject;)V)
	 * @param arg1 java.beans.PropertyChangeEvent
	 */
	private void connEtoC2(java.beans.PropertyChangeEvent arg1) {
		try {
					this.firePropertyChange(
				"specificArgumentDefinePanelArgumentSpecific",
				arg1.getOldValue(),
				arg1.getNewValue());
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connEtoC3:  (JLabel1.text --> SpecificTypeDefinePanelWithName.firePropertyChange(LString;LObject;LObject;)V)
	 * @param arg1 java.beans.PropertyChangeEvent
	 */
	private void connEtoC3(java.beans.PropertyChangeEvent arg1) {
		try {
					this.firePropertyChange("specificTypeText", arg1.getOldValue(), arg1.getNewValue());
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connEtoC4:  (SpecificTypeDefinePanelWithName.initialize() --> SpecificTypeDefinePanelWithName.initializeDependingIfGenericTypeExists()V)
	 */
	private void connEtoC4() {
		try {
					this.initializeDependingIfGenericTypeExists();
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP1SetSource:  (SpecificArgumentDefinePanel.specificType <--> SpecificType.this)
	 */
	private void connPtoP1SetSource() {
		try {
			if (ivjConnPtoP1Aligning == false) {
								ivjConnPtoP1Aligning = true;
				if ((getanSpecificType() != null)) {
					getSpecificArgumentDefinePanel().setSpecificType(getanSpecificType());
				}
								ivjConnPtoP1Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP1Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP1SetTarget:  (SpecificArgumentDefinePanel.specificType <--> SpecificType.this)
	 */
	private void connPtoP1SetTarget() {
		try {
			if (ivjConnPtoP1Aligning == false) {
								ivjConnPtoP1Aligning = true;
				setanSpecificType(getSpecificArgumentDefinePanel().getSpecificType());
								ivjConnPtoP1Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP1Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP2SetTarget:  (SpecificType.name <--> ArgumentName.text)
	 */
	private void connPtoP2SetTarget() {
		try {
			if ((getanSpecificType() != null)) {
				getArgumentName().setText(getanSpecificType().getName());
			}
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * @see de.uniwue.ki.gui.util.IDisposeable
	 */
	public void dispose() {
		getSpecificArgumentDefinePanel().dispose();
	}

	/**
	 * Return the SpecificType property value.
	 * @return de.uniwue.ki.mas.model.basics.type.ISpecificType
	 */
	private de.uniwue.ki.mas.basics.type.ISpecificType getanSpecificType() {
		return ivjanSpecificType;
	}

	/**
	 * Return the ArgumentName property value.
	 * @return javax.swing.JTextField
	 */
	private javax.swing.JTextField getArgumentName() {
		if (ivjArgumentName == null) {
			try {
				ivjArgumentName = new javax.swing.JTextField();
				ivjArgumentName.setName("ArgumentName");
				ivjArgumentName.setEditable(false);
				ivjArgumentName.setColumns(20);
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjArgumentName;
	}

	/**
	 * Return the BoxLayoutVerticalStrut1 property value.
	 * @return com.magelang.box.BoxLayoutVerticalStrut
	 */
	private com.magelang.box.VerticalStrut getBoxLayoutVerticalStrut1() {
		if (ivjBoxLayoutVerticalStrut1 == null) {
			try {
				ivjBoxLayoutVerticalStrut1 = new com.magelang.box.VerticalStrut(3);
				ivjBoxLayoutVerticalStrut1.setName("BoxLayoutVerticalStrut1");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjBoxLayoutVerticalStrut1;
	}

	/**
	 * Method generated to support the promotion of the guiSeSAmDeclaration attribute.
	 * @return de.uniwue.ki.gui.mas.model.IGUISeSAmDeclaration
	 */
	public de.uniwue.ki.gui.mas.model.IGUISeSAmDeclaration getGuiSeSAmDeclaration() {
		return getSpecificArgumentDefinePanel().getGUISeSAmDeclaration();
	}

	public IGUISeSAmDeclaration getGUISeSAmDeclaration() {
		return getSpecificArgumentDefinePanel().getGUISeSAmDeclaration();
	}

	/**
	 * Return the HorizontalStrut1 property value.
	 * @return com.magelang.box.HorizontalStrut
	 */
	private com.magelang.box.HorizontalStrut getHorizontalStrut1() {
		if (ivjHorizontalStrut1 == null) {
			try {
				ivjHorizontalStrut1 = new com.magelang.box.HorizontalStrut();
				ivjHorizontalStrut1.setPixels(0);
				ivjHorizontalStrut1.setName("HorizontalStrut1");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjHorizontalStrut1;
	}

	/**
	 * Return the JLabel1 property value.
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getJLabel1() {
		if (ivjJLabel1 == null) {
			try {
				ivjJLabel1 = new javax.swing.JLabel();
				ivjJLabel1.setText("Type:  ");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjJLabel1;
	}

	/**
	 * Return the JPanel1 property value.
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJPanelName() {
		if (ivjJPanelName == null) {
			try {
				ivjJPanelName = new javax.swing.JPanel();
				ivjJPanelName.setName("JPanelName");
				ivjJPanelName.setLayout(
					new javax.swing.BoxLayout(getJPanelName(), javax.swing.BoxLayout.X_AXIS));
				getJPanelName().add(getJLabel1(), getJLabel1().getName());
				getJPanelName().add(getHorizontalStrut1(), getHorizontalStrut1().getName());
				getJPanelName().add(getArgumentName(), getArgumentName().getName());
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjJPanelName;
	}

	/**
	 * Return the SpecificTypeDefinePanel property value.
	 * @return de.uniwue.ki.gui.mas.model.basics.type.SpecificTypeDefinePanel
	 */
	private SpecificTypeDefinePanel getSpecificArgumentDefinePanel() {
		if (ivjSpecificArgumentDefinePanel == null) {
			try {
				ivjSpecificArgumentDefinePanel =
					new de.uniwue.ki.gui.mas.basics.type.SpecificTypeDefinePanel();
				ivjSpecificArgumentDefinePanel.setName("SpecificArgumentDefinePanel");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjSpecificArgumentDefinePanel;
	}

	/**
	 * Return the SpecificArgumentDefinePanelWithNameBoxLayout property value.
	 * @return javax.swing.BoxLayout
	 */
	private javax.swing.BoxLayout getSpecificArgumentDefinePanelWithNameBoxLayout() {
		javax.swing.BoxLayout ivjSpecificArgumentDefinePanelWithNameBoxLayout = null;
		try {
			/* Create part */
			ivjSpecificArgumentDefinePanelWithNameBoxLayout =
				new javax.swing.BoxLayout(this, javax.swing.BoxLayout.Y_AXIS);
		} catch (Throwable ivjExc) {
			handleException(ivjExc);
		};
		return ivjSpecificArgumentDefinePanelWithNameBoxLayout;
	}

	/**
	 * Method generated to support the promotion of the specificArgumentDefinePanelArgumentSpecific attribute.
	 * @return de.uniwue.ki.mas.model.basics.type.IArgumentSpecific
	 */
	public de.uniwue.ki.mas.basics.type.ISpecificType getSpecificType() {
		return getSpecificArgumentDefinePanel().getSpecificType();
	}

	/**
	 * Method generated to support the promotion of the specificTypeText attribute.
	 * @return String
	 */
	public String getSpecificTypeText() {
		return getJLabel1().getText();
	}

	/**
	 * Method generated to support the promotion of the typeList attribute.
	 * @return java.util.List
	 */
	public java.util.List getTypeList() {
		return getSpecificArgumentDefinePanel().getTypeList();
	}

	/**
	 * Called whenever the bean information class throws an exception.
	 * @param exception Throwable
	 */
	private void handleException(Throwable exception) {

		exception.printStackTrace(System.out);
	}

	protected boolean hasGenericTypes() {
		Iterator it = getTypeList().iterator();
		while (it.hasNext()) {
			if (it.next() instanceof IGenericType)
				return true;
		}
		return false;
	}

	/**
	 * Initializes connections
	 * @exception Exception The exception description.
	 */
	private void initConnections() {
		getSpecificArgumentDefinePanel().addPropertyChangeListener(ivjEventHandler);
		getJLabel1().addPropertyChangeListener(ivjEventHandler);
		connPtoP1SetTarget();
		connPtoP2SetTarget();
	}

	/**
	 * Initialize the class.
	 */
	private void initialize() {
		setLayout(getSpecificArgumentDefinePanelWithNameBoxLayout());
		add(getJPanelName(), getJPanelName().getName());
		add(getBoxLayoutVerticalStrut1(), getBoxLayoutVerticalStrut1().getName());
		add(getSpecificArgumentDefinePanel(), getSpecificArgumentDefinePanel().getName());
		initConnections();
		connEtoC4();

	}

	protected void initializeDependingIfGenericTypeExists() {
		removeAll();

		if (hasGenericTypes()) {
			add(getJPanelName());
			add(getBoxLayoutVerticalStrut1());
			add(getSpecificArgumentDefinePanel());

		} else {
			add(getSpecificArgumentDefinePanel());
		}
	}

	public boolean isDisposed() {
		return getSpecificArgumentDefinePanel().isDisposed();
	}

	public static void main(String[] args) {
		try {
			JFrame frame = new javax.swing.JFrame();
			SpecificTypeDefinePanelWithName aSpecificArgumentDefinePanelWithName;
			aSpecificArgumentDefinePanelWithName = new SpecificTypeDefinePanelWithName();
			frame.setContentPane(aSpecificArgumentDefinePanelWithName);
			frame.setSize(aSpecificArgumentDefinePanelWithName.getSize());
			frame.addWindowListener(new java.awt.event.WindowAdapter() {
				public void windowClosing(java.awt.event.WindowEvent e) {
					System.exit(0);
				};
			});
			frame.setVisible(true);
		} catch (Throwable exception) {
			System.err.println("Exception occurred in main() of javax.swing.JPanel");
			exception.printStackTrace(System.out);
		}
	}

	/**
	 * Set the SpecificType to a new value.
	 * @param newValue de.uniwue.ki.mas.model.basics.type.ISpecificType
	 */
	private void setanSpecificType(de.uniwue.ki.mas.basics.type.ISpecificType newValue) {
		if (ivjanSpecificType != newValue) {
			try {
				de.uniwue.ki.mas.basics.type.ISpecificType oldValue = getanSpecificType();
				ivjanSpecificType = newValue;
				connPtoP1SetSource();
				connPtoP2SetTarget();
				firePropertyChange("specificType", oldValue, newValue);
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		};
	}

	public void setEnabled(boolean isEnabled) {
		super.setEnabled(isEnabled);

		getSpecificArgumentDefinePanel().setEnabled(isEnabled);
		getArgumentName().setEnabled(isEnabled);
		getJLabel1().setEnabled(isEnabled);
	}

	/**
	 * Method generated to support the promotion of the guiSeSAmDeclaration attribute.
	 * @param arg1 de.uniwue.ki.gui.mas.model.IGUISeSAmDeclaration
	 */
	public void setGUISeSAmDeclaration(de.uniwue.ki.gui.mas.model.IGUISeSAmDeclaration arg1) {
		getSpecificArgumentDefinePanel().setGUISeSAmDeclaration(arg1);
	}

	/**
	 * Method generated to support the promotion of the specificArgumentDefinePanelArgumentSpecific attribute.
	 * @param arg1 de.uniwue.ki.mas.model.basics.type.IArgumentSpecific
	 */
	public void setSpecificType(de.uniwue.ki.mas.basics.type.ISpecificType arg1) {
		getSpecificArgumentDefinePanel().setSpecificType(arg1);
	}

	/**
	 * Method generated to support the promotion of the specificTypeText attribute.
	 * @param arg1 String
	 */
	public void setSpecificTypeText(String arg1) {
		getJLabel1().setText(arg1);
	}

	/**
	 * Method generated to support the promotion of the typeList attribute.
	 * @param arg1 java.util.List
	 */
	public void setTypeList(List typeList) {
		getSpecificArgumentDefinePanel().setTypeList(typeList);

		initializeDependingIfGenericTypeExists();
	}

	public void setTypes(Iterator typesIterator) {
		setTypeList(CollectionsHelper.asLinkedList(typesIterator));
	}

	/**
	 * Comment
	 */
	protected void typeSpecificDefinePanel_SpecificType(ISpecificType type) {
		if (type != null)
			getArgumentName().setText(type.getName());
	}
}