package de.uniwue.ki.gui.mas.basics.type.dependent;

import javax.swing.*;

import de.uniwue.ki.gui.mas.basics.type.SpecificTypeDefinePanel;
import de.uniwue.ki.mas.basics.type.ISpecificType;
/**
 * Creation date: (31.05.00 20:13:00)
 * @author Christoph Oechslein
 */
class BindingsCellEditor extends DefaultCellEditor implements javax.swing.table.TableCellEditor {
	private final SpecificTypeDefinePanel panel = new SpecificTypeDefinePanel();

/**
 * BindingsCellEditor constructor comment.
 * @param x javax.swing.JComboBox
 */
public BindingsCellEditor() {
    super(new JTextField());
}

/**
 * BindingsCellEditor constructor comment.
 * @param x javax.swing.JCheckBox
 */
public BindingsCellEditor(JCheckBox x) {
    super(x);
}

/**
 * BindingsCellEditor constructor comment.
 * @param x javax.swing.JComboBox
 */
public BindingsCellEditor(JComboBox x) {
    super(x);
}

/**
 * BindingsCellEditor constructor comment.
 * @param x javax.swing.JTextField
 */
public BindingsCellEditor(JTextField x) {
    super(x);
}

/**
 * Insert the method's description here.
 * Creation date: (31.05.00 20:29:32)
 * @param:
 * @return:
 */
public java.awt.Component getTableCellEditorComponent(
    JTable table,
    Object value,
    boolean isSelected,
    int row,
    int column) {
    if (value instanceof ISpecificType) {
        panel.setSpecificType((ISpecificType) value);
        return panel;
    } else {
        return super.getTableCellEditorComponent(table, value, isSelected, row, column);
    }
}
}
