/**
 * Created on 11.02.2003
 *
 * This class is responsible for //insert purpose here//
 * 
 * @author glueckselig
 */
package de.uniwue.ki.gui.mas.behaviour.activityGraph.fig;

import java.awt.*;

import javax.swing.JOptionPane;

import de.uniwue.ki.mas.behaviour.rule.IGraphDocumentEdgeDeclaration;

public class FigDocumentGraphEdgeDeclaration extends FigActivityGraphRuleDeclaration {

	private static final BasicStroke _stroke =
		new BasicStroke(
			1.0f,
			BasicStroke.CAP_SQUARE,
			BasicStroke.JOIN_ROUND,
			10.0f,
			new float[] { 1, 3 },
			0.0f);

	public FigDocumentGraphEdgeDeclaration() {
		// zeichne keinen Pfeil
		super(null);
	}

	public void editProperties(Container parent) {

		IGraphDocumentEdgeDeclaration docEdge = (IGraphDocumentEdgeDeclaration)getNetObject();

		String result =
			JOptionPane.showInputDialog(parent, "Please enter comment for document-edge.", docEdge.getName());

		docEdge.setName(result);
	}

	protected Stroke getStroke() {
		return _stroke;
	}
}
