package de.uniwue.ki.gui.mas.behaviour.reasoning;

import de.uniwue.ki.gui.mas.util.declaration.DeclarationListPanel;
import de.uniwue.ki.gui.util.dnd.ObjectDataFlavor;
import de.uniwue.ki.mas.behaviour.reasoning.IReasoningEngineDeclaration;
import de.uniwue.ki.mas.entity.objectclass.IObjectClassDeclaration;

/**
 * @author oechslein
 * 
 * Creation date: 22.04.2003
 */
public class ReasoningEngineDeclarationListPanel extends DeclarationListPanel {
	private IObjectClassDeclaration _objectClassDeclaration;

	public void setObjectClassDeclaration(IObjectClassDeclaration objectClassDeclaration) {
		_objectClassDeclaration = objectClassDeclaration;
	}

	public IObjectClassDeclaration getObjectClassDeclaration() {
		return _objectClassDeclaration;
	}

	public ReasoningEngineDeclarationListPanel() {
		super();

		enableDnDSupport(ObjectDataFlavor.getDataFlavor(IReasoningEngineDeclaration.class));
		setArrowsAvailible(true);
	}
}
