package de.uniwue.ki.gui.mas.entity.objectclass.factory;

import de.uniwue.ki.gui.mas.entity.bodyclass.BodyClassDeclarationSettingsWithTabsPanel;
import de.uniwue.ki.gui.mas.model.IGUISeSAmDeclaration;
import de.uniwue.ki.gui.mas.util.declaration.*;
import de.uniwue.ki.mas.util.declaration.IDeclaration;

/**
 * Creation date: (12.10.2001 17:40:16)
 * @author Christoph Oechslein
 */

public class EditVariablesObjectClassDeclarationPanelFactory extends AbstractDeclarationPanelFactory {

	private IGUISeSAmDeclaration _guiSeSAmDeclaration;

	public EditVariablesObjectClassDeclarationPanelFactory() {
		super();
	}
	public EditVariablesObjectClassDeclarationPanelFactory(IGUISeSAmDeclaration guiSeSAmDeclaration) {
		super();

		setGUISeSAmDeclaration(guiSeSAmDeclaration);
	}
	public IDeclarationPanel createDeclarationPanel(IDeclaration declaration) {
		NameDeclarationWithDocumentationAdapterPanel nameDeclarationWithDocumentationAdapterPanel =
			new NameDeclarationWithDocumentationAdapterPanel();

		nameDeclarationWithDocumentationAdapterPanel.setGUISeSAmDeclaration(getGUISeSAmDeclaration());
		nameDeclarationWithDocumentationAdapterPanel.setDeclarationPanel(
			new BodyClassDeclarationSettingsWithTabsPanel());

		return nameDeclarationWithDocumentationAdapterPanel;
	}
	public String getDeclarationTitle(IDeclaration declaration) {
		return "Variables";
	}

	public IGUISeSAmDeclaration getGUISeSAmDeclaration() {
		return _guiSeSAmDeclaration;
	}

	public void setGUISeSAmDeclaration(IGUISeSAmDeclaration newGUISeSAmDeclaration) {
		_guiSeSAmDeclaration = newGUISeSAmDeclaration;
	}
}
