package de.uniwue.ki.gui.mas.entity.variable.viewer;

import de.uniwue.ki.gui.mas.model.JPanelWithGUISeSAmDeclaration;
import de.uniwue.ki.mas.basics.type.ISpecificType;

/**
 * @author herrler
 */
public interface IObjectValueViewer {
	/**
	 * @author herrler
	 * get's a Panel with a viewer for a certain type of Body Variable
 	 */
	public JPanelWithGUISeSAmDeclaration getBodyVariableValueViewerPanel(ISpecificType type, Object obj);

	public boolean canShow(ISpecificType type, Object obj);
	
	public String getContextMenuString();
}
