/**
 * Created on 23.07.2003
 *
 * This class is responsible for //insert purpose//.
 * 
 * @author glueckselig
 */
package de.uniwue.ki.gui.mas.model.graph;

import java.awt.Point;
import java.awt.Rectangle;

import mygale.mcge.fig.FigEdgeSuperLinear;
import mygale.mcge.fig.arrow.ArrowFilledArrow;
import de.uniwue.ki.mas.model.graph.UMLLayoutGraphEdge;

public class FigUMLGraphEdge extends FigEdgeSuperLinear {

	protected FigUMLGraphEdge() {
		super();

		setEndArrow(new ArrowFilledArrow());
	}

	public String getName() {
		return ((UMLLayoutGraphEdge) getNetObject()).getName();
	}
	//
	//	private void calcBounds2(int dx, int dy) {
	//		Rectangle dstRect = new Rectangle();
	//
	//		case IFigEdge.BOTH_PORTS_SHADOW_MOVE :
	//			{
	//				Point firstPoint = getCtrlPointAt(0);
	//
	//				dstRect.setBounds(firstPoint.x, firstPoint.y, dx, dy);
	//
	//				for (int i = 1; i < getCtrlPointSize(); i++) {
	//					Point pt = (Point) _controlPoints.get(i);
	//					dstRect.add(pt.x + dx, pt.y + dy);
	//
	//				}
	//
	//				calcArrowBounds(dstRect, dx, dy);
	//				return;
	//			}
	//		case IFigEdge.SRC_PORTS_SHADOW_MOVE :
	//			{
	//				Point firstPoint = getCtrlPointAt(0);
	//
	//				dstRect.setBounds(firstPoint.x, firstPoint.y, dx, dy);
	//
	//				for (int i = 1; i < getCtrlPointSize(); i++) {
	//					dstRect.add((Point) _controlPoints.get(i));
	//				}
	//
	//				calcArrowBounds(dstRect, dx, dy);
	//				return;
	//			}
	//
	//		case IFigEdge.DST_PORTS_SHADOW_MOVE :
	//			{
	//
	//			}
	//	}
	public void updateStartNode(int dx, int dy) {

		Rectangle dstRect = new Rectangle();

		Point firstPoint = getCtrlPointAt(0);

		dstRect.setBounds(firstPoint.x, firstPoint.y, dx, dy);

		for (int i = 1; i < getCtrlPointSize(); i++) {
			dstRect.add((Point) _controlPoints.get(i));
		}

		//		calcArrowBounds(dstRect, dx, dy);
		setBounds(dstRect.x, dstRect.y, dstRect.width, dstRect.height);
	}

	public void updateEndNode(int dx, int dy) {

		Rectangle dstRect = new Rectangle();

		int size = getCtrlPointSize();
		Point lastPoint = getCtrlPointAt(size - 1);

		dstRect.setBounds(lastPoint.x, lastPoint.y, dx, dy);

		for (int i = 0; i < size - 1; i++) {
			dstRect.add((Point) _controlPoints.get(i));
		}

		//		calcArrowBounds(dstRect, dx, dy);
		setBounds(dstRect.x, dstRect.y, dstRect.width, dstRect.height);
	}
}
