/**
 * Created on 23.01.2004
 *
 * This class is responsible for //insert purpose//.
 * 
 * @author glueckselig
 */
package de.uniwue.ki.gui.mas.model.graph;

import mygale.mcge.net.INetGraphModel;
import de.uniwue.ki.gui.mas.model.IGUISeSAmDeclaration;
import de.uniwue.ki.gui.mas.util.declaration.AbstractDeclarationPanel;
import de.uniwue.ki.mas.util.declaration.IDeclaration;

// wie ActivityGraphDeclarationGraphPanel
public class UMLLayoutGraphDeclarationGraphPanel extends AbstractDeclarationPanel {

    UMLLayoutGraphEditor _editor;

    public UMLLayoutGraphDeclarationGraphPanel() {

        super();

        _editor = new UMLLayoutGraphEditor();
        add(_editor);
    }

    public IDeclaration getDeclaration() {

        return ((UMLLayoutGraph) _editor.getGraph()).getUMLLayoutGraphDeclaration();
    }

    public void setDeclaration(IDeclaration newDecl) {

        _editor.getGraph().setNetGraphModel((INetGraphModel) newDecl);
        _editor.getGraph().damagedAll();
    }

    public void setGUISeSAmDeclaration(IGUISeSAmDeclaration guiSeSAmDeclaration) {
        ((UMLLayoutGraph) _editor.getGraph()).setGUISeSAmDeclaration(guiSeSAmDeclaration);
    }

}
