package de.uniwue.ki.gui.mas.refactoring;

import java.util.Collection;

import de.uniwue.ki.mas.refactoring.ArgumentInfo;
import de.uniwue.ki.mas.refactoring.IRefactoringUI;

/**
 * @author Michael Scherer
 *
 * Simuliert ein Refactoring-Userinterface, ohne wirklich Benutzereingaben 
 * zu bentigen. Notwendig fr automatisierte Tests der Refactoring-Klassen.
 * Es wird immer der bergebene Standardwert zurckgeliefert. 
 */
public class DummyRefactoringUI implements IRefactoringUI {

	public DummyRefactoringUI() {
		super();
	}

	public String getString(String _question, String _default) {
		return _default;
	}
	
	public ArgumentInfo getNewArgument(ArgumentInfo _default) {
		return _default;
	}
	
	public Object getComboBoxSelection(String title, Object message, 
			Collection options, Object _default)
	{
		return _default;
	}

}
