package de.uniwue.ki.gui.mas.refactoring;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import de.uniwue.ki.mas.util.declaration.IDeclaration;

public class MarkAsTODOAction extends AbstractAction {

	private final boolean _isUnmark;
	private final IDeclaration _decl;
	
	public MarkAsTODOAction(IDeclaration decl) {
		super(decl.hasTODOFlag() ? "Remove TODO" : "Set TODO");
		_isUnmark = decl.hasTODOFlag();
		_decl = decl;
		}

	public void actionPerformed(ActionEvent event) {
		_decl.setTODOFlag(!_isUnmark);
	}
}
