package de.uniwue.ki.gui.mas.sim.analysis;
import de.uniwue.ki.mas.sim.analysis.BlockChartAnalysisTypeDeclaration;
import de.uniwue.ki.mas.sim.analysis.IAnalysisTypeDeclaration;
/**
 * Creation date: (28.11.2001 17:50:02)
 * @author Christoph Oechslein
 */
public class BlockChartAnalysisTypeDeclarationPanel extends AbstractAnalysisTypeDeclarationPanel {
	public BlockChartAnalysisTypeDeclarationPanel() {
		super();
		initialize();
	}

	public boolean canEdit(IAnalysisTypeDeclaration newAnalysisTypeDeclaration) {
		return newAnalysisTypeDeclaration instanceof BlockChartAnalysisTypeDeclaration;
	}

	protected IAnalysisTypeDeclaration createPrototypeAnalysisTypeDeclaration() {
		return new BlockChartAnalysisTypeDeclaration();
	}


	/**
	 * Called whenever the part throws an exception.
	 * @param exception Throwable
	 */
	private void handleException(Throwable exception) {

		exception.printStackTrace(System.out);
	}

	/**
	 * Initialize the class.
	 */
	private void initialize() {
		try {
					setName("BlockChartAnalysisTypeDeclaration");
			setSize(263, 30);
		} catch (Throwable ivjExc) {
			handleException(ivjExc);
		}
	}

	public static void main(String[] args) {
		try {
			javax.swing.JFrame frame = new javax.swing.JFrame();
			BlockChartAnalysisTypeDeclarationPanel aBlockChartAnalysisDeclarationTypePanel;
			aBlockChartAnalysisDeclarationTypePanel = new BlockChartAnalysisTypeDeclarationPanel();
			frame.setContentPane(aBlockChartAnalysisDeclarationTypePanel);
			frame.setSize(aBlockChartAnalysisDeclarationTypePanel.getSize());
			frame.addWindowListener(new java.awt.event.WindowAdapter() {
				public void windowClosing(java.awt.event.WindowEvent e) {
					System.exit(0);
				}
			});
			frame.pack();
			frame.show();
			java.awt.Insets insets = frame.getInsets();
			frame.setSize(
				frame.getWidth() + insets.left + insets.right,
				frame.getHeight() + insets.top + insets.bottom);
			frame.setVisible(true);
		} catch (Throwable exception) {
			System.err.println(
				"Exception occurred in main() of de.uniwue.ki.gui.mas.model.JPanelWithGUISeSAmDeclaration");
			exception.printStackTrace(System.out);
		}
	}
}