package de.uniwue.ki.gui.mas.sim.experiment;
import de.uniwue.ki.gui.mas.util.declaration.DeclarationListPanel;
import de.uniwue.ki.gui.util.dnd.ObjectDataFlavor;
import de.uniwue.ki.mas.sim.experiment.IExperimentDeclaration;
/**
 * Creation date: (26.11.2001 14:59:51)
 * @author Christoph Oechslein
 */
public class ExperimentDeclarationListPanel extends DeclarationListPanel {
/**
 * ExperimentDeclarationListPanel constructor comment.
 */
public ExperimentDeclarationListPanel() {
    super();
    initialize();
}



/**
 * Called whenever the part throws an exception.
 * @param exception Throwable
 */
private void handleException(Throwable exception) {

    /* Uncomment the following lines to print uncaught exceptions to stdout */
    System.out.println("--------- UNCAUGHT EXCEPTION ---------");
    exception.printStackTrace(System.out);
}


/**
 * Initialize the class.
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void initialize() {
    try {
        // user code begin {1}
        // user code end
        setName("ExperimentDeclarationListPanel");
        setDeclarationListModel(new de.uniwue.ki.mas.sim.experiment.ExperimentDeclarationList());
    } catch (Throwable ivjExc) {
        handleException(ivjExc);
    }
    // user code begin {2}
    enableDnDSupport(ObjectDataFlavor.getDataFlavor(IExperimentDeclaration.class));
    // user code end
}


/**
 * main entrypoint - starts the part when it is run as an application
 * @param args String[]
 */
public static void main(String[] args) {
    try {
        javax.swing.JFrame frame = new javax.swing.JFrame();
        ExperimentDeclarationListPanel aExperimentDeclarationListPanel;
        aExperimentDeclarationListPanel = new ExperimentDeclarationListPanel();
        frame.setContentPane(aExperimentDeclarationListPanel);
        frame.setSize(aExperimentDeclarationListPanel.getSize());
        frame.addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent e) {
                System.exit(0);
            };
        });
        frame.show();
        java.awt.Insets insets = frame.getInsets();
        frame.setSize(frame.getWidth() + insets.left + insets.right, frame.getHeight() + insets.top + insets.bottom);
        frame.setVisible(true);
    } catch (Throwable exception) {
        System.err.println("Exception occurred in main() of de.uniwue.ki.gui.mas.model.sim.experiment.ExperimentDeclarationListPanel");
        exception.printStackTrace(System.out);
    }
}
}