package de.uniwue.ki.gui.mas.sim.userInterface;
import de.uniwue.ki.gui.mas.util.declaration.DeclarationListPanel;
import de.uniwue.ki.gui.mas.util.declaration.IDeclarationPanel;
import de.uniwue.ki.gui.util.dnd.ObjectDataFlavor;
import de.uniwue.ki.mas.model.userInterface.IUserInterfaceDeclaration;
import de.uniwue.ki.mas.model.userInterface.UserInterfaceDeclarationList;
import de.uniwue.ki.mas.util.declaration.IDeclaration;

/**
 * Creation date: (26.11.2001 13:19:28)
 * @author Christoph Oechslein
 */
public class UserInterfaceDeclarationListPanel extends DeclarationListPanel {
	public UserInterfaceDeclarationListPanel() {
		super();
		initialize();
	}

	protected IDeclarationPanel createDeclarationPanel(IDeclaration declaration) {
		return new UserInterfaceDeclarationPanel();
	}

	private void initialize() {
		setName("UserInterfaceDeclarationListPanel");
		setSize(259, 160);
		setDeclarationListModel(new UserInterfaceDeclarationList());
		enableDnDSupport(ObjectDataFlavor.getDataFlavor(IUserInterfaceDeclaration.class));
		setArrowsAvailible(true);
	}

}