package de.uniwue.ki.gui.mas.util.declaration.action;

import java.awt.datatransfer.Clipboard;

import de.uniwue.ki.mas.util.declaration.IDeclaration;

/**
 * Creation date: (04.10.2001 18:13:04)
 * @author Christoph Oechslein
 */
abstract class AbstractClipboardDeclarationAction extends AbstractDeclarationAction {
	private final Clipboard _clipboard;

	public AbstractClipboardDeclarationAction(String name, IDeclaration declaration, Clipboard clipboard) {
		super(name, declaration);

		_clipboard = clipboard;
	}

	protected final Clipboard getClipboard() {
		return _clipboard;
	}
}