package de.uniwue.ki.gui.mas.util.declaration.action;

import de.uniwue.ki.gui.mas.util.declaration.DeclarationListPanel;
import de.uniwue.ki.gui.mas.util.declaration.IDeclarationPanelFactory;

/**
 * Creation date: (13.07.2001 09:30:02)
 * @author Christoph Oechslein
 */

public class DeclarationPanelFactoryDeclarationAction extends AbstractDeclarationListPanelAction {
   private final IDeclarationPanelFactory _declarationPanelFactory;

public DeclarationPanelFactoryDeclarationAction(
   String actionName,
   DeclarationListPanel declarationListPanel,
   IDeclarationPanelFactory declarationPanelFactory) {

   super(actionName, declarationListPanel);

   _declarationPanelFactory = declarationPanelFactory;

}

/**
 * Insert the method's description here.
 * Creation date: (13.07.2001 09:52:57)
 * @return de.uniwue.ki.gui.mas.model.util.declaration.IDeclarationPanelFactory
 */
public final de.uniwue.ki.gui.mas.util.declaration.IDeclarationPanelFactory getDeclarationPanelFactory() {
   return _declarationPanelFactory;
}

public void doit() {
   getDeclarationListPanel().addPanel(getDeclaration(), getDeclarationPanelFactory());
}
}
