package de.uniwue.ki.gui.mas.util.declaration.action;
import javax.swing.Icon;

import de.uniwue.ki.gui.mas.util.declaration.DeclarationListPanel;
import de.uniwue.ki.gui.util.SwingMoreUtilities;

/**
 * Creation date: (13.07.2001 09:30:02)
 * @author Christoph Oechslein
 */

public class NewDeclarationAction extends AbstractDeclarationListPanelAction {
	public static final Icon NEW_ICON = SwingMoreUtilities.getJavaSunIcon(16, "general/New16.gif");

	public NewDeclarationAction(DeclarationListPanel declarationListPanel) {
		super("New", NEW_ICON, declarationListPanel);
	}

	public void doit() {
		try {
			getDeclarationListPanel().addNewItem(false);

		} catch (Exception exception) {
			getDeclarationListPanel().getGUISeSAmDeclaration().showException(
				"Error during new",
				exception,
				getDeclarationListPanel());
		}
	}
}