package de.uniwue.ki.gui.mas.util.declaration.action;

import java.awt.datatransfer.*;
import java.io.IOException;

import de.uniwue.ki.gui.mas.util.declaration.DeclarationListPanel;
import de.uniwue.ki.mas.util.declaration.IDeclaration;
/**
 * Creation date: (13.07.2001 09:30:02)
 * @author Christoph Oechslein
 */

public class PasteFromClipboardDeclarationListPanelAction extends AbstractDeclarationListPanelAction {

	public PasteFromClipboardDeclarationListPanelAction(DeclarationListPanel declarationListPanel) {
		super("Paste", declarationListPanel);
	}

	public void doit() {
		Clipboard clipboard = getDeclarationListPanel().getGUISeSAmDeclaration().getClipboard();

		Transferable transferable = clipboard.getContents(null);

		if (transferable != null) {
			try {
				IDeclaration newDeclaration =
					(IDeclaration)transferable.getTransferData(getDeclarationListPanel().getDataFlavor());
				getDeclarationListPanel().getDeclarationListModel().add(newDeclaration);

			} catch (IOException exception) {
				throw new RuntimeException(exception);
			} catch (UnsupportedFlavorException exception) {
			}
		}
	}
}