package de.uniwue.ki.gui.mas.util.declaration.action;
import javax.swing.Icon;

import de.uniwue.ki.gui.mas.util.declaration.DeclarationListPanel;
import de.uniwue.ki.gui.util.SwingMoreUtilities;

/**
 * Creation date: (13.07.2001 09:30:02)
 * @author Christoph Oechslein
 */

public class PropertiesDeclarationAction extends AbstractDeclarationListPanelAction {
    public static final Icon PROPERTIES_ICON = SwingMoreUtilities.getJavaSunIcon(16, "general/Properties16.gif");

public PropertiesDeclarationAction(DeclarationListPanel declarationListPanel) {
   super("Properties", declarationListPanel);

}


public void doit() {
    if (getDeclaration() != null) {
        getDeclarationListPanel().editItem(getDeclaration());
    }
}
}