package de.uniwue.ki.gui.mas.util.declaration.action;
import javax.swing.Icon;

import de.uniwue.ki.gui.util.SwingMoreUtilities;
import de.uniwue.ki.gui.util.actions.AbstractBoundAction;
import de.uniwue.ki.util.list.IMutableListModel;

/**
 * Creation date: (13.07.2001 09:30:02)
 * @author Christoph Oechslein
 */

public class RemoveMutableListModelAction extends AbstractBoundAction {
    public static final Icon REMOVE_ICON = SwingMoreUtilities.getJavaSunIcon(16, "general/Delete16.gif");

    private final IMutableListModel _mutableListModel;
    private final Object _anObject;

public RemoveMutableListModelAction(Object anObject, IMutableListModel mutableListModel) {
    super("Remove", REMOVE_ICON);

    _anObject = anObject;
    _mutableListModel = mutableListModel;
}


public void doit() {
    _mutableListModel.remove(_anObject);
}
}