// $Id: BetterTitledBorder.java,v 1.3 2004/05/25 09:27:21 herrler Exp $
package de.uniwue.ki.gui.util.border;
import javax.swing.border.Border;
import javax.swing.border.TitledBorder;
/**
 * Creation date: (01.06.2001 11:57:45)
 * @author Christoph Oechslein
 */
public class BetterTitledBorder extends TitledBorder {

	/**
	 * BetterTitledBorder constructor comment.
	 * @param border javax.swing.border.Border
	 */
	public BetterTitledBorder() {
	   super("");
	}

	/**
	 * BetterTitledBorder constructor comment.
	 * @param title java.lang.String
	 */
	public BetterTitledBorder(String title) {
	   super(title);
	}

	/**
	 * BetterTitledBorder constructor comment.
	 * @param border javax.swing.border.Border
	 */
	public BetterTitledBorder(Border border) {
	   super(border);
	}

	/**
	 * BetterTitledBorder constructor comment.
	 * @param border javax.swing.border.Border
	 * @param title java.lang.String
	 */
	public BetterTitledBorder(Border border, String title) {
	   super(border, title);
	}

	/**
	 * BetterTitledBorder constructor comment.
	 * @param border javax.swing.border.Border
	 * @param title java.lang.String
	 * @param titleJustification int
	 * @param titlePosition int
	 */
	public BetterTitledBorder(Border border, String title, int titleJustification, int titlePosition) {
	   super(border, title, titleJustification, titlePosition);
	}

	/**
	 * BetterTitledBorder constructor comment.
	 * @param border javax.swing.border.Border
	 * @param title java.lang.String
	 * @param titleJustification int
	 * @param titlePosition int
	 * @param titleFont java.awt.Font
	 */
	public BetterTitledBorder(
	   Border border,
	   String title,
	   int titleJustification,
	   int titlePosition,
	   java.awt.Font titleFont) {
	   super(border, title, titleJustification, titlePosition, titleFont);
	}

	/**
	 * BetterTitledBorder constructor comment.
	 * @param border javax.swing.border.Border
	 * @param title java.lang.String
	 * @param titleJustification int
	 * @param titlePosition int
	 * @param titleFont java.awt.Font
	 * @param titleColor java.awt.Color
	 */
	public BetterTitledBorder(
	   Border border,
	   String title,
	   int titleJustification,
	   int titlePosition,
	   java.awt.Font titleFont,
	   java.awt.Color titleColor) {
	   super(border, title, titleJustification, titlePosition, titleFont, titleColor);
	}
}