package de.uniwue.ki.gui.util.bound;/**
 * This is the event class to support the de.uniwue.ki.gui.generic.ClickedOnElementListener interface.
 * @author oechslein
 */
public class ClickedOnElementEvent extends java.util.EventObject {
	private final java.awt.Point point;

	/**
	 * ClickedOnElementEvent constructor comment.
	 * @param source java.lang.Object
	 */
	public ClickedOnElementEvent(java.lang.Object source, java.awt.event.MouseEvent mouseEvent) {
	    this(source, mouseEvent.getPoint());
	}

	/**
	 * ClickedOnElementEvent constructor comment.
	 * @param source java.lang.Object
	 * @param point java.awt.Point
	 */
	public ClickedOnElementEvent(java.lang.Object source, java.awt.Point point) {
	    super(source);
	    this.point = point;
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (11.10.2000 17:42:17)
	 * @author Christoph Oechslein
	 * @return java.awt.Point
	 */
	public final java.awt.Point getPoint() {
	    return point;
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (11.10.2000 17:42:17)
	 * @author Christoph Oechslein
	 * @return java.awt.Point
	 */
	public final int getX() {
	    return getPoint().x;
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (11.10.2000 17:42:17)
	 * @author Christoph Oechslein
	 * @return java.awt.Point
	 */
	public final int getY() {
	    return getPoint().y;
	}
}