package de.uniwue.ki.gui.util.boxlayout;
import java.awt.Component;
import java.awt.Dimension;

import javax.swing.Box;

/**
 * Creation date: (10.11.2000 14:08:30)
 * @author Christoph Oechslein
 */
abstract class AbstractBoxLayoutGlue extends Component {
	private Box.Filler delegate;


	public AbstractBoxLayoutGlue() {
	    super();
	}

	public void changeShape(Dimension param1, Dimension param2, Dimension param3) {
	    delegate.changeShape(param1, param2, param3);
	}

	public javax.accessibility.AccessibleContext getAccessibleContext() {
	    return delegate.getAccessibleContext();
	}


	protected javax.swing.Box.Filler getDelegate() {
	    return delegate;
	}

	public Dimension getMaximumSize() {
	    return delegate.getMaximumSize();
	}

	public Dimension getMinimumSize() {
	    return delegate.getMinimumSize();
	}

	public Dimension getPreferredSize() {
	    return delegate.getPreferredSize();
	}


	protected void setDelegate(javax.swing.Box.Filler newDelegate) {
	    delegate = newDelegate;
	}
}