package de.uniwue.ki.gui.util.boxlayout;
import java.awt.Dimension;

import javax.swing.Box;
/**
 * Creation date: (10.11.2000 14:19:11)
 * @author Christoph Oechslein
 */
public class BoxLayoutRigidArea extends AbstractBoxLayoutGlue {
	private Dimension dimension = new Dimension(5, 5);

	public BoxLayoutRigidArea() {
	    super();
	
	    updateDelegate();
	}

	public java.awt.Dimension getDimension() {
	    return dimension;
	}

	/**
	 * @return int
	 */
	public int getHeight() {
	    return dimension.height;
	}

	/**
	 * @return int
	 */
	public int getWidth() {
	    return dimension.width;
	}

	public void setDimension(java.awt.Dimension newDimension) {
	    dimension = newDimension;
	
	    updateDelegate();
	}

	public void setHeight(int newHeight) {
	    dimension.height = newHeight;
	
	    updateDelegate();
	}

	public void setWidth(int newWidth) {
	    dimension.width = newWidth;
	
	    updateDelegate();
	}

	protected void updateDelegate() {
	    setDelegate((Box.Filler) Box.createRigidArea(dimension));
	}
}