package de.uniwue.ki.gui.util.hexagon;
import java.awt.Polygon;

import javax.swing.JLabel;
/**
 * Creation date: (22.05.00 15:03:26)
 * @author Christoph Oechslein
 */
public class DefaultTileRenderer extends JLabel implements ITileRenderer {

	/**
	 * DefaultTileRenderer constructor comment.
	 */
	public DefaultTileRenderer() {
	    super();
	}

	/**
	 * drawTile method comment.
	 */
	public void drawTile(java.awt.Graphics2D g2d, java.awt.Polygon clipPolygon, ITile value, int indexX, int indexY) {
	}

	/**
	 * getTileRendererComponent method comment.
	 * @param hTilesPanel HexagonalTilesPanel
	 * @param clipPolygon java.awt.Polygon
	 * @param value ITile
	 * @param indexX int
	 * @param indexY int
	 * @param isSelected boolean
	 * @param cellHasFocus boolean
	 * @return java.awt.Component
	 * @see de.uniwue.ki.gui.util.hexagon.ITileRenderer#getTileRendererComponent(HexagonalTilesPanel, Polygon, ITile, int, int, boolean, boolean)
	 */
	public java.awt.Component getTileRendererComponent(
	    HexagonalTilesPanel hTilesPanel,
	    java.awt.Polygon clipPolygon,
	    ITile value,
	    int indexX,
	    int indexY,
	    boolean isSelected,
	    boolean cellHasFocus) {
	    setText("Test (" + indexX + ", " + indexY + ")");
	    setAlignmentX(java.awt.Component.CENTER_ALIGNMENT);
	    setAlignmentY(java.awt.Component.CENTER_ALIGNMENT);
	    return this;
	}
}