// $Id: Notepad.java,v 1.2 2004/05/25 09:27:21 herrler Exp $
package de.uniwue.ki.gui.util.mdi;
import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JScrollPane;
public class Notepad extends JFrame {
    private MDIDesktopPane desktop = new MDIDesktopPane();
    private JMenuBar menuBar = new JMenuBar();
    private JMenu fileMenu = new JMenu("File");
    private JMenuItem newMenu = new JMenuItem("New");
    private JScrollPane scrollPane = new JScrollPane();

	public Notepad() {
	    menuBar.add(fileMenu);
	    menuBar.add(new MDIWindowMenu(desktop));
	    fileMenu.add(newMenu);
	    setJMenuBar(menuBar);
	    setTitle("MDI Test");
	    scrollPane.getViewport().add(desktop);
	    getContentPane().setLayout(new BorderLayout());
	    getContentPane().add(scrollPane,BorderLayout.CENTER);
	
	    addWindowListener(new WindowAdapter() {
	        public void windowClosing(WindowEvent e) {
	            System.exit(0);
	        }
	    });
	    newMenu.addActionListener(new ActionListener() {
	        public void actionPerformed(ActionEvent ae) {
	            desktop.add(new TextFrame());
	        }
	    });
	
	}

	public static void main(String[] args) {
	    Notepad notepad = new Notepad();
	    notepad.setSize(600,400);
	    notepad.show();
	}
}