package de.uniwue.ki.gui.util.rectangular;
import javax.swing.ComboBoxModel;
import javax.swing.Icon;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JToggleButton;
import javax.swing.JToolBar;
import javax.swing.event.ListDataEvent;

import de.uniwue.ki.gui.util.SwingMoreUtilities;
/**
 * After saving with the Visual Composer you have to delete the callings of the getJRectangularMapIntern()
 * they are deleted but generated!!!!
 *
 * Creation date: (30.11.2000 13:10:33)
 * @author Christoph Oechslein
 */
public class JRectangularMapToolbar extends JToolBar {
	private boolean _addRemoveAndAddButtons = false;
	private final IvjEventHandler ivjEventHandler = new IvjEventHandler();
	private IRectangularMapPanelState ivjSelectRectangularMapStateIntern = null;
	private IRectangularMapPanelState ivjAddRectangularMapStateIntern = null;
	private IRectangularMapPanelState ivjRemoveRectangularMapStateIntern = null;
	private com.ibm.easyswing.BoundJComboBox ivjAddBoundJComboBoxIntern = null;
	private JButton ivjDefaultToolBarButtonOut = null;
	private JToggleButton ivjDefaultToolBarButtonSelect = null;
	private JButton ivjDefaultToolBarButtonZoom = null;
	private JButton ivjDefaultToolBarButtonZoomIn = null;
	private JScrollRectangularMap ivjJScrollRectangularMapIntern = null;
	private JToggleButton ivjDefaultToolBarButtonAdd = null;
	private JToggleButton ivjDefaultToolBarButtonDelete = null;
	private com.ibm.easyswing.BoundJCheckBox ivjJCheckBoxDrawGrid = null;
	private boolean ivjConnPtoP2Aligning = false;
	private JRectangularMap ivjJRectangularMapIntern2 = null;
	private ComboBoxModel ivjAddComboBoxModelIntern = null;
	private final class IvjEventHandler
		implements
			java.awt.event.ActionListener,
			java.beans.PropertyChangeListener,
			javax.swing.event.ListDataListener {
		public void actionPerformed(java.awt.event.ActionEvent e) {
			if (e.getSource() == JRectangularMapToolbar.this.getDefaultToolBarButtonOut())
				connEtoC13(e);
			if (e.getSource() == JRectangularMapToolbar.this.getDefaultToolBarButtonZoomIn())
				connEtoC14(e);
			if (e.getSource() == JRectangularMapToolbar.this.getDefaultToolBarButtonZoom())
				connEtoC15(e);
			if (e.getSource() == JRectangularMapToolbar.this.getDefaultToolBarButtonSelect())
				connEtoC10(e);
			if (e.getSource() == JRectangularMapToolbar.this.getDefaultToolBarButtonAdd())
				connEtoC11(e);
			if (e.getSource() == JRectangularMapToolbar.this.getDefaultToolBarButtonDelete())
				connEtoC2(e);
		}
		/**
		 * @param e javax.swing.event.ListDataEvent
		 * @see javax.swing.event.ListDataListener#contentsChanged(ListDataEvent)
		 */
		public void contentsChanged(javax.swing.event.ListDataEvent e) {
			if (e.getSource() == JRectangularMapToolbar.this.getAddComboBoxModelIntern())
				connEtoC4();
		}
		/**
		 * @param e javax.swing.event.ListDataEvent
		 * @see javax.swing.event.ListDataListener#intervalAdded(ListDataEvent)
		 */
		public void intervalAdded(javax.swing.event.ListDataEvent e) {
			if (e.getSource() == JRectangularMapToolbar.this.getAddComboBoxModelIntern())
				connEtoC4();
		}
		/**
		 * @param e javax.swing.event.ListDataEvent
		 * @see javax.swing.event.ListDataListener#intervalRemoved(ListDataEvent)
		 */
		public void intervalRemoved(javax.swing.event.ListDataEvent e) {
			if (e.getSource() == JRectangularMapToolbar.this.getAddComboBoxModelIntern())
				connEtoC4();
		}
		public void propertyChange(java.beans.PropertyChangeEvent evt) {
			if (evt.getSource() == JRectangularMapToolbar.this.getJRectangularMapIntern2()
				&& (evt.getPropertyName().equals("drawingGrid")))
				connPtoP2SetTarget();
			if (evt.getSource() == JRectangularMapToolbar.this.getJCheckBoxDrawGrid()
				&& (evt.getPropertyName().equals("selected")))
				connPtoP2SetSource();
			if (evt.getSource() == JRectangularMapToolbar.this.getAddBoundJComboBoxIntern()
				&& (evt.getPropertyName().equals("model")))
				connEtoC6(evt);
			if (evt.getSource() == JRectangularMapToolbar.this.getAddBoundJComboBoxIntern()
				&& (evt.getPropertyName().equals("model")))
				connEtoM2(evt);
			if (evt.getSource() == JRectangularMapToolbar.this.getAddBoundJComboBoxIntern()
				&& (evt.getPropertyName().equals("model")))
				connEtoC5(evt);
			if (evt.getSource() == JRectangularMapToolbar.this.getAddBoundJComboBoxIntern()
				&& (evt.getPropertyName().equals("selectedItem")))
				connEtoC7(evt);
		}
	}

	/**
	 * JRectangularMapEditor constructor comment.
	 */
	public JRectangularMapToolbar() {
		super();
		initialize();
	}

	/**
	 *
	 */
	public void addJComboBoxRepaint() {
		getAddBoundJComboBoxIntern().repaint();
	}

	/**
	 * connEtoC1:  (SelectRectangularMapStateIntern.this --> JRectangularMapEditor.eventSelectRectangularMapStateChanged()V)
	 * @param value IRectangularMapState
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC1(IRectangularMapPanelState value) {
		try {
			// user code begin {1}
			// user code end
			this.eventSelectRectangularMapStateChanged();
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC10:  (SelectJToggleButton.action.actionPerformed(java.awt.event.ActionEvent) --> JRectangularMapEditor.eventSelectRectangularMapStateChanged()V)
	 * @param arg1 java.awt.event.ActionEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC10(java.awt.event.ActionEvent arg1) {
		try {
			// user code begin {1}
			// user code end
			this.eventSelectRectangularMapStateChanged();
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC11:  (AddJToggleButton.action.actionPerformed(java.awt.event.ActionEvent) --> JRectangularMapEditor.eventAddRectangularMapStateChanged()V)
	 * @param arg1 java.awt.event.ActionEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC11(java.awt.event.ActionEvent arg1) {
		try {
			// user code begin {1}
			// user code end
			this.eventAddRectangularMapStateChanged();
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC12:  (AddRectangularMapStateIntern.this --> JRectangularMapEditor.eventAddRectangularMapStateChanged()V)
	 * @param value IRectangularMapState
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC12(IRectangularMapPanelState value) {
		try {
			// user code begin {1}
			// user code end
			this.eventAddRectangularMapStateChanged();
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC13:  (DefaultToolBarButton2.action.actionPerformed(java.awt.event.ActionEvent) --> JRectangularMapEditor.eventZoomInButtonPressed()V)
	 * @param arg1 java.awt.event.ActionEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC13(java.awt.event.ActionEvent arg1) {
		try {
			// user code begin {1}
			// user code end
			this.eventZoomOutButtonPressed();
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC14:  (DefaultToolBarButton1.action.actionPerformed(java.awt.event.ActionEvent) --> JRectangularMapEditor.eventZoomOuButtonPressed()V)
	 * @param arg1 java.awt.event.ActionEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC14(java.awt.event.ActionEvent arg1) {
		try {
			// user code begin {1}
			// user code end
			this.eventZoomInButtonPressed();
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC15:  (DefaultToolBarButton.action.actionPerformed(java.awt.event.ActionEvent) --> JRectangularMapEditor.eventZoomButtonPressed()V)
	 * @param arg1 java.awt.event.ActionEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC15(java.awt.event.ActionEvent arg1) {
		try {
			// user code begin {1}
			// user code end
			this.eventZoomButtonPressed();
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC2:  (AddJToggleButton.action.actionPerformed(java.awt.event.ActionEvent) --> JRectangularMapEditor.setAddCursor()V)
	 * @param arg1 java.awt.event.ActionEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC2(java.awt.event.ActionEvent arg1) {
		try {
			// user code begin {1}
			// user code end
			this.eventRemoveRectangularMapStateChanged();
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC3:  (RemoveRectangularMapStateIntern.this --> JRectangularMapEditor.eventSelectRectangularMapStateChanged()V)
	 * @param value IRectangularMapState
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC3(IRectangularMapPanelState value) {
		try {
			// user code begin {1}
			// user code end
			this.eventSelectRectangularMapStateChanged();
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC4:  (AddComboBoxModelIntern.listData. --> JRectangularMapToolbar.eventComboBoxItemCountChanged()V)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC4() {
		try {
			// user code begin {1}
			// user code end
			this.eventComboBoxItemCountChanged();
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC5:  (AddBoundJComboBoxIntern.model --> JRectangularMapEditor.firePropertyChange(Ljava.lang.String;Ljava.lang.Object;Ljava.lang.Object;)V)
	 * @param arg1 java.beans.PropertyChangeEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC5(java.beans.PropertyChangeEvent arg1) {
		try {
			// user code begin {1}
			// user code end
			this.firePropertyChange("addJComboBoxModel", arg1.getOldValue(), arg1.getNewValue());
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC6:  (AddBoundJComboBoxIntern.model --> JRectangularMapToolbar.eventComboBoxItemCountChanged()V)
	 * @param arg1 java.beans.PropertyChangeEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC6(java.beans.PropertyChangeEvent arg1) {
		try {
			// user code begin {1}
			// user code end
			this.eventComboBoxItemCountChanged();
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC7:  (AddBoundJComboBoxIntern.selectedItem --> JRectangularMapToolbar.firePropertyChange(Ljava.lang.String;Ljava.lang.Object;Ljava.lang.Object;)V)
	 * @param arg1 java.beans.PropertyChangeEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC7(java.beans.PropertyChangeEvent arg1) {
		try {
			// user code begin {1}
			// user code end
			this.firePropertyChange("addJComboBoxSelectedItem", arg1.getOldValue(), arg1.getNewValue());
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoM1:  (JScrollRectangularMapIntern.this --> JRectangularMapIntern.this)
	 * @param value JScrollRectangularMap
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoM1(JScrollRectangularMap value) {
		try {
			// user code begin {1}
			// user code end
			if ((getJScrollRectangularMapIntern() != null)) {
				setJRectangularMapIntern2(getJScrollRectangularMapIntern().getJRectangularMap());
			}
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoM2:  (AddBoundJComboBoxIntern.model --> AddComboBoxModelIntern.this)
	 * @param arg1 java.beans.PropertyChangeEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoM2(java.beans.PropertyChangeEvent arg1) {
		try {
			// user code begin {1}
			// user code end
			setAddComboBoxModelIntern(getAddBoundJComboBoxIntern().getModel());
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connPtoP2SetSource:  (JRectangularMapIntern.drawingGrid <--> JCheckBoxDrawGrid.selected)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connPtoP2SetSource() {
		/* Set the source from the target */
		try {
			if (ivjConnPtoP2Aligning == false) {
				// user code begin {1}
				// user code end
				ivjConnPtoP2Aligning = true;
				if ((getJRectangularMapIntern2() != null)) {
					getJRectangularMapIntern2().setDrawingGrid(getJCheckBoxDrawGrid().isSelected());
				}
				// user code begin {2}
				// user code end
				ivjConnPtoP2Aligning = false;
			}
		} catch (java.lang.Throwable ivjExc) {
			ivjConnPtoP2Aligning = false;
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connPtoP2SetTarget:  (JRectangularMapIntern.drawingGrid <--> JCheckBoxDrawGrid.selected)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connPtoP2SetTarget() {
		/* Set the target from the source */
		try {
			if (ivjConnPtoP2Aligning == false) {
				// user code begin {1}
				// user code end
				ivjConnPtoP2Aligning = true;
				if ((getJRectangularMapIntern2() != null)) {
					getJCheckBoxDrawGrid().setSelected(getJRectangularMapIntern2().isDrawingGrid());
				}
				// user code begin {2}
				// user code end
				ivjConnPtoP2Aligning = false;
			}
		} catch (java.lang.Throwable ivjExc) {
			ivjConnPtoP2Aligning = false;
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	protected void eventAddRectangularMapStateChanged() {
		setAddCursor();
		getJRectangularMap().setRectangularMapState(getAddRectangularMapState());
		getAddBoundJComboBoxIntern().setEnabled(true);

		getDefaultToolBarButtonSelect().setSelected(false);
		getDefaultToolBarButtonAdd().setSelected(true);
		getDefaultToolBarButtonDelete().setSelected(false);
	}

	protected void eventComboBoxItemCountChanged() {

		if (getAddBoundJComboBoxIntern().getItemCount() > 0) {
			getDefaultToolBarButtonAdd().setEnabled(true);
			getDefaultToolBarButtonDelete().setEnabled(true);

			if (getAddBoundJComboBoxIntern().getSelectedIndex() == -1) {
				getAddBoundJComboBoxIntern().setSelectedItem(
					getAddBoundJComboBoxIntern().getModel().getElementAt(0));
			}

		} else {
			getDefaultToolBarButtonAdd().setEnabled(false);
			getDefaultToolBarButtonDelete().setEnabled(false);

			getAddBoundJComboBoxIntern().getModel().setSelectedItem(null);
		}
	}

	protected void eventContainerEvents(java.awt.event.ComponentEvent componentEvent) {
		eventZoomButtonPressed();
	}

	protected void eventRemoveRectangularMapStateChanged() {
		setRemoveCursor();
		getJRectangularMap().setRectangularMapState(getRemoveRectangularMapState());
		getAddBoundJComboBoxIntern().setEnabled(false);

		getDefaultToolBarButtonSelect().setSelected(false);
		getDefaultToolBarButtonAdd().setSelected(false);
		getDefaultToolBarButtonDelete().setSelected(true);
	}

	protected void eventSelectRectangularMapStateChanged() {
		setSelectCursor();
		getJRectangularMap().setRectangularMapState(getSelectRectangularMapState());
		getAddBoundJComboBoxIntern().setEnabled(false);

		getDefaultToolBarButtonSelect().setSelected(true);
		getDefaultToolBarButtonAdd().setSelected(false);
		getDefaultToolBarButtonDelete().setSelected(false);
	}

	protected void eventZoomButtonPressed() {
		if (getJScrollRectangularMap() != null) {
			getJScrollRectangularMap().doEqualSize();
		}
	}

	protected void eventZoomInButtonPressed() {
		getJRectangularMap().setRectangleHeight(
			(int)Math.ceil(1.1 * getJRectangularMap().getRectangleHeight()));
		getJRectangularMap().setRectangleWidth(
			(int)Math.ceil(1.1 * getJRectangularMap().getRectangleWidth()));
	}

	protected void eventZoomOutButtonPressed() {
		getJRectangularMap().setRectangleHeight(
			(int)Math.floor(0.9 * getJRectangularMap().getRectangleHeight()));
		getJRectangularMap().setRectangleWidth(
			(int)Math.floor(0.9 * getJRectangularMap().getRectangleWidth()));
	}

	/**
	 * Return the AddBoundJComboBoxIntern property value.
	 * @return com.ibm.easyswing.BoundJComboBox
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private com.ibm.easyswing.BoundJComboBox getAddBoundJComboBoxIntern() {
		if (ivjAddBoundJComboBoxIntern == null) {
			try {
				ivjAddBoundJComboBoxIntern = new com.ibm.easyswing.BoundJComboBox();
				ivjAddBoundJComboBoxIntern.setName("AddBoundJComboBoxIntern");
				ivjAddBoundJComboBoxIntern.setEnabled(false);
				ivjAddBoundJComboBoxIntern.setBounds(660, 701, 130, 23);
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjAddBoundJComboBoxIntern;
	}

	/**
	 * Return the AddComboBoxModelIntern property value.
	 * @return javax.swing.ComboBoxModel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.ComboBoxModel getAddComboBoxModelIntern() {
		// user code begin {1}
		// user code end
		return ivjAddComboBoxModelIntern;
	}

	/**
	 * Method generated to support the promotion of the addJComboBoxModel attribute.
	 * @return javax.swing.ComboBoxModel
	 */
	public javax.swing.ComboBoxModel getAddJComboBoxModel() {
		return getAddBoundJComboBoxIntern().getModel();
	}

	/**
	 * Method generated to support the promotion of the addJComboBoxRenderer attribute.
	 * @return javax.swing.ListCellRenderer
	 */
	public javax.swing.ListCellRenderer getAddJComboBoxRenderer() {
		return getAddBoundJComboBoxIntern().getRenderer();
	}

	/**
	 * Method generated to support the promotion of the addJComboBoxSelectedItem attribute.
	 * @return java.lang.Object
	 */
	public java.lang.Object getAddJComboBoxSelectedItem() {
		return getAddBoundJComboBoxIntern().getSelectedItem();
	}

	/**
	 * Method generated to support the promotion of the addRectangularMapState attribute.
	 * @return IRectangularMapState
	 */
	public IRectangularMapPanelState getAddRectangularMapState() {
		return getAddRectangularMapStateIntern();
	}

	/**
	 * Return the AddRectangularMapStateIntern property value.
	 * @return IRectangularMapState
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private IRectangularMapPanelState getAddRectangularMapStateIntern() {
		// user code begin {1}
		// user code end
		return ivjAddRectangularMapStateIntern;
	}

	/**
	 * Return the DefaultToolBarButtonAdd property value.
	 * @return javax.swing.JToggleButton
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JToggleButton getDefaultToolBarButtonAdd() {
		if (ivjDefaultToolBarButtonAdd == null) {
			try {
				ivjDefaultToolBarButtonAdd = new javax.swing.JToggleButton();
				ivjDefaultToolBarButtonAdd.setName("DefaultToolBarButtonAdd");
				ivjDefaultToolBarButtonAdd.setText("");
				ivjDefaultToolBarButtonAdd.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
				ivjDefaultToolBarButtonAdd.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
				ivjDefaultToolBarButtonAdd.setIcon(
					SwingMoreUtilities.getJavaSunIcon(24, "general/User24.gif"));
				ivjDefaultToolBarButtonAdd.setMargin(new java.awt.Insets(0, 0, 0, 0));
				ivjDefaultToolBarButtonAdd.setBounds(466, 689, 31, 31);
				ivjDefaultToolBarButtonAdd.setEnabled(false);
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjDefaultToolBarButtonAdd;
	}

	/**
	 * Return the DefaultToolBarButtonDelete property value.
	 * @return javax.swing.JToggleButton
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JToggleButton getDefaultToolBarButtonDelete() {
		if (ivjDefaultToolBarButtonDelete == null) {
			try {
				ivjDefaultToolBarButtonDelete = new javax.swing.JToggleButton();
				ivjDefaultToolBarButtonDelete.setName("DefaultToolBarButtonDelete");
				ivjDefaultToolBarButtonDelete.setText("");
				ivjDefaultToolBarButtonDelete.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
				ivjDefaultToolBarButtonDelete.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
				ivjDefaultToolBarButtonDelete.setIcon(
					SwingMoreUtilities.getJavaSunIcon(24, "general/UserDelete24.gif"));
				ivjDefaultToolBarButtonDelete.setMargin(new java.awt.Insets(0, 0, 0, 0));
				ivjDefaultToolBarButtonDelete.setBounds(568, 697, 31, 31);
				ivjDefaultToolBarButtonDelete.setEnabled(false);
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjDefaultToolBarButtonDelete;
	}

	/**
	 * Return the DefaultToolBarButton2 property value.
	 * @return javax.swing.JButton
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JButton getDefaultToolBarButtonOut() {
		if (ivjDefaultToolBarButtonOut == null) {
			try {
				ivjDefaultToolBarButtonOut = new javax.swing.JButton();
				ivjDefaultToolBarButtonOut.setName("DefaultToolBarButtonOut");
				ivjDefaultToolBarButtonOut.setText("");
				ivjDefaultToolBarButtonOut.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
				ivjDefaultToolBarButtonOut.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
				ivjDefaultToolBarButtonOut.setIcon(
					SwingMoreUtilities.getJavaSunIcon(24, "general/ZoomOut24.gif"));
				ivjDefaultToolBarButtonOut.setMargin(new java.awt.Insets(0, 0, 0, 0));
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjDefaultToolBarButtonOut;
	}

	/**
	 * Return the DefaultToolBarButtonSelect property value.
	 * @return javax.swing.JToggleButton
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JToggleButton getDefaultToolBarButtonSelect() {
		if (ivjDefaultToolBarButtonSelect == null) {
			try {
				ivjDefaultToolBarButtonSelect = new javax.swing.JToggleButton();
				ivjDefaultToolBarButtonSelect.setName("DefaultToolBarButtonSelect");
				ivjDefaultToolBarButtonSelect.setText("");
				ivjDefaultToolBarButtonSelect.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
				ivjDefaultToolBarButtonSelect.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
				ivjDefaultToolBarButtonSelect.setIcon(
					SwingMoreUtilities.getJavaSunIcon(24, "general/Select24.gif"));
				ivjDefaultToolBarButtonSelect.setSelected(true);
				ivjDefaultToolBarButtonSelect.setMargin(new java.awt.Insets(0, 0, 0, 0));
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjDefaultToolBarButtonSelect;
	}

	/**
	 * Return the DefaultToolBarButton property value.
	 * @return javax.swing.JButton
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JButton getDefaultToolBarButtonZoom() {
		if (ivjDefaultToolBarButtonZoom == null) {
			try {
				ivjDefaultToolBarButtonZoom = new javax.swing.JButton();
				ivjDefaultToolBarButtonZoom.setName("DefaultToolBarButtonZoom");
				ivjDefaultToolBarButtonZoom.setText("");
				ivjDefaultToolBarButtonZoom.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
				ivjDefaultToolBarButtonZoom.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
				ivjDefaultToolBarButtonZoom.setIcon(
					SwingMoreUtilities.getJavaSunIcon(24, "general/Zoom24.gif"));
				ivjDefaultToolBarButtonZoom.setMargin(new java.awt.Insets(0, 0, 0, 0));
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjDefaultToolBarButtonZoom;
	}

	/**
	 * Return the DefaultToolBarButton1 property value.
	 * @return javax.swing.JButton
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JButton getDefaultToolBarButtonZoomIn() {
		if (ivjDefaultToolBarButtonZoomIn == null) {
			try {
				ivjDefaultToolBarButtonZoomIn = new javax.swing.JButton();
				ivjDefaultToolBarButtonZoomIn.setName("DefaultToolBarButtonZoomIn");
				ivjDefaultToolBarButtonZoomIn.setText("");
				ivjDefaultToolBarButtonZoomIn.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
				ivjDefaultToolBarButtonZoomIn.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
				ivjDefaultToolBarButtonZoomIn.setIcon(
					SwingMoreUtilities.getJavaSunIcon(24, "general/ZoomIn24.gif"));
				ivjDefaultToolBarButtonZoomIn.setMargin(new java.awt.Insets(0, 0, 0, 0));
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjDefaultToolBarButtonZoomIn;
	}

	/**
	 * Return the JCheckBoxDrawGrid property value.
	 * @return com.ibm.easyswing.BoundJCheckBox
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private com.ibm.easyswing.BoundJCheckBox getJCheckBoxDrawGrid() {
		if (ivjJCheckBoxDrawGrid == null) {
			try {
				ivjJCheckBoxDrawGrid = new com.ibm.easyswing.BoundJCheckBox();
				ivjJCheckBoxDrawGrid.setName("JCheckBoxDrawGrid");
				ivjJCheckBoxDrawGrid.setText("Grid");
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJCheckBoxDrawGrid;
	}

	protected JRectangularMap getJRectangularMap() {
		if (getJScrollRectangularMap() != null)
			return getJScrollRectangularMap().getJRectangularMap();
		else
			return null;
	}

	/**
	 * Return the JRectangularMapIntern property value.
	 * @return JRectangularMap
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private JRectangularMap getJRectangularMapIntern2() {
		// user code begin {1}
		// user code end
		return ivjJRectangularMapIntern2;
	}

	/**
	 * Method generated to support the promotion of the jScrollRectangularMap attribute.
	 * @return JScrollRectangularMap
	 */
	public JScrollRectangularMap getJScrollRectangularMap() {
		return getJScrollRectangularMapIntern();
	}

	/**
	 * Return the JScrollRectangularMapIntern property value.
	 * @return JScrollRectangularMap
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private JScrollRectangularMap getJScrollRectangularMapIntern() {
		// user code begin {1}
		// user code end
		return ivjJScrollRectangularMapIntern;
	}

	/**
	 * Method generated to support the promotion of the removeRectangularMapState attribute.
	 * @return IRectangularMapState
	 */
	public IRectangularMapPanelState getRemoveRectangularMapState() {
		return getRemoveRectangularMapStateIntern();
	}

	/**
	 * Return the RemoveRectangularMapStateIntern property value.
	 * @return IRectangularMapState
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private IRectangularMapPanelState getRemoveRectangularMapStateIntern() {
		// user code begin {1}
		// user code end
		return ivjRemoveRectangularMapStateIntern;
	}

	/**
	 * Method generated to support the promotion of the selectRectangularMapState attribute.
	 * @return IRectangularMapState
	 */
	public IRectangularMapPanelState getSelectRectangularMapState() {
		return getSelectRectangularMapStateIntern();
	}

	/**
	 * Return the SelectRectangularMapStateIntern property value.
	 * @return IRectangularMapState
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private IRectangularMapPanelState getSelectRectangularMapStateIntern() {
		// user code begin {1}
		// user code end
		return ivjSelectRectangularMapStateIntern;
	}

	/**
	 * Called whenever the part throws an exception.
	 * @param exception java.lang.Throwable
	 */
	private void handleException(java.lang.Throwable exception) {

		System.out.println("--------- UNCAUGHT EXCEPTION ---------");
		exception.printStackTrace(System.out);
	}

	/**
	 * Initializes connections
	 * @exception java.lang.Exception The exception description.
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void initConnections() throws java.lang.Exception {
		// user code begin {1}
		// user code end
		getDefaultToolBarButtonOut().addActionListener(ivjEventHandler);
		getDefaultToolBarButtonZoomIn().addActionListener(ivjEventHandler);
		getDefaultToolBarButtonZoom().addActionListener(ivjEventHandler);
		getDefaultToolBarButtonSelect().addActionListener(ivjEventHandler);
		getDefaultToolBarButtonAdd().addActionListener(ivjEventHandler);
		getDefaultToolBarButtonDelete().addActionListener(ivjEventHandler);
		getJCheckBoxDrawGrid().addPropertyChangeListener(ivjEventHandler);
		getAddBoundJComboBoxIntern().addPropertyChangeListener(ivjEventHandler);
		connPtoP2SetTarget();
	}

	/**
	 * Initialize the class.
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void initialize() {
		try {
			// user code begin {1}
			// user code end
			setName("JRectangularMapEditor");
			setSize(312, 39);
			add(getDefaultToolBarButtonSelect());
			addSeparator();
			add(getDefaultToolBarButtonZoom());
			add(getDefaultToolBarButtonZoomIn());
			add(getDefaultToolBarButtonOut());
			addSeparator();
			add(getJCheckBoxDrawGrid());
			initConnections();
		} catch (java.lang.Throwable ivjExc) {
			handleException(ivjExc);
		}
		// user code begin {2}
		putClientProperty("JToolBar.isRollover", Boolean.TRUE);
		setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT, 0, 0));
		// user code end
	}

	/**
	 * @return boolean
	 */
	public boolean isAddRemoveAndAddButtons() {
		return _addRemoveAndAddButtons;
	}

	/**
	 * main entrypoint - starts the part when it is run as an application
	 * @param args java.lang.String[]
	 */
	public static void main(java.lang.String[] args) {
		try {
			JFrame frame = new javax.swing.JFrame();
			JRectangularMapEditor aJRectangularMapEditor;
			aJRectangularMapEditor = new JRectangularMapEditor();
			frame.setContentPane(aJRectangularMapEditor);
			frame.setSize(aJRectangularMapEditor.getSize());
			frame.addWindowListener(new java.awt.event.WindowAdapter() {
				public void windowClosing(java.awt.event.WindowEvent e) {
					System.exit(0);
				}
			});
			frame.show();
			java.awt.Insets insets = frame.getInsets();
			frame.setSize(
				frame.getWidth() + insets.left + insets.right,
				frame.getHeight() + insets.top + insets.bottom);
			frame.setVisible(true);
		} catch (Throwable exception) {
			System.err.println("Exception occurred in main() of javax.swing.JPanel");
			exception.printStackTrace(System.out);
		}
	}

	/**
	 * Set the AddComboBoxModelIntern to a new value.
	 * @param newValue javax.swing.ComboBoxModel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void setAddComboBoxModelIntern(javax.swing.ComboBoxModel newValue) {
		if (ivjAddComboBoxModelIntern != newValue) {
			try {
				javax.swing.ComboBoxModel oldValue = getAddComboBoxModelIntern();
				/* Stop listening for events from the current object */
				if (ivjAddComboBoxModelIntern != null) {
					ivjAddComboBoxModelIntern.removeListDataListener(ivjEventHandler);
				}
				ivjAddComboBoxModelIntern = newValue;

				/* Listen for events from the new object */
				if (ivjAddComboBoxModelIntern != null) {
					ivjAddComboBoxModelIntern.addListDataListener(ivjEventHandler);
				}
				firePropertyChange("addJComboBoxModel", oldValue, newValue);
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		// user code begin {3}
		// user code end
	}

	protected void setAddCursor() {
		getJRectangularMap().setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
	}

	/**
	 * Method generated to support the promotion of the addJComboBoxModel attribute.
	 * @param arg1 javax.swing.ComboBoxModel
	 */
	public void setAddJComboBoxModel(javax.swing.ComboBoxModel arg1) {
		getAddBoundJComboBoxIntern().setModel(arg1);

		eventComboBoxItemCountChanged();
	}

	/**
	 * Method generated to support the promotion of the addJComboBoxRenderer attribute.
	 * @param arg1 javax.swing.ListCellRenderer
	 */
	public void setAddJComboBoxRenderer(javax.swing.ListCellRenderer arg1) {
		getAddBoundJComboBoxIntern().setRenderer(arg1);
	}

	/**
	 * Method generated to support the promotion of the addJComboBoxSelectedItem attribute.
	 * @param arg1 java.lang.Object
	 */
	public void setAddJComboBoxSelectedItem(java.lang.Object arg1) {
		getAddBoundJComboBoxIntern().setSelectedItem(arg1);
	}

	/**
	 * Method generated to support the promotion of the addRectangularMapState attribute.
	 * @param arg1 IRectangularMapState
	 */
	public void setAddRectangularMapState(IRectangularMapPanelState arg1) {
		setAddRectangularMapStateIntern(arg1);
	}

	/**
	 * Set the AddRectangularMapStateIntern to a new value.
	 * @param newValue IRectangularMapState
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void setAddRectangularMapStateIntern(IRectangularMapPanelState newValue) {
		if (ivjAddRectangularMapStateIntern != newValue) {
			try {
				IRectangularMapPanelState oldValue = getAddRectangularMapStateIntern();
				ivjAddRectangularMapStateIntern = newValue;
				connEtoC12(ivjAddRectangularMapStateIntern);
				firePropertyChange("removeRectangularMapState", oldValue, newValue);
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		// user code begin {3}
		// user code end
	}

	/**
	 * @param newSettings boolean
	 */
	public void setAddRemoveAndAddButtons(boolean newSettings) {
		if (newSettings != isAddRemoveAndAddButtons()) {
			_addRemoveAndAddButtons = newSettings;

			if (newSettings) {
				remove(getJCheckBoxDrawGrid());
				addSeparator();
				add(getDefaultToolBarButtonAdd());
				add(getDefaultToolBarButtonDelete());
				addSeparator();
				add(getAddBoundJComboBoxIntern());
				addSeparator();
				add(getJCheckBoxDrawGrid());

			} else {
				int size = getComponentCount();
				for (int i = 0; i < 7; i++) {
					remove(size - i);
				}

				add(getJCheckBoxDrawGrid());
			}
		}

	}

	protected void setIconOrText(IRectangularMapPanelState rectangularMapState, JToggleButton button) {
		Icon icon = rectangularMapState.getIcon();
		if (icon == null) {
			button.setText(rectangularMapState.getName());
			button.setIcon(null);

		} else {
			button.setText("");
			button.setIcon(icon);
		}
	}

	/**
	 * Set the JRectangularMapIntern to a new value.
	 * @param newValue JRectangularMap
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void setJRectangularMapIntern2(JRectangularMap newValue) {
		if (ivjJRectangularMapIntern2 != newValue) {
			try {
				/* Stop listening for events from the current object */
				if (ivjJRectangularMapIntern2 != null) {
					ivjJRectangularMapIntern2.removePropertyChangeListener(ivjEventHandler);
				}
				ivjJRectangularMapIntern2 = newValue;

				/* Listen for events from the new object */
				if (ivjJRectangularMapIntern2 != null) {
					ivjJRectangularMapIntern2.addPropertyChangeListener(ivjEventHandler);
				}
				connPtoP2SetTarget();
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		// user code begin {3}
		// user code end
	}

	/**
	 * Method generated to support the promotion of the jScrollRectangularMap attribute.
	 * @param arg1 JScrollRectangularMap
	 */
	public void setJScrollRectangularMap(JScrollRectangularMap arg1) {
		setJScrollRectangularMapIntern(arg1);
	}

	/**
	 * Set the JScrollRectangularMapIntern to a new value.
	 * @param newValue JScrollRectangularMap
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void setJScrollRectangularMapIntern(JScrollRectangularMap newValue) {
		if (ivjJScrollRectangularMapIntern != newValue) {
			try {
				JScrollRectangularMap oldValue = getJScrollRectangularMapIntern();
				ivjJScrollRectangularMapIntern = newValue;
				connEtoM1(ivjJScrollRectangularMapIntern);
				firePropertyChange("JScrollRectangularMap", oldValue, newValue);
				// user code begin {1}

				setSelectRectangularMapState(new SelectRectangularMapPanelState(getJRectangularMap()));
				setAddRectangularMapState(new AddRectangularMapPanelState(getJRectangularMap()));
				setRemoveRectangularMapState(new RemoveRectangularMapPanelState(getJRectangularMap()));

				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		// user code begin {3}
		// user code end
	}

	protected void setRemoveCursor() {
		getJRectangularMap().setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
	}

	/**
	 * Method generated to support the promotion of the removeRectangularMapState attribute.
	 * @param arg1 IRectangularMapState
	 */
	public void setRemoveRectangularMapState(IRectangularMapPanelState arg1) {
		setRemoveRectangularMapStateIntern(arg1);
	}

	/**
	 * Set the RemoveRectangularMapStateIntern to a new value.
	 * @param newValue IRectangularMapState
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void setRemoveRectangularMapStateIntern(IRectangularMapPanelState newValue) {
		if (ivjRemoveRectangularMapStateIntern != newValue) {
			try {
				IRectangularMapPanelState oldValue = getRemoveRectangularMapStateIntern();
				ivjRemoveRectangularMapStateIntern = newValue;
				connEtoC3(ivjRemoveRectangularMapStateIntern);
				firePropertyChange("removeRectangularMapState", oldValue, newValue);
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		// user code begin {3}
		// user code end
	}

	protected void setSelectCursor() {
		getJRectangularMap().setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
	}

	/**
	 * Method generated to support the promotion of the selectRectangularMapState attribute.
	 * @param arg1 IRectangularMapState
	 */
	public void setSelectRectangularMapState(IRectangularMapPanelState arg1) {
		setSelectRectangularMapStateIntern(arg1);
	}

	/**
	 * Set the SelectRectangularMapStateIntern to a new value.
	 * @param newValue IRectangularMapState
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void setSelectRectangularMapStateIntern(IRectangularMapPanelState newValue) {
		if (ivjSelectRectangularMapStateIntern != newValue) {
			try {
				IRectangularMapPanelState oldValue = getSelectRectangularMapStateIntern();
				ivjSelectRectangularMapStateIntern = newValue;
				connEtoC1(ivjSelectRectangularMapStateIntern);
				firePropertyChange("removeRectangularMapState", oldValue, newValue);
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		// user code begin {3}
		// user code end
	}

	protected void toolbarButtonChanged(javax.swing.AbstractButton button) {
		if (button == null)
			getDefaultToolBarButtonSelect().setSelected(true);
	}
}