package de.uniwue.ki.gui.util.timetable;

/**
 * @author herrler
 *
 * herrler@ki.informatik.uni-wuerzburg.de
 */
public interface ISchedulePanel {

    public void addContextAction(IAppointmentContextAction action);
    
	/**
	 * Returns the _columnWidth.
	 * @return int
	 */
	public int getColumnWidth();
	
	/**
	 * Sets the _columnWidth.
	 * @param _columnWidth The _columnWidth to set
	 */
	public void setColumnWidth(int _columnWidth);
	
	/**
	 * Returns the _renderer.
	 * @return IAppointmentRenderer
	 */
	public IAppointmentRenderer getRenderer();
	
	/**
	 * Sets the _renderer.
	 * @param _renderer The _renderer to set
	 */
	public void setRenderer(IAppointmentRenderer _renderer);

	public void setStartHour(int _startHour);

	public int getStartHour();

	public void setEndHour(int _startHour);

	public int getEndHour();
}
