package de.uniwue.ki.mas.application.remote;

/**
 * Creation date: 04.09.2002 = "GET "; 19:19:00
 * @author oechslein
 */
public interface IRemoteProtocolConstants {

	RemoteClientState ERROR_STATE = new RemoteClientState("Error", -1);
	RemoteClientState NO_MODEL_STATE = new RemoteClientState("No Model", 0);
	RemoteClientState HAS_MODEL_STATE = new RemoteClientState("Has Model", 1);
	RemoteClientState RUNNING_STATE = new RemoteClientState("Running", 2);
	RemoteClientState FINISHED_STATE = new RemoteClientState("Finished", 3);
	RemoteClientState PAUSED_STATE = new RemoteClientState("Paused", 4);
	RemoteClientState DISALLOW_SIMULATION_STATE = new RemoteClientState("Disallow Simulation", 5);
	RemoteClientState INITIALIZED_STATE = new RemoteClientState("Initialized", 6);
	RemoteClientState FINISHED_WITH_ERRORS_STATE = new RemoteClientState("Finished With Errors", 7);

	String REMOTE_INFO_STRING = "GET REMOTE INFO";

	String DETAIL_REMOTE_INFO_STRING = "GET DETAIL INFO";

	String LOAD_MODEL_FILE_STRING = "LOAD FILE";

	String LOAD_MODEL_STREAM_STRING = "LOAD STREAM";

	String START_SIM_STRING = "START SIM";

	String STOP_SIM_STRING = "STOP SIM";

	String PAUSE_SIM_STRING = "PAUSE SIM";

	String UNPAUSE_SIM_STRING = "UNPAUSE SIM";

	String ALLOW_SIM_STRING = "ALLOW SIM";

	String CLOSE_CONNECTION_STRING = "CLOSE CONNECTION";

	String RESTART_STRING = "RESTART";

	String QUIT_STRING = "QUIT";

	String GET_ANALYSIS_STRING = "GET ANALYSIS";
	String REMOVE_ANALYSIS_STRING = "REMOVE ANALYSIS";
	String REMOVE_UNFINISHED_ANALYSIS_STRING = "REMOVE UNFINISHED ANALYSIS";

	String SET_TIME_SCHEDULE_STRING = "SET TIME SCHEDULE";
	String GET_TIME_SCHEDULE_STRING = "GET TIME SCHEDULE";
}