package de.uniwue.ki.mas.basics.action;

import de.uniwue.ki.mas.basics.function.*;
import de.uniwue.ki.mas.model.SimulationRuntimeException;

/**
 * Creation date: (04.09.2001 15:46:50)
 * @author Christoph Oechslein
 */

public abstract class AbstractFunctionAction extends AbstractFunction implements IFunction {

	public Object execute(IExecuteFunctionArgs executeFunctionArgs) throws SimulationRuntimeException {
		throw new WrongFunctionTypeException("execute");
	}

	public AbstractFunctionAction() {
		super();
	}

	public abstract void act(IExecuteFunctionArgs executeFunctionArgs) throws SimulationRuntimeException;
}
