package de.uniwue.ki.mas.basics.action;
import de.uniwue.ki.mas.basics.functionCall.IFunctionCallDeclaration;
import de.uniwue.ki.mas.basics.type.VoidType;
import de.uniwue.ki.mas.util.declaration.DefaultDeclarationList;
import de.uniwue.ki.util.Utils;

/**
 * Creation date: (07.11.2000 10:13:49)
 * @author Christoph Oechslein
 */
public class FunctionActionCallDeclarationList extends DefaultDeclarationList {
	public FunctionActionCallDeclarationList() {
		super();
	}

	public boolean accept(Object decl) {
		return (decl instanceof IFunctionCallDeclaration)
			&& (Utils.equals(((IFunctionCallDeclaration) decl).getSpecificOutputType(), VoidType.getInstance()));
	}
}