package de.uniwue.ki.mas.basics.action.rest;
import de.uniwue.ki.mas.basics.action.FunctionActionFactory;
import de.uniwue.ki.mas.basics.function.*;
import de.uniwue.ki.mas.basics.functionDeclaration.AbstractSpecificFunctionUnlimitedArgsDeclaration;
import de.uniwue.ki.mas.basics.type.VoidType;

/**
 * Creation date: (01.10.2001 16:25:22)
 * @author Christoph Oechslein
 */

final class BlockSpecificFunctionDeclaration extends AbstractSpecificFunctionUnlimitedArgsDeclaration {
	public BlockSpecificFunctionDeclaration() {
		super("Block", VoidType.getInstance(), VoidType.getInstance(), 0, 2);

		setDocumentation("Allows to use more than one action at once");
	}

	public IFunction createFunction(ICreateFunctionArgs createFunctionArgs, IFunctionList functions) {
		return FunctionActionFactory.createFunctionAction(functions);
	}
}