package de.uniwue.ki.mas.basics.action.simulation;

import junit.framework.Assert;
import de.uniwue.ki.mas.basics.action.AbstractFunctionActionDeclaration;
import de.uniwue.ki.mas.basics.function.*;
import de.uniwue.ki.mas.basics.type.ObjectInstanceDeclarationType;
import de.uniwue.ki.util.collection.CollectionsHelper;

/**
 * Creation date: 11.09.2002, 12:53:25
 * @author oechslein
 */
final class FunctionActionDeclarationCreateObject extends AbstractFunctionActionDeclaration {

	public FunctionActionDeclarationCreateObject() {
		super(
			FunctionActionCreateObject.NAME,
			CollectionsHelper.createList(ObjectInstanceDeclarationType.getInstance()));

		setDocumentation("Creates a new object of object class (Arg1) with standard values");
	}

	public IFunction createFunction(ICreateFunctionArgs createFunctionArgs, IFunctionList functions) {

		Assert.assertEquals(1, functions.size());
		return new FunctionActionCreateObject((IFunction) functions.get(0));
	}
}
