package de.uniwue.ki.mas.basics.feature.evolution;
import de.uniwue.ki.mas.entity.object.IObject;
import de.uniwue.ki.mas.entity.object.IObjectExecuteFunctionArgs;
import de.uniwue.ki.mas.model.SimulationRuntimeException;
/**
 * Insert the type's description here.
 * Creation date: (22.01.2002 14:23:03)
 * @author Christoph Oechslein
 */
public interface IBitStringEvolutionObjectFeature extends IEvolutionObjectFeature {

	void writeBitStringToVariables(IObjectExecuteFunctionArgs objectExecuteFunctionArgs, IObject simObject)
		throws SimulationRuntimeException;

	void writeVariablesToBitString(IObject simObject) throws SimulationRuntimeException;

	BitStringEvolutionObjectFeatureHelper getBitStringEvolutionObjectFeatureHelper();
}