package de.uniwue.ki.mas.basics.feature.spatial;

import de.uniwue.ki.util.Position2D;

/**
 * Creation date: 09.09.2002, 16:53:10
 * @author oechslein
 */
public interface ISpatialMapModelListener {
	void spatialInfoChanged(SpatialMapModelChangeEvent spatialMapModelEvent);
	void spatialInfoAdded(SpatialMapModelEvent spatialMapModelEvent);
	void spatialInfoRemoved(SpatialMapModelEvent spatialMapModelEvent);
	void spatialInfosMoved(ISpatialInfo[] movedSpatialInfos, Position2D[] oldPosition);
	void spatialMapModelChanged(SpatialMapModelChangeEvent spatialMapModelEvent);
}
