package de.uniwue.ki.mas.basics.feature.spatial;

import java.util.EventObject;

/**
 * Creation date: 09.09.2002, 16:54:11
 * @author oechslein
 */
public class SpatialMapModelEvent extends EventObject {
	private final ISpatialInfo _spatialInfo;
	public SpatialMapModelEvent(ISpatialMapModel spatialMapModel, ISpatialInfo spatialInfo) {
		super(spatialMapModel);

		_spatialInfo = spatialInfo;
	}

	public SpatialMapModelEvent(ISpatialMapModel spatialMapModel) {
		super(spatialMapModel);
		_spatialInfo = null;
	}

	public ISpatialMapModel getSpatialMapModel() {
		return (ISpatialMapModel) getSource();
	}

	public final ISpatialInfo getSpatialInfo() {
		return _spatialInfo;
	}
}
