package de.uniwue.ki.mas.basics.feature.spatial.function;
import de.uniwue.ki.mas.basics.feature.spatial.position.Position2DType;
import de.uniwue.ki.mas.basics.function.IFunction;

/**
 * Creation date: (04.09.2001 13:16:34)
 * @author Christoph Oechslein
 */

class BeamSpatialInfoToPositionSpecificFunctionDeclaration
	extends AbstractChangeAnySpatialFeatureSpecificFunctionDeclaration {
 
	public BeamSpatialInfoToPositionSpecificFunctionDeclaration(boolean hasSpatialInfo) {
		super(
			hasSpatialInfo,
			"BeamTo",
			Position2DType.getInstance(),
			"Beams an object (Arg1) to a position (Arg2)");
	}

	protected IFunction createNewFunction(IFunction spatialInfoFunction, IFunction changeFunction) {
		return new BeamSpatialInfoToPositionFunction(spatialInfoFunction, changeFunction);
	}
}