package de.uniwue.ki.mas.basics.feature.spatial.function;
import de.uniwue.ki.mas.basics.feature.spatial.ISpatialInfo;
import de.uniwue.ki.mas.basics.feature.spatial.ISpatialMapModel;
import de.uniwue.ki.mas.basics.function.IFunction;

/**
 * Creation date: (04.09.2001 15:46:50)
 * @author Rainer Herrler
 */

final class ChangeDrawPriorityFunction extends AbstractChangeFunction {
	public ChangeDrawPriorityFunction(IFunction spatialFunction, IFunction priorityFunction) {
		super(spatialFunction, priorityFunction);
	}

	protected void changeSpatialInfo(
		ISpatialMapModel mapModel,
		ISpatialInfo spatialInfo,
		double drawPriority) {
			
		mapModel.changeDrawPriority(spatialInfo, drawPriority);
	}

	protected String getFunctionName() {
		return "ChangeDrawPriority";
	}
}