package de.uniwue.ki.mas.basics.feature.spatial.function;
import de.uniwue.ki.mas.basics.function.IFunction;
import de.uniwue.ki.mas.basics.type.DoubleType;

/**
 * Creation date: (04.09.2001 13:15:18)
 * @author Rainer Herrler
 */

final class ChangeDrawPrioritySpecificFunctionDeclaration
	extends AbstractChangeAnySpatialFeatureSpecificFunctionDeclaration {

	public ChangeDrawPrioritySpecificFunctionDeclaration(boolean hasSpatialInfo) {
		super(
			hasSpatialInfo,
			"ChangeDrawPriority",
			DoubleType.getInstance(),
			"Changes the DrawPriority of the given spatial info. This function has no effect on simulation results, but on the animation. Agents and Ressoureces with a high priority are drawin in the front");
	}

	protected IFunction createNewFunction(IFunction spatialInfoFunction, IFunction changeFunction) {
		return new ChangeDrawPriorityFunction(spatialInfoFunction, changeFunction);
	}
}