package de.uniwue.ki.mas.basics.feature.spatial.function;
import de.uniwue.ki.mas.basics.function.IFunction;
import de.uniwue.ki.mas.basics.type.DoubleType;

/**
 * Creation date: (24.01.2001 15:27:18)
 * @author Christoph Oechslein
 */

final class ChangeSpeedToSpecificFunctionDeclaration
	extends AbstractChangeAnySpatialFeatureSpecificFunctionDeclaration {

	public ChangeSpeedToSpecificFunctionDeclaration(boolean hasSpatialInfo) {
		super(
			hasSpatialInfo,
			"ChangeSpeedTo",
			DoubleType.getInstance(),
			"Changes the speed of the given spatial info to the given value.");
	}

	protected IFunction createNewFunction(IFunction spatialInfoFunction, IFunction changeFunction) {
		return new ChangeSpeedToFunction(spatialInfoFunction, changeFunction);
	}
}