package de.uniwue.ki.mas.basics.feature.spatial.function;
import de.uniwue.ki.mas.basics.feature.spatial.ISpatialInfo;
import de.uniwue.ki.mas.basics.feature.spatial.ImageType;
import de.uniwue.ki.mas.basics.function.IFunction;

/**
 * Creation date: (04.09.2001 15:46:50)
 * @author Christoph Oechslein
 */

final class GetImageFunction extends AbstractGetObjectFunction {

	public GetImageFunction(IFunction spatialInfoFunction) {
		super(spatialInfoFunction);
	}

	protected Object getInfo(ISpatialInfo spatialInfo) {
		return ImageType.getInstance().createImage(spatialInfo);
	}

	protected String getFunctionName() {
		return "GetImage";
	}
}