package de.uniwue.ki.mas.basics.feature.spatial.function;
import de.uniwue.ki.mas.basics.feature.spatial.ISpatialInfo;
import de.uniwue.ki.mas.basics.function.IFunction;
import de.uniwue.ki.util.Position2D;

/**
 * Creation date: (04.09.2001 15:46:50)
 * @author Christoph Oechslein
 */

final class GetPositionFunction extends AbstractGetObjectFunction {

	public GetPositionFunction(IFunction spatialInfoFunction) {
		super(spatialInfoFunction);
	}

	protected Object getInfo(ISpatialInfo spatialInfo) {
		return new Position2D(spatialInfo.getPosition());
	}

	protected String getFunctionName() {
		return "GetPosition";
	}
}