package de.uniwue.ki.mas.basics.feature.spatial.function;
import de.uniwue.ki.mas.basics.feature.spatial.position.Position2DType;
import de.uniwue.ki.mas.basics.function.IFunction;

/**
 * Creation date: (01.10.2001 16:11:43)
 * @author Christoph Oechslein
 */

final class GetPositionSpecificFunctionDeclaration
	extends AbstractGetAnySpatialFeatureSpecificFunctionDeclaration {

	public GetPositionSpecificFunctionDeclaration(boolean hasSpatialFeature) {
		super(hasSpatialFeature, "GetPosition", Position2DType.getInstance(), "Returns the position of the given spatial info");
	}

	protected IFunction createNewFunction(IFunction spatialInfoFunction) {
		return new GetPositionFunction(spatialInfoFunction);
	}
}