package de.uniwue.ki.mas.basics.feature.spatial.function;

import de.uniwue.ki.mas.basics.feature.spatial.ISpatialInfo;
import de.uniwue.ki.mas.basics.function.IFunction;

/**
 * @author oechslein
 * 
 * Creation date: 07.05.2003
 */
final class GetRadiusFunction extends AbstractGetDoubleFunction {
	public GetRadiusFunction(IFunction spatialInfoFunction) {
		super(spatialInfoFunction);
	}

	protected double getInfo(ISpatialInfo spatialInfo) {
		return spatialInfo.getRadius();
	}

	protected String getFunctionName() {
		return "GetRadius";
	}
}
