package de.uniwue.ki.mas.basics.feature.spatial.function;
import de.uniwue.ki.mas.basics.function.IFunction;

/**
 * Creation date: (08.01.2002 15:28:24)
 * @author Christoph Oechslein
 */

final class GetSpeedSpecificFunctionDeclaration
	extends AbstractGetAnySpatialFeatureSpecificFunctionDeclaration {

	public GetSpeedSpecificFunctionDeclaration(boolean hasSpatialFeature) {
		super(hasSpatialFeature, "GetSpeed", "Returns the speed of the given spatial info");
	}

	protected IFunction createNewFunction(IFunction spatialFunction) {
		return new GetSpeedFunction(spatialFunction);
	}
}
