package de.uniwue.ki.mas.basics.feature.spatial.function;
import junit.framework.Assert;
import de.uniwue.ki.mas.basics.feature.spatial.ISpatialInfo;
import de.uniwue.ki.mas.entity.object.IObject;
import de.uniwue.ki.mas.entity.object.agent.IAgent;
import de.uniwue.ki.util.functions.IMapFunction;
/**
 * Creation date: (28.01.2002 10:49:56)
 * @author Christoph Oechslein
 */
public class SpatialInfoToObjectMappingFunction implements IMapFunction {
	//private final IAgent _observingAgent;

	public SpatialInfoToObjectMappingFunction(IAgent observingAgent) {
		super();

		//_observingAgent = observingAgent;
	}

	public Object map(Object anObject) {
		ISpatialInfo spatialInfo = (ISpatialInfo) anObject;
		IObject simObject = (IObject) spatialInfo.getObject();

		Assert.assertFalse(simObject.isDead());

		return simObject;
	}
}