package de.uniwue.ki.mas.basics.feature.user;

import de.uniwue.ki.mas.util.declaration.AbstractDeclarationFactory;
import de.uniwue.ki.mas.util.declaration.IDeclaration;

/**
 * Creation date: (04.09.2001 16:05:27)
 * @author Christoph Oechslein
 */

public final class UserFeatureClassDeclarationFactory extends AbstractDeclarationFactory {

	public UserFeatureClassDeclarationFactory() {
		super();
	}

	/**
	 * @return IDeclaration
	 * @see de.uniwue.ki.mas.util.declaration.IDeclarationFactory#createDeclaration()
	 */
	public final IDeclaration createDeclaration() {
		return createUserFeatureClassDeclaration();
	}

	/**
	 * @return UserFeatureClassDeclaration
	 */
	public static final UserFeatureClassDeclaration createUserFeatureClassDeclaration() {
		return new UserFeatureClassDeclaration();
	}
}
