package de.uniwue.ki.mas.basics.featureList;

import java.util.Iterator;

import de.uniwue.ki.mas.basics.feature.IFeatureClassDeclaration;
import de.uniwue.ki.mas.util.declaration.IDeclarationList;

/**
 * A list of {@link IFeatureClassDeclaration IFeatureClassDeclarations}.
 * Creation date: (15.12.2000 16:46:22)
 *
 * @author Christoph Oechslein
 */

public interface IObjectFeatureClassDeclarationList extends IDeclarationList {

	/**
	 * Returns the {@link de.uniwue.ki.mas.model.basics.function.IFunctionDeclaration function declarations}
	 * of this feature declaration list.
	 */

	Iterator getFunctionDeclarations();
	/**
	 * Returns the {@link de.uniwue.ki.mas.model.entity.variableclass.IVariableClassDeclaration variable class declaration}
	 * of this feature declaration list.
	 */

	Iterator getVariableClassDeclarations();
}
