package de.uniwue.ki.mas.basics.function;

import de.uniwue.ki.mas.basics.functionDeclaration.ISpecificFunctionDeclaration;

/**
 * For executing and creating (compiling) new <code>IFunction</code>s.
 * Creation date: (06.12.2000 10:05:04)
 *
 * @see IFunction#execute(IExecuteFunctionArgs)
 * @see ISpecificFunctionDeclaration#createFunction(ICreateFunctionArgs, IFunctionList)
 * @author Christoph Oechslein
 */

public interface ICreateAndExecuteFunctionArgs extends ICreateFunctionArgs, IExecuteFunctionArgs {
}