package de.uniwue.ki.mas.basics.function;

import de.uniwue.ki.mas.basics.functionDeclaration.ISpecificFunctionDeclaration;

/**
 * For creating (compiling) new <code>IFunction</code>s.
 * Creation date: (06.12.2000 10:05:04)
 *
 * @author Christoph Oechslein
 * @see ISpecificFunctionDeclaration#createFunction(ICreateFunctionArgs, IFunctionList)
 */

public interface ICreateFunctionArgs extends IFunctionArgs {

	void addCompilationObject(Object srcObject, Object compilationObject, boolean isomorphicTest);

	boolean existsCompilationObject(Object srcObject, boolean isomorphicTest);

	Object getCompilationObject(Object srcObject, boolean isomorphicTest);
}