package de.uniwue.ki.mas.basics.function;
import de.uniwue.ki.mas.model.SimulationRuntimeException;
import de.uniwue.ki.util.collection.IteratorWithException;

/**
 * Creation date: (28.03.2002 19:29:55)
 * @author Christoph Oechslein
 */
public interface IExecuteIterator extends IteratorWithException {

	Object nextExecute() throws SimulationRuntimeException;

	boolean nextExecuteForBoolean() throws SimulationRuntimeException;

	double nextExecuteForDouble() throws SimulationRuntimeException;

	int nextExecuteForInt() throws SimulationRuntimeException;
}