package de.uniwue.ki.mas.basics.function.iterator;
import java.util.Iterator;

import de.uniwue.ki.mas.basics.functionDeclaration.AbstractGenericFunctionDeclarationWithoutDependents;
import de.uniwue.ki.mas.basics.type.*;

/**
 * Creation date: (16.01.2002 21:29:11)
 * @author Christoph Oechslein
 */

public abstract class AbstractIteratorGenericFunctionDeclaration
	extends AbstractGenericFunctionDeclarationWithoutDependents {

	public AbstractIteratorGenericFunctionDeclaration(String name) {
		super(name, GenericIteratorType.getInstance());
	}

	protected SpecificIteratorType getSpecificIteratorType(Iterator inputArgs) {
		ISpecificType specificType = getNextSpecificType(inputArgs);

		if (specificType instanceof SpecificIteratorType)
			return (SpecificIteratorType) specificType;
		else
			return null;
	}
}