package de.uniwue.ki.mas.basics.function.object;

import java.util.List;

import de.uniwue.ki.mas.basics.functionDeclaration.AbstractSpecificFunctionArgsDeclaration;
import de.uniwue.ki.mas.basics.type.*;

/**
 * Creation date: 03.12.2002, 15:23:59
 * @author oechslein
 */
abstract class AbstractGetAllObjectsSpecificFunctionDeclaration
	extends AbstractSpecificFunctionArgsDeclaration {

	public AbstractGetAllObjectsSpecificFunctionDeclaration(String name, List inputTypes) {
		super(
			name,
			GenericIteratorType.getInstance().createSpecificIteratorType(GenericSimObjectType.getGeneralSimObjectType()),
			inputTypes,
			false);
	}
	
	public AbstractGetAllObjectsSpecificFunctionDeclaration(String name, ISpecificType outputType, List inputTypes) {
			super(
				name,
				outputType,
				inputTypes,
				false);
		}

	public String getSpecificInputTypeNameAt(int index) {
		int shift = getSpecificInputDefaultArgsLength() - 2;

		if (index == shift)
			return "incl. added";
		else if (index == shift + 1)
			return "excl. removed";
		else
			return super.getSpecificInputTypeNameAt(index);
	}
}
