package de.uniwue.ki.mas.basics.function.object;
import de.uniwue.ki.mas.basics.function.AbstractFunction;
import de.uniwue.ki.mas.basics.function.IExecuteFunctionArgs;
import de.uniwue.ki.mas.entity.object.agent.IActivityAgent;
import de.uniwue.ki.mas.entity.object.world.IWorldExecuteFunctionArgs;
import de.uniwue.ki.mas.model.SimulationRuntimeException;

/**
 * Creation date: (04.09.2001 15:46:50)
 * @author Christoph Oechslein
 */

//TODO remove this function -> is in activity decl
final class GetMyCurrentActivityFunction extends AbstractFunction {
	private static final GetMyCurrentActivityFunction _instance = new GetMyCurrentActivityFunction();

	public GetMyCurrentActivityFunction() {
		super();
	}

	public final Object execute(IExecuteFunctionArgs executeFunctionArgs) throws SimulationRuntimeException {
		IWorldExecuteFunctionArgs worldExecuteFunctionArgs = (IWorldExecuteFunctionArgs)executeFunctionArgs;

		IActivityAgent agent = (IActivityAgent)worldExecuteFunctionArgs.getObject();

		return agent.getCurrentActivityGraphLeafs()[0].getActivityGraphNodeDeclaration();
	}

	public static final GetMyCurrentActivityFunction getInstance() {
		return _instance;
	}

	public String getName() {
		return "GetMyCurrentActivity()";
	}
}