package de.uniwue.ki.mas.basics.function.string;

import de.uniwue.ki.mas.basics.function.*;
import de.uniwue.ki.mas.model.SimulationRuntimeException;

/**
 * @author credner
 * 06.08.2003	14:19:56
 */
public final class FunctionToLowerCase extends AbstractFunctionDynamic {
	private final IFunction _stringIndexFunction;

	public FunctionToLowerCase(IFunction stringIndexFunction) {
		
		super();
		_stringIndexFunction = stringIndexFunction;
	}

	public Object execute(IExecuteFunctionArgs executeFunctionArgs) throws SimulationRuntimeException {
		String string = (String) _stringIndexFunction.execute(executeFunctionArgs);
		return string.toLowerCase();	
	}
	
	
	public String getName() {
		return getNameIntern();
	}	

}
