package de.uniwue.ki.mas.basics.functionDeclaration.list;

import java.util.Iterator;

import de.uniwue.ki.util.collection.CollectionsHelper;
import de.uniwue.ki.util.functions.IPredicateFunction;

/**
 * Creation date: 31.07.2002, 11:01:59
 * @author oechslein
 */
public class FilterFunctionDeclarationListAble extends AbstractDelegateFunctionDeclarationListAble {
	private IPredicateFunction _filterFunction;

	public FilterFunctionDeclarationListAble(
		IFunctionDeclarationListAble delegate,
		IPredicateFunction filterFunction,
		boolean composition) {

		super(delegate, composition);

		setFilterFunction(filterFunction);
	}

	public Iterator getFunctionDeclarations() {
		return CollectionsHelper.select(
			getDelegateFunctionDeclarationListAble().getFunctionDeclarations(),
			getFilterFunction());
	}

	public void setFilterFunction(IPredicateFunction filterFunction) {
		_filterFunction = filterFunction;

		stateChanged();
	}

	public IPredicateFunction getFilterFunction() {
		return _filterFunction;
	}
}
