package de.uniwue.ki.mas.basics.functionUser;
import de.uniwue.ki.mas.basics.functionArgument.IParametricFunctionCallDeclaration;
import de.uniwue.ki.mas.basics.functionArgument.ISpecificFunctionDeclarationWithArgDeclBinds;
import de.uniwue.ki.mas.basics.type.ISpecificType;
import de.uniwue.ki.mas.util.declaration.IDocumentableDeclaration;

/**
 * Creation date: (13.12.2000 16:22:34)
 * @author Christoph Oechslein
 */
public interface IUserFunctionDeclaration
	extends ISpecificFunctionDeclarationWithArgDeclBinds, IDocumentableDeclaration {

	IParametricFunctionCallDeclaration getParametricFunctionCallDeclaration();

	void setSpecificOutputType(ISpecificType specificType);

	boolean isExpertFunctionDeclaration();

	void setExpertFunctionDeclaration(boolean expertFunctionDeclaration);

	void setExternal(boolean external);
	boolean isExternal();
	
	boolean isInlinePossible();
	void setInlinePossible(boolean inlinePossible);
}
