package de.uniwue.ki.mas.basics.functionUser;

import de.uniwue.ki.mas.util.declaration.DefaultDeclarationListAndFactory;

/**
 * Creation date: (14.11.2001 11:02:00)
 * @author: Christoph Oechslein
 */
public class UserFunctionDeclarationListAndFactory extends DefaultDeclarationListAndFactory {
	public UserFunctionDeclarationListAndFactory(boolean defaultExternSetting) {
		this(
			new UserFunctionDeclarationList(),
			UserFunctionDeclarationFactory.getInstance(defaultExternSetting));
	}

	public UserFunctionDeclarationListAndFactory(
		UserFunctionDeclarationList userDefinedFunctionDeclarationList,
		IUserFunctionDeclarationFactory userDefinedFunctionDeclarationFactory) {

		super(userDefinedFunctionDeclarationList, userDefinedFunctionDeclarationFactory);
	}

	public IUserFunctionDeclarationFactory getUserFunctionDeclarationFactory() {
		return (IUserFunctionDeclarationFactory) getDeclarationFactory();
	}

	public UserFunctionDeclarationList getUserFunctionDeclarationList() {
		return (UserFunctionDeclarationList) getDeclarationList();
	}
}