package de.uniwue.ki.mas.basics.type;

import java.util.ArrayList;
import java.util.Iterator;

/**
 * This is a generic type, that represents a group of specific types!
 * See GenericNumberType for typical use!
 * 
 * Creation date: 04.09.2002, 18:40:19
 * @author herrler
 */
public abstract class AbstractGenericGroupType extends AbstractGenericType implements IGenericGroupType {
	private ArrayList groupItems = new ArrayList();
	
	public void addGroupItem(ISpecificType type) {
		groupItems.add(type);
	}

	public Iterator getGroupItems() {
		return groupItems.iterator();
	}
}

