package de.uniwue.ki.mas.basics.type;

import de.uniwue.ki.mas.model.ISeSAmDeclaration;
import de.uniwue.ki.util.name.AbstractNamed;

/**
 * Creation date: 04.09.2002, 18:40:19
 * @author oechslein
 */
public class GenericType extends AbstractNamed implements IGenericType {
	private static final GenericType _instance = new GenericType();
	
	public ISpecificType createDefaultSpecificType(ISeSAmDeclaration declaration) {
		return createDefaultSpecificType();
	}


	public static final GenericType getInstance() {
		return _instance;
	}

	public boolean canCreate(ISpecificType type) {
		return type != VoidType.getInstance();
	}

	public String getName() {
		return "T";
	}

	protected GenericType() {
		super();
	}

	public ISpecificType createDefaultSpecificType() {
		return ObjectType.getInstance();
	}
}