package de.uniwue.ki.mas.basics.type.argument;
import de.uniwue.ki.util.name.INamed;

/**
 * Creation date: (04.09.2001 15:46:50)
 * @author Christoph Oechslein
 */

public class Argument extends AbstractArgument implements IArgument {
	private final Object _anObject;

	public Argument(Object anObject) {
		super();

		_anObject = anObject;
	}

	public final Object getConstantValue() {
		return _anObject;
	}

	public final String getName() {
		if (_anObject instanceof INamed) {
			return ((INamed) _anObject).getName();

		} else {
			return _anObject + "";
		}
	}
}
