package de.uniwue.ki.mas.basics.type.composed;

import de.uniwue.ki.mas.model.ModelCompilingException;

/**
 * Creation date: 19.06.2002, 12:20:14
 * @author oechslein
 */
public class AttributeCompilingException extends ModelCompilingException {
	private AttributeCompilingException(String s) {
		super(s);
	}

	public AttributeCompilingException(IComposedTypeAttribute composedTypeAttribute) {
		this("Attribute '" + composedTypeAttribute.getName() + "' not in composed type");
	}
}
