package de.uniwue.ki.mas.basics.type.composed;
import java.io.Serializable;

import de.uniwue.ki.mas.basics.type.ISpecificType;
import de.uniwue.ki.mas.util.declaration.IDocumentableDeclaration;

/**
 * Creation date: (03.12.2001 17:38:01)
 * @author Rainer Herrler
 */
public interface IComposedTypeAttribute extends IDocumentableDeclaration, Serializable {
	String getAttributeName();

	void setAttributeName(String newAttributeName);

	ISpecificType getAttributeType();

	void setAttributeType(ISpecificType newAttributeType);

	boolean isWriteable();

	void setWriteable(boolean writeable);
}