package de.uniwue.ki.mas.basics.type.composed.function;

import de.uniwue.ki.mas.basics.function.AbstractFunctionDynamic;
import de.uniwue.ki.mas.basics.function.IExecuteFunctionArgs;
import de.uniwue.ki.mas.basics.type.composed.ISpecificComposedType;
import de.uniwue.ki.mas.model.SimulationRuntimeException;

/**
 * Creation date: 13.06.2002, 18:32:46
 * @author oechslein
 */
final class CreateEmptyComposedTypeValueFunction extends AbstractFunctionDynamic {

	private final ISpecificComposedType _composedType;

	public CreateEmptyComposedTypeValueFunction(ISpecificComposedType composedType) {
		super();
		
		_composedType = composedType;
	}

	public Object execute(IExecuteFunctionArgs executeFunctionArgs) throws SimulationRuntimeException {
		return _composedType.createEmptyComposedTypeValue();
	}

	public String getName() {
		return "CreateEmptyComposedTypeValue";
	}
}
