package de.uniwue.ki.mas.behaviour.activityGraph;
import java.io.Serializable;

import de.uniwue.ki.mas.behaviour.activityGraphDeclaration.IActivityGraphNodeDeclaration;
import de.uniwue.ki.util.name.INamed;

/**
 * An activity is a runtime object and could be either {@link IAtomicActivity}
 * or {@link IComposedActivity}.
 * Creation date: (10.11.2000 18:47:56)
 *
 * @see IActivityGraphNodeDeclaration
 * @author Christoph Oechslein
 */

public interface IActivityGraphNode extends INamed, Serializable {
	IActivityGraphNodeDeclaration getActivityGraphNodeDeclaration();
}