package de.uniwue.ki.mas.behaviour.activityGraph;

import de.uniwue.ki.mas.behaviour.activityGraphDeclaration.IActivityGraphLeafDeclaration;
import de.uniwue.ki.mas.entity.object.agent.IActivityAgent;


/**
 * Creation date: 19.12.2002, 10:08:21
 * @author oechslein
 */
class InstantlyActivityGraphLeaf extends AbstractActivityGraphLeaf {
	private final boolean _instantlyActivity;

	public InstantlyActivityGraphLeaf(
		IActivityGraphLeafDeclaration activityDeclaration,
		boolean instantlyActivity) {
		super(activityDeclaration);

		_instantlyActivity = instantlyActivity;
	}

	public boolean isInstantly() {
		return _instantlyActivity;
	}

	public IActivityGraphLeaf getActivityGraphLeaf(IActivityAgent agent) {
		return this;
	}
}
