package de.uniwue.ki.mas.behaviour.activityGraph;

import de.uniwue.ki.mas.basics.action.FunctionActionFactory;
import de.uniwue.ki.mas.basics.function.IFunction;
import de.uniwue.ki.mas.behaviour.activityGraphDeclaration.IActionActivityGraphLeafDeclaration;

/**
 * Creation date: (27.07.2001 18:33:34)
 * @author Christoph Oechslein
 */

final class NoopActionActivityGraphLeaf extends InstantlyActivityGraphLeaf {

	public NoopActionActivityGraphLeaf(
		IActionActivityGraphLeafDeclaration activityDeclaration,
		boolean instantlyActivity) {

		super(activityDeclaration, instantlyActivity);
	}

	public IFunction getEntryAndNormalFunctionAction() {
		return FunctionActionFactory.getNoopFunction();
	}

	protected IFunction getExitFunctionAction() {
		return FunctionActionFactory.getNoopFunction();
	}

	protected IFunction getFunctionAction() {
		return FunctionActionFactory.getNoopFunction();
	}
}
