/**
 * Created on 04.12.2002
 *
 * @author glueckselig
 */
package de.uniwue.ki.mas.behaviour.activityGraphDeclaration;

import java.util.Map;

import mygale.mcge.net.INetEdge;
import mygale.mcge.net.INetNode;
import de.uniwue.ki.mas.behaviour.activityGraph.IActivityGraphLeaf;
import de.uniwue.ki.mas.behaviour.rule.IGraphDocumentEdgeDeclaration;
import de.uniwue.ki.mas.entity.object.IObjectCreateFunctionArgs;
import de.uniwue.ki.mas.model.ModelCompilingException;
import de.uniwue.ki.util.copy.ICopyable;

public class GraphDocumentationLeafDeclaration
	extends AbstractActivityGraphLeafDeclaration
	implements IActivityGraphLeafDeclaration {

	public GraphDocumentationLeafDeclaration(IActivityGraphDeclaration parentComposedActivityDeclaration) {
		super("", parentComposedActivityDeclaration);

		setDocumentation("");
	}

	public boolean isInstantly() {
		return false;
	}

	public boolean canConnect(INetEdge edge) {
		return edge instanceof IGraphDocumentEdgeDeclaration;
	}

	public boolean canConnect(INetEdge edge, INetNode otherNode) {
		return edge instanceof IGraphDocumentEdgeDeclaration;
	}

	public IActivityGraphLeaf createActivityGraphLeaf(IObjectCreateFunctionArgs objectCreateFunctionArgs)
		throws ModelCompilingException {

		return null;
	}

	protected ICopyable createInstance(Map objectMapping) {

		return GraphDocumentationLeafDeclarationFactory.createGraphDocumentationLeafDeclaration(
			getActivityGraphDeclaration());
	}
}
