package de.uniwue.ki.mas.behaviour.activityGraphDeclaration;

import de.uniwue.ki.mas.behaviour.activityGraph.IActivityGraphLeaf;
import de.uniwue.ki.mas.entity.object.IObjectCreateFunctionArgs;
import de.uniwue.ki.mas.model.ModelCompilingException;

/**
 * This class represents a leaf of an activity graph ({@link IActivityGraphDeclaration}).
 *
 * @author Christoph Oechslein
 */

public interface IActivityGraphLeafDeclaration extends IActivityGraphNodeDeclaration {

	/**
	 * Compiles a runtime <code>IActivityGraphLeaf</code> object with the given compiling environment.
	 */
	IActivityGraphLeaf createActivityGraphLeaf(IObjectCreateFunctionArgs objectCreateFunctionArgs)
		throws ModelCompilingException;
}
