package de.uniwue.ki.mas.behaviour.activityGraphDeclaration;

import de.uniwue.ki.mas.util.declaration.IDeclarationFactory;

/**
 * Factory for generating {@link IActivityGraphNodeDeclaration IActivityDeclarations}.
 * Creation date: (07.11.2000 18:47:24)
 *
 * @author Christoph Oechslein
 */
public interface IActivityGraphNodeDeclarationFactory extends IDeclarationFactory {

	/**
	 * Create a new <code>IActivityGraphNodeDeclaration</code>.
	 */
	IActivityGraphNodeDeclaration createActivityGraphNodeDeclaration();
}
