package de.uniwue.ki.mas.behaviour.reasoning;

import de.uniwue.ki.util.copy.AbstractCopyable;

/**
 * Creation date: (29.03.00 19:29:19)
 * @author Christoph Oechslein
 */

abstract class AbstractReasoningEngine extends AbstractCopyable implements IReasoningEngine {
	private final IReasoningEngineDeclaration _declaration;

	public AbstractReasoningEngine(IReasoningEngineDeclaration declaration) {
		super();

		_declaration = declaration;
	}

	public IReasoningEngineDeclaration getDeclaration() {
		return _declaration;
	}

	public void remove() {
	}

	public String getName() {
		return "Reasoning";
	}
}