package de.uniwue.ki.mas.behaviour.reasoning;

import de.uniwue.ki.mas.behaviour.activityGraph.IActivityGraph;
import de.uniwue.ki.mas.behaviour.activityGraph.IActivityGraphLeaf;
import de.uniwue.ki.mas.behaviour.activityGraphDeclaration.IActivityGraphNodeDeclaration;

/**
 * Activity agents reason with this engine in its activity graph.
 * Creation date: (15.06.2000 16:31:32)
 *
 * @author Christoph Oechslein
 */
public interface IActivityReasoningEngine extends IReasoningEngine {
	/**
	* Maps activity declarations to runtime activity objects.
	*/
	IActivityGraphLeaf getAtomicActivityForDeclaration(IActivityGraphNodeDeclaration activityDeclaration);

	/**
	 * Returns the root activity graph.
	 */
	IActivityGraph getActivityGraph();
}