package de.uniwue.ki.mas.behaviour.reasoning;

import java.io.Serializable;

import de.uniwue.ki.mas.basics.function.IFunction;

/**
 * @author oechslein
 */
public interface IReasoningEngineResult extends Serializable {
	/**
	 * Returns the resulting action function.
	 *
	 * @see #setAction(IFunction)
	 * @see #setAction(IFunction, IFunction)
	 */
	IFunction getAction();
}
