package de.uniwue.ki.mas.behaviour.rule;

import de.uniwue.ki.mas.basics.function.IExecuteFunctionArgs;
import de.uniwue.ki.util.name.AbstractNamed;

/**
 * Creation date: (18.12.2001 15:21:00)
 * @author Christoph Oechslein
 */

abstract class AbstractActivityGrapRule extends AbstractNamed implements IActivityGraphRule {

	public AbstractActivityGrapRule() {
		super();
	}

	public final Object execute(IExecuteFunctionArgs executeFunctionArgs) {
		return getActivityGraphLeaf();
	}

	public boolean isAlwaysExecuteable() {
		return false;
	}
}
