package de.uniwue.ki.mas.entity.body;

import de.uniwue.ki.mas.entity.bodyclass.IBodyClassDeclaration;
/**
 * Creation date: 04.09.2002, 18:40:20
 * @author oechslein
 */
public class BodyInstanceDeclarationFactory {
	private static final BodyInstanceDeclarationFactory instance = new BodyInstanceDeclarationFactory();

	public static final BodyInstanceDeclarationFactory getInstance() {
		return instance;
	}

	public IBodyInstanceDeclaration createBodyInstanceDeclaration(IBodyClassDeclaration bodyClassDeclaration) {
		return new BodyInstanceDeclaration(bodyClassDeclaration);
	}

	protected BodyInstanceDeclarationFactory() {
		super();
	}
}
