package de.uniwue.ki.mas.entity.bodyclass;

import de.uniwue.ki.mas.util.declaration.AbstractDeclarationFactory;
import de.uniwue.ki.mas.util.declaration.IDeclaration;

/**
 * Creation date: (04.09.2001 16:05:27)
 * @author Christoph Oechslein
 */

public final class BodyClassDeclarationFactory extends AbstractDeclarationFactory {
	private static final BodyClassDeclarationFactory instance = new BodyClassDeclarationFactory();

/**
 * ActivityReasoningEngineDeclarationFactory constructor comment.
 */
public BodyClassDeclarationFactory() {
    super();
}

/**
 * Insert the method's description here.
 * Creation date: (15.06.2000 17:19:50)
 * @author Christoph Oechslein
 * @return de.uniwue.ki.mas.model.util.declaration.IDeclarationFactory
 */
public static final BodyClassDeclarationFactory getInstance() {
   return instance;
}

/**
 * createDeclaration method comment.
 */
public static final IBodyClassDeclaration createBodyClassDeclaration() {
    return new BodyClassDeclaration();
}

/**
 * createDeclaration method comment.
 * @return IDeclaration
 * @see de.uniwue.ki.mas.util.declaration.IDeclarationFactory#createDeclaration()
 */
public IDeclaration createDeclaration() {
    return createBodyClassDeclaration();
}
}
