package de.uniwue.ki.mas.entity.object;

import de.uniwue.ki.mas.basics.function.ICreateFunctionArgs;

/**
  * Object compiling binding.
  * Creation date: (06.12.2000 15:36:44)
  *
  * @author Christoph Oechslein
  */

public interface IObjectCreateFunctionArgs extends ICreateFunctionArgs {

	/**
	 * Returns simulation runtime object of this compilation environment.
	 */

	IObject getObject();

	/**
	 * Sets the simulation runtime object of this compilation environment.
	 *
	 * @see #getObject()
	 */
	void setObject(IObject newSimObject);
}
