package de.uniwue.ki.mas.entity.object;

import de.uniwue.ki.mas.util.declaration.IDeclarationFactory;
/**
* Factory for creating {@link IObjectInstanceDeclaration IObjectInstanceDeclarations}.
* Creation date: (02.11.2000 18:52:57)
*
* @author Christoph Oechslein
*/
public interface IObjectInstanceDeclarationFactory extends IDeclarationFactory {

	/**
	 * Creates a new <code>IObjectInstanceDeclaration</code> object.
	 */

	IObjectInstanceDeclaration createObjectInstanceDeclaration();
}
