package de.uniwue.ki.mas.entity.object;

/**
  * Factory for creating {@link IRessourceInstanceDeclaration IRessourceInstanceDeclarations}.
  * Creation date: (02.11.2000 18:52:57)
  *
  * @author Christoph Oechslein
  */

public interface IRessourceInstanceDeclarationFactory extends IObjectInstanceDeclarationFactory {

    /**
     * Creates a new <code>IRessourceInstanceDeclaration</code> object.
     *
     * @directed
     * @label creates
     */

    /*# IRessourceInstanceDeclaration lnkIRessourceInstanceDeclaration;*/

    IRessourceInstanceDeclaration createRessourceInstanceDeclaration();
}