package de.uniwue.ki.mas.entity.object.agent;

import de.uniwue.ki.mas.behaviour.activityGraph.IActivityGraphLeaf;
/**
* An <code>IActivityAgent</code> is an <code>IAgent</code> with an
* activity reasoning engine, a current activity and it can generate
* {@link ActivityEvent activity events}.
* Creation date: (11.09.2000 09:46:12)
*
* @author Christoph Oechslein
*/
public interface IActivityAgent extends IAgent {

	/**
	 * Returns the current activity of this agent.
	 *
	 * @see #setCurrentAtomicActivity(IAtomicActivity).
	 */
	IActivityGraphLeaf[] getCurrentActivityGraphLeafs();
}