package de.uniwue.ki.mas.entity.object.agent;

import de.uniwue.ki.mas.entity.objectclass.agentclass.IActivityAgentClassDeclaration;

/**
  * This class ist an instance of {@link IActivityAgentClassDeclaration} and
  * can create {@link IActivityAgent runtime acitivity agents}.
  * Creation date: (02.11.2000 14:47:09)
  *
  * @author Christoph Oechslein
  */

public interface IActivityAgentInstanceDeclaration extends IAgentInstanceDeclaration {

	/**
	 * Returns declaration.
	 *
	 * @see #getAgentClassDeclaration()
	 * @see #getObjectClassDeclaration()
	 */
	IActivityAgentClassDeclaration getActivityAgentClassDeclaration();
}
