package de.uniwue.ki.mas.entity.object.agent;

import de.uniwue.ki.mas.entity.object.IObjectInstanceDeclaration;
import de.uniwue.ki.mas.entity.objectclass.agentclass.IAgentClassDeclaration;

/**
  * An <code>IAgentInstanceDeclaration</code> is an instance of an {@link IAgentClassDeclaration}.
  * Creation date: (02.11.2000 14:45:15)
  *
  * @author Christoph Oechslein
  */

public interface IAgentInstanceDeclaration extends IObjectInstanceDeclaration {

	/**
	 * Returns declaration.
	 *
	 * @see #getObjectClassDeclaration()
	 */
	IAgentClassDeclaration getAgentClassDeclaration();
}
