package de.uniwue.ki.mas.entity.object.agent;

import de.uniwue.ki.mas.entity.object.IObjectInstanceDeclarationFactory;

/**
  * Factory for creating {@link IAgentInstanceDeclaration IAgentInstanceDeclarations}.
  * Creation date: (02.11.2000 18:52:57)
  *
  * @author Christoph Oechslein
  */

public interface IAgentInstanceDeclarationFactory extends IObjectInstanceDeclarationFactory {

/**
 * Creates a new <code>IAgentInstanceDeclaration</code> object.
 *
 * @directed
 * @label creates
 */

/*# IAgentInstanceDeclaration lnkIAgentInstanceDeclaration;*/

IAgentInstanceDeclaration createAgentInstanceDeclaration();
}
