package de.uniwue.ki.mas.entity.object.world;

import de.uniwue.ki.mas.entity.object.IObjectCreateFunctionArgs;

/**
 * World compiling binding.
 * Creation date: (06.12.2000 15:36:44)
 *
 * @author Christoph Oechslein
 */
public interface IWorldCreateFunctionArgs extends IObjectCreateFunctionArgs {

	/**
	 * Returns simulation runtime world object of this compilation environment.
	 */

	IWorld getWorld();

	/**
	 * Sets the simulation runtime world object of this compilation environment.
	 *
	 * @see #getWorld()
	 */
	void setWorld(IWorld newSimWorld);
}
