package de.uniwue.ki.mas.entity.object.world;

import de.uniwue.ki.mas.entity.object.agent.IAgentExecuteFunctionArgs;

/**
 * Object executing binding.
 * Creation date: (06.12.2000 15:36:44)
 *
 * @author Christoph Oechslein
 */
public interface IWorldExecuteFunctionArgs extends IAgentExecuteFunctionArgs {

/**
 * Returns simulation runtime world object of this executing environment.
 *
 * @see #setWorld(IWorld)
 */

IWorld getWorld();

/**
 * Sets the simulation runtime world object of this executing environment.
 *
 * @see #getWorld()
 */
void setWorld(IWorld newSimWorld);
}
