package de.uniwue.ki.mas.entity.objectclass;
import de.uniwue.ki.mas.util.declaration.DefaultDeclarationListAndFactory;
/**
 * Creation date: (14.11.2001 10:51:15)
 * @author Christoph Oechslein
 */
public class ObjectClassDeclarationListAndFactory
	extends DefaultDeclarationListAndFactory
	implements IObjectClassDeclarationListAndFactory {
		
	public ObjectClassDeclarationListAndFactory(
		IObjectClassDeclarationList objectClassDeclarationList,
		IObjectClassDeclarationFactory objectClassDeclarationFactory) {

		super(objectClassDeclarationList, objectClassDeclarationFactory);
	}

	public IObjectClassDeclarationFactory getObjectClassDeclarationFactory() {
		return (IObjectClassDeclarationFactory) getDeclarationFactory();
	}

	public IObjectClassDeclarationList getObjectClassDeclarationList() {
		return (IObjectClassDeclarationList) getDeclarationList();
	}
}