package de.uniwue.ki.mas.entity.objectclass;

/**
 * Creation date: (14.11.2001 10:51:15)
 * @author Christoph Oechslein
 */
public class RessourceClassDeclarationListAndFactory
	extends ObjectClassDeclarationListAndFactory
	implements IRessourceClassDeclarationListAndFactory {

	public IRessourceClassDeclarationFactory getRessourceClassDeclarationFactory() {
		return (IRessourceClassDeclarationFactory) getObjectClassDeclarationFactory();
	}
	public RessourceClassDeclarationList getRessourceClassDeclarationList() {
		return (RessourceClassDeclarationList) getObjectClassDeclarationList();
	}

	public RessourceClassDeclarationListAndFactory() {
		this(new RessourceClassDeclarationList());
	}

	protected RessourceClassDeclarationListAndFactory(RessourceClassDeclarationList list) {
		super(list, new RessourceClassDeclarationFactory(list));
	}
}