package de.uniwue.ki.mas.entity.objectclass.agentclass;
import de.uniwue.ki.mas.entity.objectclass.ObjectClassDeclarationListAndFactory;


/**
 * Creation date: (14.11.2001 10:51:15)
 * @author Christoph Oechslein
 */
public class AgentClassDeclarationListAndFactory
	extends ObjectClassDeclarationListAndFactory
	implements IAgentClassDeclarationListAndFactory {

	public AgentClassDeclarationListAndFactory(
		AgentClassDeclarationList agentClassDeclarationList,
		IAgentClassDeclarationFactory agentClassDeclarationFactory) {

		super(agentClassDeclarationList, agentClassDeclarationFactory);
	}

	public IAgentClassDeclarationFactory getAgentClassDeclarationFactory() {
		return (IAgentClassDeclarationFactory) getObjectClassDeclarationFactory();
	}

	public AgentClassDeclarationList getAgentClassDeclarationList() {
		return (AgentClassDeclarationList) getObjectClassDeclarationList();
	}
}
