package de.uniwue.ki.mas.entity.objectclass.worldclass;

import de.uniwue.ki.mas.entity.objectclass.agentclass.AgentClassDeclarationListAndFactory;

/**
 * Creation date: (14.11.2001 10:51:15)
 * @author Christoph Oechslein
 */
public class WorldClassDeclarationListAndFactory
   extends AgentClassDeclarationListAndFactory
   implements IWorldClassDeclarationListAndFactory {

/**
 * @param worldClassDeclarationList WorldClassDeclarationList
 * @param worldClassDeclarationFactory IWorldClassDeclarationFactory
 */
public WorldClassDeclarationListAndFactory(
   WorldClassDeclarationList worldClassDeclarationList,
   IWorldClassDeclarationFactory worldClassDeclarationFactory) {

   super(worldClassDeclarationList, worldClassDeclarationFactory);
}


   public IWorldClassDeclarationFactory getWorldClassDeclarationFactory() {
      return (IWorldClassDeclarationFactory) getObjectClassDeclarationFactory();
   }


   public WorldClassDeclarationList getWorldClassDeclarationList() {
      return (WorldClassDeclarationList) getObjectClassDeclarationList();
   }
}