package de.uniwue.ki.mas.entity.variableclass;

import java.util.Map;

import de.uniwue.ki.util.copy.ICopyable;

/**
 * Creation date: (25.07.2001 14:03:25)
 * @author Christoph Oechslein
 */

final class BodyFeatureVariableClassDeclaration extends AbstractBodyFeatureVariableClassDeclaration {

	public BodyFeatureVariableClassDeclaration(IFeatureVariableClassDeclaration variableClassDeclaration) {
		super(variableClassDeclaration);
	}

	protected ICopyable createInstance(Map objectMapping) {
		if ((objectMapping == null) || !(objectMapping.containsKey(getVariableClassDeclaration())))
			return new BodyFeatureVariableClassDeclaration(
				(IFeatureVariableClassDeclaration) getVariableClassDeclaration());
		else
			return new BodyFeatureVariableClassDeclaration(
				(IFeatureVariableClassDeclaration) objectMapping.get(getVariableClassDeclaration()));
	}
}