package de.uniwue.ki.mas.entity.variableclass;

import de.uniwue.ki.mas.util.declaration.DefaultDeclarationListAndFactory;

/**
 * Creation date: (14.11.2001 11:02:00)
 * @author Christoph Oechslein
 */
public class BodyVariableClassDeclarationListAndFactory extends DefaultDeclarationListAndFactory {
	public BodyVariableClassDeclarationListAndFactory() {
		this(new BodyVariableClassDeclarationList(), BodyVariableClassDeclarationFactory.getInstance());
	}
	public BodyVariableClassDeclarationFactory getBodyVariableClassDeclarationFactory() {
		return (BodyVariableClassDeclarationFactory) getDeclarationFactory();
	}
	public BodyVariableClassDeclarationList getBodyVariableClassDeclarationList() {
		return (BodyVariableClassDeclarationList) getDeclarationList();
	}

	protected BodyVariableClassDeclarationListAndFactory(
		BodyVariableClassDeclarationList variableClassDeclarationList,
		BodyVariableClassDeclarationFactory variableClassDeclarationFactory) {

		super(variableClassDeclarationList, variableClassDeclarationFactory);
	}
}
