package de.uniwue.ki.mas.entity.variableclass;
import de.uniwue.ki.mas.util.declaration.DefaultDeclarationListAndFactory;

/**
 * Creation date: (14.11.2001 11:02:00)
 * @author Christoph Oechslein
 */
public class VariableClassDeclarationListAndFactory extends DefaultDeclarationListAndFactory {
public VariableClassDeclarationListAndFactory() {
   this(new VariableClassDeclarationList());
}


public VariableClassDeclarationListAndFactory(VariableClassDeclarationList variableClassDeclarationList) {
    this(variableClassDeclarationList, VariableClassDeclarationFactory.getInstance());
}


protected VariableClassDeclarationListAndFactory(
    VariableClassDeclarationList variableClassDeclarationList, IVariableClassDeclarationFactory variableClassDeclarationFactory) {

    super(variableClassDeclarationList, variableClassDeclarationFactory);
}


	/**
	 * @return VariableClassDeclarationFactory
	 */
	public VariableClassDeclarationFactory getVariableClassDeclarationFactory() {
	    return (VariableClassDeclarationFactory) getDeclarationFactory();
	}


	/**
	 * @return VariableClassDeclarationList
	 */
	public VariableClassDeclarationList getVariableClassDeclarationList() {
	    return (VariableClassDeclarationList) getDeclarationList();
	}
}