package de.uniwue.ki.mas.model;

/**
 * This Exception is thrown if during the compilation of the model
 * to the runtime objects an error occurs.
 *
 * @author Christoph Oechslein
 */

public class ModelCompilingException extends Exception {

	/**
	 * @param nestedException Throwable
	 */
	public ModelCompilingException(Throwable nestedException) {
		super(nestedException);
	}

	/**
	 * @param s String
	 */
	public ModelCompilingException(String s) {
		super(s);
	}
}