package de.uniwue.ki.mas.model;

/**
 * This Exception is thrown if during the simulation
 * an error occurs.
 *
 * @author Christoph Oechslein
 */

public class SimulationRuntimeException extends Exception {

	public SimulationRuntimeException() {
		super();
	}

	public SimulationRuntimeException(Throwable nestedException) {
		super(nestedException);
	}

	public SimulationRuntimeException(String s) {
		super(s);
	}
}