package de.uniwue.ki.mas.model;

/**
 * This Exception is thrown if during the simulation
 * an error occurs.
 *
 * @author Christoph Oechslein
 */

public class SimulationRuntimeUncheckException extends RuntimeException {

	public SimulationRuntimeUncheckException() {
		super();
	}

	public SimulationRuntimeUncheckException(Throwable nestedException) {
		super(nestedException);
	}

	public SimulationRuntimeUncheckException(String s) {
		super(s);
	}
}