/**
 * Created on 11.02.2004
 *
 * This class is responsible for //insert purpose//.
 * 
 * @author glueckselig
 */
package de.uniwue.ki.mas.model.graph;

import junit.framework.Assert;
import de.uniwue.ki.mas.basics.functionDeclaration.IFunctionDeclaration;

public class Function {

    protected IFunctionDeclaration _funcDecl;

    public Function(IFunctionDeclaration decl) {
        Assert.assertNotNull(decl);

        _funcDecl = decl;
    }

    public Function() {

        Assert.fail("trying to set Function w/o functionDecl");

    }

    public String getName() {

        if (getFunctionDeclaration() == null) {
            return "";
        } else {
            return getFunctionDeclaration().getName();
        }
    }

    protected IFunctionDeclaration getFunctionDeclaration() {

        return _funcDecl;
    }
}
