/**
 * Created on 24.07.2003
 *
 * This class is responsible for //insert purpose//.
 * 
 * @author glueckselig
 */
package de.uniwue.ki.mas.model.graph;

import de.uniwue.ki.mas.basics.type.ISpecificType;

public class TypeVariable extends Variable {

	private ISpecificType _type;

	public TypeVariable(ISpecificType type) {	
		_type = type;
	}

	public String getName() {

		if (_type == null) {
			return "";
		} else {
			return _type.getName();
		}
	}

	public ISpecificType getType() {

		return _type;
	}

}
