package de.uniwue.ki.mas.model.tree;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

import de.uniwue.ki.mas.util.declaration.IDeclaration;
import de.uniwue.ki.util.tree.DefaultObjectTreeNodeLeaf;
import de.uniwue.ki.util.tree.IObjectTreeNode;
/**
 * Creation date: (18.02.2002 13:27:12)
 * @author Christoph Oechslein
 */
public class DefaultDeclarationTreeNodeLeaf extends DefaultObjectTreeNodeLeaf {
	private final transient ChangeListener _changeListener = new ChangeListener() {
		public void stateChanged(ChangeEvent e) {
			DefaultDeclarationTreeNodeLeaf.this.stateChanged(e);
		}
	};

	public DefaultDeclarationTreeNodeLeaf(IObjectTreeNode parent, IDeclaration userObject) {
		super(parent, userObject);

		userObject.addChangeListener(_changeListener);
	}

	public void remove() {
		((IDeclaration) getUserObject()).removeChangeListener(_changeListener);

		super.remove();
	}

	protected void stateChanged(ChangeEvent e) {
		SeSAmDeclarationTreeModelCreater.getSeSAmDeclarationTreeModelAdapter(this).reloadNode(this, false);
	}
}