package de.uniwue.ki.mas.model.userInterface;

import de.uniwue.ki.mas.sim.simulation.ISimulation;
import de.uniwue.ki.util.IRemoveable;
import de.uniwue.ki.util.name.INamed;

/**
 * @author Hartmann
 * 03.03.2004
 */
public interface IUserInterface extends INamed, IRemoveable {
	
	/**
	 * Adds a new userInterface listener.
	 *
	 * @see UserInterfaceEvent
	 */
	//void addUserInterfaceListener(UserInterfaceListener newListener);

	/**
	 * Returns the declaration of this runtime object.
	 */
	IUserInterfaceDeclaration getUserInterfaceDeclaration();

	/**
	 * Get the current Simulation for this UserInterface
	 */
	ISimulation getSimulation();

	/**
	 * Removes a new userInterface listener.
	 *
	 * @see UserInterfaceEvent
	 */
	//void removeUserInterfaceListener(UserInterfaceListener newListener);
	
	void setName(String newName);

}
