/*
 * Created on 29.05.2004
 * @author Michael Scherer
 */
package de.uniwue.ki.mas.refactoring;

import de.uniwue.ki.mas.basics.type.DoubleType;
import de.uniwue.ki.mas.basics.type.ISpecificType;

/**
 * @author Michael Scherer
 */
public class ArgumentInfo {
	String name;
	ISpecificType type;
	
	public ArgumentInfo(String name, ISpecificType type) {
		this.name = name;
		this.type = type;
	}
	
	public String getName() {
		return name;
	}

	public ISpecificType getType() {
		return type;
	}

	public static ArgumentInfo getDefault() {
		return new ArgumentInfo("", DoubleType.getInstance());
	}
}
