package de.uniwue.ki.mas.sim.analysis;
import de.uniwue.ki.mas.util.declaration.*;
/**
 * Creation date: (15.10.2001 17:30:18)
 * @author Christoph Oechslein
 */
public class AnalysisDeclarationFactory extends AbstractDeclarationFactory implements IDeclarationFactory {
	public AnalysisDeclarationFactory() {
		super();
	}

	public final IAnalysisDeclaration createAnalysisDeclaration() {
		return new AnalysisDeclaration();
	}

	public final IDeclaration createDeclaration() {
		return createAnalysisDeclaration();
	}
}