package de.uniwue.ki.mas.sim.analysis;
import de.uniwue.ki.mas.model.SimulationRuntimeException;
import de.uniwue.ki.mas.sim.simulation.ISimulationExecuteFunctionArgs;
import de.uniwue.ki.util.IRemoveable;
import de.uniwue.ki.util.name.INamed;

/**
 * Creation date: (15.10.2001 16:53:45)
 * @author Christoph Oechslein
 */
public interface IAnalysis extends INamed, IRemoveable, java.io.Serializable {

	void analyse(ISimulationExecuteFunctionArgs simulationExecuteFunctionArgs) throws SimulationRuntimeException;

	void init(ISimulationExecuteFunctionArgs simulationExecuteFunctionArgs) throws SimulationRuntimeException;
	
	IAnalysisDeclaration getAnalysisDeclaration();
}