package de.uniwue.ki.mas.sim.analysis;
import de.uniwue.ki.mas.model.ModelCompilingException;
import de.uniwue.ki.mas.sim.simulation.ISimulationCreateFunctionArgs;
import de.uniwue.ki.mas.util.declaration.IDocumentableDeclaration;

/**
 * Creation date: (15.10.2001 16:53:45)
 * @author Christoph Oechslein
 */
public interface IAnalysisDeclaration extends IDocumentableDeclaration {
	IAnalysis createAnalysis(ISimulationCreateFunctionArgs createFunctionArgs)
		throws ModelCompilingException;

	AnalysisItemDeclarationListAndFactory getAnalysisItemDeclarationListAndFactory();

	void setAnalysisTypeDeclaration(IAnalysisTypeDeclaration newAnalysisTypeDeclaration);

	IAnalysisTypeDeclaration getAnalysisTypeDeclaration();

	IAnalysisDeltaSettings getAnalysisDeltaSettings();

	boolean isDefaultAnalysis();

	void setDefaultAnalysis(boolean defaultAnalysis);
}