package de.uniwue.ki.mas.sim.experiment;
import de.uniwue.ki.mas.sim.simulation.StartPauseFinishListener;

/**
 * The event set listener interface for the experiment feature:
 * listening for (re)starting, pausing and finishing the experiment.
 */

public interface ExperimentListener extends StartPauseFinishListener {

	void currentSimulationChanged(ExperimentCurrentSimulationChangedEvent event);
}