package de.uniwue.ki.mas.sim.experiment;
/**
 * Creation date: (08.03.2002 08:40:54)
 * @author Christoph Oechslein
 */
public class Test {
/**
 * Test constructor comment.
 */
public Test() {
	super();
}


/**
 * @param k double
 * @return double
 */
public static double fak(double k) {
    double fak = 1;
    for (int j = 1; j <= k; j++) {
        fak *= j;
    }

    return fak;
}


/**
 * @param lambda double
 * @param k double
 * @return double
 */
public static double kBitsKippen(double lambda, double k) {
    return Math.pow(lambda, k) / fak(k) * Math.exp(-lambda);
}


public static double kOderMehrBitsKippen(double n, double p, double k) {
    double summe = 0;
    double lambda = n * p;

    for (double i = k; i <= n; i++) {
        summe += kBitsKippen(lambda, i);
    }

    return summe;
}


public static double kOderWenigerBitsKippen(double n, double p, double k) {
    double summe = 0;
    double lambda = n * p;

    for (double i = 0; i <= k; i++) {
        summe += kBitsKippen(lambda, i);
    }

    return summe;
}


public static void run() {
    run(30 * 7 * 25, 0.001);
}


public static void run(double n, double p) {
    for (int k = 0; k <= n; k++) {
        double value = kOderWenigerBitsKippen(n, p, k);

        System.out.println("k: " + k + " (" + value + ")");

        /*
        if (value >= 0.9) {
            System.out.println("k: " + k + " (" + value + ")");
            break;
        }
        */
    }
}
}