package de.uniwue.ki.mas.sim.simulation;

import java.util.EventObject;

import de.uniwue.ki.mas.sim.analysis.IAnalysis;

public class AnalysisEvent extends EventObject {
	private final ISimulation _simulation;

	public AnalysisEvent(IAnalysis analysis, ISimulation simulation) {
		super(analysis);

		_simulation = simulation;
	}

	public ISimulation getSimulation() {
		return _simulation;
	}

	public IAnalysis getAnalysis() {
		return (IAnalysis) getSource();
	}
}
