package de.uniwue.ki.mas.sim.simulation;
import de.uniwue.ki.mas.entity.object.world.IWorldCreateFunctionArgs;
import de.uniwue.ki.mas.model.ISeSAmDeclaration;

/**
 * Simulation executing environment.
 * Creation date: (06.12.2000 17:16:48)
 * @author Christoph Oechslein
 */

public interface ISimulationCreateFunctionArgs extends IWorldCreateFunctionArgs {

	/**
	 * Returns associated simulation.
	 */
	ISimulation getSimulation();

	void setSimulation(ISimulation simulation);

	ISeSAmDeclaration getSeSAmDeclaration();
}