package de.uniwue.ki.mas.sim.simulation;
import java.io.Serializable;
import java.util.EventListener;

/**
 * The event set listener interface for the simulation feature:
 * listening for (re)starting, pausing and finishing the simulation.
 */

public interface SimulationListener extends EventListener, Serializable {

	/**
	 * Gets called if the simulation is reseted
	 *
	 * @param event de.uniwue.ki.mas.model.sim.simulation.SimulationEvent
	 */
	void reseted(SimulationEvent event);
}