package de.uniwue.ki.mas.sim.situation;

import java.util.EventObject;
/**
 * Creation date: 04.09.2002, 19:19:00
 * @author oechslein
 */
public class SituationEvent extends EventObject {
    private final int timeDurationInTicks;

     public SituationEvent(ISituation source, int timeDurationInTicks) {
        super(source);

        this.timeDurationInTicks = timeDurationInTicks;
    }

    public final ISituation getSituation() {
        return (ISituation) getSource();
    }

    /**
     * Returns the current time in ticks.
     */
    public final int getTimeDurationInTicks() {
        return timeDurationInTicks;
    }
}