package de.uniwue.ki.mas.test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import de.uniwue.ki.mas.basics.functionCall.TestFunctionFunctionCallAll;
import de.uniwue.ki.mas.basics.type.TestTypes;
import de.uniwue.ki.mas.behaviour.activityGraph.TestActivityAll;
import de.uniwue.ki.mas.behaviour.rule.TestRule;
import de.uniwue.ki.mas.entity.variable.TestBodyVariable;
import de.uniwue.ki.mas.model.TestSeSAmDeclaration;
import de.uniwue.ki.mas.util.declaration.TestDeclarationList;
/**
 * Creation date: (05.09.2001 10:39:10)
 * @author Christoph Oechslein
 */
public final class TestAllSeSAmMain extends TestCase {

	public TestAllSeSAmMain(String name) {
		super(name);
	}

	public static void main(String[] args) {
		junit.swingui.TestRunner.run(TestAllSeSAmMain.class);
	}

	public static TestSuite suite() {
		TestSuite anSuite = new TestSuite("SeSAm Main");

		anSuite.addTest(TestTypes.suite());
		anSuite.addTest(TestDeclarationList.suite());
		anSuite.addTest(TestSeSAmDeclaration.suite());
		anSuite.addTest(TestFunctionFunctionCallAll.suite());
		anSuite.addTest(TestRule.suite());
		anSuite.addTest(TestActivityAll.suite());
		anSuite.addTest(TestBodyVariable.suite());

		return anSuite;
	}
}