package de.uniwue.ki.mas.util.declaration;
public final class DeclarationListHelper {
    public static final IDeclarationList EMPTY_DECLARATION_LIST = new EmptyDeclarationList();
    
    public static class EmptyDeclarationList extends AbstractDeclarationList {
        /**
         * @param anObject Object
         * @return boolean
         * @see de.uniwue.ki.util.IMutableListModel#accept(Object)
         */
        public boolean accept(Object anObject) {
            return false;
        }
        public int size() {
            return 0;
        }

        public Object get(int index) {
            throw new UnsupportedOperationException();
        }

        public boolean canBeRemoved() {
            return true;
        }
        /**
         * @return boolean
         * @see de.uniwue.ki.mas.util.declaration.IDeclarationList#isComposition()
         */
        public boolean isComposition() {
            return false;
        }

        public void setComposition(boolean newIsComposition) {
        }

    }

/**
 * DeclarationListHelper constructor comment.
 */
public DeclarationListHelper() {
    super();
}
}