package de.uniwue.ki.mas.xml;
import java.io.*;

import mygale.mcge.fig.IFigMapper;
import de.uniwue.ki.mas.model.ISeSAmDeclaration;
import de.uniwue.ki.mas.xml.writer.XMLModelWriter;
import de.uniwue.ki.mas.xml.writer.XMLWriteException;

/**
 * Insert the type's description here.
 * Creation date: (14.09.2000 17:16:59)
 * @author Christoph Oechslein
 */
public class XMLWriter {

    /**
     * @param file File
     * @param seSAmDeclaration ISeSAmDeclaration
     * @param figMapper IFigMapper
     * @throws IOException
     * @throws XMLWriteException
     */
    public static void writeModel(File file, ISeSAmDeclaration seSAmDeclaration, IFigMapper figMapper)
        throws IOException, XMLWriteException {
        new XMLModelWriter(seSAmDeclaration, figMapper).writeXMLFile(file);
    }


    public static void writeModel(Writer writer, ISeSAmDeclaration seSAmDeclaration, IFigMapper figMapper)
        throws IOException, XMLWriteException {
        new XMLModelWriter(seSAmDeclaration, figMapper).writeXMLFile(writer);
    }


    public static void writeModel(String file, ISeSAmDeclaration seSAmDeclaration, IFigMapper figMapper)
        throws IOException, XMLWriteException {
        new XMLModelWriter(seSAmDeclaration, figMapper).writeXMLFile(file);
    }
    
    public static String writeXMLString(ISeSAmDeclaration seSAmDeclaration, IFigMapper figMapper)
        throws IOException, XMLWriteException {
        return new XMLModelWriter(seSAmDeclaration, figMapper).writeXMLString();
    }
    
    
}