package de.uniwue.ki.mas.xml.reader.oldfunctions;

import junit.framework.Assert;

import de.uniwue.ki.mas.basics.action.AbstractFunctionActionDeclaration;
import de.uniwue.ki.mas.basics.action.simulation.FunctionActionSimulationDeclarationFactory;
import de.uniwue.ki.mas.basics.function.*;
import de.uniwue.ki.mas.basics.functionCall.*;
import de.uniwue.ki.mas.basics.type.ObjectClassDeclarationType;
import de.uniwue.ki.mas.basics.type.ObjectInstanceDeclarationType;
import de.uniwue.ki.mas.entity.objectclass.IObjectClassDeclaration;
import de.uniwue.ki.mas.xml.reader.XMLModelReader;
import de.uniwue.ki.util.collection.CollectionsHelper;

/**
 * Creation date: 11.09.2002, 12:53:25
 * @author oechslein
 */
final class FunctionActionDeclarationCreateObjectOld
	extends AbstractFunctionActionDeclaration
	implements RemovedFunctionDeclarationList.ITransformer {

	public FunctionActionDeclarationCreateObjectOld() {
		super("Create", CollectionsHelper.createList(ObjectClassDeclarationType.getInstance()));
	}

	public IFunction createFunction(ICreateFunctionArgs createFunctionArgs, IFunctionList functions) {
		throw new UnsupportedOperationException();
	}

		public IComposedFunctionCallInternDeclaration transform(
		IComposedFunctionCallInternDeclaration composedFunctionCallInternDeclaration,
		XMLModelReader xmlModelReader) {
			
		Assert.assertEquals(1, composedFunctionCallInternDeclaration.getChildCount());
		IAtomicFunctionCallInternDeclaration objectClassFunDecl =
			(IAtomicFunctionCallInternDeclaration) composedFunctionCallInternDeclaration.getChild(0);

		IObjectClassDeclaration objectClassDeclaration =
			(IObjectClassDeclaration) objectClassFunDecl.getArgumentDeclaration().getObject();

		IAtomicFunctionCallInternDeclaration objectInstanceFunDecl =
			FunctionCallDeclarationFactory.getInstance().createAtomicFunctionCallInternDeclaration(
				null,
				ObjectInstanceDeclarationType.getInstance(),
				objectClassDeclaration.createObjectInstanceDeclaration());

		return FunctionCallDeclarationFactory.getInstance().createComposedFunctionCallInternDeclaration(
			composedFunctionCallInternDeclaration.getParent(),
			FunctionActionSimulationDeclarationFactory.CREATE_OBJECT_FUN_DECL,
			CollectionsHelper.createList(objectInstanceFunDecl));
	}
}
