package de.uniwue.ki.mas.xml.writer;

import de.uniwue.ki.mas.basics.type.ISpecificType;
import de.uniwue.ki.mas.xml.castor.v01.model.XMLTypeGroup;
import de.uniwue.ki.mas.xml.castor.v01.model.XMLTypeValueGroup;

/**
 * @author herrler
 * 
 * Creation date: 21.05.2003
 */
public interface IXMLTypeWriter {
	public abstract boolean isResponsibleFor(ISpecificType specificType);

	public abstract XMLTypeGroup createXMLTypeGroup(
		XMLModelTypeWriter modelTypeWriter,
		ISpecificType specificType)
		throws XMLWriteException;
		
	public abstract XMLTypeValueGroup createXMLTypeValueGroup(ISpecificType type, Object value);
}