package de.uniwue.ki.util.collection;
import java.util.Iterator;
import java.util.NoSuchElementException;
/**
 * Creation date: (25.05.00 11:16:05)
 * @author Christoph Oechslein
 */
public interface IConsIterator extends Iterator {
	public final IConsIterator EMPTY_CONS_ITERATOR = new IConsIterator() {
		public Object first() {
			return this;
		}
		public IConsIterator rest() {
			return this;
		}
		public boolean hasNext() {
			return false;
		}
		public Object next() throws NoSuchElementException {
			throw new NoSuchElementException();
		}
		public void remove() {
			throw new UnsupportedOperationException();
		}
	};

	Object first();

	IConsIterator rest();
}