package de.uniwue.ki.util.comparator;
import java.text.Collator;
import java.util.Comparator;
/**
 * Creation date: (12.10.2000 18:13:55)
 * @author Christoph Oechslein
 */public class ToStringComparator implements Comparator {
	private static final ToStringComparator _instance = new ToStringComparator();

	public ToStringComparator() {
		super();
	}

	public final int compare(Object o1, Object o2) {
		return Collator.getInstance().compare(String.valueOf(o1), String.valueOf(o2));
	}

	public boolean equals(Object obj) {
		if (obj == null)
			return false;
		else
			return obj.getClass() == getClass();
	}

	public int hashCode() {
		return getClass().hashCode();
	}

	public static final ToStringComparator getInstance() {
		return _instance;
	}
}