package de.uniwue.ki.util.copy;

import java.util.Map;
/**
 * <BR>Creation date: (11.04.00 13:49:30)
 * @author Christoph Oechslein
 */
public interface ICopyable {

	/*
	 * Creates a copy of <code>this</code>, the mapping is src to dst (i.e. to new copy).
	 */
	ICopyable copy(Map objectMapping);

	/*
	 * Copies the attributes from this into the destination Object.
	 */
	void copyInto(Object dstObject, Map objectMapping);
}