package de.uniwue.ki.util.file;

import junit.framework.TestCase;


/**
 * Creation date: 18.09.2002, 10:47:09
 * @author oechslein
 */
public class TestFileUtilities extends TestCase {

	public TestFileUtilities(String name) {
		super(name);
	}

	public static void main(String[] args) {
		junit.swingui.TestRunner.run(TestFileUtilities.class);
	}

	private void testEnDeCode(String str) {
		assertEquals(str, FileUtilities.decodeFromGZip(FileUtilities.encodeAsGZip(str)));
	}

	public void testEnDeCode() throws Exception {
		testEnDeCode("");
		testEnDeCode("aaa");
		testEnDeCode("Dies ist ein Teststring");
		testEnDeCode("Dies ist ein Teststring mit  und newline\n\t");
		testEnDeCode(
			"Dies ist ein langer Teststring mit  und newline\n\t"
				+ "Dies ist ein langer Teststring mit  und newline\n\t"
				+ "Dies ist ein langer Teststring mit  und newline\n\t"
				+ "Dies ist ein langer Teststring mit  und newline\n\t"
				+ "Dies ist ein langer Teststring mit  und newline\n\t"
				+ "Dies ist ein langer Teststring mit  und newline\n\t"
				+ "Dies ist ein langer Teststring mit  und newline\n\t"
				+ "Dies ist ein langer Teststring mit  und newline\n\t"
				+ "Dies ist ein langer Teststring mit  und newline\n\t"
				+ "Dies ist ein langer Teststring mit  und newline\n\t"
				+ "Dies ist ein langer Teststring mit  und newline\n\t"
				+ "Dies ist ein langer Teststring mit  und newline\n\t"
				+ "Dies ist ein langer Teststring mit  und newline\n\t"
				+ "Dies ist ein langer Teststring mit  und newline\n\t");

		//testEnDeCode(ReaderWriterHelper.getContentsAsString(new FileReader("X:\\C4_09-13_ColonieCosts.xml")));
	}
}
