package de.uniwue.ki.util.functions;/**
 * Function as first order class for aggregating objects into one result object.
 * <BR>Creation date: (12.04.00 11:15:19)
 *
 * @author Christoph Oechslein
 */
public interface IAggregateFunction {

	/**
	 * Add a new object to aggregating function.
	 */
	void add(Object obj) throws Exception;

	/**
	 * Returns the results for aggregating all added objects.
	 */
	Object getResult() throws Exception;
}