package de.uniwue.ki.util.functions;/**
 * Creation date: (20.06.2001 18:17:28)
 * @author Christoph Oechslein
 */
public class NotPredicateFunction implements IPredicateFunction {
	private final IPredicateFunction _nestedPredicateFunction;

	/**
	 * NotPredicateFunction constructor comment.
	 * @param nestedPredicateFunction IPredicateFunction
	 */
	public NotPredicateFunction(IPredicateFunction nestedPredicateFunction) {
	   super();
	
	   _nestedPredicateFunction = nestedPredicateFunction;
	}

	/**
	 * @param obj Object
	 * @return boolean
	 * @throws Exception
	 * @see de.uniwue.ki.util.IPredicateFunction
	 */
	public boolean isElementOk(Object obj) throws Exception {
	   return !(_nestedPredicateFunction.isElementOk(obj));
	}
}