package de.uniwue.ki.util.functions;/**
 * Creation date: (29.11.2000 19:02:36)
 * @author Christoph Oechslein
 */
public class NullIsFalsePredicateFunction implements IPredicateFunction {
	private static final NullIsFalsePredicateFunction instance = new NullIsFalsePredicateFunction();

	/**
	 * NullIsTruePredicateFunction constructor comment.
	 */
	public NullIsFalsePredicateFunction() {
	    super();
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (29.11.2000 19:03:07)
	 * @author Christoph Oechslein
	 * @return de.uniwue.ki.util.NullIsTruePredicateFunction
	 */
	public static final NullIsFalsePredicateFunction getInstance() {
	    return instance;
	}

	/**
	 * @param obj Object
	 * @return boolean
	 * @throws Exception
	 * @see de.uniwue.ki.util.IPredicateFunction
	 */
	public boolean isElementOk(Object obj) throws Exception {
	    return obj != null;
	}
}