package de.uniwue.ki.util.functions;/**
 * Creation date: (20.06.2001 18:17:28)
 * @author Christoph Oechslein
 */
public class OrPredicateFunction implements IPredicateFunction {
	private final IPredicateFunction _nestedPredicateFunction1;
	private final IPredicateFunction _nestedPredicateFunction2;

	/**
	 * NotPredicateFunction constructor comment.
	 */
	public OrPredicateFunction(IPredicateFunction nestedPredicateFunction1, IPredicateFunction nestedPredicateFunction2) {
	   super();
	
	   _nestedPredicateFunction1 = nestedPredicateFunction1;
	   _nestedPredicateFunction2 = nestedPredicateFunction2;
	}

	/**
	 * @param obj Object
	 * @return boolean
	 * @throws Exception
	 * @see de.uniwue.ki.util.IPredicateFunction
	 */
	public boolean isElementOk(Object obj) throws Exception {
	   return (_nestedPredicateFunction1.isElementOk(obj)) || (_nestedPredicateFunction2.isElementOk(obj));
	}
}