package de.uniwue.ki.util.list;
import java.io.Serializable;
import java.util.Comparator;
import java.util.List;

import javax.swing.ListModel;

import de.uniwue.ki.util.copy.ICopyable;
import de.uniwue.ki.util.name.INamed;/**
 * Creation date: (26.11.2001 16:25:37)
 * @author Christoph Oechslein
 */
public interface IMutableListModel extends ListModel, List, INamed, ICopyable, Serializable {

	boolean accept(Object anObject);

	int changeIndex(Object anObject, int newIndex);

	void moveTo(Object transferedObject, IMutableListModel targetMutableListModel, int newIndex);

	void sort(Comparator comparator);
}