package de.uniwue.ki.util.list;

import java.io.Serializable;

import de.uniwue.ki.util.factory.IObjectFactory;
import de.uniwue.ki.util.name.INamed;

/**
 * Creation date: (14.11.2001 10:38:31)
 * @author Christoph Oechslein
 */
public interface IMutableListModelAndFactory extends INamed, Serializable {

	IMutableListModel getMutableListModel();

	IObjectFactory getObjectFactory();

	Object getFirstObjectOrCreateNewIfEmpty() throws Exception;
}