package de.uniwue.ki.util.name;

/**
 * Printable class.
 * Creation date: (26.05.00 11:18:34)
 *
 * @author Christoph Oechslein
 */
public interface INamed {

	/**
	 * Returns a short printable representation of this object.
	 */
	String getName();
	
	/**
	 * Append short printable representation of this object to buffer.
	 * Same as
	 * <code>buff.append(getName())</code>
	 */
	void appendName(StringBuffer buff, int currDepth, int maxDepth);
}