package de.uniwue.ki.util.rectangular;/**
 * Creation date: (15.11.2000 16:20:52)
 * @author Christoph Oechslein
 */
public class TestDefaultRectangularMapModel extends DefaultRectangularMapModel {

	/**
	 * TestDefaultRectangularMapModel constructor comment.
	 */
	public TestDefaultRectangularMapModel() {
	    super(5, 4);
	
	    setObjects();
	}

	/**
	 * Sets the colsCount property (int) value.
	 * @param colsCount The new value for the property.
	 * @see #getColsCount
	 */
	public void setColsCount(int colsCount) {
	    super.setColsCount(colsCount);
	    setObjects();
	}

	private void setObjects() {
	    for (int x = 0; x < getColsCount(); x++)
	        for (int y = 0; y < getRowsCount(); y++)
	            addObject(x, y, "(" + x + " ," + y + ")");
	}

	/**
	 * Sets the rowsCount property (int) value.
	 * @param rowsCount The new value for the property.
	 * @see #getRowsCount
	 */
	public void setRowsCount(int rowsCount) {
	    super.setRowsCount(rowsCount);
	    setObjects();
	}
}