package de.uniwue.ki.util.tree;
import java.util.Enumeration;
import java.util.Iterator;

import javax.swing.tree.TreeNode;

import de.uniwue.ki.util.collection.CollectionsHelper;
/**
 * Creation date: (07.02.2002 15:11:24)
 * @author Christoph Oechslein
 */
public class DefaultObjectTreeNodeLeaf extends AbstractObjectTreeNode {
	public DefaultObjectTreeNodeLeaf(IObjectTreeNode parent, Object userObject) {
		super(parent, userObject);
	}

	public Enumeration children() {
		return CollectionsHelper.EMPTY_ENUMERATION;
	}

	public Iterator iterator() {
		return CollectionsHelper.EMPTY_ITERATOR;
	}

	public boolean getAllowsChildren() {
		return false;
	}

	public TreeNode getChildAt(int childIndex) {
		return null;
	}

	public int getChildCount() {
		return 0;
	}

	public int getIndex(TreeNode node) {
		return -1;
	}

	public boolean isLeaf() {
		return true;
	}

	public void remove() {
	}
}