package de.uniwue.ki.util.tree;
import java.io.Serializable;
import java.util.Iterator;

import javax.swing.tree.TreeNode;

import de.uniwue.ki.util.IRemoveable;
/**
 * Creation date: (07.02.2002 13:57:56)
 * @author Christoph Oechslein
 */
public interface IObjectTreeNode extends TreeNode, IRemoveable, Serializable {
	Object getUserObject();

	/** Return childrens. */
	Iterator iterator();

	TreeNode[] getPath();
}