package de.uniwue.ki.util.tree;
import de.uniwue.ki.util.list.IMutableListModel;
import de.uniwue.ki.util.list.IMutableListModelAndFactory;
import de.uniwue.ki.util.name.INamed;

/**
 * Creation date: (07.02.2002 13:48:41)
 * @author Christoph Oechslein
 */
public class MutableListModelAndFactoryTreeNodeAdapter
	extends AbstractMutableListTreeNode
	implements IMutableListTreeNode, INamed {

	public MutableListModelAndFactoryTreeNodeAdapter(
		IObjectTreeNode parent,
		IMutableListModelAndFactory mutableListModelAndFactory,
		IObjectTreeNodeFactory treeNodeFactory) {

		super(parent, mutableListModelAndFactory, treeNodeFactory);

		addListener(mutableListModelAndFactory.getMutableListModel());
	}

	public final IMutableListModel getMutableListModel() {
		return getMutableListModelAndFactory().getMutableListModel();
	}

	public final IMutableListModelAndFactory getMutableListModelAndFactory() {
		return (IMutableListModelAndFactory) getUserObject();
	}
}