package mygale.mcge.cmd;
import mygale.mcge.core.*;
import mygale.mcge.fig.*;
import mygale.mcge.mode.ModeCreateFig;

/**
 * Insert the type's description here.
 * Creation date: (19.04.2001 12:52:44)
 
 */
public class CmdCreateFig extends CmdCreate {
   protected final IFigFactory _figFactory;

/**
 * CmdCreateFig constructor comment.
 * @param editor mygale.mcge.core.JGraphEditor
 * @param iconName java.lang.String
 */
public CmdCreateFig(JGraphEditor editor,  String name,  String tooltips, int iconSize,   String iconName, IFigFactory figFactory) {
   super(editor, name, tooltips, iconSize, iconName);

   _figFactory = figFactory;
}


/**
    * @see mygale.mcge.cmd.Cmd
    */
public void doIt() {
   JGraph graph = getGraph();
   IFig fig = _figFactory.createFig();
   graph.beginMode(new ModeCreateFig(graph.getModeManager(), (IFigLayered) fig));
}
}