package mygale.mcge.cmd;

import mygale.mcge.core.*;
import mygale.mcge.fig.IFigLayered;
import mygale.mcge.sel.Selection;

/**
 * Insert the type's description here.
 * Creation date: (03.05.2001 15:16:38)
 
 */
public class CmdProperties extends CmdGraphEditor {



/**
 * @see mygale.mcge.cmd.Cmd
 */
public void doIt() {
   JGraph graph = getGraph();

         Selection sel = graph.getSelection();
         java.util.Iterator it = sel.getAllFigs();
         while (it.hasNext()) {
            IFigLayered currFig = (IFigLayered) it.next();

            currFig.editProperties(graph);
         }
}

/**
 * @see mygale.mcge.cmd.Cmd
 */
public String getToolTipText() {
   return "Shows the properties of nodes.";
}

/**
 * CmdProperties constructor comment.
 * @param editor mygale.mcge.core.JGraphEditor
 * @param iconSize int
 */
public CmdProperties(JGraphEditor editor, int iconSize) {
   super(editor, "Properties", iconSize, "general/Properties");
}
}
