package mygale.mcge.demo;

import mygale.mcge.core.*;

/** This is the graph editor panel of the MCGE demo
 *
 */
public class GraphEditor extends JGraphEditor {

	/// Constructors

	/** Construct a new GraphEditor with
	 *  an internal undo/redo manager.
	 */
	public GraphEditor() {
		super();
	}

	/** Create and return the default instance of the
	     *  {@link GraphArea graph editing area}.
	     *
	     * @return a reference to a {@link GraphArea GraphArea}.
	     */
	protected JGraph makeGraph() {
		return new GraphArea(this);
	}
}
