package mygale.mcge.fig;
import java.util.HashMap;

import junit.framework.Assert;

import mygale.mcge.net.INetObject;

public class DefaultFigMapper extends HashMap implements IFigMapper {

	public IFigObject getFigFor(INetObject anNetObject) {
		if (Assert.ASSERTION_ON)
			Assert.assertNotNull(anNetObject);
		return (IFigObject) get(anNetObject);
	}

	public void removeFigFor(IFigObject figObject) {
		removeFigFor(figObject.getNetObject());
	}

	public void removeFigFor(INetObject anNetObject) {
		remove(anNetObject);
	}

	public void setFigFor(INetObject anNetObject, IFigObject newFig) {
		Assert.assertNotNull(anNetObject);
		Assert.assertNotNull(newFig);
		put(anNetObject, newFig);
	}
}