package mygale.mcge.net;

/**
 * This is the event class to support the mygale.mcge.net.NetGraphModelChangedListener interface.
 */
public class NetGraphModelChangedEvent extends java.util.EventObject {
	private final INetObject _netObject;


/**
 * NetGraphModelChangedEvent constructor comment.
 * @param source java.lang.Object
 * @param netEdge INetEdge
 */
public NetGraphModelChangedEvent(java.lang.Object source, INetEdge netEdge) {
   super(source);

   _netObject = netEdge;
}

/**
 * NetGraphModelChangedEvent constructor comment.
 * @param source java.lang.Object
 */
public NetGraphModelChangedEvent(java.lang.Object source, INetNode netNode) {
   super(source);

   _netObject = netNode;
}

/**
 * @return INetEdge
 */
public INetEdge getNetEdge() {
   return (INetEdge) _netObject;
}

/**
 * @return INetNode
 */
public INetNode getNetNode() {
   return (INetNode) _netObject;
}
}
