package mygale.mcge.throwable;





/** <var>MCGEInvalidIconName</var> is the class of those exceptions
 *  that can be thrown when an icon was not found.
 *  <p>Because this is a
 *  {@link java.lang.RuntimeException RuntimeException}
 *  you don't need to declare this exception in the
 *  <code>throws</code> clause.
 *
 */
public class MCGEInvalidIconName extends RuntimeException {

/** Construct a new MCGEInvalidIconName.
     *
     * @param message the message that explain this exception.
     */
    public MCGEInvalidIconName(String message) {
    super( message );
    }
}
