package mygale.mcge.util.prefs;


/** This interface represents the listener that attempt
 *  to receive {@link mygale.mcge.util.prefs.Prefs Prefs}
 *  events.
 *  <p><center>
 *    <img src="doc-files/PrefChangedListener_uml.gif" width="232" height="97" border="0" usemap="#umlclick">
 *    <map name="umlclick">
 *      <area shape="Rect" coords="0,0,72,28"  href="Prefs.html">
 *      <area shape="Rect" coords="122,68,230,95"  href="PrefChangedEvent.html">
 *    </map>
 *  </center></p>
 *
 */
public interface PrefChangedListener {

   /** This method is called each time a
        *  {@link mygale.mcge.util.prefs.Prefs Prefs}
        *  was changed.
        *
        * @param event it descrive this event.
        */
   void prefChanged(PrefChangedEvent event);
}