package com.geocities.sbridgesgeo.debug;

/*
 * Copyright (C) 2000 Sean Bridges
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */





/**
 * Overrides .equals() to be always equals, and hash code to return 10 always.
 * Shows how the Inspector does not rely on either.
 */
class Similiar
{
	private int myInt;

Similiar(int anInt)
{
	myInt = anInt;
}
public boolean equals(Object obj)
{
	return true;
}
public int hashCode()
{
	return 10;
}
public String toString()
{
	return String.valueOf(myInt);
}
}
