package com.magelang.box;

import java.awt.*;
import java.beans.Beans;

public class Glue extends Component {
	private Dimension min = new Dimension(Beans.isDesignTime() ? 10 : 0, Beans.isDesignTime() ? 10 : 0);
	private Dimension maxW = new Dimension(Short.MAX_VALUE, Beans.isDesignTime() ? 10 : 0);
	private Dimension maxH = new Dimension(Beans.isDesignTime() ? 10 : 0, Short.MAX_VALUE);
	private Dimension max = maxW;
	private boolean fieldHorizontal = true;
	private boolean fieldVertical = false;
public boolean getHorizontal() {
	return fieldHorizontal;
}
public Dimension getMaximumSize() {
	return max;
}
public Dimension getMinimumSize() {
	return min;
}
public Dimension getPreferredSize() {
	return min;
}
public boolean getVertical() {
	return fieldVertical;
}
public void paint(Graphics g) {
	if (Beans.isDesignTime()) {
		Dimension d = getSize();
		g.setColor(Color.red);
		g.fillOval(0, 0, d.width, d.height);
	}
}
public void setHorizontal(boolean horizontal) {
	fieldHorizontal = horizontal;
	max = horizontal ? maxW : maxH;
}
public void setVertical(boolean vertical) {
	fieldVertical = vertical;
}
}
