package de.uniwue.ki.gui.mas.application;

import java.awt.Insets;

import javax.swing.*;
/**
 * Creation date: (17.10.2000 16:51:30)
 * @author Administrator
 */
public class SeSAmDesktopInternalFrame extends JInternalFrame {
	private JPanel ivjJInternalFrameContentPane = null;

	/**
	 * SeSAmDesktopInternalFrame constructor comment.
	 */
	public SeSAmDesktopInternalFrame() {
		super();
		initialize();
	}

	/**
	 * SeSAmDesktopInternalFrame constructor comment.
	 * @param title java.lang.String
	 */
	public SeSAmDesktopInternalFrame(String title) {
		super(title);
	}

	/**
	 * SeSAmDesktopInternalFrame constructor comment.
	 * @param title java.lang.String
	 * @param resizable boolean
	 */
	public SeSAmDesktopInternalFrame(String title, boolean resizable) {
		super(title, resizable);
	}

	/**
	 * SeSAmDesktopInternalFrame constructor comment.
	 * @param title java.lang.String
	 * @param resizable boolean
	 * @param closable boolean
	 */
	public SeSAmDesktopInternalFrame(String title, boolean resizable, boolean closable) {
		super(title, resizable, closable);
	}

	/**
	 * SeSAmDesktopInternalFrame constructor comment.
	 * @param title java.lang.String
	 * @param resizable boolean
	 * @param closable boolean
	 * @param maximizable boolean
	 */
	public SeSAmDesktopInternalFrame(String title, boolean resizable, boolean closable, boolean maximizable) {
		super(title, resizable, closable, maximizable);
	}

	/**
	 * SeSAmDesktopInternalFrame constructor comment.
	 * @param title java.lang.String
	 * @param resizable boolean
	 * @param closable boolean
	 * @param maximizable boolean
	 * @param iconifiable boolean
	 */
	public SeSAmDesktopInternalFrame(
		String title,
		boolean resizable,
		boolean closable,
		boolean maximizable,
		boolean iconifiable) {
		super(title, resizable, closable, maximizable, iconifiable);
	}

	/**
	 * main entrypoint - starts the part when it is run as an application
	 * @param args java.lang.String[]
	 */
	public static void main(java.lang.String[] args) {
		try {
			JFrame frame = new javax.swing.JFrame();
			SeSAmDesktopInternalFrame aSeSAmDesktopInternalFrame;
			aSeSAmDesktopInternalFrame = new SeSAmDesktopInternalFrame();
			frame.setContentPane(aSeSAmDesktopInternalFrame);
			frame.setSize(aSeSAmDesktopInternalFrame.getSize());
			frame.addWindowListener(new java.awt.event.WindowAdapter() {
				public void windowClosing(java.awt.event.WindowEvent e) {
					System.exit(0);
				}
			});
			frame.show();
			Insets insets = frame.getInsets();
			frame.setSize(frame.getWidth() + insets.left + insets.right, frame.getHeight() + insets.top + insets.bottom);
			frame.setVisible(true);
		} catch (Throwable exception) {
			System.err.println("Exception occurred in main() of javax.swing.JInternalFrame");
			exception.printStackTrace(System.out);
		}
	}

	/**
	 * Method generated to support the promotion of the seSAmDesktopPane attribute.
	 * @return de.uniwue.ki.gui.mas.model.SeSAmDesktopPane
	 */
	public SeSAmDesktopPane getSeSAmDesktopPane() {
		return (SeSAmDesktopPane) getContentPane();
	}

	/**
	 * Method generated to support the promotion of the seSAmDesktopPane attribute.
	 * @param seSAmDesktopPane SeSAmDesktopPane
	 */
	public void setSeSAmDesktopPane(SeSAmDesktopPane seSAmDesktopPane) {
		setContentPane(seSAmDesktopPane);
	}



	/**
	 * Return the JInternalFrameContentPane property value.
	 * @return javax.swing.JPanel
	 */
	private JPanel getJInternalFrameContentPane() {
		if (ivjJInternalFrameContentPane == null) {
			try {
				ivjJInternalFrameContentPane = new javax.swing.JPanel();
				ivjJInternalFrameContentPane.setName("JInternalFrameContentPane");
				ivjJInternalFrameContentPane.setLayout(new java.awt.BorderLayout());
						} catch (java.lang.Throwable ivjExc) {
						handleException(ivjExc);
			}
		}
		return ivjJInternalFrameContentPane;
	}

	/**
	 * Called whenever the part throws an exception.
	 * @param exception java.lang.Throwable
	 */
	private void handleException(java.lang.Throwable exception) {

		exception.printStackTrace(System.out);
	}

	/**
	 * Initialize the class.
	 */
	private void initialize() {
		try {
				setName("SeSAmDesktopInternalFrame");
			setIconifiable(true);
			setClosable(true);
			setSize(362, 252);
			setMaximizable(true);
			setResizable(true);
			setContentPane(getJInternalFrameContentPane());
		} catch (java.lang.Throwable ivjExc) {
			handleException(ivjExc);
		}
	}
}