package de.uniwue.ki.gui.mas.application.importExport;

import java.util.List;

import javax.swing.event.ChangeListener;

/**
 * @author Reinhard Hatko
 * 
 * Created on 15.03.2004
 * 
 */
public interface Checkable {
	
	void setSelected(boolean selected);
	
	void setSelected(boolean selected, boolean propagateUp, boolean propagateDown);
	
	boolean isSelected();
	
	void setChildren(Checkable[] children);
	
	Checkable[] getChildren();
	
	Checkable getFather();
	
	void setFather(Checkable father);
	
	Object getUserObject();
	
	void getUserObjectsRecursively(List list);
	
	void addChangeListener(ChangeListener listener);
	
	void removeChangeListener(ChangeListener listener);
	
	
}
