package de.uniwue.ki.gui.mas.basics.action;
import de.uniwue.ki.gui.mas.util.declaration.DeclarationListPanel;
import de.uniwue.ki.gui.util.dnd.ObjectDataFlavor;
import de.uniwue.ki.mas.basics.action.FunctionActionCallDeclarationFactory;
import de.uniwue.ki.mas.basics.functionCall.IFunctionCallDeclaration;

/**
 * Creation date: (11.03.2002 15:11:37)
 * @author Christoph Oechslein
 */
public class FunctionActionDeclarationListPanel extends DeclarationListPanel {
	public FunctionActionDeclarationListPanel() {
		super();

		setCellRenderer(new FunctionActionDeclarationCellRendererAdapter(getCellRenderer()));
		setDeclarationFactory(FunctionActionCallDeclarationFactory.getInstance());
		enableDnDSupport(ObjectDataFlavor.getDataFlavor(IFunctionCallDeclaration.class));
		setArrowsAvailible(true);
	}
}