package de.uniwue.ki.gui.mas.basics.feature.spatial;
import java.awt.Point;

import de.uniwue.ki.gui.util.rectangular.JRectangularMap;
import de.uniwue.ki.gui.util.rectangular.RemoveRectangularMapPanelState;
/**
 * Creation date: (11.12.2000 13:33:48)
 * @author Christoph Oechslein
 */
public class RemoveSpatialMapFeatureInstDeclMapPanelState extends RemoveRectangularMapPanelState {
	public RemoveSpatialMapFeatureInstDeclMapPanelState() {
		super();
	}

	public RemoveSpatialMapFeatureInstDeclMapPanelState(JRectangularMap rectangularMap) {
		super(rectangularMap);
	}

	protected void mouseDoubleClicked(java.awt.event.MouseEvent e) {
		Point modelPoint = convertMousePointToModelPoint(e.getPoint());

		if (getRectangularMap().getRectangularMapModel().getObjectCount(modelPoint.x, modelPoint.y) != 0) {
			getRectangularMap().getRectangularMapModel().removeObjectAt(modelPoint.x, modelPoint.y, 0);
			getRectangularMap().setSelectedPoint(modelPoint);
		}
	}
}