package de.uniwue.ki.gui.mas.basics.feature.spatial;
import java.awt.Container;

import de.uniwue.ki.gui.mas.model.AbstractDeclarationPanelAndActionFactory;
import de.uniwue.ki.gui.mas.model.IGUISeSAmDeclaration;
import de.uniwue.ki.gui.mas.util.declaration.*;
import de.uniwue.ki.mas.basics.feature.spatial.SpatialMapObjectFeatureInstDeclaration;
import de.uniwue.ki.mas.util.declaration.IDeclaration;

/**
 * Creation date: (11.10.2001 15:13:45)
 * @author Christoph Oechslein
 */
public class SpatialMapObjectFeatureInstDeclPanelActionFactory
	extends AbstractDeclarationPanelAndActionFactory {
	private final IDeclarationPanelFactory _editPropertiesDeclarationPanelFactory =
		new EditPropertiesDeclarationPanelFactory();

	private class EditPropertiesDeclarationPanelFactory extends AbstractDeclarationPanelFactory {

		public IDeclarationPanel createDeclarationPanel(IDeclaration declaration) {
			JSpatialMapBuildinObjectFeatureInstDeclPanel instanceDeclarationPanel =
				new JSpatialMapBuildinObjectFeatureInstDeclPanel();
			
			//TODO reenable???
			//wird vom Aufrufer dieser methode als nchstes aufgerufen. 
			//instanceDeclarationPanel.setGUISeSAmDeclaration(getGUISeSAmDeclaration());

			return instanceDeclarationPanel;
		}
		public String getDeclarationTitle(IDeclaration declaration) {
			return "Map";
		}
	}

	public SpatialMapObjectFeatureInstDeclPanelActionFactory() {
		super();
	}

	public SpatialMapObjectFeatureInstDeclPanelActionFactory(IGUISeSAmDeclaration guiSeSAmDeclaration) {
		super(guiSeSAmDeclaration);
	}

	protected boolean getCanProduceDeclarationActions(Container parent, IDeclaration anDeclaration) {
		return anDeclaration instanceof SpatialMapObjectFeatureInstDeclaration;
	}

	public IDeclarationPanelFactory getDeclarationPanelFactory(
		Container parent,
		IDeclaration anDeclaration) {
		return _editPropertiesDeclarationPanelFactory;
	}
}