package de.uniwue.ki.gui.mas.basics.feature.user;
import java.awt.Container;

import de.uniwue.ki.gui.mas.model.DefaultMutableListModelAndFactoryPanelActionFactory;
import de.uniwue.ki.gui.mas.model.IGUISeSAmDeclaration;
import de.uniwue.ki.gui.util.actions.AbstractBoundAction;
import de.uniwue.ki.mas.basics.feature.user.IUserFeatureClassDeclaration;
import de.uniwue.ki.mas.basics.functionUser.UserFunctionDeclarationListAndFactory;
import de.uniwue.ki.mas.entity.variableclass.VariableClassDeclarationListAndFactory;
/**
 * Creation date: (05.02.2002 11:38:36)
 * @author Christoph Oechslein
 */
public class UserFeatureFunctionAndVariableDeclarationListAndFactoryActionFactory extends DefaultMutableListModelAndFactoryPanelActionFactory {
public UserFeatureFunctionAndVariableDeclarationListAndFactoryActionFactory(IGUISeSAmDeclaration guiSeSAmDeclaration) {
	super(guiSeSAmDeclaration);
}


public boolean getCanProduceActions(Container parent, Object anObject) {
    return ((anObject instanceof UserFunctionDeclarationListAndFactory) || (anObject instanceof VariableClassDeclarationListAndFactory))
        && (getSeSAmDeclarationTreeModel().getUserObjectParentOf(anObject) instanceof IUserFeatureClassDeclaration);
}


public AbstractBoundAction getPropertyAction(final Container parent, Object anObject) {

	// disallow
	return null;

	/*

	SeSAmDeclarationTreePanel seSAmDeclarationTreePanel = (SeSAmDeclarationTreePanel) parent;

	final IUserFeatureClassDeclaration userFeatureClassDeclaration = (IUserFeatureClassDeclaration) seSAmDeclarationTreePanel.getSeSAmDeclarationTreeModelAdapter().getParentOf(anObject);

	final UserDefinedFunctionDeclarationListAndFactory userDefinedFunctionDeclarationListAndFactory = (UserDefinedFunctionDeclarationListAndFactory) anObject;

        return new AbstractBoundAction("Properties", _propertiesIcon) {
                public void doit() {
			 	    UserDefinedFunctionDeclarationListForUserFeaturePanel userDefinedFunctionDeclarationListForUserFeaturePanel	= new UserDefinedFunctionDeclarationListForUserFeaturePanel();

                    userDefinedFunctionDeclarationListForUserFeaturePanel.setGUISeSAmDeclaration(getGUISeSAmDeclaration());

				    userDefinedFunctionDeclarationListForUserFeaturePanel.setUserFeatureClassDeclaration(userFeatureClassDeclaration);
	
                    userDefinedFunctionDeclarationListForUserFeaturePanel.setDeclarationListAndFactory(userDefinedFunctionDeclarationListAndFactory);

                    GUISeSAmDeclaration.getDeclarationFrameFactory(getGUISeSAmDeclaration()).addPanel(
                        parent,
                        userDefinedFunctionDeclarationListAndFactory.getName(),
                        userDefinedFunctionDeclarationListForUserFeaturePanel,
                        true);
                }
            };
   */
}
}