package de.uniwue.ki.gui.mas.basics.feature.user;
import de.uniwue.ki.gui.mas.basics.functionUser.UserFunctionDeclarationListPanel;
import de.uniwue.ki.mas.basics.feature.user.IUserFeatureClassDeclaration;

/**
 * Creation date: (14.11.2001 19:37:09)
 * @author Christoph Oechslein
 */
public class UserFeatureFunctionDeclarationListPanel
	extends UserFunctionDeclarationListPanel {
	private IUserFeatureClassDeclaration _userFeatureClassDeclaration;

	public void dispose() {
		super.dispose();

		setUserFeatureClassDeclaration(null);
	}

	public IUserFeatureClassDeclaration getUserFeatureClassDeclaration() {
		return _userFeatureClassDeclaration;
	}

	public void setUserFeatureClassDeclaration(IUserFeatureClassDeclaration newUserFeatureClassDeclaration) {

		_userFeatureClassDeclaration = newUserFeatureClassDeclaration;

		if (newUserFeatureClassDeclaration != null) {
			setDeclarationListAndFactory(
				newUserFeatureClassDeclaration.getUserFunctionDeclarationListAndFactory());
		}
	}
}