package de.uniwue.ki.gui.mas.basics.functionCall;

import java.util.Iterator;

import de.uniwue.ki.mas.basics.functionDeclaration.list.IFunctionDeclarationListAble;
import de.uniwue.ki.mas.entity.objectclass.IObjectClassDeclaration;
import de.uniwue.ki.mas.model.ISeSAmModelDeclaration;
import de.uniwue.ki.util.copy.ICopyable;
import de.uniwue.ki.util.functions.IPredicateFunction;

/**
 * @author oechslein
 * 
 * Creation date: 27.08.2003
 */
public interface IExpertFilterFunctionDeclarationListAble extends IFunctionDeclarationListAble, ICopyable {
	boolean isExpert();
	void setExpert(boolean expert);

	IObjectClassDeclaration getObjectClassDeclaration();
	void setObjectClassDeclaration(IObjectClassDeclaration objectClassDeclaration);

	Iterator getBodyVariableClassDeclarations();
	Iterator getFeatureVariableClassDeclarations();

	ISeSAmModelDeclaration getSeSAmModelDeclaration();
	void setSeSAmModelDeclaration(ISeSAmModelDeclaration seSAmModelDeclaration);
	
	void setAdditionalFilter(IPredicateFunction predicate);
}