package de.uniwue.ki.gui.mas.basics.functionUser;

import javax.swing.*;

import de.uniwue.ki.gui.mas.basics.functionArgument.SpecificFunctionDeclarationWithArgDeclBindsCellRendererAdapter;
import de.uniwue.ki.gui.mas.entity.variableclass.VariableClassDeclarationCellRendererAdapter;
import de.uniwue.ki.mas.basics.functionUser.IUserFunctionDeclaration;
import de.uniwue.ki.util.name.INamed;

/**
 * Creation date: 09.10.2002, 18:14:49
 * @author oechslein
 */
public class UserFunctionDeclarationCellRendererAdapter
	extends SpecificFunctionDeclarationWithArgDeclBindsCellRendererAdapter {

	public UserFunctionDeclarationCellRendererAdapter(ListCellRenderer cellRenderer) {
		super(cellRenderer);
	}

	public static final ImageIcon PUBLIC_ICON = VariableClassDeclarationCellRendererAdapter.PUBLIC_ICON;

	public static final ImageIcon PRIVATE_ICON = VariableClassDeclarationCellRendererAdapter.PRIVATE_ICON;

	protected Icon getIcon(INamed value) {
		if (value instanceof IUserFunctionDeclaration) {
			return getMarkerIcon((IUserFunctionDeclaration) value);
		}
		return super.getIcon(value);
	}

	public static Icon getMarkerIcon(IUserFunctionDeclaration userFunctionDeclaration) {
		if (userFunctionDeclaration.isExternal()) {
			return PUBLIC_ICON;
		} else {
			return PRIVATE_ICON;
		}
	}
}