package de.uniwue.ki.gui.mas.basics.type;
import de.uniwue.ki.mas.basics.type.*;

/**
 * Creation date: (30.05.00 17:17:28)
 * @author Christoph Oechslein
 */
public class GenericListTypeDefinePanel
	extends de.uniwue.ki.gui.mas.model.JPanelWithGUISeSAmDeclaration
	implements IGenericTypeDefinePanel {
	private boolean _inChangedSpecificArgumentDefinePanelSpecificType = false;
	private boolean _inChangedSpecificTypeIntern = false;
	private SpecificTypeDefinePanel ivjSpecificArgumentDefinePanel = null;
	private final IvjEventHandler ivjEventHandler = new IvjEventHandler();
	private ISpecificType ivjSpecificTypeIntern = null;
	private boolean ivjConnPtoP1Aligning = false;

	private final class IvjEventHandler implements java.beans.PropertyChangeListener {
		public void propertyChange(java.beans.PropertyChangeEvent evt) {
			if (evt.getSource() == GenericListTypeDefinePanel.this.getSpecificArgumentDefinePanel()
				&& (evt.getPropertyName().equals("specificType")))
				connEtoC2(evt);
			if (evt.getSource() == GenericListTypeDefinePanel.this
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP1SetTarget();
			if (evt.getSource() == GenericListTypeDefinePanel.this.getSpecificArgumentDefinePanel()
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP1SetSource();
		}
	}

	/**
	 * GenericSetArgumentDefinePanel constructor comment.
	 */
	public GenericListTypeDefinePanel() {
		super();
		initialize();
	}

	protected void changedSpecificArgumentDefinePanelSpecificType(ISpecificType newSpecificTypeInSetType) {

		if (!_inChangedSpecificArgumentDefinePanelSpecificType) {
			try {
				_inChangedSpecificArgumentDefinePanelSpecificType = true;

//				setSpecificType(
//					GenericIteratorType.getInstance().createSpecificIteratorType(
//						getSpecificArgumentDefinePanel().getSpecificType()));
				setSpecificType(
					GenericListType.getInstance().createSpecificListType(
						getSpecificArgumentDefinePanel().getSpecificType()));

			} finally {
				_inChangedSpecificArgumentDefinePanelSpecificType = false;
			}
		}
	}

	protected void changedSpecificTypeIntern(de.uniwue.ki.mas.basics.type.ISpecificType newSpecificType) {
		if (!_inChangedSpecificTypeIntern) {
			try {
				_inChangedSpecificTypeIntern = true;

				getSpecificArgumentDefinePanel().setSpecificType(
					((SpecificIteratorType) newSpecificType).getIteratorSpecificType());
			} finally {
				_inChangedSpecificTypeIntern = false;
			}
		}
	}

	/**
	 * connEtoC2:  (SpecificArgumentDefinePanel.specificType --> GenericSetTypeDefinePanel.changedSpecificArgumentDefinePanelSpecificType(Lde.uniwue.ki.mas.basics.type.ISpecificType;)V)
	 * @param arg1 java.beans.PropertyChangeEvent
	 */
	private void connEtoC2(java.beans.PropertyChangeEvent arg1) {
		try {
					this.changedSpecificArgumentDefinePanelSpecificType(
				getSpecificArgumentDefinePanel().getSpecificType());
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connEtoC3:  (SpecificTypeIntern.this --> GenericSetTypeDefinePanel.changedSpecificTypeIntern(Lde.uniwue.ki.mas.basics.type.ISpecificType;)V)
	 * @param value de.uniwue.ki.mas.model.basics.type.ISpecificType
	 */
	private void connEtoC3(de.uniwue.ki.mas.basics.type.ISpecificType value) {
		try {
					this.changedSpecificTypeIntern(getSpecificTypeIntern());
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connEtoC4:  (GenericSetTypeDefinePanel.initialize() --> GenericSetTypeDefinePanel.changedSpecificArgumentDefinePanelSpecificType(Lde.uniwue.ki.mas.basics.type.ISpecificType;)V)
	 */
	private void connEtoC4() {
		try {
					this.changedSpecificArgumentDefinePanelSpecificType(
				getSpecificArgumentDefinePanel().getSpecificType());
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP1SetSource:  (GenericSetTypeDefinePanel.gUISeSAmDeclaration <--> SpecificArgumentDefinePanel.gUISeSAmDeclaration)
	 */
	private void connPtoP1SetSource() {
		try {
			if (ivjConnPtoP1Aligning == false) {
								ivjConnPtoP1Aligning = true;
				this.setGUISeSAmDeclaration(getSpecificArgumentDefinePanel().getGUISeSAmDeclaration());
								ivjConnPtoP1Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP1Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP1SetTarget:  (GenericSetTypeDefinePanel.gUISeSAmDeclaration <--> SpecificArgumentDefinePanel.gUISeSAmDeclaration)
	 */
	private void connPtoP1SetTarget() {
		try {
			if (ivjConnPtoP1Aligning == false) {
								ivjConnPtoP1Aligning = true;
				getSpecificArgumentDefinePanel().setGUISeSAmDeclaration(this.getGUISeSAmDeclaration());
								ivjConnPtoP1Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP1Aligning = false;
					handleException(ivjExc);
		}
	}



	/**
	 * Return the SpecificTypeDefinePanel property value.
	 * @return de.uniwue.ki.gui.mas.model.basics.type.SpecificTypeDefinePanel
	 */
	private SpecificTypeDefinePanel getSpecificArgumentDefinePanel() {
		if (ivjSpecificArgumentDefinePanel == null) {
			try {
				ivjSpecificArgumentDefinePanel =
					new de.uniwue.ki.gui.mas.basics.type.SpecificTypeDefinePanel();
				ivjSpecificArgumentDefinePanel.setName("SpecificArgumentDefinePanel");
				ivjSpecificArgumentDefinePanel.setBorder(
					javax.swing.BorderFactory.createTitledBorder("Set argument"));
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjSpecificArgumentDefinePanel;
	}

	/**
	 * Method generated to support the promotion of the specificType attribute.
	 * @return de.uniwue.ki.mas.model.basics.type.ISpecificType
	 */
	public de.uniwue.ki.mas.basics.type.ISpecificType getSpecificType() {
		return getSpecificTypeIntern();
	}

	/**
	 * Return the ISpecificType1 property value.
	 * @return de.uniwue.ki.mas.model.basics.type.ISpecificType
	 */
	private de.uniwue.ki.mas.basics.type.ISpecificType getSpecificTypeIntern() {
		return ivjSpecificTypeIntern;
	}

	/**
	 * Method generated to support the promotion of the typeList attribute.
	 * @return java.util.List
	 */
	public java.util.List getTypeList() {
		return getSpecificArgumentDefinePanel().getTypeList();
	}

	/**
	 * Called whenever the bean information class throws an exception.
	 * @param exception Throwable
	 */
	private void handleException(Throwable exception) {

		exception.printStackTrace(System.out);
	}

	/**
	 * Initializes connections
	 * @exception Exception The exception description.
	 */
	private void initConnections() {
		getSpecificArgumentDefinePanel().addPropertyChangeListener(ivjEventHandler);
		this.addPropertyChangeListener(ivjEventHandler);
		connPtoP1SetTarget();
	}

	/**
	 * Initialize the class.
	 */
	private void initialize() {
		try {
					setName("GenericSetArgumentDefinePanel");
			setLayout(new java.awt.BorderLayout());
			setSize(242, 128);
			add(getSpecificArgumentDefinePanel(), "Center");
			initConnections();
			connEtoC4();
		} catch (Throwable ivjExc) {
			handleException(ivjExc);
		}
	}

	public static void main(String[] args) {
		try {
			javax.swing.JFrame frame = new javax.swing.JFrame();
			GenericListTypeDefinePanel aGenericSetArgumentDefinePanel;
			aGenericSetArgumentDefinePanel = new GenericListTypeDefinePanel();
			frame.setContentPane(aGenericSetArgumentDefinePanel);
			frame.setSize(aGenericSetArgumentDefinePanel.getSize());
			frame.addWindowListener(new java.awt.event.WindowAdapter() {
				public void windowClosing(java.awt.event.WindowEvent e) {
					System.exit(0);
				};
			});
			frame.setVisible(true);
		} catch (Throwable exception) {
			System.err.println(
				"Exception occurred in main() of de.uniwue.ki.gui.mas.model.basics.type.GenericArgumentDefinePanel");
			exception.printStackTrace(System.out);
		}
	}

	/**
	 * Method generated to support the promotion of the specificType attribute.
	 * @param arg1 de.uniwue.ki.mas.model.basics.type.ISpecificType
	 */
	public void setSpecificType(de.uniwue.ki.mas.basics.type.ISpecificType arg1) {
		setSpecificTypeIntern(arg1);
	}

	/**
	 * Set the ISpecificType1 to a new value.
	 * @param newValue de.uniwue.ki.mas.model.basics.type.ISpecificType
	 */
	private void setSpecificTypeIntern(de.uniwue.ki.mas.basics.type.ISpecificType newValue) {
		if (ivjSpecificTypeIntern != newValue) {
			try {
				de.uniwue.ki.mas.basics.type.ISpecificType oldValue = getSpecificTypeIntern();
				ivjSpecificTypeIntern = newValue;
				connEtoC3(ivjSpecificTypeIntern);
				firePropertyChange("specificType", oldValue, newValue);
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		};
	}

	/**
	 * Method generated to support the promotion of the typeList attribute.
	 * @param arg1 java.util.List
	 */
	public void setTypeList(java.util.List arg1) {
		getSpecificArgumentDefinePanel().setTypeList(arg1);
	}
}