package de.uniwue.ki.gui.mas.basics.type.argument;
import de.uniwue.ki.gui.mas.model.JPanelWithGUISeSAmDeclaration;
import de.uniwue.ki.mas.basics.type.argument.IArgumentDeclaration;

/**
 * Creation date: (25.10.2001 17:17:14)
 * @author Christoph Oechslein
 */
public abstract class AbstractArgumentDeclarationEditor
	extends JPanelWithGUISeSAmDeclaration
	implements IArgumentDeclarationEditor {

	public void setArgumentDeclarationEditorParameter(IArgumentDeclarationEditorParameter argumentDeclarationEditorParameter) {
		setGUISeSAmDeclaration(argumentDeclarationEditorParameter.getGUISeSAmDeclaration());
		setArgumentDeclaration(
			argumentDeclarationEditorParameter.getArgumentDeclaration());
	}

	protected abstract void setArgumentDeclaration(IArgumentDeclaration argumentDeclaration);

	public boolean inModalPanel() {
		return true;
	}
}