package de.uniwue.ki.gui.mas.basics.type.argument;
import de.uniwue.ki.gui.mas.basics.functionCall.FunctionCallDeclarationTreeListPanel;
import de.uniwue.ki.gui.mas.model.IGUISeSAmDeclaration;
import de.uniwue.ki.mas.basics.type.argument.IArgumentDeclaration;

/**
 * Creation date: (19.11.2001 10:12:02)
 * @author Christoph Oechslein
 */

public class ArgumentDeclarationEditorParameter implements IArgumentDeclarationEditorParameter {

	private final IArgumentDeclaration _argumentDeclaration;
	private final IGUISeSAmDeclaration _guiSeSAmDeclaration;
	private final FunctionCallDeclarationTreeListPanel _functionCallDeclarationTreeListPanel;

	public ArgumentDeclarationEditorParameter(
		IArgumentDeclaration argumentDeclaration,
		IGUISeSAmDeclaration guiSeSAmDeclaration,
		FunctionCallDeclarationTreeListPanel functionCallDeclarationTreeListPanel) {
		super();

		_argumentDeclaration = argumentDeclaration;
		_guiSeSAmDeclaration = guiSeSAmDeclaration;
		_functionCallDeclarationTreeListPanel = functionCallDeclarationTreeListPanel;
	}

	public final IArgumentDeclaration getArgumentDeclaration() {
		return _argumentDeclaration;
	}

	public final IGUISeSAmDeclaration getGUISeSAmDeclaration() {
		return _guiSeSAmDeclaration;
	}

	public final FunctionCallDeclarationTreeListPanel getFunctionCallDeclarationTreeListPanel() {
		return _functionCallDeclarationTreeListPanel;
	}
}