package de.uniwue.ki.gui.mas.behaviour.activityGraph;
import javax.swing.*;

import com.ibm.easyswing.BoundJCheckBox;
import com.magelang.box.HorizontalGlue;

import de.uniwue.ki.gui.mas.basics.action.FunctionActionDeclarationListPanel;
import de.uniwue.ki.gui.mas.basics.functionCall.FunctionCallDeclarationTreeListPanel;
import de.uniwue.ki.gui.mas.basics.functionCall.IExpertFilterFunctionDeclarationListAble;
import de.uniwue.ki.gui.mas.util.declaration.AbstractDeclarationPanel;
import de.uniwue.ki.gui.util.JDocumentablePanel;
import de.uniwue.ki.gui.util.boxlayout.BoxLayoutRigidArea;
import de.uniwue.ki.mas.basics.functionCall.FunctionCallDeclarationFactory;
import de.uniwue.ki.mas.basics.functionCall.IFunctionCallDeclaration;
import de.uniwue.ki.mas.basics.type.VoidType;
import de.uniwue.ki.mas.behaviour.activityGraphDeclaration.IActionActivityGraphLeafDeclaration;
import de.uniwue.ki.mas.entity.objectclass.agentclass.IActivityAgentClassDeclaration;

/**
 * Creation date: (17.11.2000 21:10:27)
 * @author Christoph Oechslein
 */
public class ActionActivityGraphLeafDeclarationPanel extends AbstractDeclarationPanel {
	private IActionActivityGraphLeafDeclaration ivjActionAtomicActivityDeclarationIntern = null;
	private IActivityAgentClassDeclaration ivjActivityAgentClassDeclarationIntern = null;
	private boolean ivjConnPtoP10Aligning = false;
	private boolean ivjConnPtoP11Aligning = false;
	private final IvjEventHandler ivjEventHandler = new IvjEventHandler();
	private BoundJCheckBox ivjJCheckBoxInstantActivity = null;
	private JLabel ivjJLabelName = null;
	private JTabbedPane ivjJTabbedPane1 = null;
	private JDocumentablePanel ivjJDocumentablePanel = null;
	private JPanel ivjJPanelTop = null;
	private JSplitPane ivjJSplitPane1 = null;
	private FunctionCallDeclarationTreeListPanel ivjFunctionActionCallPanel = null;
	private JPanel ivjJPanel = null;
	private FunctionActionDeclarationListPanel ivjActionRuleDeclarationListPanel = null;
	private FunctionActionDeclarationListPanel ivjEntryActionRuleDeclarationListPanel = null;
	private FunctionActionDeclarationListPanel ivjExitActionRuleDeclarationListPanel = null;
	private boolean ivjConnPtoP19Aligning = false;
	private boolean ivjConnPtoP20Aligning = false;
	private boolean ivjConnPtoP21Aligning = false;
	private boolean ivjConnPtoP17Aligning = false;
	private boolean ivjConnPtoP1Aligning = false;
	private IFunctionCallDeclaration ivjSelectedFunctionActionCallDeclaration = null;
	private boolean ivjConnPtoP2Aligning = false;
	private boolean ivjConnPtoP5Aligning = false;
	private boolean ivjConnPtoP8Aligning = false;
	private ActivityGraphNodeTypeableComboBoxPanel ivjActivityTypeableComboBoxPanel = null;
	private boolean ivjConnPtoP4Aligning = false;

	private final class IvjEventHandler
		implements java.beans.PropertyChangeListener, javax.swing.event.ChangeListener {
		public void propertyChange(java.beans.PropertyChangeEvent evt) {
			if (evt.getSource()
				== ActionActivityGraphLeafDeclarationPanel.this.getActionAtomicActivityDeclarationIntern()
				&& (evt.getPropertyName().equals("instantlyActivityDeclaration")))
				connPtoP10SetTarget();
			if (evt.getSource() == ActionActivityGraphLeafDeclarationPanel.this.getJCheckBoxInstantActivity()
				&& (evt.getPropertyName().equals("selected")))
				connPtoP10SetSource();
			if (evt.getSource() == ActionActivityGraphLeafDeclarationPanel.this.getFunctionActionCallPanel()
				&& (evt.getPropertyName().equals("objectClassDeclaration")));
			if (evt.getSource() == ActionActivityGraphLeafDeclarationPanel.this
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP17SetTarget();
			if (evt.getSource() == ActionActivityGraphLeafDeclarationPanel.this.getFunctionActionCallPanel()
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP17SetSource();
			if (evt.getSource() == ActionActivityGraphLeafDeclarationPanel.this.getJDocumentablePanel()
				&& (evt.getPropertyName().equals("documentable")))
				connPtoP11SetSource();
			if (evt.getSource()
				== ActionActivityGraphLeafDeclarationPanel.this.getExitActionRuleDeclarationListPanel()
				&& (evt.getPropertyName().equals("objectClassDeclaration")));
			if (evt.getSource()
				== ActionActivityGraphLeafDeclarationPanel.this.getActionAtomicActivityDeclarationIntern()
				&& (evt.getPropertyName().equals("exitFunctionActionCallDeclarationList")))
				connPtoP2SetTarget();
			if (evt.getSource() == ActionActivityGraphLeafDeclarationPanel.this
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP21SetTarget();
			if (evt.getSource()
				== ActionActivityGraphLeafDeclarationPanel.this.getExitActionRuleDeclarationListPanel()
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP21SetSource();
			if (evt.getSource()
				== ActionActivityGraphLeafDeclarationPanel.this.getExitActionRuleDeclarationListPanel()
				&& (evt.getPropertyName().equals("selectedDeclaration")))
				connEtoC3(evt);
			if (evt.getSource()
				== ActionActivityGraphLeafDeclarationPanel.this.getActionAtomicActivityDeclarationIntern()
				&& (evt.getPropertyName().equals("entryFunctionActionCallDeclarationList")))
				connPtoP5SetTarget();
			if (evt.getSource()
				== ActionActivityGraphLeafDeclarationPanel.this.getEntryActionRuleDeclarationListPanel()
				&& (evt.getPropertyName().equals("selectedDeclaration")))
				connEtoC4(evt);
			if (evt.getSource() == ActionActivityGraphLeafDeclarationPanel.this
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP20SetTarget();
			if (evt.getSource()
				== ActionActivityGraphLeafDeclarationPanel.this.getEntryActionRuleDeclarationListPanel()
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP20SetSource();
			if (evt.getSource()
				== ActionActivityGraphLeafDeclarationPanel.this.getEntryActionRuleDeclarationListPanel()
				&& (evt.getPropertyName().equals("objectClassDeclaration")));
			if (evt.getSource()
				== ActionActivityGraphLeafDeclarationPanel.this.getActionRuleDeclarationListPanel()
				&& (evt.getPropertyName().equals("selectedDeclaration")))
				connEtoC5(evt);
			if (evt.getSource()
				== ActionActivityGraphLeafDeclarationPanel.this.getActionRuleDeclarationListPanel()
				&& (evt.getPropertyName().equals("objectClassDeclaration")));
			if (evt.getSource() == ActionActivityGraphLeafDeclarationPanel.this
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP19SetTarget();
			if (evt.getSource()
				== ActionActivityGraphLeafDeclarationPanel.this.getActionRuleDeclarationListPanel()
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP19SetSource();
			if (evt.getSource()
				== ActionActivityGraphLeafDeclarationPanel.this.getActionAtomicActivityDeclarationIntern()
				&& (evt.getPropertyName().equals("functionActionCallDeclarationList")))
				connPtoP8SetTarget();
			if (evt.getSource()
				== ActionActivityGraphLeafDeclarationPanel.this.getActivityTypeableComboBoxPanel()
				&& (evt.getPropertyName().equals("activityDeclarationTypeable")))
				connPtoP1SetSource();
			if (evt.getSource() == ActionActivityGraphLeafDeclarationPanel.this
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP4SetTarget();
			if (evt.getSource()
				== ActionActivityGraphLeafDeclarationPanel.this.getActivityTypeableComboBoxPanel()
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP4SetSource();
		}
		public void stateChanged(javax.swing.event.ChangeEvent e) {
			if (e.getSource() == ActionActivityGraphLeafDeclarationPanel.this.getJTabbedPane1())
				connEtoC2(e);
			if (e.getSource()
				== ActionActivityGraphLeafDeclarationPanel.this.getActionAtomicActivityDeclarationIntern())
				connEtoC6(e);
		}
	}

	/**
	 * ActionAtomicActivityDeclarationPanel2 constructor comment.
	 */
	public ActionActivityGraphLeafDeclarationPanel() {
		super();
		initialize();
	}

	protected IFunctionCallDeclaration calculateSelectedFunctionActionCallDeclaration() {
		switch (getJTabbedPane1().getSelectedIndex()) {
			case 0 :
				return (IFunctionCallDeclaration)getActionRuleDeclarationListPanel().getSelectedDeclaration();
			case 1 :
				return (IFunctionCallDeclaration)getEntryActionRuleDeclarationListPanel()
					.getSelectedDeclaration();
			case 2 :
				return (IFunctionCallDeclaration)getExitActionRuleDeclarationListPanel()
					.getSelectedDeclaration();

			default :
				throw new RuntimeException();
		}
	}

	private void connEtoC1(IFunctionCallDeclaration value) {
		try {
			this.eventSelectedFunctionActionCallDeclarationChanged();
		} catch (Throwable ivjExc) {
			handleException(ivjExc);
		}
	}

	private void connEtoC2(javax.swing.event.ChangeEvent arg1) {
		try {
			this.eventTabbedPaneStateChanged();
		} catch (Throwable ivjExc) {
			handleException(ivjExc);
		}
	}

	private void connEtoC3(java.beans.PropertyChangeEvent arg1) {
		try {
			this.eventOneActionRuleDeclarationListPanelSelectedDeclarationChanged();
		} catch (Throwable ivjExc) {
			handleException(ivjExc);
		}
	}

	private void connEtoC4(java.beans.PropertyChangeEvent arg1) {
		try {
			this.eventOneActionRuleDeclarationListPanelSelectedDeclarationChanged();
		} catch (Throwable ivjExc) {
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC5:  (ActionRuleDeclarationListPanel.selectedDeclaration --> ActionActivityGraphLeafDeclarationPanel.eventOneActionRuleDeclarationListPanelSelectedDeclarationChanged()V)
	 * @param arg1 java.beans.PropertyChangeEvent
	 */
	private void connEtoC5(java.beans.PropertyChangeEvent arg1) {
		try {
					this.eventOneActionRuleDeclarationListPanelSelectedDeclarationChanged();
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connEtoC6:  (ActionAtomicActivityDeclarationIntern.change.stateChanged(javax.swing.event.ChangeEvent) --> ActionActivityGraphLeafDeclarationPanel.eventActionAtomicActivityDeclarationStateChanged()V)
	 * @param arg1 javax.swing.event.ChangeEvent
	 */
	private void connEtoC6(javax.swing.event.ChangeEvent arg1) {
		try {
					this.eventActionAtomicActivityDeclarationStateChanged();
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP10SetSource:  (ActionAtomicActivityDeclarationIntern.instantlyActivityDeclaration <--> JCheckBoxInstantActivity.selected)
	 */
	private void connPtoP10SetSource() {
		try {
			if (ivjConnPtoP10Aligning == false) {
								ivjConnPtoP10Aligning = true;
				if ((getActionAtomicActivityDeclarationIntern() != null)) {
					getActionAtomicActivityDeclarationIntern().setInstantly(
						getJCheckBoxInstantActivity().isSelected());
				}
								ivjConnPtoP10Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP10Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP10SetTarget:  (ActionAtomicActivityDeclarationIntern.instantlyActivityDeclaration <--> JCheckBoxInstantActivity.selected)
	 */
	private void connPtoP10SetTarget() {
		try {
			if (ivjConnPtoP10Aligning == false) {
								ivjConnPtoP10Aligning = true;
				if ((getActionAtomicActivityDeclarationIntern() != null)) {
					getJCheckBoxInstantActivity().setSelected(
						getActionAtomicActivityDeclarationIntern().isInstantly());
				}
								ivjConnPtoP10Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP10Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP11SetSource:  (ActionAtomicActivityDeclarationIntern.this <--> JTextFieldName.documentable)
	 */
	private void connPtoP11SetSource() {
		try {
			if (ivjConnPtoP11Aligning == false) {
								ivjConnPtoP11Aligning = true;
				setActionAtomicActivityDeclarationIntern(
					(IActionActivityGraphLeafDeclaration)getJDocumentablePanel().getDocumentable());
								ivjConnPtoP11Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP11Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP11SetTarget:  (ActionAtomicActivityDeclarationIntern.this <--> JTextFieldName.documentable)
	 */
	private void connPtoP11SetTarget() {
		try {
			if (ivjConnPtoP11Aligning == false) {
								ivjConnPtoP11Aligning = true;
				if ((getActionAtomicActivityDeclarationIntern() != null)) {
					getJDocumentablePanel().setDocumentable(getActionAtomicActivityDeclarationIntern());
				}
								ivjConnPtoP11Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP11Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP17SetSource:  (ActionActivityGraphLeafDeclarationPanel.gUISeSAmDeclaration <--> FunctionActionCallPanel.gUISeSAmDeclaration)
	 */
	private void connPtoP17SetSource() {
		try {
			if (ivjConnPtoP17Aligning == false) {
								ivjConnPtoP17Aligning = true;
				this.setGUISeSAmDeclaration(getFunctionActionCallPanel().getGUISeSAmDeclaration());
								ivjConnPtoP17Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP17Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP17SetTarget:  (ActionActivityGraphLeafDeclarationPanel.gUISeSAmDeclaration <--> FunctionActionCallPanel.gUISeSAmDeclaration)
	 */
	private void connPtoP17SetTarget() {
		try {
			if (ivjConnPtoP17Aligning == false) {
								ivjConnPtoP17Aligning = true;
				getFunctionActionCallPanel().setGUISeSAmDeclaration(this.getGUISeSAmDeclaration());
								ivjConnPtoP17Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP17Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP19SetSource:  (ActionActivityGraphLeafDeclarationPanel.gUISeSAmDeclaration <--> ActionRuleDeclarationListPanel.gUISeSAmDeclaration)
	 */
	private void connPtoP19SetSource() {
		try {
			if (ivjConnPtoP19Aligning == false) {
								ivjConnPtoP19Aligning = true;
				this.setGUISeSAmDeclaration(getActionRuleDeclarationListPanel().getGUISeSAmDeclaration());
								ivjConnPtoP19Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP19Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP19SetTarget:  (ActionActivityGraphLeafDeclarationPanel.gUISeSAmDeclaration <--> ActionRuleDeclarationListPanel.gUISeSAmDeclaration)
	 */
	private void connPtoP19SetTarget() {
		try {
			if (ivjConnPtoP19Aligning == false) {
								ivjConnPtoP19Aligning = true;
				getActionRuleDeclarationListPanel().setGUISeSAmDeclaration(this.getGUISeSAmDeclaration());
								ivjConnPtoP19Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP19Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP1SetSource:  (ActionAtomicActivityDeclarationIntern.stateLikeActivityDeclaration <--> JCheckBoxStateLikeActivity.selected)
	 */
	private void connPtoP1SetSource() {
		try {
			if (ivjConnPtoP1Aligning == false) {
								ivjConnPtoP1Aligning = true;
				setActionAtomicActivityDeclarationIntern(
					(IActionActivityGraphLeafDeclaration)getActivityTypeableComboBoxPanel()
						.getActivityDeclarationTypeable());
								ivjConnPtoP1Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP1Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP1SetTarget:  (ActionAtomicActivityDeclarationIntern.stateLikeActivityDeclaration <--> JCheckBoxStateLikeActivity.selected)
	 */
	private void connPtoP1SetTarget() {
		try {
			if (ivjConnPtoP1Aligning == false) {
								ivjConnPtoP1Aligning = true;
				if ((getActionAtomicActivityDeclarationIntern() != null)) {
					getActivityTypeableComboBoxPanel().setActivityDeclarationTypeable(
						getActionAtomicActivityDeclarationIntern());
				}
								ivjConnPtoP1Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP1Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP20SetSource:  (ActionActivityGraphLeafDeclarationPanel.gUISeSAmDeclaration <--> EntryActionRuleDeclarationListPanel.gUISeSAmDeclaration)
	 */
	private void connPtoP20SetSource() {
		try {
			if (ivjConnPtoP20Aligning == false) {
								ivjConnPtoP20Aligning = true;
				this.setGUISeSAmDeclaration(
					getEntryActionRuleDeclarationListPanel().getGUISeSAmDeclaration());
								ivjConnPtoP20Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP20Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP20SetTarget:  (ActionActivityGraphLeafDeclarationPanel.gUISeSAmDeclaration <--> EntryActionRuleDeclarationListPanel.gUISeSAmDeclaration)
	 */
	private void connPtoP20SetTarget() {
		try {
			if (ivjConnPtoP20Aligning == false) {
								ivjConnPtoP20Aligning = true;
				getEntryActionRuleDeclarationListPanel().setGUISeSAmDeclaration(
					this.getGUISeSAmDeclaration());
								ivjConnPtoP20Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP20Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP21SetSource:  (ActionActivityGraphLeafDeclarationPanel.gUISeSAmDeclaration <--> ExitActionRuleDeclarationListPanel.gUISeSAmDeclaration)
	 */
	private void connPtoP21SetSource() {
		try {
			if (ivjConnPtoP21Aligning == false) {
								ivjConnPtoP21Aligning = true;
				this.setGUISeSAmDeclaration(getExitActionRuleDeclarationListPanel().getGUISeSAmDeclaration());
								ivjConnPtoP21Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP21Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP21SetTarget:  (ActionActivityGraphLeafDeclarationPanel.gUISeSAmDeclaration <--> ExitActionRuleDeclarationListPanel.gUISeSAmDeclaration)
	 */
	private void connPtoP21SetTarget() {
		try {
			if (ivjConnPtoP21Aligning == false) {
								ivjConnPtoP21Aligning = true;
				getExitActionRuleDeclarationListPanel().setGUISeSAmDeclaration(this.getGUISeSAmDeclaration());
								ivjConnPtoP21Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP21Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP2SetTarget:  (ActionAtomicActivityDeclarationIntern.exitFunctionActionCallDeclarationList <--> ExitActionRuleDeclarationListPanel.declarationListModel)
	 */
	private void connPtoP2SetTarget() {
		try {
			if (ivjConnPtoP2Aligning == false) {
								ivjConnPtoP2Aligning = true;
				if ((getActionAtomicActivityDeclarationIntern() != null)) {
					getExitActionRuleDeclarationListPanel().setDeclarationListAndFactory(
						getActionAtomicActivityDeclarationIntern()
							.getExitFunctionActionCallDeclarationListAndFactory());
				}
								ivjConnPtoP2Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP2Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP4SetSource:  (ActionActivityGraphLeafDeclarationPanel.gUISeSAmDeclaration <--> ActivityGraphNodeTypeableComboBoxPanel.gUISeSAmDeclaration)
	 */
	private void connPtoP4SetSource() {
		try {
			if (ivjConnPtoP4Aligning == false) {
								ivjConnPtoP4Aligning = true;
				this.setGUISeSAmDeclaration(getActivityTypeableComboBoxPanel().getGUISeSAmDeclaration());
								ivjConnPtoP4Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP4Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP4SetTarget:  (ActionActivityGraphLeafDeclarationPanel.gUISeSAmDeclaration <--> ActivityGraphNodeTypeableComboBoxPanel.gUISeSAmDeclaration)
	 */
	private void connPtoP4SetTarget() {
		try {
			if (ivjConnPtoP4Aligning == false) {
								ivjConnPtoP4Aligning = true;
				getActivityTypeableComboBoxPanel().setGUISeSAmDeclaration(this.getGUISeSAmDeclaration());
								ivjConnPtoP4Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP4Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP5SetTarget:  (ActionAtomicActivityDeclarationIntern.entryFunctionActionCallDeclarationList <--> EntryActionRuleDeclarationListPanel.declarationListModel)
	 */
	private void connPtoP5SetTarget() {
		try {
			if (ivjConnPtoP5Aligning == false) {
								ivjConnPtoP5Aligning = true;
				if ((getActionAtomicActivityDeclarationIntern() != null)) {
					getEntryActionRuleDeclarationListPanel().setDeclarationListAndFactory(
						getActionAtomicActivityDeclarationIntern()
							.getEntryFunctionActionCallDeclarationListAndFactory());
				}
								ivjConnPtoP5Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP5Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP8SetTarget:  (ActionAtomicActivityDeclarationIntern.functionActionCallDeclarationList <--> ActionRuleDeclarationListPanel.declarationListModel)
	 */
	private void connPtoP8SetTarget() {
		try {
			if (ivjConnPtoP8Aligning == false) {
								ivjConnPtoP8Aligning = true;
				if ((getActionAtomicActivityDeclarationIntern() != null)) {
					getActionRuleDeclarationListPanel().setDeclarationListAndFactory(
						getActionAtomicActivityDeclarationIntern()
							.getFunctionActionCallDeclarationListAndFactory());
				}
								ivjConnPtoP8Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP8Aligning = false;
					handleException(ivjExc);
		}
	}

	public void dispose() {
		if (getActionAtomicActivityDeclaration() != null)
			getActionAtomicActivityDeclaration().removePropertyChangeListener(ivjEventHandler);

		getActionRuleDeclarationListPanel().dispose();
		getEntryActionRuleDeclarationListPanel().dispose();
		getExitActionRuleDeclarationListPanel().dispose();

		getFunctionActionCallPanel().dispose();

		super.dispose();
	}

	protected void eventActionAtomicActivityDeclarationStateChanged() {
		if (getActionAtomicActivityDeclaration() != null) {
			getJTabbedPane1().setTitleAt(
				0,
				"Actions ("
					+ getActionAtomicActivityDeclaration()
						.getFunctionActionCallDeclarationListAndFactory()
						.getFunctionActionCallDeclarationList()
						.size()
					+ ")");
			getJTabbedPane1().setTitleAt(
				1,
				"Entry Actions ("
					+ getActionAtomicActivityDeclaration()
						.getEntryFunctionActionCallDeclarationListAndFactory()
						.getFunctionActionCallDeclarationList()
						.size()
					+ ")");
			getJTabbedPane1().setTitleAt(
				2,
				"Exit Actions ("
					+ getActionAtomicActivityDeclaration()
						.getExitFunctionActionCallDeclarationListAndFactory()
						.getFunctionActionCallDeclarationList()
						.size()
					+ ")");
		}
	}

	protected void eventActionRuleDeclarationListPanelItemCountChanged() {
		getActionRuleDeclarationListPanel().getItemCount();
	}

	protected void eventOneActionRuleDeclarationListPanelSelectedDeclarationChanged() {
		setSelectedFunctionActionCallDeclaration(calculateSelectedFunctionActionCallDeclaration());
	}

	protected void eventSelectedFunctionActionCallDeclarationChanged() {
		if (getSelectedFunctionActionCallDeclaration() != null) {
			getFunctionActionCallPanel().setEnabled(true);
			getFunctionActionCallPanel().setFunctionCallDeclaration(
				getSelectedFunctionActionCallDeclaration());

		} else {
			getFunctionActionCallPanel().setEnabled(false);
		}
	}

	protected void eventTabbedPaneStateChanged() {
		setSelectedFunctionActionCallDeclaration(calculateSelectedFunctionActionCallDeclaration());
	}

	/**
	 * Method generated to support the promotion of the actionAtomicActivityDeclaration attribute.
	 * @return IActionActivityGraphLeafDeclaration
	 */
	public IActionActivityGraphLeafDeclaration getActionAtomicActivityDeclaration() {
		return getActionAtomicActivityDeclarationIntern();
	}

	/**
	 * Return the ActionAtomicActivityDeclarationIntern property value.
	 * @return IActionActivityGraphLeafDeclaration
	 */
	private IActionActivityGraphLeafDeclaration getActionAtomicActivityDeclarationIntern() {
		return ivjActionAtomicActivityDeclarationIntern;
	}

	private FunctionActionDeclarationListPanel getActionRuleDeclarationListPanel() {
		if (ivjActionRuleDeclarationListPanel == null) {
			try {
				ivjActionRuleDeclarationListPanel = new FunctionActionDeclarationListPanel();
				ivjActionRuleDeclarationListPanel.setName("ActionRuleDeclarationListPanel");
			} catch (Throwable ivjExc) {
				handleException(ivjExc);
			}
		}
		return ivjActionRuleDeclarationListPanel;
	}

	/**
	 * Method generated to support the promotion of the activityAgentClassDeclaration attribute.
	 * @return de.uniwue.ki.mas.model.entity.objectclass.IActivityAgentClassDeclaration
	 */
	public IActivityAgentClassDeclaration getActivityAgentClassDeclaration() {
		return getActivityAgentClassDeclarationIntern();
	}

	/**
	 * Return the ActivityAgentClassDeclarationIntern property value.
	 * @return de.uniwue.ki.mas.model.entity.objectclass.IActivityAgentClassDeclaration
	 */
	private IActivityAgentClassDeclaration getActivityAgentClassDeclarationIntern() {
		return ivjActivityAgentClassDeclarationIntern;
	}

	/**
	 * Return the ActivityGraphNodeTypeableComboBoxPanel property value.
	 * @return de.uniwue.ki.gui.mas.model.behaviour.activity.ActivityGraphNodeTypeableComboBoxPanel
	 */
	private ActivityGraphNodeTypeableComboBoxPanel getActivityTypeableComboBoxPanel() {
		if (ivjActivityTypeableComboBoxPanel == null) {
			try {
				ivjActivityTypeableComboBoxPanel =
					new de.uniwue.ki.gui.mas.behaviour.activityGraph.ActivityGraphNodeTypeableComboBoxPanel();
				ivjActivityTypeableComboBoxPanel.setName("ActivityTypeableComboBoxPanel");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjActivityTypeableComboBoxPanel;
	}

	/**
	 * @see de.uniwue.ki.gui.mas.model.util.declaration.IDeclarationPanel
	 */
	public de.uniwue.ki.mas.util.declaration.IDeclaration getDeclaration() {
		return getActionAtomicActivityDeclaration();
	}

	/**
	 * Return the EntryActionRuleDeclarationListPanel property value.
	 * @return de.uniwue.ki.gui.mas.model.basics.action.FunctionActionDeclarationListPanel
	 */
	private FunctionActionDeclarationListPanel getEntryActionRuleDeclarationListPanel() {
		if (ivjEntryActionRuleDeclarationListPanel == null) {
			try {
				ivjEntryActionRuleDeclarationListPanel = new FunctionActionDeclarationListPanel();
				ivjEntryActionRuleDeclarationListPanel.setName("EntryActionRuleDeclarationListPanel");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjEntryActionRuleDeclarationListPanel;
	}

	/**
	 * Return the ExitActionRuleDeclarationListPanel property value.
	 * @return de.uniwue.ki.gui.mas.model.basics.action.FunctionActionDeclarationListPanel
	 */
	private FunctionActionDeclarationListPanel getExitActionRuleDeclarationListPanel() {
		if (ivjExitActionRuleDeclarationListPanel == null) {
			try {
				ivjExitActionRuleDeclarationListPanel = new FunctionActionDeclarationListPanel();
				ivjExitActionRuleDeclarationListPanel.setName("ExitActionRuleDeclarationListPanel");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjExitActionRuleDeclarationListPanel;
	}

	/**
	 * Return the FunctionActionCallPanel property value.
	 * @return de.uniwue.ki.gui.mas.model.basics.functionCall.FunctionCallDeclarationTreeListPanel
	 */
	private FunctionCallDeclarationTreeListPanel getFunctionActionCallPanel() {
		if (ivjFunctionActionCallPanel == null) {
			try {
				ivjFunctionActionCallPanel = new FunctionCallDeclarationTreeListPanel();
				ivjFunctionActionCallPanel.setName("FunctionActionCallPanel");
				ivjFunctionActionCallPanel.setEnabled(false);
						ivjFunctionActionCallPanel.setFunctionCallDeclaration(
					FunctionCallDeclarationFactory.getInstance().createFunctionCallDeclaration(
						VoidType.getInstance()));
					} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjFunctionActionCallPanel;
	}

	/**
	 * Return the JCheckBoxInstantActivity property value.
	 * @return BoundJCheckBox
	 */
	private BoundJCheckBox getJCheckBoxInstantActivity() {
		if (ivjJCheckBoxInstantActivity == null) {
			try {
				ivjJCheckBoxInstantActivity = new BoundJCheckBox();
				ivjJCheckBoxInstantActivity.setName("JCheckBoxInstantActivity");
				ivjJCheckBoxInstantActivity.setText("instantly");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjJCheckBoxInstantActivity;
	}

	/**
	 * Return the JLabelName property value.
	 * @return javax.swing.JLabel
	 */
	private javax.swing.JLabel getJLabelName() {
		if (ivjJLabelName == null) {
			try {
				ivjJLabelName = new javax.swing.JLabel();
				ivjJLabelName.setName("JLabelName");
				ivjJLabelName.setText("Name:");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjJLabelName;
	}

	/**
	 * Return the JPanel1 property value.
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJPanel() {
		if (ivjJPanel == null) {
			try {
				ivjJPanel = new javax.swing.JPanel();
				ivjJPanel.setName("JPanel1");
				//ivjJPanel1.setBorder(Borders.createEmptyBorder("1dlu, 0dlu, 0dlu, 0dlu"));
				//ivjJPanel1.setBorder(BorderFactory.createBevelBorder(BevelBorder.RAISED));
				ivjJPanel.setLayout(new javax.swing.BoxLayout(getJPanel(), javax.swing.BoxLayout.X_AXIS));
				getJPanel().add(getFunctionActionCallPanel(), getFunctionActionCallPanel().getName());
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjJPanel;
	}

	/**
	 * Return the JPanel1 property value.
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJPanelTop() {
		if (ivjJPanelTop == null) {
			try {
				ivjJPanelTop = new javax.swing.JPanel();
				ivjJPanelTop.setLayout(new java.awt.GridBagLayout());

				java.awt.GridBagConstraints constraintsJLabelName = new java.awt.GridBagConstraints();
				constraintsJLabelName.gridx = 1;
				constraintsJLabelName.gridy = 1;
				getJPanelTop().add(getJLabelName(), constraintsJLabelName);

				java.awt.GridBagConstraints constraintsBoxLayoutRigidArea11 =
					new java.awt.GridBagConstraints();
				constraintsBoxLayoutRigidArea11.gridx = 2;
				constraintsBoxLayoutRigidArea11.gridy = 1;
				//				constraintsBoxLayoutRigidArea11.insets.top = 9;
				//				constraintsBoxLayoutRigidArea11.insets.bottom = 9;
				getJPanelTop().add(new BoxLayoutRigidArea(), constraintsBoxLayoutRigidArea11);

				java.awt.GridBagConstraints constraintsJTextFieldName = new java.awt.GridBagConstraints();
				constraintsJTextFieldName.gridx = 3;
				constraintsJTextFieldName.gridy = 1;
				constraintsJTextFieldName.insets.left = 1;
				constraintsJTextFieldName.insets.right = 1;
				getJPanelTop().add(getJDocumentablePanel(), constraintsJTextFieldName);

				java.awt.GridBagConstraints constraintsBoxLayoutRigidArea1 =
					new java.awt.GridBagConstraints();
				constraintsBoxLayoutRigidArea1.gridx = 4;
				constraintsBoxLayoutRigidArea1.gridy = 1;
				//				constraintsBoxLayoutRigidArea1.insets.top = 9;
				//				constraintsBoxLayoutRigidArea1.insets.bottom = 9;

				getJPanelTop().add(new BoxLayoutRigidArea(), constraintsBoxLayoutRigidArea1);

				java.awt.GridBagConstraints constraintsBoxLayoutHorizontalGlue1 =
					new java.awt.GridBagConstraints();
				constraintsBoxLayoutHorizontalGlue1.gridx = 5;
				constraintsBoxLayoutHorizontalGlue1.gridy = 1;
				constraintsBoxLayoutHorizontalGlue1.fill = java.awt.GridBagConstraints.HORIZONTAL;
				constraintsBoxLayoutHorizontalGlue1.weightx = 1.0;
				getJPanelTop().add(new HorizontalGlue(), constraintsBoxLayoutHorizontalGlue1);

				java.awt.GridBagConstraints constraintsJCheckBoxInstantActivity =
					new java.awt.GridBagConstraints();
				constraintsJCheckBoxInstantActivity.gridx = 6;
				constraintsJCheckBoxInstantActivity.gridy = 1;
				constraintsJCheckBoxInstantActivity.anchor = java.awt.GridBagConstraints.EAST;
				constraintsJCheckBoxInstantActivity.insets.right = 4;
				getJPanelTop().add(getJCheckBoxInstantActivity(), constraintsJCheckBoxInstantActivity);

				java.awt.GridBagConstraints constraintsActivityTypeableComboBoxPanel =
					new java.awt.GridBagConstraints();
				constraintsActivityTypeableComboBoxPanel.gridx = 7;
				constraintsActivityTypeableComboBoxPanel.gridy = 1;
				constraintsActivityTypeableComboBoxPanel.anchor = java.awt.GridBagConstraints.EAST;
				constraintsActivityTypeableComboBoxPanel.insets.right = 4;
				getJPanelTop().add(
					getActivityTypeableComboBoxPanel(),
					constraintsActivityTypeableComboBoxPanel);
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjJPanelTop;
	}

	/**
	 * Return the JSplitPane1 property value.
	 * @return javax.swing.JSplitPane
	 */
	private javax.swing.JSplitPane getJSplitPane() {
		if (ivjJSplitPane1 == null) {
			ivjJSplitPane1 = new javax.swing.JSplitPane(javax.swing.JSplitPane.VERTICAL_SPLIT);
			ivjJSplitPane1.setName("JSplitPane1");
			ivjJSplitPane1.setDividerLocation(150);
			ivjJSplitPane1.setOneTouchExpandable(true);
			getJSplitPane().add(getJTabbedPane1(), "top");
			getJSplitPane().add(getJPanel(), "bottom");
			ivjJSplitPane1.setBorder(null);
		}
		return ivjJSplitPane1;
	}

	/**
	 * Return the JTabbedPane1 property value.
	 * @return javax.swing.JTabbedPane
	 */
	private javax.swing.JTabbedPane getJTabbedPane1() {
		if (ivjJTabbedPane1 == null) {
			ivjJTabbedPane1 = new javax.swing.JTabbedPane();
			ivjJTabbedPane1.setName("JTabbedPane1");
			ivjJTabbedPane1.insertTab("Actions", null, getActionRuleDeclarationListPanel(), null, 0);
			ivjJTabbedPane1.insertTab(
				"Entry Actions",
				null,
				getEntryActionRuleDeclarationListPanel(),
				null,
				1);
			ivjJTabbedPane1.insertTab("Exit Actions", null, getExitActionRuleDeclarationListPanel(), null, 2);

		}
		return ivjJTabbedPane1;
	}

	/**
	 * Return the JTextFieldName property value.
	 * @return JDocumentablePanel
	 */
	private JDocumentablePanel getJDocumentablePanel() {
		if (ivjJDocumentablePanel == null) {
			ivjJDocumentablePanel = new JDocumentablePanel();
			ivjJDocumentablePanel.setPreferredSize(new java.awt.Dimension(200, 21));
			ivjJDocumentablePanel.setMaximumSize(new java.awt.Dimension(250, 21));
		}
		return ivjJDocumentablePanel;
	}

	public java.awt.Dimension getMinimumSize() {
		// return new java.awt.Dimension(0,0);
		return super.getMinimumSize();
	}

	/**
	 * Return the SelectedFunctionActionCallDeclaration property value.
	 * @return de.uniwue.ki.mas.model.behaviour.rule.IFunctionCallDeclaration
	 */
	private IFunctionCallDeclaration getSelectedFunctionActionCallDeclaration() {
		return ivjSelectedFunctionActionCallDeclaration;
	}

	/**
	 * Called whenever the part throws an exception.
	 * @param exception Throwable
	 */
	private void handleException(Throwable exception) {

		exception.printStackTrace(System.out);
	}

	/**
	 * Initializes connections
	 * @exception Exception The exception description.
	 */
	private void initConnections() {
		getJCheckBoxInstantActivity().addPropertyChangeListener(ivjEventHandler);
		getFunctionActionCallPanel().addPropertyChangeListener(ivjEventHandler);
		this.addPropertyChangeListener(ivjEventHandler);
		getJTabbedPane1().addChangeListener(ivjEventHandler);
		getJDocumentablePanel().addPropertyChangeListener(ivjEventHandler);
		getExitActionRuleDeclarationListPanel().addPropertyChangeListener(ivjEventHandler);
		getEntryActionRuleDeclarationListPanel().addPropertyChangeListener(ivjEventHandler);
		getActionRuleDeclarationListPanel().addPropertyChangeListener(ivjEventHandler);
		getActivityTypeableComboBoxPanel().addPropertyChangeListener(ivjEventHandler);
		connPtoP10SetTarget();
		connPtoP17SetTarget();
		connPtoP11SetTarget();
		connPtoP2SetTarget();
		connPtoP21SetTarget();
		connPtoP5SetTarget();
		connPtoP20SetTarget();
		connPtoP19SetTarget();
		connPtoP8SetTarget();
		connPtoP1SetTarget();
		connPtoP4SetTarget();
	}

	/**
	 * Initialize the class.
	 */
	private void initialize() {
		setLayout(new java.awt.GridBagLayout());

		java.awt.GridBagConstraints constraintsJPanelX1 = new java.awt.GridBagConstraints();
		constraintsJPanelX1.gridx = 1;
		constraintsJPanelX1.gridy = 1;
		constraintsJPanelX1.fill = java.awt.GridBagConstraints.BOTH;
		add(getJPanelTop(), constraintsJPanelX1);

		java.awt.GridBagConstraints constraintsJPanelX2 = new java.awt.GridBagConstraints();
		constraintsJPanelX2.gridx = 1;
		constraintsJPanelX2.gridy = 2;
		constraintsJPanelX2.fill = java.awt.GridBagConstraints.BOTH;
		constraintsJPanelX2.weightx = 1.0;
		constraintsJPanelX2.weighty = 1.0;
		constraintsJPanelX2.insets = new java.awt.Insets(0, 0, 0, 0);
		add(getJSplitPane(), constraintsJPanelX2);

		initConnections();
	}

	public static void main(String[] args) {
		try {
			JFrame frame = new javax.swing.JFrame();
			ActionActivityGraphLeafDeclarationPanel aActionAtomicActivityDeclarationPanel;
			aActionAtomicActivityDeclarationPanel = new ActionActivityGraphLeafDeclarationPanel();
			frame.setContentPane(aActionAtomicActivityDeclarationPanel);
			frame.setSize(aActionAtomicActivityDeclarationPanel.getSize());
			frame.addWindowListener(new java.awt.event.WindowAdapter() {
				public void windowClosing(java.awt.event.WindowEvent e) {
					System.exit(0);
				}
			});
			frame.show();
			java.awt.Insets insets = frame.getInsets();
			frame.setSize(
				frame.getWidth() + insets.left + insets.right,
				frame.getHeight() + insets.top + insets.bottom);
			frame.setVisible(true);
		} catch (Throwable exception) {
			System.err.println("Exception occurred in main() of javax.swing.JPanel");
			exception.printStackTrace(System.out);
		}
	}

	/**
	 * Method generated to support the promotion of the actionAtomicActivityDeclaration attribute.
	 * @param arg1 IActionActivityGraphLeafDeclaration
	 */
	public void setActionAtomicActivityDeclaration(IActionActivityGraphLeafDeclaration arg1) {
		setActionAtomicActivityDeclarationIntern(arg1);

		eventActionAtomicActivityDeclarationStateChanged();
	}

	/**
	 * Set the ActionAtomicActivityDeclarationIntern to a new value.
	 * @param newValue IActionActivityGraphLeafDeclaration
	 */
	private void setActionAtomicActivityDeclarationIntern(IActionActivityGraphLeafDeclaration newValue) {
		if (ivjActionAtomicActivityDeclarationIntern != newValue) {
			try {
				IActionActivityGraphLeafDeclaration oldValue = getActionAtomicActivityDeclarationIntern();
				/* Stop listening for events from the current object */
				if (ivjActionAtomicActivityDeclarationIntern != null) {
					ivjActionAtomicActivityDeclarationIntern.removePropertyChangeListener(ivjEventHandler);
					ivjActionAtomicActivityDeclarationIntern.removeChangeListener(ivjEventHandler);
				}
				ivjActionAtomicActivityDeclarationIntern = newValue;

				/* Listen for events from the new object */
				if (ivjActionAtomicActivityDeclarationIntern != null) {
					ivjActionAtomicActivityDeclarationIntern.addPropertyChangeListener(ivjEventHandler);
					ivjActionAtomicActivityDeclarationIntern.addChangeListener(ivjEventHandler);
				}
				connPtoP10SetTarget();
				connPtoP11SetTarget();
				connPtoP2SetTarget();
				connPtoP5SetTarget();
				connPtoP8SetTarget();
				connPtoP1SetTarget();
				firePropertyChange("actionAtomicActivityDeclaration", oldValue, newValue);
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
	}

	/**
	 * Method generated to support the promotion of the activityAgentClassDeclaration attribute.
	 * @param arg1 de.uniwue.ki.mas.model.entity.objectclass.IActivityAgentClassDeclaration
	 */
	public void setActivityAgentClassDeclaration(IActivityAgentClassDeclaration arg1) {
		setActivityAgentClassDeclarationIntern(arg1);
	}

	/**
	 * Set the ActivityAgentClassDeclarationIntern to a new value.
	 * @param newValue de.uniwue.ki.mas.model.entity.objectclass.IActivityAgentClassDeclaration
	 */
	private void setActivityAgentClassDeclarationIntern(IActivityAgentClassDeclaration newValue) {
		if (ivjActivityAgentClassDeclarationIntern != newValue) {
			try {
				IActivityAgentClassDeclaration oldValue = getActivityAgentClassDeclarationIntern();
				ivjActivityAgentClassDeclarationIntern = newValue;

				IExpertFilterFunctionDeclarationListAble expertFilterFunctionDeclarationListAble =
					getFunctionActionCallPanel().getExpertFilterFunctionDeclarationListAble();

				if (expertFilterFunctionDeclarationListAble != null)
					expertFilterFunctionDeclarationListAble.setObjectClassDeclaration(
						getActivityAgentClassDeclarationIntern());

				firePropertyChange("activityAgentClassDeclaration", oldValue, newValue);
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
	}

	/**
	 * @see de.uniwue.ki.gui.mas.model.util.declaration.IDeclarationPanel
	 */
	public void setDeclaration(de.uniwue.ki.mas.util.declaration.IDeclaration declaration) {
		setActionAtomicActivityDeclaration((IActionActivityGraphLeafDeclaration)declaration);
	}

	/**
	 * Set the SelectedFunctionActionCallDeclaration to a new value.
	 * @param newValue de.uniwue.ki.mas.model.behaviour.rule.IFunctionCallDeclaration
	 */
	private void setSelectedFunctionActionCallDeclaration(IFunctionCallDeclaration newValue) {
		if (ivjSelectedFunctionActionCallDeclaration != newValue) {
			try {
				ivjSelectedFunctionActionCallDeclaration = newValue;
				connEtoC1(ivjSelectedFunctionActionCallDeclaration);
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
	}
}