package de.uniwue.ki.gui.mas.behaviour.activityGraph.action;
import de.uniwue.ki.gui.mas.behaviour.activityGraph.ActivityGraphDeclarationGraph;
import de.uniwue.ki.mas.behaviour.activityGraphDeclaration.IActivityGraphComposedNodeDeclaration;

/**
 * Creation date: (05.11.2001 20:48:18)
 * @author Christoph Oechslein
 */
public class DecomposeComposedActivityDeclarationAction
	extends DeComposeComposedActivityDeclarationToActivitiesAction {

	private final ActivityGraphDeclarationGraph _graph;

	public DecomposeComposedActivityDeclarationAction(
		IActivityGraphComposedNodeDeclaration activityGraphComposedNodeDeclaration,
		ActivityGraphDeclarationGraph graph) {

		super(activityGraphComposedNodeDeclaration);

		_graph = graph;
	}

	public DecomposeComposedActivityDeclarationAction(
		String name,
		IActivityGraphComposedNodeDeclaration activityGraphComposedNodeDeclaration,
		ActivityGraphDeclarationGraph graph) {

		super(activityGraphComposedNodeDeclaration, name);

		_graph = graph;
	}

	public void doit() {
		if (isPossibleToDecompose()) {

			decompose();

			_graph.getSelection().deselectAll();
		}
	}
}