package de.uniwue.ki.gui.mas.entity.object;

import de.uniwue.ki.gui.mas.model.JPanelWithGUISeSAmDeclaration;
import de.uniwue.ki.mas.entity.object.IObject;

/**
 * Creation date: (12.09.2001 16:29:08)
 * @author Christoph Oechslein
 */

public abstract class AbstractObjectPanel extends JPanelWithGUISeSAmDeclaration implements IObjectPanel {

	public abstract IObject getObject();

	public abstract void setObject(IObject newObject);

	public void dispose() {
		setObject(null);

		super.dispose();
	}

	public abstract void refresh();
}
