package de.uniwue.ki.gui.mas.entity.variable;
import javax.swing.ListSelectionModel;

import de.uniwue.ki.gui.mas.util.declaration.DeclarationListPanel;
/**
 * Creation date: (20.12.2000 11:38:41)
 * @author Christoph Oechslein
 */
public class BodyVariableInstanceDeclarationListPanel extends DeclarationListPanel {

	/**
	 * BodyVariableInstanceDeclarationListPanel constructor comment.
	 */
	public BodyVariableInstanceDeclarationListPanel() {
		super();
		initialize();
	}

	/**
	 * Called whenever the part throws an exception.
	 * @param exception Throwable
	 */
	private void handleException(Throwable exception) {

		exception.printStackTrace(System.out);
	}

	/**
	 * Initialize the class.
	 */
	private void initialize() {
		try {
					setName("BodyVariableInstanceDeclarationListPanel");
			setSize(182, 176);
			setEditable(false);
		} catch (Throwable ivjExc) {
			handleException(ivjExc);
		}
		setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
	}

	public static void main(String[] args) {
		try {
			javax.swing.JFrame frame = new javax.swing.JFrame();
			BodyVariableInstanceDeclarationListPanel aBodyVariableInstanceDeclarationListPanel;
			aBodyVariableInstanceDeclarationListPanel = new BodyVariableInstanceDeclarationListPanel();
			frame.setContentPane(aBodyVariableInstanceDeclarationListPanel);
			frame.setSize(aBodyVariableInstanceDeclarationListPanel.getSize());
			frame.addWindowListener(new java.awt.event.WindowAdapter() {
				public void windowClosing(java.awt.event.WindowEvent e) {
					System.exit(0);
				}
			});
			frame.show();
			java.awt.Insets insets = frame.getInsets();
			frame.setSize(
				frame.getWidth() + insets.left + insets.right,
				frame.getHeight() + insets.top + insets.bottom);
			frame.setVisible(true);
		} catch (Throwable exception) {
			System.err.println(
				"Exception occurred in main() of de.uniwue.ki.gui.mas.model.entity.variable.BodyVariableInstanceDeclarationListPanel");
			exception.printStackTrace(System.out);
		}
	}
}