package de.uniwue.ki.gui.mas.entity.variable;
import java.awt.BorderLayout;

import com.jgoodies.forms.layout.CellConstraints;
import com.jgoodies.forms.layout.FormLayout;

import de.uniwue.ki.gui.mas.model.JPanelWithGUISeSAmDeclaration;
import de.uniwue.ki.mas.basics.functionArgument.IFunctionArgumentDeclarationList;
import de.uniwue.ki.mas.entity.objectclass.IObjectClassDeclaration;
import de.uniwue.ki.mas.entity.variable.IBodyVariableInstanceDeclaration;
import de.uniwue.ki.mas.util.declaration.IDeclarationList;
/**
 * Creation date: (03.12.2001 11:29:32)
 * @author Christoph Oechslein
 */
public class BodyVariableInstanceDeclarationListWithSelectionPanel extends JPanelWithGUISeSAmDeclaration {
	private BodyVariableInstanceDeclarationListPanel ivjBodyVariableInstanceDeclarationListPanel = null;
	private BodyVariableInstanceDeclarationPanel ivjBodyVariableInstanceDeclarationPanel = null;
	private boolean ivjConnPtoP1Aligning = false;
	private boolean ivjConnPtoP2Aligning = false;
	private final IvjEventHandler ivjEventHandler = new IvjEventHandler();
	private javax.swing.JPanel ivjJPanel = null;
	class IvjEventHandler
		implements java.beans.PropertyChangeListener, javax.swing.event.ListSelectionListener {
		public void propertyChange(java.beans.PropertyChangeEvent evt) {
			if (evt.getSource() == BodyVariableInstanceDeclarationListWithSelectionPanel.this
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP1SetTarget();
			if (evt.getSource()
				== BodyVariableInstanceDeclarationListWithSelectionPanel
					.this
					.getBodyVariableInstanceDeclarationListPanel()
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP1SetSource();
			if (evt.getSource() == BodyVariableInstanceDeclarationListWithSelectionPanel.this
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP2SetTarget();
			if (evt.getSource()
				== BodyVariableInstanceDeclarationListWithSelectionPanel
					.this
					.getBodyVariableInstanceDeclarationPanel()
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP2SetSource();
			if (evt.getSource()
				== BodyVariableInstanceDeclarationListWithSelectionPanel
					.this
					.getBodyVariableInstanceDeclarationPanel()
				&& (evt.getPropertyName().equals("objectClassDeclaration")))
				connEtoC1(evt);
			if (evt.getSource()
				== BodyVariableInstanceDeclarationListWithSelectionPanel
					.this
					.getBodyVariableInstanceDeclarationListPanel()
				&& (evt.getPropertyName().equals("declarationListModel")))
				connEtoC3(evt);
		}
		public void valueChanged(javax.swing.event.ListSelectionEvent e) {
			if (e.getSource()
				== BodyVariableInstanceDeclarationListWithSelectionPanel
					.this
					.getBodyVariableInstanceDeclarationListPanel())
				connEtoC2(e);
		}
	}

	/**
	 * BodyVariableInstanceDeclarationListWithSelectionPanel constructor comment.
	 */
	public BodyVariableInstanceDeclarationListWithSelectionPanel() {
		super();
		initialize();
	}

	/**
	 * connEtoC1:  (BodyVariableInstanceDeclarationPanel.objectClassDeclaration --> BodyVariableInstanceDeclarationListWithSelectionPanel.firePropertyChange(LString;LObject;LObject;)V)
	 * @param arg1 java.beans.PropertyChangeEvent
	 */
	private void connEtoC1(java.beans.PropertyChangeEvent arg1) {
		try {
					this.firePropertyChange("objectClassDeclaration", arg1.getOldValue(), arg1.getNewValue());
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connEtoC2:  (BodyVariableInstanceDeclarationListPanel.listSelection.valueChanged(javax.swing.event.ListSelectionEvent) --> BodyVariableInstanceDeclarationListWithSelectionPanel.eventSelectionChanged()V)
	 * @param arg1 javax.swing.event.ListSelectionEvent
	 */
	private void connEtoC2(javax.swing.event.ListSelectionEvent arg1) {
		try {
					this.eventSelectionChanged();
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connEtoC3:  (BodyVariableInstanceDeclarationListPanel.declarationListModel --> BodyVariableInstanceDeclarationListWithSelectionPanel.firePropertyChange(LString;LObject;LObject;)V)
	 * @param arg1 java.beans.PropertyChangeEvent
	 */
	private void connEtoC3(java.beans.PropertyChangeEvent arg1) {
		try {
					this.firePropertyChange(
				"bodyVariableInstanceDeclarationList",
				arg1.getOldValue(),
				arg1.getNewValue());
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP1SetSource:  (BodyVariableInstanceDeclarationListWithSelectionPanel.gUISeSAmDeclaration <--> BodyVariableInstanceDeclarationListPanel.gUISeSAmDeclaration)
	 */
	private void connPtoP1SetSource() {
		try {
			if (ivjConnPtoP1Aligning == false) {
								ivjConnPtoP1Aligning = true;
				this.setGUISeSAmDeclaration(
					getBodyVariableInstanceDeclarationListPanel().getGUISeSAmDeclaration());
								ivjConnPtoP1Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP1Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP1SetTarget:  (BodyVariableInstanceDeclarationListWithSelectionPanel.gUISeSAmDeclaration <--> BodyVariableInstanceDeclarationListPanel.gUISeSAmDeclaration)
	 */
	private void connPtoP1SetTarget() {
		try {
			if (ivjConnPtoP1Aligning == false) {
								ivjConnPtoP1Aligning = true;
				getBodyVariableInstanceDeclarationListPanel().setGUISeSAmDeclaration(
					this.getGUISeSAmDeclaration());
								ivjConnPtoP1Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP1Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP2SetSource:  (BodyVariableInstanceDeclarationListWithSelectionPanel.gUISeSAmDeclaration <--> BodyVariableInstanceDeclarationPanel.gUISeSAmDeclaration)
	 */
	private void connPtoP2SetSource() {
		try {
			if (ivjConnPtoP2Aligning == false) {
								ivjConnPtoP2Aligning = true;
				this.setGUISeSAmDeclaration(
					getBodyVariableInstanceDeclarationPanel().getGUISeSAmDeclaration());
								ivjConnPtoP2Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP2Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP2SetTarget:  (BodyVariableInstanceDeclarationListWithSelectionPanel.gUISeSAmDeclaration <--> BodyVariableInstanceDeclarationPanel.gUISeSAmDeclaration)
	 */
	private void connPtoP2SetTarget() {
		try {
			if (ivjConnPtoP2Aligning == false) {
								ivjConnPtoP2Aligning = true;
				getBodyVariableInstanceDeclarationPanel().setGUISeSAmDeclaration(
					this.getGUISeSAmDeclaration());
								ivjConnPtoP2Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP2Aligning = false;
					handleException(ivjExc);
		}
	}

	public void dispose() {
		getBodyVariableInstanceDeclarationListPanel().dispose();
		getBodyVariableInstanceDeclarationPanel().dispose();

		super.dispose();
	}

	protected void eventSelectionChanged() {
		if (getBodyVariableInstanceDeclarationListPanel().isSelectionEmpty()) {
			//getBodyVariableInstanceDeclarationPanel().setVisible(false);
			getBodyVariableInstanceDeclarationPanel().setEnabled(false);
			//			getBodyVariableInstanceDeclarationPanel().setBodyVariableInstanceDeclaration(
			//			null);

		} else {
			//getBodyVariableInstanceDeclarationPanel().setVisible(true);
			getBodyVariableInstanceDeclarationPanel().setEnabled(true);
			getBodyVariableInstanceDeclarationPanel().setBodyVariableInstanceDeclaration(
				(IBodyVariableInstanceDeclaration)getBodyVariableInstanceDeclarationListPanel()
					.getSelectedDeclaration());
		}
	}

	/**
	 * Method generated to support the promotion of the bodyVariableInstanceDeclarationList attribute.
	 * @return de.uniwue.ki.mas.model.util.declaration.IDeclarationList
	 */
	public IDeclarationList getBodyVariableInstanceDeclarationList() {
		return getBodyVariableInstanceDeclarationListPanel().getDeclarationListModel();
	}

	/**
	 * Return the BodyVariableInstanceDeclarationListPanel property value.
	 * @return de.uniwue.ki.gui.mas.model.entity.variable.BodyVariableInstanceDeclarationListPanel
	 */
	private BodyVariableInstanceDeclarationListPanel getBodyVariableInstanceDeclarationListPanel() {
		if (ivjBodyVariableInstanceDeclarationListPanel == null) {
			try {
				ivjBodyVariableInstanceDeclarationListPanel = new BodyVariableInstanceDeclarationListPanel();
				ivjBodyVariableInstanceDeclarationListPanel.setName(
					"BodyVariableInstanceDeclarationListPanel");
				//ivjBodyVariableInstanceDeclarationListPanel.setMinimumSize(new Dimension(100, 10));
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjBodyVariableInstanceDeclarationListPanel;
	}

	/**
	 * Return the BodyVariableInstanceDeclarationPanel property value.
	 * @return de.uniwue.ki.gui.mas.model.entity.variable.BodyVariableInstanceDeclarationPanel
	 */
	private BodyVariableInstanceDeclarationPanel getBodyVariableInstanceDeclarationPanel() {
		if (ivjBodyVariableInstanceDeclarationPanel == null) {
			try {
				ivjBodyVariableInstanceDeclarationPanel = new BodyVariableInstanceDeclarationPanel();
				ivjBodyVariableInstanceDeclarationPanel.setName("BodyVariableInstanceDeclarationPanel");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjBodyVariableInstanceDeclarationPanel;
	}

	/**
	 * Return the JPanel property value.
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJPanel() {
		if (ivjJPanel == null) {
			ivjJPanel = new javax.swing.JPanel();
			ivjJPanel.setLayout(new BorderLayout());
			//			getJPanel().add(
			//				DefaultComponentFactory.getInstance().createTitle("Selected Variable:"),
			//				BorderLayout.NORTH);
			getJPanel().add(getBodyVariableInstanceDeclarationPanel(), BorderLayout.CENTER);
		}
		return ivjJPanel;
	}

	/**
	 * Method generated to support the promotion of the objectClassDeclaration attribute.
	 * @return de.uniwue.ki.mas.model.entity.objectclass.IObjectClassDeclaration
	 */
	public IObjectClassDeclaration getObjectClassDeclaration() {
		return getBodyVariableInstanceDeclarationPanel().getObjectClassDeclaration();
	}

	/**
	 * Called whenever the part throws an exception.
	 * @param exception Throwable
	 */
	private void handleException(Throwable exception) {

		exception.printStackTrace(System.out);
	}

	private void initConnections() {
		addPropertyChangeListener(ivjEventHandler);
		getBodyVariableInstanceDeclarationListPanel().addPropertyChangeListener(ivjEventHandler);
		getBodyVariableInstanceDeclarationPanel().addPropertyChangeListener(ivjEventHandler);
		getBodyVariableInstanceDeclarationListPanel().addListSelectionListener(ivjEventHandler);
		connPtoP1SetTarget();
		connPtoP2SetTarget();
	}

	/**
	 * Initialize the class.
	 */
	private void initialize() {

		setLayout(
			new FormLayout("min(50dlu;default):grow, 3px, min(50dlu;default):grow", "fill:default:grow"));

		CellConstraints cc = new CellConstraints();

		add(getBodyVariableInstanceDeclarationListPanel(), cc.xy(1, 1));
		add(getJPanel(), cc.xy(3, 1));

		initConnections();

		eventSelectionChanged();
	}

	public static void main(String[] args) {
		try {
			javax.swing.JFrame frame = new javax.swing.JFrame();
			BodyVariableInstanceDeclarationListWithSelectionPanel aBodyVariableInstanceDeclarationListWithSelectionPanel;
			aBodyVariableInstanceDeclarationListWithSelectionPanel =
				new BodyVariableInstanceDeclarationListWithSelectionPanel();
			frame.setContentPane(aBodyVariableInstanceDeclarationListWithSelectionPanel);
			frame.setSize(aBodyVariableInstanceDeclarationListWithSelectionPanel.getSize());
			frame.addWindowListener(new java.awt.event.WindowAdapter() {
				public void windowClosing(java.awt.event.WindowEvent e) {
					System.exit(0);
				}
			});
			frame.show();
			java.awt.Insets insets = frame.getInsets();
			frame.setSize(
				frame.getWidth() + insets.left + insets.right,
				frame.getHeight() + insets.top + insets.bottom);
			frame.setVisible(true);
		} catch (Throwable exception) {
			System.err.println(
				"Exception occurred in main() of de.uniwue.ki.gui.mas.model.JPanelWithGUISeSAmDeclaration");
			exception.printStackTrace(System.out);
		}
	}

	/**
	 * Method generated to support the promotion of the bodyVariableInstanceDeclarationList attribute.
	 * @param arg1 de.uniwue.ki.mas.model.util.declaration.IDeclarationList
	 */
	public void setBodyVariableInstanceDeclarationList(IDeclarationList arg1) {
		getBodyVariableInstanceDeclarationListPanel().setDeclarationListModel(arg1);
	}

	public void setObjectClassDeclaration(IObjectClassDeclaration arg1) {
		if (getBodyVariableInstanceDeclarationPanel().getExpertFilterFunctionDeclarationListAble() != null)
			getBodyVariableInstanceDeclarationPanel()
				.getExpertFilterFunctionDeclarationListAble()
				.setObjectClassDeclaration(arg1);
	}

	public IFunctionArgumentDeclarationList getOuterFunctionArgumentDeclarationList() {
		return getBodyVariableInstanceDeclarationPanel().getOuterFunctionArgumentDeclarationList();
	}

	public void setOuterFunctionArgumentDeclarationList(IFunctionArgumentDeclarationList functionArgumentDeclarationList) {
		getBodyVariableInstanceDeclarationPanel().setOuterFunctionArgumentDeclarationList(
			functionArgumentDeclarationList);
	}
}