package de.uniwue.ki.gui.mas.entity.variable.viewer;

import de.uniwue.ki.mas.basics.type.ISpecificType;

public final class ObjectTypePair {
	private final ISpecificType _specificType;
	private final Object _object;

	public ObjectTypePair(ISpecificType specificType, Object object) {
		super();

		_specificType = specificType;
		_object = object;
	}

	public final ISpecificType getSpecificType() {
		return _specificType;
	}

	public final Object getObject() {
		return _object;
	}

}
