/*
 * Created on 19.11.2003
 *
 */
package de.uniwue.ki.gui.mas.model;

import de.uniwue.ki.gui.mas.entity.object.IObjectPanel;
import de.uniwue.ki.mas.basics.feature.IObjectFeature;

/**
 * @author herrler
 */
public abstract class ObjectFeaturePanel extends JPanelWithGUISeSAmDeclaration implements IObjectPanel {
	IObjectFeature _feature;
	
	public ObjectFeaturePanel(IGUISeSAmDeclaration seSAmDeclaration) {
		super();
		setGUISeSAmDeclaration(seSAmDeclaration);
	}
	
	public ObjectFeaturePanel() {
	super();
	}
	
	public void setObjectFeature(IObjectFeature feature) {
		_feature = feature;
	}
	
	public IObjectFeature getObjectFeature() {
		return _feature;
	}
}
