/**
 * Created on 04.02.2004
 *
 * This class is responsible for //insert purpose//.
 * 
 * @author glueckselig
 */
package de.uniwue.ki.gui.mas.model.graph;

public class DoubleRingList {

    private double[] _data;

    private int _index = 0;
    private int _size = 0;

    public DoubleRingList() {

        this(100);
    }

    public DoubleRingList(int capacity) {

        _data = new double[capacity];
    }

    public void add(double value) {

        _data[_index] = value;

        _index++;
        _size++;

        if (_index >= _data.length) {
            _index = 0;
        }

        if (_size > _data.length) {
            _size = _data.length;
        }
    }

    public int size() {

        return _size;
    }

    public double sumUp() {

        double sum = 0;
        for (int i = 0; i < _size; i++) {
            sum += _data[i];
        }

        return sum;
    }

}