/**
 * Created on 22.01.2004
 *
 * This class is responsible for //insert purpose//.
 * 
 * @author glueckselig
 */
package de.uniwue.ki.gui.mas.model.graph;

import de.uniwue.ki.gui.mas.model.IGUISeSAmDeclaration;
import de.uniwue.ki.mas.model.graph.*;
import mygale.mcge.core.JGraphEditor;
import mygale.mcge.fig.IFigEdgeFactory;
import mygale.mcge.fig.IFigNodeFactory;

public class UMLLayoutGraph extends RubberGraph {

    public UMLLayoutGraph(
        JGraphEditor graphEditor,
        IFigNodeFactory figNodeFactory,
        IFigEdgeFactory figEdgeFactory) {

        super(graphEditor, figNodeFactory, figEdgeFactory);
    }

    public IUMLLayoutGraphDeclaration getUMLLayoutGraphDeclaration() {

        return (IUMLLayoutGraphDeclaration) getNetGraphModel();
    }

    public void setGUISeSAmDeclaration(IGUISeSAmDeclaration guiSeSAmDeclaration) {
        if (guiSeSAmDeclaration != null)
            setFigMapper(guiSeSAmDeclaration.getFigMapper());
    }
}
