/**
 * Created on 23.07.2003
 *
 * This class is responsible for //insert purpose//.
 * 
 * @author glueckselig
 */
package de.uniwue.ki.gui.mas.model.graph;

import de.uniwue.ki.mas.model.graph.*;
import mygale.mcge.core.JGraph;
import mygale.mcge.core.JGraphEditor;

public class UMLLayoutGraphEditor extends JGraphEditor {

    public UMLLayoutGraphEditor() {

        super();
    }

    protected JGraph makeGraph() {

        return new UMLLayoutGraph(this, new FigUMLGraphNodeFactory(), new FigUMLGraphEdgeFactory());
    }

    public IUMLLayoutGraphDeclaration getUMLLayoutGraphDeclaration() {

        return getUMLLayoutGraph().getUMLLayoutGraphDeclaration();
    }

    public UMLLayoutGraph getUMLLayoutGraph() {

        return (UMLLayoutGraph) getGraph();
    }
}
