package de.uniwue.ki.gui.mas.refactoring;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import de.uniwue.ki.gui.mas.model.IGUISeSAmDeclaration;
import de.uniwue.ki.mas.refactoring.AbstractRefactoring;
import de.uniwue.ki.mas.refactoring.IRefactoringUI;

public class RefactoringAction extends AbstractAction {

	IGUISeSAmDeclaration declaration;
	AbstractRefactoring assignedRefactoring;
	IRefactoringUI ui;

	public RefactoringAction(IGUISeSAmDeclaration declaration, 
		AbstractRefactoring _assignedRefactoring, IRefactoringUI _ui) 
	{
		super(_assignedRefactoring.toString());
		this.declaration = declaration;
		assignedRefactoring = _assignedRefactoring;
		ui = _ui;
	}

	/**
	 * Wendet Refactoring an
	 */
	public void actionPerformed(ActionEvent event) {
		assignedRefactoring.execute(ui);
	}
}
