package de.uniwue.ki.gui.mas.refactoring;

import de.uniwue.ki.mas.model.SimulationRuntimeException;

/**
 * @author Michael Scherer
 */
public class TestAssertModel extends AbstractModelTestCase {
	
	/*
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
	}

	/*
	 * @see TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
		
	}

	public void testAssertFail() throws Throwable {
		loadTestModel(getFullPath("AssertFail.xml"));

		try {
			runTestModel();
		} catch (SimulationRuntimeException ex) {
			// Assert Agent hat Exception geworfen: Alles OK 
			assertEquals("Fail: Assert Failed", ex.getMessage());
			return;
		}

		// Die erwartete Exception ist nicht aufgetreten!
		fail("No Assert Exception Thrown!");
	}

	public void testAssertSuccess() throws Throwable {
		loadTestModel(getFullPath("AssertSuccess.xml"));
		
		runTestModel();
	}
}
