package de.uniwue.ki.gui.mas.sim.analysis;
import de.uniwue.ki.gui.mas.model.JPanelWithGUISeSAmDeclaration;
import de.uniwue.ki.mas.sim.analysis.IAnalysisItemDeclaration;
/**
 * Creation date: (29.11.2001 11:37:06)
 * @author Christoph Oechslein
 */
public abstract class AbstractAnalysisItemDeclarationPanel
	extends JPanelWithGUISeSAmDeclaration
	implements IAnalysisItemDeclarationPanel {
		
	private IAnalysisItemDeclaration _analysisItemDeclaration;

	public AbstractAnalysisItemDeclarationPanel() {
		super();

		setName("CSVAnalysisItemDeclarationPanel");
	}

	public IAnalysisItemDeclaration getAnalysisItemDeclaration() {
		return _analysisItemDeclaration;
	}
	
	public boolean hasSpecialSettings() {
		return true;
	}

	public void setAnalysisItemDeclaration(IAnalysisItemDeclaration newAnalysisItemDeclaration) {
		IAnalysisItemDeclaration oldValue = getAnalysisItemDeclaration();

		_analysisItemDeclaration = newAnalysisItemDeclaration;

		firePropertyChange("analysisItemDeclaration", oldValue, newAnalysisItemDeclaration);
	}
}