package de.uniwue.ki.gui.mas.sim.analysis;
import de.uniwue.ki.gui.mas.util.declaration.DeclarationListPanel;
import de.uniwue.ki.gui.util.dnd.ObjectDataFlavor;
import de.uniwue.ki.mas.sim.analysis.*;
/**
 * Creation date: (26.11.2001 14:59:51)
 * @author Christoph Oechslein
 */
public class AnalysisDeclarationListPanel extends DeclarationListPanel {

	public AnalysisDeclarationListPanel() {
		super();
		initialize();
	}

	private void initialize() {
		setName("AnalysisDeclarationListPanel");
		setDeclarationFactory(new AnalysisDeclarationFactory());
		setSize(259, 160);
		setDeclarationListModel(new AnalysisDeclarationList());
		setCellRenderer(new AnalysisDeclarationCellRenderer(getCellRenderer()));

		enableDnDSupport(ObjectDataFlavor.getDataFlavor(IAnalysisDeclaration.class));
	}
}