package de.uniwue.ki.gui.mas.sim.analysis;
import java.awt.BorderLayout;
import java.awt.event.*;
import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;
import java.util.HashMap;

import javax.swing.*;
import javax.swing.event.*;

import com.magelang.box.HorizontalStrut;

import de.uniwue.ki.gui.mas.basics.functionCall.FunctionCallDeclarationTreeListPanel;
import de.uniwue.ki.gui.mas.util.declaration.AbstractDeclarationPanel;
import de.uniwue.ki.gui.util.SwingMoreUtilities;
import de.uniwue.ki.gui.util.actions.AbstractBoundAction;
import de.uniwue.ki.gui.util.border.BetterTitledBorder;
import de.uniwue.ki.gui.util.bound.BoundJIntegerTextField;
import de.uniwue.ki.mas.basics.functionCall.IFunctionCallDeclaration;
import de.uniwue.ki.mas.sim.analysis.*;
import de.uniwue.ki.mas.util.declaration.IDeclaration;
/**
 * Creation date: (26.11.2001 13:22:36)
 * @author Christoph Oechslein
 */
public class AnalysisDeclarationPanel extends AbstractDeclarationPanel {
	private JCheckBox _defaultCheckBox;

	private IAnalysisDeclaration ivjAnalysisDeclarationIntern = null;
	private AnalysisItemDeclarationListPanel ivjAnalysisItemDeclarationListPanel1 = null;
	private BoundJIntegerTextField ivjBoundJIntegerTextFieldTicks = null;
	private boolean ivjConnPtoP2Aligning = false;
	private boolean ivjConnPtoP4Aligning = false;
	private final IvjEventHandler ivjEventHandler = new IvjEventHandler();
	private boolean ivjConnPtoP6Aligning = false;
	private AnalysisTypeDeclarationPanelManager ivjAnalysisTypeDeclarationPanelManager = null;
	private boolean ivjConnPtoP7Aligning = false;
	private AnalysisItemDeclarationPanelManager ivjAnalysisItemDeclarationPanelManager = null;
	private boolean ivjConnPtoP1Aligning = false;
	private boolean ivjConnPtoP8Aligning = false;
	private BoundJIntegerTextField ivjBoundJIntegerTextFieldStartTick = null;
	private HorizontalStrut ivjBoxLayoutHorizontalStrut1 = null;
	private ButtonGroup ivjButtonGroup = null;
	private boolean ivjConnPtoP5Aligning = false;
	private IFunctionCallDeclaration ivjDecisionFunctionCallDeclaration = null;
	private JPanel ivjJPanel4 = null;
	private JRadioButton ivjJRadioButtonTicks = null;
	private JTextField ivjJTextFieldDecisionName = null;
	private boolean ivjConnPtoP9Aligning = false;
	private JButton ivjJButtonEdit = null;
	private JLabel ivjJLabelDecisionFunName = null;
	private JLabel ivjJLabelDeltaTicks = null;
	private JLabel ivjJLabelStartTicks = null;
	private JRadioButton ivjJRadioButtonCustom = null;
	private JPanel ivjJPanel = null;
	private JPanel ivjJPanelCustom = null;
	private JPanel ivjJPanelItemList = null;
	private JPanel ivjJPanelSlectedItem = null;
	private JPanel ivjJPanelTicks = null;

	class IvjEventHandler
		implements ActionListener, ItemListener, PropertyChangeListener, ChangeListener, ListSelectionListener {
		public void actionPerformed(ActionEvent e) {
			if (e.getSource() == AnalysisDeclarationPanel.this.getJButtonEdit())
				connEtoC4(e);
		}
		public void itemStateChanged(ItemEvent e) {
			if (e.getSource() == AnalysisDeclarationPanel.this.getJRadioButtonCustom())
				connPtoP9SetSource();
			if (e.getSource() == AnalysisDeclarationPanel.this.getJRadioButtonCustom())
				connEtoC5(e);
		}
		public void propertyChange(PropertyChangeEvent evt) {
			if (evt.getSource() == AnalysisDeclarationPanel.this
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP2SetTarget();
			if (evt.getSource() == AnalysisDeclarationPanel.this.getAnalysisItemDeclarationListPanel1()
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP2SetSource();
			if (evt.getSource() == AnalysisDeclarationPanel.this.getAnalysisDeclarationIntern()
				&& (evt.getPropertyName().equals("deltaTicks")))
				connPtoP4SetTarget();
			if (evt.getSource() == AnalysisDeclarationPanel.this.getBoundJIntegerTextFieldTicks()
				&& (evt.getPropertyName().equals("integerValue")))
				connPtoP4SetSource();
			if (evt.getSource() == AnalysisDeclarationPanel.this.getAnalysisDeclarationIntern()
				&& (evt.getPropertyName().equals("analysisItemDeclarationList")))
				connPtoP6SetTarget();
			if (evt.getSource() == AnalysisDeclarationPanel.this
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP7SetTarget();
			if (evt.getSource() == AnalysisDeclarationPanel.this.getAnalysisTypeDeclarationPanelManager()
				&& (evt.getPropertyName().equals("GUISeSAmDeclaration")))
				connPtoP7SetSource();
			if (evt.getSource() == AnalysisDeclarationPanel.this.getAnalysisDeclarationIntern()
				&& (evt.getPropertyName().equals("analysisTypeDeclaration")))
				connPtoP8SetTarget();
			if (evt.getSource() == AnalysisDeclarationPanel.this.getAnalysisTypeDeclarationPanelManager()
				&& (evt.getPropertyName().equals("currentAnalysisTypeDeclaration")))
				connPtoP8SetSource();
			if (evt.getSource() == AnalysisDeclarationPanel.this.getAnalysisDeclarationIntern()
				&& (evt.getPropertyName().equals("analysisTypeDeclaration")))
				connEtoC1(evt);
			if (evt.getSource() == AnalysisDeclarationPanel.this
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP1SetTarget();
			if (evt.getSource() == AnalysisDeclarationPanel.this.getAnalysisItemDeclarationPanelManager()
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP1SetSource();
			if (evt.getSource() == AnalysisDeclarationPanel.this.getAnalysisDeclarationIntern()
				&& (evt.getPropertyName().equals("startTick")))
				connPtoP5SetTarget();
			if (evt.getSource() == AnalysisDeclarationPanel.this.getBoundJIntegerTextFieldStartTick()
				&& (evt.getPropertyName().equals("integerValue")))
				connPtoP5SetSource();
			if (evt.getSource() == AnalysisDeclarationPanel.this.getAnalysisDeclarationIntern()
				&& (evt.getPropertyName().equals("usingDecisionFunctionCallDeclaration")))
				connPtoP9SetTarget();
		}
		public void stateChanged(ChangeEvent e) {
			if (e.getSource() == AnalysisDeclarationPanel.this.getDecisionFunctionCallDeclaration())
				connPtoP10SetTarget();
		}
		public void valueChanged(ListSelectionEvent e) {
			if (e.getSource() == AnalysisDeclarationPanel.this.getAnalysisItemDeclarationListPanel1())
				connEtoC2(e);
		}
	}

	/**
	 * AnalysisDeclarationPanel constructor comment.
	 */
	public AnalysisDeclarationPanel() {
		super();
		initialize();
	}

	/**
	 * connEtoC1:  (AnalysisDeclarationIntern.analysisTypeDeclaration --> AnalysisDeclarationPanel.eventAnalysisTypeDeclarationChanged()V)
	 * @param arg1 PropertyChangeEvent
	 */
	private void connEtoC1(PropertyChangeEvent arg1) {
		try {
					this.eventAnalysisTypeDeclarationChanged();
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connEtoC2:  (AnalysisItemDeclarationListPanel1.listSelection.valueChanged(ListSelectionEvent) --> AnalysisDeclarationPanel.eventSelectionChanged()V)
	 * @param arg1 ListSelectionEvent
	 */
	private void connEtoC2(ListSelectionEvent arg1) {
		try {
					this.eventSelectionChanged();
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connEtoC3:  (AnalysisDeclarationIntern.this --> AnalysisDeclarationPanel.eventAnalysisTypeDeclarationChanged()V)
	 * @param value de.uniwue.ki.mas.model.sim.analysis.IAnalysisDeclaration
	 */
	private void connEtoC3(IAnalysisDeclaration value) {
		try {
					this.eventAnalysisTypeDeclarationChanged();
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connEtoC4:  (JButton1.action.actionPerformed(ActionEvent) --> AnalysisDeclarationPanel.eventEditDecisionFunctionCall()V)
	 * @param arg1 ActionEvent
	 */
	private void connEtoC4(ActionEvent arg1) {
		try {
					this.eventEditDecisionFunctionCall();
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connEtoC5:  (JRadioButtonCustom.item.itemStateChanged(ItemEvent) --> AnalysisDeclarationPanel.eventCustomCheckBoxItemStateChanged()V)
	 * @param arg1 ItemEvent
	 */
	private void connEtoC5(ItemEvent arg1) {
		try {
					this.eventCustomCheckBoxItemStateChanged();
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connEtoM1:  (AnalysisDeclarationPanel.initialize() --> ButtonGroup.add(LAbstractButton;)V)
	 */
	private void connEtoM1() {
		try {
					getButtonGroup().add(getJRadioButtonTicks());
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connEtoM2:  (AnalysisDeclarationPanel.initialize() --> ButtonGroup.add(LAbstractButton;)V)
	 */
	private void connEtoM2() {
		try {
					getButtonGroup().add(getJRadioButtonCustom());
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connEtoM3:  (AnalysisDeclarationIntern.this --> DecisionFunctionCallDeclaration.this)
	 * @param value de.uniwue.ki.mas.model.sim.analysis.IAnalysisDeclaration
	 */
	private void connEtoM3(IAnalysisDeclaration value) {
		try {
					if ((getAnalysisDeclarationIntern() != null)) {
				setDecisionFunctionCallDeclaration(
					getAnalysisDeclarationIntern()
						.getAnalysisDeltaSettings()
						.getDecisionFunctionCallDeclaration());
			}
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP10SetTarget:  (DecisionFunctionCallDeclaration.name <--> JTextFieldDecisionName.text)
	 */
	private void connPtoP10SetTarget() {
		try {
			if ((getDecisionFunctionCallDeclaration() != null)) {
				getJTextFieldDecisionName().setText(getDecisionFunctionCallDeclaration().getName());
			}
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP1SetSource:  (AnalysisDeclarationPanel.gUISeSAmDeclaration <--> AnalysisItemDeclarationPanelManager.gUISeSAmDeclaration)
	 */
	private void connPtoP1SetSource() {
		try {
			if (ivjConnPtoP1Aligning == false) {
								ivjConnPtoP1Aligning = true;
				this.setGUISeSAmDeclaration(
					getAnalysisItemDeclarationPanelManager().getGUISeSAmDeclaration());
								ivjConnPtoP1Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP1Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP1SetTarget:  (AnalysisDeclarationPanel.gUISeSAmDeclaration <--> AnalysisItemDeclarationPanelManager.gUISeSAmDeclaration)
	 */
	private void connPtoP1SetTarget() {
		try {
			if (ivjConnPtoP1Aligning == false) {
								ivjConnPtoP1Aligning = true;
				getAnalysisItemDeclarationPanelManager().setGUISeSAmDeclaration(
					this.getGUISeSAmDeclaration());
								ivjConnPtoP1Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP1Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP2SetSource:  (AnalysisDeclarationPanel.gUISeSAmDeclaration <--> AnalysisItemDeclarationListPanel1.gUISeSAmDeclaration)
	 */
	private void connPtoP2SetSource() {
		try {
			if (ivjConnPtoP2Aligning == false) {
								ivjConnPtoP2Aligning = true;
				this.setGUISeSAmDeclaration(getAnalysisItemDeclarationListPanel1().getGUISeSAmDeclaration());
								ivjConnPtoP2Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP2Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP2SetTarget:  (AnalysisDeclarationPanel.gUISeSAmDeclaration <--> AnalysisItemDeclarationListPanel1.gUISeSAmDeclaration)
	 */
	private void connPtoP2SetTarget() {
		try {
			if (ivjConnPtoP2Aligning == false) {
								ivjConnPtoP2Aligning = true;
				getAnalysisItemDeclarationListPanel1().setGUISeSAmDeclaration(this.getGUISeSAmDeclaration());
								ivjConnPtoP2Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP2Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP4SetSource:  (AnalysisDeclarationIntern.deltaTicks <--> BoundJIntegerTextFieldTicks.integerValue)
	 */
	private void connPtoP4SetSource() {
		try {
			if (ivjConnPtoP4Aligning == false) {
								ivjConnPtoP4Aligning = true;
				if ((getAnalysisDeclarationIntern() != null)) {
					getAnalysisDeclarationIntern().getAnalysisDeltaSettings().setDeltaTicks(
						getBoundJIntegerTextFieldTicks().getIntegerValue());
				}
								ivjConnPtoP4Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP4Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP4SetTarget:  (AnalysisDeclarationIntern.deltaTicks <--> BoundJIntegerTextFieldTicks.integerValue)
	 */
	private void connPtoP4SetTarget() {
		try {
			if (ivjConnPtoP4Aligning == false) {
								ivjConnPtoP4Aligning = true;
				if ((getAnalysisDeclarationIntern() != null)) {
					getBoundJIntegerTextFieldTicks().setIntegerValue(
						getAnalysisDeclarationIntern().getAnalysisDeltaSettings().getDeltaTicks());
				}
								ivjConnPtoP4Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP4Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP5SetSource:  (AnalysisDeclarationIntern.startTick <--> BoundJIntegerTextFieldStartTick.integerValue)
	 */
	private void connPtoP5SetSource() {
		try {
			if (ivjConnPtoP5Aligning == false) {
								ivjConnPtoP5Aligning = true;
				if ((getAnalysisDeclarationIntern() != null)) {
					getAnalysisDeclarationIntern().getAnalysisDeltaSettings().setStartTick(
						getBoundJIntegerTextFieldStartTick().getIntegerValue());
				}
								ivjConnPtoP5Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP5Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP5SetTarget:  (AnalysisDeclarationIntern.startTick <--> BoundJIntegerTextFieldStartTick.integerValue)
	 */
	private void connPtoP5SetTarget() {
		try {
			if (ivjConnPtoP5Aligning == false) {
								ivjConnPtoP5Aligning = true;
				if ((getAnalysisDeclarationIntern() != null)) {
					getBoundJIntegerTextFieldStartTick().setIntegerValue(
						getAnalysisDeclarationIntern().getAnalysisDeltaSettings().getStartTick());
				}
								ivjConnPtoP5Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP5Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP6SetTarget:  (AnalysisDeclarationIntern.analysisItemDeclarationList <--> AnalysisItemDeclarationListPanel1.declarationListModel)
	 */
	private void connPtoP6SetTarget() {
		try {
			if (ivjConnPtoP6Aligning == false) {
								ivjConnPtoP6Aligning = true;
				if ((getAnalysisDeclarationIntern() != null)) {
					getAnalysisItemDeclarationListPanel1().setDeclarationListAndFactory(
						getAnalysisDeclarationIntern().getAnalysisItemDeclarationListAndFactory());
				}
								ivjConnPtoP6Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP6Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP7SetSource:  (AnalysisDeclarationPanel.gUISeSAmDeclaration <--> AnalysisTypeDeclarationPanelManager.GUISeSAmDeclaration)
	 */
	private void connPtoP7SetSource() {
	}

	/**
	 * connPtoP7SetTarget:  (AnalysisDeclarationPanel.gUISeSAmDeclaration <--> AnalysisTypeDeclarationPanelManager.GUISeSAmDeclaration)
	 */
	private void connPtoP7SetTarget() {
		try {
			if (ivjConnPtoP7Aligning == false) {
								ivjConnPtoP7Aligning = true;
				getAnalysisTypeDeclarationPanelManager().setGUISeSAmDeclaration(
					this.getGUISeSAmDeclaration());
								ivjConnPtoP7Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP7Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP8SetSource:  (AnalysisDeclarationIntern.analysisTypeDeclaration <--> AnalysisTypeDeclarationPanelManager.currentAnalysisTypeDeclaration)
	 */
	private void connPtoP8SetSource() {
		try {
			if (ivjConnPtoP8Aligning == false) {
								ivjConnPtoP8Aligning = true;
				if ((getAnalysisDeclarationIntern() != null)) {
					getAnalysisDeclarationIntern().setAnalysisTypeDeclaration(
						getAnalysisTypeDeclarationPanelManager().getCurrentAnalysisTypeDeclaration());
				}
								ivjConnPtoP8Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP8Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP8SetTarget:  (AnalysisDeclarationIntern.analysisTypeDeclaration <--> AnalysisTypeDeclarationPanelManager.currentAnalysisTypeDeclaration)
	 */
	private void connPtoP8SetTarget() {
		try {
			if (ivjConnPtoP8Aligning == false) {
								ivjConnPtoP8Aligning = true;
				if ((getAnalysisDeclarationIntern() != null)) {
					getAnalysisTypeDeclarationPanelManager().setCurrentAnalysisTypeDeclaration(
						getAnalysisDeclarationIntern().getAnalysisTypeDeclaration());
				}
								ivjConnPtoP8Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP8Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP9SetSource:  (AnalysisDeclarationIntern.usingDecisionFunctionCallDeclaration <--> JRadioButtonCustom.selected)
	 */
	private void connPtoP9SetSource() {
		try {
			if (ivjConnPtoP9Aligning == false) {
								ivjConnPtoP9Aligning = true;
				if ((getAnalysisDeclarationIntern() != null)) {
					getAnalysisDeclarationIntern()
						.getAnalysisDeltaSettings()
						.setUsingDecisionFunctionCallDeclaration(
						getJRadioButtonCustom().isSelected());
				}
								ivjConnPtoP9Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP9Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP9SetTarget:  (AnalysisDeclarationIntern.usingDecisionFunctionCallDeclaration <--> JRadioButton2.selected)
	 */
	private void connPtoP9SetTarget() {
		try {
			if (ivjConnPtoP9Aligning == false) {
								ivjConnPtoP9Aligning = true;
				if ((getAnalysisDeclarationIntern() != null)) {
					getJRadioButtonCustom().setSelected(
						getAnalysisDeclarationIntern()
							.getAnalysisDeltaSettings()
							.isUsingDecisionFunctionCallDeclaration());
				}
								ivjConnPtoP9Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP9Aligning = false;
					handleException(ivjExc);
		}
	}

	public void dispose() {
		getAnalysisItemDeclarationListPanel1().dispose();
		getAnalysisItemDeclarationPanelManager().dispose();
		getAnalysisTypeDeclarationPanelManager().dispose();

		super.dispose();
	}

	protected void eventAnalysisTypeDeclarationChanged() {
		if (getAnalysisDeclarationIntern() != null) {
			getAnalysisItemDeclarationListPanel1().setDeclarationFactory(
				getAnalysisDeclarationIntern()
					.getAnalysisTypeDeclaration()
					.getAnalysisItemDeclarationFactory());

			if (!getAnalysisDeclarationIntern()
				.getAnalysisItemDeclarationListAndFactory()
				.getAnalysisItemDeclarationList()
				.isEmpty()) {
				getAnalysisItemDeclarationListPanel1().setSelectedIndex(0);
			}
		}
	}

	protected void eventCustomCheckBoxItemStateChanged() {
		if (getJRadioButtonCustom().isSelected()) {
			setEnabledCustomPanel(true);
			setEnabledTicksPanel(false);

		} else {
			setEnabledCustomPanel(false);
			setEnabledTicksPanel(true);
		}
	}

	protected void eventEditDecisionFunctionCall() {
		if ((getDecisionFunctionCallDeclaration() != null) && (getGUISeSAmDeclaration() != null)) {

			FunctionCallDeclarationTreeListPanel functionCallDeclarationTree =
				new FunctionCallDeclarationTreeListPanel();

			functionCallDeclarationTree.setGUISeSAmDeclaration(getGUISeSAmDeclaration());

			IFunctionCallDeclaration copyFunctionCallDeclaration =
				(IFunctionCallDeclaration) getDecisionFunctionCallDeclaration().copy(new HashMap());

			functionCallDeclarationTree.setFunctionCallDeclaration(copyFunctionCallDeclaration);

			JOptionPane optionPane =
				new JOptionPane(
					functionCallDeclarationTree,
					JOptionPane.PLAIN_MESSAGE,
					JOptionPane.OK_CANCEL_OPTION);

			getGUISeSAmDeclaration().getFrameFactory().addModalPanel(
				this,
				"Edit Custom Decision Function",
				optionPane);

			if (SwingMoreUtilities.userChoiceOption(optionPane, JOptionPane.OK_OPTION)) {
				copyFunctionCallDeclaration.copyInto(getDecisionFunctionCallDeclaration(), new HashMap());
			}

			copyFunctionCallDeclaration.remove();

			functionCallDeclarationTree.dispose();
		}
	}

	protected void eventSelectionChanged() {
		boolean isEmpty = getAnalysisItemDeclarationListPanel1().isSelectionEmpty();
		getAnalysisItemDeclarationPanelManager().setVisible(!isEmpty);

		if (!isEmpty) {
			getAnalysisItemDeclarationPanelManager().setCurrentAnalysisItemDeclaration(
				(IAnalysisItemDeclaration) getAnalysisItemDeclarationListPanel1().getSelectedDeclaration());
		}
	}

	/**
	 * Return the AnalysisDeclarationIntern property value.
	 * @return de.uniwue.ki.mas.model.sim.analysis.IAnalysisDeclaration
	 */
	private IAnalysisDeclaration getAnalysisDeclarationIntern() {
		return ivjAnalysisDeclarationIntern;
	}

	/**
	 * Return the AnalysisItemDeclarationListPanel1 property value.
	 * @return de.uniwue.ki.gui.mas.model.sim.analysis.AnalysisItemDeclarationListPanel
	 */
	private AnalysisItemDeclarationListPanel getAnalysisItemDeclarationListPanel1() {
		if (ivjAnalysisItemDeclarationListPanel1 == null) {
			try {
				ivjAnalysisItemDeclarationListPanel1 = new AnalysisItemDeclarationListPanel();
				ivjAnalysisItemDeclarationListPanel1.setName("AnalysisItemDeclarationListPanel1");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjAnalysisItemDeclarationListPanel1;
	}

	/**
	 * Return the AnalysisItemDeclarationPanelManager property value.
	 * @return de.uniwue.ki.gui.mas.model.sim.analysis.AnalysisItemDeclarationPanelManager
	 */
	private AnalysisItemDeclarationPanelManager getAnalysisItemDeclarationPanelManager() {
		if (ivjAnalysisItemDeclarationPanelManager == null) {
			try {
				ivjAnalysisItemDeclarationPanelManager = new AnalysisItemDeclarationPanelManager();
				ivjAnalysisItemDeclarationPanelManager.setName("AnalysisItemDeclarationPanelManager");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjAnalysisItemDeclarationPanelManager;
	}

	/**
	 * Return the AnalysisTypeDeclarationPanelManager property value.
	 * @return de.uniwue.ki.gui.mas.model.sim.analysis.AnalysisTypeDeclarationPanelManager
	 */
	private AnalysisTypeDeclarationPanelManager getAnalysisTypeDeclarationPanelManager() {
		if (ivjAnalysisTypeDeclarationPanelManager == null) {
			try {
				BetterTitledBorder ivjLocalBorder;
				ivjLocalBorder = new BetterTitledBorder();
				ivjLocalBorder.setTitle("Type & Specific Settings");
				ivjAnalysisTypeDeclarationPanelManager = new AnalysisTypeDeclarationPanelManager();
				ivjAnalysisTypeDeclarationPanelManager.setName("AnalysisTypeDeclarationPanelManager");
				ivjAnalysisTypeDeclarationPanelManager.setBorder(ivjLocalBorder);
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjAnalysisTypeDeclarationPanelManager;
	}

	/**
	 * Return the BoundJIntegerTextFieldStartTick property value.
	 * @return BoundJIntegerTextField
	 */
	private BoundJIntegerTextField getBoundJIntegerTextFieldStartTick() {
		if (ivjBoundJIntegerTextFieldStartTick == null) {
			try {
				ivjBoundJIntegerTextFieldStartTick = new BoundJIntegerTextField();
				ivjBoundJIntegerTextFieldStartTick.setName("BoundJIntegerTextFieldStartTick");
				ivjBoundJIntegerTextFieldStartTick.setInteger(new Integer(0));
				ivjBoundJIntegerTextFieldStartTick.setText("0");
				ivjBoundJIntegerTextFieldStartTick.setMinimumSize(new java.awt.Dimension(40, 20));
				ivjBoundJIntegerTextFieldStartTick.setColumns(5);
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjBoundJIntegerTextFieldStartTick;
	}

	/**
	 * Return the BoundJIntegerTextFieldTicks property value.
	 * @return BoundJIntegerTextField
	 */
	private BoundJIntegerTextField getBoundJIntegerTextFieldTicks() {
		if (ivjBoundJIntegerTextFieldTicks == null) {
			try {
				ivjBoundJIntegerTextFieldTicks = new BoundJIntegerTextField();
				ivjBoundJIntegerTextFieldTicks.setName("BoundJIntegerTextFieldTicks");
				ivjBoundJIntegerTextFieldTicks.setInteger(new Integer(0));
				ivjBoundJIntegerTextFieldTicks.setText("100");
				ivjBoundJIntegerTextFieldTicks.setMinimumSize(new java.awt.Dimension(40, 20));
				ivjBoundJIntegerTextFieldTicks.setColumns(5);
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjBoundJIntegerTextFieldTicks;
	}

	/**
	 * Return the BoxLayoutHorizontalStrut1 property value.
	 * @return BoxLayoutHorizontalStrut
	 */
	private HorizontalStrut getBoxLayoutHorizontalStrut1() {
		if (ivjBoxLayoutHorizontalStrut1 == null) {
			try {
				ivjBoxLayoutHorizontalStrut1 = new HorizontalStrut();
				ivjBoxLayoutHorizontalStrut1.setName("BoxLayoutHorizontalStrut1");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjBoxLayoutHorizontalStrut1;
	}


	/**
	 * Return the ButtonGroup property value.
	 * @return ButtonGroup
	 */
	private ButtonGroup getButtonGroup() {
		if (ivjButtonGroup == null) {
			try {
				ivjButtonGroup = new ButtonGroup();
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjButtonGroup;
	}

	/**
	 * Return the DecisionFunctionCallDeclaration property value.
	 * @return de.uniwue.ki.mas.model.basics.functionCall.IFunctionCallDeclaration
	 */
	private de
		.uniwue
		.ki
		.mas
		.basics
		.functionCall
		.IFunctionCallDeclaration getDecisionFunctionCallDeclaration() {
		return ivjDecisionFunctionCallDeclaration;
	}

	public IDeclaration getDeclaration() {
		return getAnalysisDeclarationIntern();
	}

	/**
	 * Return the JButton1 property value.
	 * @return JButton
	 */
	private JButton getJButtonEdit() {
		if (ivjJButtonEdit == null) {
			try {
				ivjJButtonEdit = new JButton();
				ivjJButtonEdit.setName("JButtonEdit");
				ivjJButtonEdit.setText("Edit ...");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjJButtonEdit;
	}

	/**
	 * Return the JLabel2 property value.
	 * @return JLabel
	 */
	private JLabel getJLabelDecisionFunName() {
		if (ivjJLabelDecisionFunName == null) {
			try {
				ivjJLabelDecisionFunName = new JLabel();
				ivjJLabelDecisionFunName.setName("JLabelDecisionFunName");
				ivjJLabelDecisionFunName.setText("Name: ");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjJLabelDecisionFunName;
	}

	/**
	 * Return the JLabel1 property value.
	 * @return JLabel
	 */
	private JLabel getJLabelDeltaTicks() {
		if (ivjJLabelDeltaTicks == null) {
			try {
				ivjJLabelDeltaTicks = new JLabel();
				ivjJLabelDeltaTicks.setName("JLabelDeltaTicks");
				ivjJLabelDeltaTicks.setText("Delta Ticks: ");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjJLabelDeltaTicks;
	}

	/**
	 * Return the JLabel11 property value.
	 * @return JLabel
	 */
	private JLabel getJLabelStartTicks() {
		if (ivjJLabelStartTicks == null) {
			try {
				ivjJLabelStartTicks = new JLabel();
				ivjJLabelStartTicks.setName("JLabelStartTicks");
				ivjJLabelStartTicks.setText("  Start Tick: ");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjJLabelStartTicks;
	}

	/**
	 * Return the JPanel1 property value.
	 * @return JPanel
	 */
	private JPanel getJPanel() {
		if (ivjJPanel == null) {
			try {
				ivjJPanel = new JPanel();
				ivjJPanel.setName("JPanel");
				ivjJPanel.setLayout(new java.awt.GridBagLayout());

				java.awt.GridBagConstraints constraintsJPanel4 = new java.awt.GridBagConstraints();
				constraintsJPanel4.gridx = 0;
				constraintsJPanel4.gridy = 2;
				constraintsJPanel4.gridwidth = 2;
				constraintsJPanel4.anchor = java.awt.GridBagConstraints.NORTHWEST;
				constraintsJPanel4.fill = java.awt.GridBagConstraints.BOTH;
				constraintsJPanel4.weightx = 1.0;
				getJPanel().add(getJPanel4(), constraintsJPanel4);

				java.awt.GridBagConstraints constraintsAnalysisTypeDeclarationPanelManager =
					new java.awt.GridBagConstraints();
				constraintsAnalysisTypeDeclarationPanelManager.gridx = 0;
				constraintsAnalysisTypeDeclarationPanelManager.gridy = 3;
				constraintsAnalysisTypeDeclarationPanelManager.gridwidth = 2;
				constraintsAnalysisTypeDeclarationPanelManager.fill = java.awt.GridBagConstraints.BOTH;
				constraintsAnalysisTypeDeclarationPanelManager.insets = new java.awt.Insets(4, 0, 0, 0);
				getJPanel().add(
					getAnalysisTypeDeclarationPanelManager(),
					constraintsAnalysisTypeDeclarationPanelManager);

				java.awt.GridBagConstraints constraintsJPanelItemList = new java.awt.GridBagConstraints();
				constraintsJPanelItemList.gridx = 0;
				constraintsJPanelItemList.gridy = 4;
				constraintsJPanelItemList.gridwidth = 1;
				constraintsJPanelItemList.fill = java.awt.GridBagConstraints.BOTH;
				constraintsJPanelItemList.weightx = 1.0;
				constraintsJPanelItemList.weighty = 1.0;
				constraintsJPanelItemList.insets = new java.awt.Insets(4, 0, 0, 0);
				getJPanel().add(getJPanelItemList(), constraintsJPanelItemList);

				java.awt.GridBagConstraints constraintsJPanelSlectedItem = new java.awt.GridBagConstraints();
				constraintsJPanelSlectedItem.gridx = 1;
				constraintsJPanelSlectedItem.gridy = 4;
				constraintsJPanelSlectedItem.fill = java.awt.GridBagConstraints.BOTH;
				constraintsJPanelSlectedItem.weightx = 2.0;
				constraintsJPanelSlectedItem.weighty = 1.0;
				constraintsJPanelSlectedItem.insets = new java.awt.Insets(4, 4, 0, 0);
				getJPanel().add(getJPanelSlectedItem(), constraintsJPanelSlectedItem);
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjJPanel;
	}

	/**
	 * Return the JPanel4 property value.
	 * @return JPanel
	 */
	private JPanel getJPanel4() {
		if (ivjJPanel4 == null) {
			try {
				ivjJPanel4 = new JPanel();
				ivjJPanel4.setName("JPanel4");
				ivjJPanel4.setLayout(new java.awt.GridBagLayout());

				ivjJPanel4.setBorder(BorderFactory.createTitledBorder("Delay Settings"));

				java.awt.GridBagConstraints constraintsJRadioButtonTicks = new java.awt.GridBagConstraints();
				constraintsJRadioButtonTicks.gridx = 0;
				constraintsJRadioButtonTicks.gridy = 0;
				constraintsJRadioButtonTicks.anchor = java.awt.GridBagConstraints.WEST;
				getJPanel4().add(getJRadioButtonTicks(), constraintsJRadioButtonTicks);

				java.awt.GridBagConstraints constraintsJPanelTicks = new java.awt.GridBagConstraints();
				constraintsJPanelTicks.gridx = 1;
				constraintsJPanelTicks.gridy = 0;
				constraintsJPanelTicks.anchor = java.awt.GridBagConstraints.WEST;
				constraintsJPanelTicks.weightx = 1.0;
				//constraintsJPanelTicks.weighty = 1.0;
				//constraintsJPanelTicks.fill = java.awt.GridBagConstraints.HORIZONTAL;
				getJPanel4().add(getJPanelTicks(), constraintsJPanelTicks);

				java.awt.GridBagConstraints constraintsJRadioButtonCustom = new java.awt.GridBagConstraints();
				constraintsJRadioButtonCustom.gridx = 0;
				constraintsJRadioButtonCustom.gridy = 1;
				constraintsJRadioButtonCustom.anchor = java.awt.GridBagConstraints.WEST;
				constraintsJRadioButtonCustom.insets = new java.awt.Insets(4, 0, 3, 0);
				getJPanel4().add(getJRadioButtonCustom(), constraintsJRadioButtonCustom);

				java.awt.GridBagConstraints constraintsJPanelCustom = new java.awt.GridBagConstraints();
				constraintsJPanelCustom.gridx = 1;
				constraintsJPanelCustom.gridy = 1;
				constraintsJPanelCustom.anchor = java.awt.GridBagConstraints.WEST;
				constraintsJPanelCustom.weightx = 1.0;
				//constraintsJPanelCustom.weighty = 1.0;
				constraintsJPanelCustom.insets = new java.awt.Insets(4, 0, 3, 0);
				//constraintsJPanelCustom.fill = java.awt.GridBagConstraints.HORIZONTAL;
				getJPanel4().add(getJPanelCustom(), constraintsJPanelCustom);

				java.awt.GridBagConstraints constraintsJPanelDefault = new java.awt.GridBagConstraints();
				constraintsJPanelDefault.gridx = 2;
				constraintsJPanelDefault.gridy = 0;
				constraintsJPanelDefault.anchor = java.awt.GridBagConstraints.NORTHEAST;
				//constraintsJPanelDefault.weightx = 1.0;
				constraintsJPanelDefault.insets = new java.awt.Insets(0, 7, 3, 0);
				//constraintsJPanelDefault.fill = java.awt.GridBagConstraints.HORIZONTAL;
				getJPanel4().add(getDefaultCheckBox(), constraintsJPanelDefault);

							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjJPanel4;
	}
	protected JCheckBox getDefaultCheckBox() {
		if (_defaultCheckBox == null) {
			_defaultCheckBox = new JCheckBox(new AbstractBoundAction("Default") {
				public void doit() {
					if (getAnalysisDeclarationIntern() != null) {
						getAnalysisDeclarationIntern().setDefaultAnalysis(_defaultCheckBox.isSelected());
					}
				}
			});
		}

		return _defaultCheckBox;
	}

	/**
	 * Return the JPanel5 property value.
	 * @return JPanel
	 */
	private JPanel getJPanelCustom() {
		if (ivjJPanelCustom == null) {
			try {
				ivjJPanelCustom = new JPanel();
				ivjJPanelCustom.setName("JPanelCustom");
				ivjJPanelCustom.setBorder(new BetterTitledBorder());
				ivjJPanelCustom.setLayout(new BoxLayout(getJPanelCustom(), BoxLayout.X_AXIS));
				getJPanelCustom().add(getJLabelDecisionFunName(), getJLabelDecisionFunName().getName());
				ivjJPanelCustom.add(getJTextFieldDecisionName());
				getJPanelCustom().add(
					getBoxLayoutHorizontalStrut1(),
					getBoxLayoutHorizontalStrut1().getName());
				ivjJPanelCustom.add(getJButtonEdit());
						SwingMoreUtilities.setEnableAllComponentsRecursive(getJPanelCustom(), false);
					} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjJPanelCustom;
	}

	/**
	 * Return the JPanel2 property value.
	 * @return JPanel
	 */
	private JPanel getJPanelItemList() {
		if (ivjJPanelItemList == null) {
			try {
				BetterTitledBorder ivjLocalBorder1;
				ivjLocalBorder1 = new BetterTitledBorder();
				ivjLocalBorder1.setTitle("Analysis Items");
				ivjJPanelItemList = new JPanel();
				ivjJPanelItemList.setName("JPanelItemList");
				ivjJPanelItemList.setBorder(ivjLocalBorder1);
				ivjJPanelItemList.setLayout(new BoxLayout(getJPanelItemList(), BoxLayout.X_AXIS));
				getJPanelItemList().add(
					getAnalysisItemDeclarationListPanel1(),
					getAnalysisItemDeclarationListPanel1().getName());
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjJPanelItemList;
	}

	/**
	 * Return the JPanel3 property value.
	 * @return JPanel
	 */
	private JPanel getJPanelSlectedItem() {
		if (ivjJPanelSlectedItem == null) {
			try {
				BetterTitledBorder ivjLocalBorder2;
				ivjLocalBorder2 = new BetterTitledBorder();
				ivjLocalBorder2.setTitle("Selected Analysis Item");
				ivjJPanelSlectedItem = new JPanel();
				ivjJPanelSlectedItem.setName("JPanelSlectedItem");
				ivjJPanelSlectedItem.setBorder(ivjLocalBorder2);
				ivjJPanelSlectedItem.setLayout(new BoxLayout(getJPanelSlectedItem(), BoxLayout.X_AXIS));
				getJPanelSlectedItem().add(
					getAnalysisItemDeclarationPanelManager(),
					getAnalysisItemDeclarationPanelManager().getName());
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjJPanelSlectedItem;
	}

	/**
	 * Return the JPanel6 property value.
	 * @return JPanel
	 */
	private JPanel getJPanelTicks() {
		if (ivjJPanelTicks == null) {
			try {
				ivjJPanelTicks = new JPanel();
				ivjJPanelTicks.setName("JPanelTicks");
				ivjJPanelTicks.setBorder(new BetterTitledBorder());
				ivjJPanelTicks.setLayout(new BoxLayout(getJPanelTicks(), BoxLayout.X_AXIS));
				getJPanelTicks().add(getJLabelDeltaTicks(), getJLabelDeltaTicks().getName());
				ivjJPanelTicks.add(getBoundJIntegerTextFieldTicks());
				ivjJPanelTicks.add(getJLabelStartTicks());
				ivjJPanelTicks.add(getBoundJIntegerTextFieldStartTick());
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjJPanelTicks;
	}

	/**
	 * Return the JRadioButton2 property value.
	 * @return JRadioButton
	 */
	private JRadioButton getJRadioButtonCustom() {
		if (ivjJRadioButtonCustom == null) {
			try {
				ivjJRadioButtonCustom = new JRadioButton();
				ivjJRadioButtonCustom.setName("JRadioButtonCustom");
				ivjJRadioButtonCustom.setText("Custom");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjJRadioButtonCustom;
	}

	/**
	 * Return the JRadioButtonTicks property value.
	 * @return JRadioButton
	 */
	private JRadioButton getJRadioButtonTicks() {
		if (ivjJRadioButtonTicks == null) {
			try {
				ivjJRadioButtonTicks = new JRadioButton();
				ivjJRadioButtonTicks.setName("JRadioButtonTicks");
				ivjJRadioButtonTicks.setSelected(true);
				ivjJRadioButtonTicks.setText("Ticks");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjJRadioButtonTicks;
	}

	/**
	 * Return the JTextFieldDecisionName property value.
	 * @return JTextField
	 */
	private JTextField getJTextFieldDecisionName() {
		if (ivjJTextFieldDecisionName == null) {
			try {
				ivjJTextFieldDecisionName = new JTextField();
				ivjJTextFieldDecisionName.setName("JTextFieldDecisionName");
				ivjJTextFieldDecisionName.setEditable(false);
				ivjJTextFieldDecisionName.setMinimumSize(new java.awt.Dimension(100, 20));
				ivjJTextFieldDecisionName.setColumns(10);
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjJTextFieldDecisionName;
	}

	/**
	 * Called whenever the part throws an exception.
	 * @param exception Throwable
	 */
	private void handleException(Throwable exception) {

		exception.printStackTrace(System.out);
	}

	/**
	 * Initializes connections
	 * @exception Exception The exception description.
	 */
	private void initConnections() {
		this.addPropertyChangeListener(ivjEventHandler);
		getAnalysisItemDeclarationListPanel1().addPropertyChangeListener(ivjEventHandler);
		getBoundJIntegerTextFieldTicks().addPropertyChangeListener(ivjEventHandler);
		getAnalysisItemDeclarationListPanel1().addListSelectionListener(ivjEventHandler);
		getAnalysisTypeDeclarationPanelManager().addPropertyChangeListener(ivjEventHandler);
		getAnalysisItemDeclarationPanelManager().addPropertyChangeListener(ivjEventHandler);
		getBoundJIntegerTextFieldStartTick().addPropertyChangeListener(ivjEventHandler);
		getJRadioButtonCustom().addItemListener(ivjEventHandler);
		getJButtonEdit().addActionListener(ivjEventHandler);
		connPtoP2SetTarget();
		connPtoP4SetTarget();
		connPtoP6SetTarget();
		connPtoP7SetTarget();
		connPtoP8SetTarget();
		connPtoP1SetTarget();
		connPtoP5SetTarget();
		connPtoP9SetTarget();
		connPtoP10SetTarget();
	}

	/**
	 * Initialize the class.
	 */
	private void initialize() {
		try {
					setName("AnalysisDeclarationPanel");
			setLayout(new BorderLayout());
			setSize(587, 510);
			add(getJPanel());
			initConnections();
			connEtoM1();
			connEtoM2();
		} catch (Throwable ivjExc) {
			handleException(ivjExc);
		}
		setAnalysisDeclarationIntern(new AnalysisDeclarationFactory().createAnalysisDeclaration());
		eventSelectionChanged();
	}

	public static void main(String[] args) {
		try {
			JFrame frame = new JFrame();
			AnalysisDeclarationPanel aAnalysisDeclarationPanel;
			aAnalysisDeclarationPanel = new AnalysisDeclarationPanel();
			frame.setContentPane(aAnalysisDeclarationPanel);
			frame.setSize(aAnalysisDeclarationPanel.getSize());
			frame.addWindowListener(new WindowAdapter() {
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				};
			});
			frame.pack();
			frame.show();
			java.awt.Insets insets = frame.getInsets();
			frame.setSize(
				frame.getWidth() + insets.left + insets.right,
				frame.getHeight() + insets.top + insets.bottom);
			frame.setVisible(true);
		} catch (Throwable exception) {
			System.err.println(
				"Exception occurred in main() of de.uniwue.ki.gui.mas.model.util.declaration.AbstractDeclarationPanel");
			exception.printStackTrace(System.out);
		}
	}

	/**
	 * Set the AnalysisDeclarationIntern to a new value.
	 * @param newValue de.uniwue.ki.mas.model.sim.analysis.IAnalysisDeclaration
	 */
	private void setAnalysisDeclarationIntern(IAnalysisDeclaration newValue) {
		if (ivjAnalysisDeclarationIntern != newValue) {
			try {
				/* Stop listening for events from the current object */
				if (ivjAnalysisDeclarationIntern != null) {
					ivjAnalysisDeclarationIntern.removePropertyChangeListener(ivjEventHandler);
				}
				ivjAnalysisDeclarationIntern = newValue;

				/* Listen for events from the new object */
				if (ivjAnalysisDeclarationIntern != null) {
					ivjAnalysisDeclarationIntern.addPropertyChangeListener(ivjEventHandler);
				}
				connPtoP4SetTarget();
				connPtoP6SetTarget();
				connPtoP8SetTarget();
				connEtoC3(ivjAnalysisDeclarationIntern);
				connPtoP5SetTarget();
				connPtoP9SetTarget();
				connEtoM3(ivjAnalysisDeclarationIntern);
						if (newValue != null)
					getDefaultCheckBox().setSelected(newValue.isDefaultAnalysis());
					} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		};
	}

	/**
	 * Set the DecisionFunctionCallDeclaration to a new value.
	 * @param newValue de.uniwue.ki.mas.model.basics.functionCall.IFunctionCallDeclaration
	 */
	private void setDecisionFunctionCallDeclaration(IFunctionCallDeclaration newValue) {
		if (ivjDecisionFunctionCallDeclaration != newValue) {
			try {
				/* Stop listening for events from the current object */
				if (ivjDecisionFunctionCallDeclaration != null) {
					ivjDecisionFunctionCallDeclaration.removeChangeListener(ivjEventHandler);
				}
				ivjDecisionFunctionCallDeclaration = newValue;

				/* Listen for events from the new object */
				if (ivjDecisionFunctionCallDeclaration != null) {
					ivjDecisionFunctionCallDeclaration.addChangeListener(ivjEventHandler);
				}
				connPtoP10SetTarget();
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		};
	}

	public void setDeclaration(IDeclaration declaration) {
		setAnalysisDeclarationIntern((IAnalysisDeclaration) declaration);
	}

	protected void setEnabledCustomPanel(boolean selected) {
		getJLabelDecisionFunName().setEnabled(selected && isEnabled());
		getJTextFieldDecisionName().setEnabled(selected && isEnabled());
		getJButtonEdit().setEnabled(selected && isEnabled());
	}

	protected void setEnabledTicksPanel(boolean selected) {
		getJLabelDeltaTicks().setEnabled(selected && isEnabled());
		getJLabelStartTicks().setEnabled(selected && isEnabled());
		getBoundJIntegerTextFieldTicks().setEnabled(selected && isEnabled());
		getBoundJIntegerTextFieldStartTick().setEnabled(selected && isEnabled());
	}
}