package de.uniwue.ki.gui.mas.sim.analysis;
import de.uniwue.ki.gui.mas.util.declaration.DeclarationListPanel;
import de.uniwue.ki.gui.mas.util.declaration.IDeclarationPanel;
import de.uniwue.ki.gui.util.dnd.ObjectDataFlavor;
import de.uniwue.ki.mas.sim.analysis.AnalysisItemDeclarationList;
import de.uniwue.ki.mas.sim.analysis.IAnalysisItemDeclaration;
import de.uniwue.ki.mas.util.declaration.IDeclaration;

/**
 * Creation date: (26.11.2001 13:19:28)
 * @author Christoph Oechslein
 */
public class AnalysisItemDeclarationListPanel extends DeclarationListPanel {
	public AnalysisItemDeclarationListPanel() {
		super();
		initialize();
	}

	protected IDeclarationPanel createDeclarationPanel(IDeclaration declaration) {
		return new AnalysisItemDeclarationPanel();
		// NOT declarationPanel.setGUISeSAmDeclaration(getGUISeSAmDeclaration());
		// NOT declarationPanel.setDeclaration(declaration);
	}

	private void initialize() {
		setName("AnalysisItemDeclarationListPanel");
		setSize(259, 160);
		setDeclarationListModel(new AnalysisItemDeclarationList());
		enableDnDSupport(ObjectDataFlavor.getDataFlavor(IAnalysisItemDeclaration.class));
		setArrowsAvailible(true);
	}

}