package de.uniwue.ki.gui.mas.util;

import java.awt.Component;

import javax.swing.JOptionPane;
import javax.swing.JRootPane;

/**
 * Creation date: (10.10.2000 18:57:30)
 * @author Christoph Oechslein
 */
public interface IFrameFactory {

	JRootPane addPanel(Component parent, String title, Component component, boolean shouldTheFrameBeShown);
	JRootPane addPanel(
		Component parent,
		String title,
		Component component,
		boolean shouldTheFrameBeShown,
		int windowCloseOperation);
	JRootPane addPanel(
		Component parent,
		String title,
		Component component,
		boolean shouldTheFrameBeShown,
		int windowCloseOperation,
		Runnable windowCloseFunction);

	void addModalPanel(Component parent, String title, JOptionPane optionPane);
}