package de.uniwue.ki.gui.mas.util;

import de.uniwue.ki.gui.mas.basics.functionCall.FunctionCallDeclarationTreeListPanel;
import de.uniwue.ki.gui.mas.basics.functionCall.IExpertFilterFunctionDeclarationListAble;
import de.uniwue.ki.gui.mas.model.JPanelWithGUISeSAmDeclaration;
import de.uniwue.ki.mas.basics.functionArgument.IFunctionArgumentDeclarationList;
import de.uniwue.ki.mas.entity.variableclass.IOwnDefaultValueFunctionCallDeclarationAble;

/**
 * Creation date: (22.11.2001 14:18:17)
 * @author Christoph Oechslein
 */
public class OwnDefaultValueFunctionCallDeclarationPanel extends JPanelWithGUISeSAmDeclaration {
	private final IvjEventHandler ivjEventHandler = new IvjEventHandler();
	private FunctionCallDeclarationTreeListPanel ivjFunctionCallDeclarationTreeListPanel = null;
	private com.magelang.box.HorizontalGlue ivjHorizontalGlue1 = null;
	private com.ibm.easyswing.BoundJCheckBox ivjJCheckBoxOwnCall = null;
	private javax.swing.JPanel ivjJPanel1 = null;
	private boolean ivjConnPtoP3Aligning = false;
	private IOwnDefaultValueFunctionCallDeclarationAble ivjOwnDefaultValueFunctionCallDeclarationAbleIntern =
		null;

	private final class IvjEventHandler implements java.beans.PropertyChangeListener {
		public void propertyChange(java.beans.PropertyChangeEvent evt) {
			if (evt.getSource() == OwnDefaultValueFunctionCallDeclarationPanel.this.getJCheckBoxOwnCall()
				&& (evt.getPropertyName().equals("selected")))
				connPtoP1SetTarget();
			if (evt.getSource() == OwnDefaultValueFunctionCallDeclarationPanel.this
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP3SetTarget();
			if (evt.getSource()
				== OwnDefaultValueFunctionCallDeclarationPanel.this.getFunctionCallDeclarationTreeListPanel()
				&& (evt.getPropertyName().equals("gUISeSAmDeclaration")))
				connPtoP3SetSource();
			if (evt.getSource() == OwnDefaultValueFunctionCallDeclarationPanel.this.getJCheckBoxOwnCall()
				&& (evt.getPropertyName().equals("selected")))
				connPtoP4SetSource();
			if (evt.getSource()
				== OwnDefaultValueFunctionCallDeclarationPanel.this.getFunctionCallDeclarationTreeListPanel()
				&& (evt.getPropertyName().equals("objectClassDeclaration")))
				connEtoC1(evt);
		}
	}

	/**
	 * OwnDefaultValueFunctionCallDeclarationPanel constructor comment.
	 */
	public OwnDefaultValueFunctionCallDeclarationPanel() {
		super();
		initialize();
	}

	/**
	 * connEtoC1:  (FunctionCallDeclarationTreeListPanel.objectClassDeclaration --> OwnDefaultValueFunctionCallDeclarationPanel.firePropertyChange(LString;LObject;LObject;)V)
	 * @param arg1 java.beans.PropertyChangeEvent
	 */
	private void connEtoC1(java.beans.PropertyChangeEvent arg1) {
		try {
					this.firePropertyChange("objectClassDeclaration", arg1.getOldValue(), arg1.getNewValue());
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP1SetTarget:  (JCheckBoxOwnCall.selected <--> FunctionCallDeclarationTreeListPanel.enabled)
	 */
	private void connPtoP1SetTarget() {
		try {
			getFunctionCallDeclarationTreeListPanel().setEnabled(getJCheckBoxOwnCall().isSelected());
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP2SetTarget:  (OwnDefaultValueFunctionCallDeclarationAbleIntern.defaultValueFunctionCallDeclaration <--> FunctionCallDeclarationTreeListPanel.functionCallDeclaration)
	 */
	private void connPtoP2SetTarget() {
		try {
			if ((getOwnDefaultValueFunctionCallDeclarationAbleIntern() != null)) {
				getFunctionCallDeclarationTreeListPanel().setFunctionCallDeclaration(
					getOwnDefaultValueFunctionCallDeclarationAbleIntern()
						.getDefaultValueFunctionCallDeclaration());
			}
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP3SetSource:  (OwnDefaultValueFunctionCallDeclarationPanel.gUISeSAmDeclaration <--> FunctionCallDeclarationTreeListPanel.gUISeSAmDeclaration)
	 */
	private void connPtoP3SetSource() {
		try {
			if (ivjConnPtoP3Aligning == false) {
								ivjConnPtoP3Aligning = true;
				this.setGUISeSAmDeclaration(
					getFunctionCallDeclarationTreeListPanel().getGUISeSAmDeclaration());
								ivjConnPtoP3Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP3Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP3SetTarget:  (OwnDefaultValueFunctionCallDeclarationPanel.gUISeSAmDeclaration <--> FunctionCallDeclarationTreeListPanel.gUISeSAmDeclaration)
	 */
	private void connPtoP3SetTarget() {
		try {
			if (ivjConnPtoP3Aligning == false) {
								ivjConnPtoP3Aligning = true;
				getFunctionCallDeclarationTreeListPanel().setGUISeSAmDeclaration(
					this.getGUISeSAmDeclaration());
								ivjConnPtoP3Aligning = false;
			}
		} catch (Throwable ivjExc) {
			ivjConnPtoP3Aligning = false;
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP4SetSource:  (OwnDefaultValueFunctionCallDeclarationAbleIntern.usesOwnDefaulValueFunctionCallDeclaration <--> JCheckBoxOwnCall.selected)
	 */
	private void connPtoP4SetSource() {
		try {
			if ((getOwnDefaultValueFunctionCallDeclarationAbleIntern() != null)) {
				getOwnDefaultValueFunctionCallDeclarationAbleIntern()
					.setUsesOwnDefaulValueFunctionCallDeclaration(
					getJCheckBoxOwnCall().isSelected());
			}
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * connPtoP4SetTarget:  (OwnDefaultValueFunctionCallDeclarationAbleIntern.usesOwnDefaulValueFunctionCallDeclaration <--> JCheckBoxOwnCall.selected)
	 */
	private void connPtoP4SetTarget() {
		try {
			if ((getOwnDefaultValueFunctionCallDeclarationAbleIntern() != null)) {
				getJCheckBoxOwnCall().setSelected(
					getOwnDefaultValueFunctionCallDeclarationAbleIntern()
						.getUsesOwnDefaulValueFunctionCallDeclaration());
			}
				} catch (Throwable ivjExc) {
					handleException(ivjExc);
		}
	}

	/**
	 * Return the FunctionCallDeclarationTreeListPanel property value.
	 * @return basics.functionCall.FunctionCallDeclarationTreeListPanel
	 */
	private FunctionCallDeclarationTreeListPanel getFunctionCallDeclarationTreeListPanel() {
		if (ivjFunctionCallDeclarationTreeListPanel == null) {
			try {
				ivjFunctionCallDeclarationTreeListPanel = new FunctionCallDeclarationTreeListPanel();
				ivjFunctionCallDeclarationTreeListPanel.setName("FunctionCallDeclarationTreeListPanel");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjFunctionCallDeclarationTreeListPanel;
	}

	public void dispose() {
		getFunctionCallDeclarationTreeListPanel().dispose();

		super.dispose();
	}

	/**
	 * Return the HorizontalGlue1 property value.
	 * @return com.magelang.box.HorizontalGlue
	 */
	private com.magelang.box.HorizontalGlue getHorizontalGlue1() {
		if (ivjHorizontalGlue1 == null) {
			try {
				ivjHorizontalGlue1 = new com.magelang.box.HorizontalGlue();
				ivjHorizontalGlue1.setName("HorizontalGlue1");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjHorizontalGlue1;
	}

	/**
	 * Return the JCheckBoxOwnCall property value.
	 * @return com.ibm.easyswing.BoundJCheckBox
	 */
	private com.ibm.easyswing.BoundJCheckBox getJCheckBoxOwnCall() {
		if (ivjJCheckBoxOwnCall == null) {
			try {
				ivjJCheckBoxOwnCall = new com.ibm.easyswing.BoundJCheckBox();
				ivjJCheckBoxOwnCall.setName("JCheckBoxOwnCall");
				ivjJCheckBoxOwnCall.setText("Uses Own Default Value");
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjJCheckBoxOwnCall;
	}

	/**
	 * Return the JPanel1 property value.
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJPanel1() {
		if (ivjJPanel1 == null) {
			try {
				ivjJPanel1 = new javax.swing.JPanel();
				ivjJPanel1.setName("JPanel1");
				ivjJPanel1.setLayout(new javax.swing.BoxLayout(getJPanel1(), javax.swing.BoxLayout.X_AXIS));
				ivjJPanel1.add(getJCheckBoxOwnCall());
				getJPanel1().add(getHorizontalGlue1(), getHorizontalGlue1().getName());
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
		return ivjJPanel1;
	}

	/**
	 * Method generated to support the promotion of the ownDefaultValueFunctionCallDeclarationAble attribute.
	 * @return de.uniwue.ki.mas.model.entity.variableclass.IOwnDefaultValueFunctionCallDeclarationAble
	 */
	public IOwnDefaultValueFunctionCallDeclarationAble getOwnDefaultValueFunctionCallDeclarationAble() {
		return getOwnDefaultValueFunctionCallDeclarationAbleIntern();
	}

	/**
	 * Return the OwnDefaultValueFunctionCallDeclarationAbleIntern property value.
	 * @return de.uniwue.ki.mas.model.entity.variableclass.IOwnDefaultValueFunctionCallDeclarationAble
	 */
	private IOwnDefaultValueFunctionCallDeclarationAble getOwnDefaultValueFunctionCallDeclarationAbleIntern() {
		return ivjOwnDefaultValueFunctionCallDeclarationAbleIntern;
	}

	/**
	 * Return the OwnDefaultValueFunctionCallDeclarationPanelBoxLayout property value.
	 * @return javax.swing.BoxLayout
	 */
	private javax.swing.BoxLayout getOwnDefaultValueFunctionCallDeclarationPanelBoxLayout() {
		javax.swing.BoxLayout ivjOwnDefaultValueFunctionCallDeclarationPanelBoxLayout = null;
		try {
			/* Create part */
			ivjOwnDefaultValueFunctionCallDeclarationPanelBoxLayout =
				new javax.swing.BoxLayout(this, javax.swing.BoxLayout.Y_AXIS);
		} catch (Throwable ivjExc) {
			handleException(ivjExc);
		}
		return ivjOwnDefaultValueFunctionCallDeclarationPanelBoxLayout;
	}

	/**
	 * Called whenever the part throws an exception.
	 * @param exception Throwable
	 */
	private void handleException(Throwable exception) {

		exception.printStackTrace(System.out);
	}

	/**
	 * Initializes connections
	 * @exception Exception The exception description.
	 */
	private void initConnections() {
		getJCheckBoxOwnCall().addPropertyChangeListener(ivjEventHandler);
		this.addPropertyChangeListener(ivjEventHandler);
		getFunctionCallDeclarationTreeListPanel().addPropertyChangeListener(ivjEventHandler);
		connPtoP1SetTarget();
		connPtoP2SetTarget();
		connPtoP3SetTarget();
		connPtoP4SetTarget();
	}

	/**
	 * Initialize the class.
	 */
	private void initialize() {
		try {
			setName("OwnDefaultValueFunctionCallDeclarationPanel");
			setLayout(getOwnDefaultValueFunctionCallDeclarationPanelBoxLayout());
			setSize(382, 508);
			add(getJPanel1());
			add(
				getFunctionCallDeclarationTreeListPanel(),
				getFunctionCallDeclarationTreeListPanel().getName());
			initConnections();
		} catch (Throwable ivjExc) {
			handleException(ivjExc);
		}
	}

	public static void main(String[] args) {
		try {
			javax.swing.JFrame frame = new javax.swing.JFrame();
			OwnDefaultValueFunctionCallDeclarationPanel aOwnDefaultValueFunctionCallDeclarationPanel;
			aOwnDefaultValueFunctionCallDeclarationPanel = new OwnDefaultValueFunctionCallDeclarationPanel();
			frame.setContentPane(aOwnDefaultValueFunctionCallDeclarationPanel);
			frame.setSize(aOwnDefaultValueFunctionCallDeclarationPanel.getSize());
			frame.setTitle("OwnDefaultValueFunctionCallDeclarationPanel");
			frame.addWindowListener(new java.awt.event.WindowAdapter() {
				public void windowClosing(java.awt.event.WindowEvent e) {
					System.exit(0);
				};
			});
			frame.show();
			java.awt.Insets insets = frame.getInsets();
			frame.setSize(
				frame.getWidth() + insets.left + insets.right,
				frame.getHeight() + insets.top + insets.bottom);
			frame.setVisible(true);
		} catch (Throwable exception) {
			System.err.println("Exception occurred in main() of JPanelWithGUISeSAmDeclaration");
			exception.printStackTrace(System.out);
		}
	}

	public void setEnabled(boolean newValue) {
		if (newValue != isEnabled()) {

			super.setEnabled(newValue);

			getFunctionCallDeclarationTreeListPanel().setEnabled(
				newValue && getJCheckBoxOwnCall().isSelected());
		}
	}

	/**
	 * Method generated to support the promotion of the ownDefaultValueFunctionCallDeclarationAble attribute.
	 * @param arg1 de.uniwue.ki.mas.model.entity.variableclass.IOwnDefaultValueFunctionCallDeclarationAble
	 */
	public void setOwnDefaultValueFunctionCallDeclarationAble(IOwnDefaultValueFunctionCallDeclarationAble arg1) {
		setOwnDefaultValueFunctionCallDeclarationAbleIntern(arg1);
	}

	/**
	 * Set the OwnDefaultValueFunctionCallDeclarationAbleIntern to a new value.
	 * @param newValue de.uniwue.ki.mas.model.entity.variableclass.IOwnDefaultValueFunctionCallDeclarationAble
	 */
	private void setOwnDefaultValueFunctionCallDeclarationAbleIntern(IOwnDefaultValueFunctionCallDeclarationAble newValue) {
		if (ivjOwnDefaultValueFunctionCallDeclarationAbleIntern != newValue) {
			try {
				IOwnDefaultValueFunctionCallDeclarationAble oldValue =
					getOwnDefaultValueFunctionCallDeclarationAbleIntern();
				ivjOwnDefaultValueFunctionCallDeclarationAbleIntern = newValue;
				connPtoP2SetTarget();
				connPtoP4SetTarget();
				firePropertyChange("ownDefaultValueFunctionCallDeclarationAble", oldValue, newValue);
							} catch (Throwable ivjExc) {
								handleException(ivjExc);
			}
		}
	}

	public IFunctionArgumentDeclarationList getOuterFunctionArgumentDeclarationList() {
		return getFunctionCallDeclarationTreeListPanel().getOuterFunctionArgumentDeclarationList();
	}

	public void setOuterFunctionArgumentDeclarationList(IFunctionArgumentDeclarationList functionArgumentDeclarationList) {
		getFunctionCallDeclarationTreeListPanel().setOuterFunctionArgumentDeclarationList(
			functionArgumentDeclarationList);
	}

	public IExpertFilterFunctionDeclarationListAble getExpertFilterFunctionDeclarationListAble() {
		return ivjFunctionCallDeclarationTreeListPanel.getExpertFilterFunctionDeclarationListAble();
	}

	public void setExpertFilterFunctionDeclarationListAble(IExpertFilterFunctionDeclarationListAble expertFilterFunctionDeclarationListAble) {
		ivjFunctionCallDeclarationTreeListPanel.setExpertFilterFunctionDeclarationListAble(
			expertFilterFunctionDeclarationListAble);
	}
}