package de.uniwue.ki.gui.mas.util.declaration.action;
import javax.swing.Icon;

import de.uniwue.ki.gui.util.actions.AbstractBoundAction;
import de.uniwue.ki.mas.util.declaration.IDeclaration;

/**
 * Creation date: (13.07.2001 09:21:08)
 * @author Christoph Oechslein
 */

public abstract class AbstractDeclarationAction extends AbstractBoundAction {
	private IDeclaration _declaration;

	public AbstractDeclarationAction(String name, IDeclaration declaration) {
		super(name);

		_declaration = declaration;
	}

	public AbstractDeclarationAction(String name, Icon icon, IDeclaration declaration) {
		super(name, icon);

		_declaration = declaration;
	}

	public void clearDeclaration() {
		_declaration = null;
	}

	public final IDeclaration getDeclaration() {
		return _declaration;
	}
}