package de.uniwue.ki.gui.mas.util.declaration.action;

import de.uniwue.ki.gui.mas.util.declaration.DeclarationListPanel;
import de.uniwue.ki.mas.util.declaration.IDeclaration;

/**
 * Creation date: (13.07.2001 09:30:02)
 * @author Christoph Oechslein
 */

public class RemoveAllDeclarationAction extends AbstractDeclarationListPanelAction {

public RemoveAllDeclarationAction(DeclarationListPanel declarationListPanel) {
   super("Remove all", declarationListPanel);
}

public void doit() {
   java.util.Iterator it = getDeclarationListPanel().getDeclarationListModel().iterator();
   while (it.hasNext()) {
      IDeclaration currDeclaration = (IDeclaration) it.next();
      if (currDeclaration.canBeRemoved()) {
         getDeclarationListPanel().getDeclarationListModel().remove(currDeclaration);
      }
   }
}
}
