package de.uniwue.ki.gui.util;

import java.io.File;

import javax.swing.JFileChooser;
import javax.swing.JOptionPane;
import javax.swing.filechooser.FileSystemView;

/**
 * @author Reinhard Hatko
 * 
 * Created on 22.03.2004
 * 
 */
public class JBetterFileChooser extends JFileChooser {

	public JBetterFileChooser() {
		super();
		
	}

	public JBetterFileChooser(File currentDirectory) {
		super(currentDirectory);
		
	}

	public JBetterFileChooser(String currentDirectoryPath) {
		super(currentDirectoryPath);
		
	}

	public JBetterFileChooser(FileSystemView fsv) {
		super(fsv);
		
	}

	public JBetterFileChooser(File currentDirectory, FileSystemView fsv) {
		super(currentDirectory, fsv);
		
	}

	public JBetterFileChooser(
		String currentDirectoryPath,
		FileSystemView fsv) {
		super(currentDirectoryPath, fsv);
		
	}
	
	public void approveSelection(){
		if (getDialogType() == SAVE_DIALOG){		
			if (getSelectedFile().exists()) {
	            int input = JOptionPane.showConfirmDialog(this, 
					"File " + getSelectedFile().getName() + " already exists. Replace?", 
					"Replace existing file", JOptionPane.YES_NO_OPTION, JOptionPane.QUESTION_MESSAGE);      
					 
	    		if (input == JOptionPane.YES_OPTION)
	    			super.approveSelection();
	    	}
			else {
			    super.approveSelection();
			}
		}else if (getDialogType() == OPEN_DIALOG){
			if (!getSelectedFile().exists()){
				JOptionPane.showMessageDialog(this,
				"Please choose an existing file.", getSelectedFile().getName() + " does not exist",
				JOptionPane.ERROR_MESSAGE);
			}else{
				super.approveSelection();
			}
		}else{ // == CUSTOM_DIALOG
			super.approveSelection();
		}
	    
	}	

}
