package de.uniwue.ki.gui.util;

import javax.swing.JFrame;

import de.uniwue.ki.gui.util.bound.BetterBoundJTextField;
import de.uniwue.ki.util.name.INamed;

/**
 * Creation date: (31.05.2001 17:29:08)
 * @author Christoph Oechslein
 */
public class JNamedPanel extends BetterBoundJTextField {
	private de.uniwue.ki.util.name.INamed ivjNamedIntern = null;

	/**
	 * JNamedPanel constructor comment.
	 */
	public JNamedPanel() {
		super();
		initialize();
	}

	/**
	 * connPtoP1SetTarget:  (NamedIntern.name <--> JNamedPanel.text)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connPtoP1SetTarget() {
		/* Set the target from the source */
		try {
			if ((getNamedIntern() != null)) {
				this.setText(getNamedIntern().getName());
			}
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * Method generated to support the promotion of the named attribute.
	 * @return de.uniwue.ki.util.INamed
	 */
	public de.uniwue.ki.util.name.INamed getNamed() {
		return getNamedIntern();
	}

	/**
	 * Return the NamedIntern property value.
	 * @return de.uniwue.ki.util.INamed
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private de.uniwue.ki.util.name.INamed getNamedIntern() {
		// user code begin {1}
		// user code end
		return ivjNamedIntern;
	}

	/**
	 * Called whenever the part throws an exception.
	 * @param exception java.lang.Throwable
	 */
	private void handleException(java.lang.Throwable exception) {

		System.out.println("--------- UNCAUGHT EXCEPTION ---------");
		exception.printStackTrace(System.out);
	}

	/**
	 * Initializes connections
	 * @exception java.lang.Exception The exception description.
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void initConnections() throws java.lang.Exception {
		// user code begin {1}
		// user code end
		connPtoP1SetTarget();
	}

	/**
	 * Initialize the class.
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void initialize() {
		try {
			// user code begin {1}
			// user code end
			setName("JNamedPanel");
			setSize(73, 20);
			setEditable(false);
			initConnections();
		} catch (java.lang.Throwable ivjExc) {
			handleException(ivjExc);
		}
		// user code begin {2}
		// user code end
	}

	/**
	 * main entrypoint - starts the part when it is run as an application
	 * @param args java.lang.String[]
	 */
	public static void main(java.lang.String[] args) {
		try {
			JFrame frame = new javax.swing.JFrame();
			JNamedPanel aJNamedPanel;
			aJNamedPanel = new JNamedPanel();
			frame.setContentPane(aJNamedPanel);
			frame.setSize(aJNamedPanel.getSize());
			frame.addWindowListener(new java.awt.event.WindowAdapter() {
				public void windowClosing(java.awt.event.WindowEvent e) {
					System.exit(0);
				}
			});
			frame.show();
			java.awt.Insets insets = frame.getInsets();
			frame.setSize(
				frame.getWidth() + insets.left + insets.right,
				frame.getHeight() + insets.top + insets.bottom);
			frame.setVisible(true);
		} catch (Throwable exception) {
			System.err.println("Exception occurred in main() of de.uniwue.ki.gui.generic.JNamedPanel");
			exception.printStackTrace(System.out);
		}
	}

	/**
	 * Method generated to support the promotion of the named attribute.
	 * @param arg1 de.uniwue.ki.util.INamed
	 */
	public void setNamed(INamed arg1) {
		setNamedIntern(arg1);
	}

	/**
	 * Set the NamedIntern to a new value.
	 * @param newValue de.uniwue.ki.util.INamed
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void setNamedIntern(de.uniwue.ki.util.name.INamed newValue) {
		if (ivjNamedIntern != newValue) {
			try {
				de.uniwue.ki.util.name.INamed oldValue = getNamedIntern();
				ivjNamedIntern = newValue;
				connPtoP1SetTarget();
				firePropertyChange("named", oldValue, newValue);
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		// user code begin {3}
		// user code end
	}

	public void updateName() {
		setText(getNamed().getName());
	}
}