// $Id: InspectAction.java,v 1.1 2004/02/02 10:51:42 herrler Exp $
package de.uniwue.ki.gui.util.actions;

import javax.swing.Icon;

import de.uniwue.ki.gui.util.SwingMoreUtilities;
import de.uniwue.ki.util.Utils;

/**
 * Creation date: (13.07.2001 09:30:02)
 * @author Christoph Oechslein
 */

public class InspectAction extends AbstractBoundAction {
	public static final Icon INSPECT_ICON =
		SwingMoreUtilities.getJavaSunIcon(16, "general/Zoom16.gif");

	private final Object _object;

	public InspectAction(Object object) {
		super("Inspect", INSPECT_ICON);
	
		_object = object;
	}

	public void doit() {
		Utils.inspect(_object);
	}
}