package de.uniwue.ki.gui.util.border;
import javax.swing.border.BevelBorder;

/**
 * Creation date: (03.07.2001 15:27:25)
 * @author Christoph Oechslein
 */
public class BetterBevelBorder extends BevelBorder {

	public BetterBevelBorder() {
	   super(BevelBorder.LOWERED);
	}
	
	public BetterBevelBorder(int bevelType) {
	   super(bevelType);
	}

	public BetterBevelBorder(int bevelType, java.awt.Color highlight, java.awt.Color shadow) {
	   super(bevelType, highlight, shadow);
	}

	public BetterBevelBorder(
	   int bevelType,
	   java.awt.Color highlightOuter,
	   java.awt.Color highlightInner,
	   java.awt.Color shadowOuter,
	   java.awt.Color shadowInner) {
	   super(bevelType, highlightOuter, highlightInner, shadowOuter, shadowInner);
	}

	public int getBevelType() {
	   return bevelType;
	}

	public java.awt.Color getHighlightInner() {
	   return highlightInner;
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (03.07.2001 15:29:15)
	 * @return java.awt.Color
	 */
	public java.awt.Color getHighlightOuter() {
	   return highlightOuter;
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (03.07.2001 15:29:15)
	 * @return java.awt.Color
	 */
	public java.awt.Color getShadowInner() {
	   return shadowInner;
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (03.07.2001 15:29:15)
	 * @return java.awt.Color
	 */
	public java.awt.Color getShadowOuter() {
	   return shadowOuter;
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (03.07.2001 15:29:15)
	 * @param newBevelType int
	 */
	public void setBevelType(int newBevelType) {
	   bevelType = newBevelType;
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (03.07.2001 15:29:15)
	 * @param newHighlightInner java.awt.Color
	 */
	public void setHighlightInner(java.awt.Color newHighlightInner) {
	   highlightInner = newHighlightInner;
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (03.07.2001 15:29:15)
	 * @param newHighlightOuter java.awt.Color
	 */
	public void setHighlightOuter(java.awt.Color newHighlightOuter) {
	   highlightOuter = newHighlightOuter;
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (03.07.2001 15:29:15)
	 * @param newShadowInner java.awt.Color
	 */
	public void setShadowInner(java.awt.Color newShadowInner) {
	   shadowInner = newShadowInner;
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (03.07.2001 15:29:15)
	 * @param newShadowOuter java.awt.Color
	 */
	public void setShadowOuter(java.awt.Color newShadowOuter) {
	   shadowOuter = newShadowOuter;
	}
}