package de.uniwue.ki.gui.util.dnd;
import java.awt.datatransfer.DataFlavor;

import de.uniwue.ki.util.list.IMutableListModel;
/**
 * Creation date: (04.10.2001 18:30:34)
 * @author Christoph Oechslein
 */

public class ObjectWithMutableListModelTransferable extends ObjectTransferable {
    private IMutableListModel _mutableListModel;

	public ObjectWithMutableListModelTransferable(DataFlavor dataFlavor, Object object, IMutableListModel mutableListModel) {
	
	    super(dataFlavor, object);
	
	    _mutableListModel = mutableListModel;
	}

	protected Object getTransferredData() {
	    return new Object[] { super.getTransferredData(), _mutableListModel };
	}
}