package de.uniwue.ki.gui.util.hexagon;
import java.beans.PropertyChangeEvent;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.ScrollPaneConstants;
/**
 * Creation date: (23.05.00 14:38:25)
 * @author Christoph Oechslein
 */
public class TestHexagonMap extends JPanel {
	private HexagonalTilesPanel ivjHexagonalTilesPanel = null;
	private JScrollPane ivjJScrollPane1 = null;
	private IHexagonalMapModel ivjanHexagonalMapModelThis1 = null;
	private boolean ivjConnPtoP1Aligning = false;
	private final IvjEventHandler ivjEventHandler = new IvjEventHandler();
	private final class IvjEventHandler implements java.beans.PropertyChangeListener {
		/**
		 * @param evt java.beans.PropertyChangeEvent
		 * @see java.beans.PropertyChangeListener#propertyChange(PropertyChangeEvent)
		 */
		public void propertyChange(java.beans.PropertyChangeEvent evt) {
			if (evt.getSource() == TestHexagonMap.this.getHexagonalTilesPanel()
				&& (evt.getPropertyName().equals("anHexagonalMapModelThis")))
				connPtoP1SetTarget();
		}
	}

	/**
	 * TestHexagonMap constructor comment.
	 */
	public TestHexagonMap() {
		super();
		initialize();
	}

	/**
	 * TestHexagonMap constructor comment.
	 * @param layout java.awt.LayoutManager
	 */
	public TestHexagonMap(java.awt.LayoutManager layout) {
		super(layout);
	}

	/**
	 * TestHexagonMap constructor comment.
	 * @param layout java.awt.LayoutManager
	 * @param isDoubleBuffered boolean
	 */
	public TestHexagonMap(java.awt.LayoutManager layout, boolean isDoubleBuffered) {
		super(layout, isDoubleBuffered);
	}

	/**
	 * TestHexagonMap constructor comment.
	 * @param isDoubleBuffered boolean
	 */
	public TestHexagonMap(boolean isDoubleBuffered) {
		super(isDoubleBuffered);
	}

	/**
	 * main entrypoint - starts the part when it is run as an application
	 * @param args java.lang.String[]
	 */
	public static void main(java.lang.String[] args) {
		try {
			JFrame frame = new javax.swing.JFrame();
			TestHexagonMap aTestHexagonMap;
			aTestHexagonMap = new TestHexagonMap();
			frame.setContentPane(aTestHexagonMap);
			frame.setSize(aTestHexagonMap.getSize());
			frame.addWindowListener(new java.awt.event.WindowAdapter() {
				public void windowClosing(java.awt.event.WindowEvent e) {
					System.exit(0);
				}
			});
			frame.getRootPane().setDoubleBuffered(true);
			frame.setVisible(true);
		} catch (Throwable exception) {
			System.err.println("Exception occurred in main() of javax.swing.JPanel");
			exception.printStackTrace(System.out);
		}
	}

	/**
	 * Return the anHexagonalMapModelThis1 property value.
	 * @return de.uniwue.ki.gui.util.hexagon.IHexagonalMapModel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private IHexagonalMapModel getanHexagonalMapModelThis1() {
		// user code begin {1}
		// user code end
		return ivjanHexagonalMapModelThis1;
	}

	/**
	 * Set the anHexagonalMapModelThis1 to a new value.
	 * @param newValue de.uniwue.ki.gui.util.hexagon.IHexagonalMapModel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void setanHexagonalMapModelThis1(IHexagonalMapModel newValue) {
		if (ivjanHexagonalMapModelThis1 != newValue) {
			try {
				ivjanHexagonalMapModelThis1 = newValue;
				connPtoP1SetSource();
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		// user code begin {3}
		// user code end
	}

	/**
	 * Return the HexagonalTilesPanel property value.
	 * @return de.uniwue.ki.gui.util.hexagon.HexagonalTilesPanel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private HexagonalTilesPanel getHexagonalTilesPanel() {
		if (ivjHexagonalTilesPanel == null) {
			try {
				ivjHexagonalTilesPanel = new de.uniwue.ki.gui.util.hexagon.HexagonalTilesPanel();
				ivjHexagonalTilesPanel.setName("HexagonalTilesPanel");
				ivjHexagonalTilesPanel.setLocation(0, 0);
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjHexagonalTilesPanel;
	}

	/**
	 * Return the JScrollPane1 property value.
	 * @return javax.swing.JScrollPane
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JScrollPane getJScrollPane1() {
		if (ivjJScrollPane1 == null) {
			try {
				ivjJScrollPane1 = new javax.swing.JScrollPane();
				ivjJScrollPane1.setName("JScrollPane1");
				ivjJScrollPane1.setVerticalScrollBarPolicy(ScrollPaneConstants.VERTICAL_SCROLLBAR_ALWAYS);
				ivjJScrollPane1.setHorizontalScrollBarPolicy(ScrollPaneConstants.HORIZONTAL_SCROLLBAR_ALWAYS);
				getJScrollPane1().setViewportView(getHexagonalTilesPanel());
				// user code begin {1}
				ivjJScrollPane1.setAutoscrolls(true);
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJScrollPane1;
	}

	/**
	 * connPtoP1SetSource:  (HexagonalTilesPanel.anHexagonalMapModelThis <--> anHexagonalMapModelThis1.this)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connPtoP1SetSource() {
		/* Set the source from the target */
		try {
			if (ivjConnPtoP1Aligning == false) {
				// user code begin {1}
				// user code end
				ivjConnPtoP1Aligning = true;
				if ((getanHexagonalMapModelThis1() != null)) {
					getHexagonalTilesPanel().setAnHexagonalMapModelThis(getanHexagonalMapModelThis1());
				}
				// user code begin {2}
				// user code end
				ivjConnPtoP1Aligning = false;
			}
		} catch (java.lang.Throwable ivjExc) {
			ivjConnPtoP1Aligning = false;
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connPtoP1SetTarget:  (HexagonalTilesPanel.anHexagonalMapModelThis <--> anHexagonalMapModelThis1.this)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connPtoP1SetTarget() {
		/* Set the target from the source */
		try {
			if (ivjConnPtoP1Aligning == false) {
				// user code begin {1}
				// user code end
				ivjConnPtoP1Aligning = true;
				setanHexagonalMapModelThis1(getHexagonalTilesPanel().getAnHexagonalMapModelThis());
				// user code begin {2}
				// user code end
				ivjConnPtoP1Aligning = false;
			}
		} catch (java.lang.Throwable ivjExc) {
			ivjConnPtoP1Aligning = false;
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	private void handleException(java.lang.Throwable exception) {
		exception.printStackTrace(System.out);
	}

	/**
	 * Initializes connections
	 * @exception java.lang.Exception The exception description.
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void initConnections() throws java.lang.Exception {
		// user code begin {1}
		setanHexagonalMapModelThis1(new AbstractHexagonalMapModel() {
			public int getColsCount() {
				return 20;
			}
			public int getRowsCount() {
				return 20;
			}
			public ITile getTileAt(int x, int y) {
				return null;
			}
		});
		// getHexagonalTilesPanel().setDiamondWidth(64);
		// getHexagonalTilesPanel().setDiamondHeight(64);
		// user code end
		getHexagonalTilesPanel().addPropertyChangeListener(ivjEventHandler);
		connPtoP1SetTarget();
	}

	/**
	 * Initialize the class.
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void initialize() {
		try {
			// user code begin {1}
			// user code end
			setName("TestHexagonMap");
			setLayout(new java.awt.BorderLayout());
			setSize(480, 529);
			add(getJScrollPane1(), "Center");
			initConnections();
		} catch (java.lang.Throwable ivjExc) {
			handleException(ivjExc);
		}
		// user code begin {2}
		// user code end
	}
}