/**
 * Created on 06.05.2003
 *
 * This class is responsible for //insert purpose//.
 * 
 * @author glueckselig
 */
package de.uniwue.ki.gui.util.lookAndFeel;

import java.io.Serializable;

public class LookAndFeelEntry implements Serializable {

	private String _archiveName;
	private String _mainClass;
	private String _nameOfLnF;

	public LookAndFeelEntry(String archive, String className, String name) {
		
		_archiveName = archive;
		_mainClass = className;
		_nameOfLnF = name;
	}

	public String getArchiveName() {
		return _archiveName;
	}

	// the methods below are named in accordance with the ones in UIManager.LookAndFeelInfo
	public String getName() {

		return _nameOfLnF;
	}

	public String getClassName() {

		return _mainClass;
	}

}
