package de.uniwue.ki.gui.util.rectangular;
import java.awt.event.ComponentEvent;
import java.beans.PropertyChangeEvent;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JToolBar;

import de.uniwue.ki.gui.util.bound.BoundJIntegerTextField;
import de.uniwue.ki.util.rectangular.IRectangularMapModel;
/**
 * Creation date: (30.11.2000 13:10:33)
 * @author Christoph Oechslein
 */
public class JRectangularMapEditor extends de.uniwue.ki.gui.util.JDisposeablePanel {
	private boolean ivjConnPtoP1Aligning = false;
	private final IvjEventHandler ivjEventHandler = new IvjEventHandler();
	private BoundJIntegerTextField ivjJTextFieldCols = null;
	private BoundJIntegerTextField ivjJTextFieldRows = null;
	private boolean ivjConnPtoP12Aligning = false;
	private boolean ivjConnPtoP13Aligning = false;
	private JLabel ivjJLabelCols = null;
	private JLabel ivjJLabelRows = null;
	private IRectangularMapModel ivjRectangularMapModelIntern = null;
	private com.ibm.easyswing.BoundJCheckBox ivjBoundJCheckBoxTorus = null;
	private boolean ivjConnPtoP5Aligning = false;
	private JToolBar ivjJToolBar = null;
	private JScrollRectangularMap ivjJScrollRectangularMap = null;
	private JRectangularMapToolbar ivjJRectangularMapToolbar = null;
	private final class IvjEventHandler
		implements java.awt.event.ComponentListener, java.beans.PropertyChangeListener {
		/**
		 * @param e java.awt.event.ComponentEvent
		 * @see java.awt.event.ComponentListener#componentHidden(ComponentEvent)
		 */
		public void componentHidden(java.awt.event.ComponentEvent e) {
		}
		/**
		 * @param e java.awt.event.ComponentEvent
		 * @see java.awt.event.ComponentListener#componentMoved(ComponentEvent)
		 */
		public void componentMoved(java.awt.event.ComponentEvent e) {
		}
		/**
		 * @param e java.awt.event.ComponentEvent
		 * @see java.awt.event.ComponentListener#componentResized(ComponentEvent)
		 */
		public void componentResized(java.awt.event.ComponentEvent e) {
		}
		public void componentShown(java.awt.event.ComponentEvent e) {
			if (e.getSource() == JRectangularMapEditor.this.getJScrollRectangularMap())
				connEtoC6(e);
		}
		/**
		 * @param evt java.beans.PropertyChangeEvent
		 * @see java.beans.PropertyChangeListener#propertyChange(PropertyChangeEvent)
		 */
		public void propertyChange(java.beans.PropertyChangeEvent evt) {
			if (evt.getSource() == JRectangularMapEditor.this.getJRectangularMapIntern()
				&& (evt.getPropertyName().equals("rectangularMapModel")))
				connPtoP1SetTarget();
			if (evt.getSource() == JRectangularMapEditor.this.getJRectangularMapIntern()
				&& (evt.getPropertyName().equals("rectangularMapCellRenderer")))
				connEtoC8(evt);
			if (evt.getSource() == JRectangularMapEditor.this.getRectangularMapModelIntern()
				&& (evt.getPropertyName().equals("colsCount")))
				connPtoP12SetTarget();
			if (evt.getSource() == JRectangularMapEditor.this.getJTextFieldCols()
				&& (evt.getPropertyName().equals("integer")))
				connPtoP12SetSource();
			if (evt.getSource() == JRectangularMapEditor.this.getRectangularMapModelIntern()
				&& (evt.getPropertyName().equals("rowsCount")))
				connPtoP13SetTarget();
			if (evt.getSource() == JRectangularMapEditor.this.getJTextFieldRows()
				&& (evt.getPropertyName().equals("integer")))
				connPtoP13SetSource();
			if (evt.getSource() == JRectangularMapEditor.this.getRectangularMapModelIntern()
				&& (evt.getPropertyName().equals("torus")))
				connPtoP5SetTarget();
			if (evt.getSource() == JRectangularMapEditor.this.getBoundJCheckBoxTorus()
				&& (evt.getPropertyName().equals("selected")))
				connPtoP5SetSource();
			if (evt.getSource() == JRectangularMapEditor.this.getJRectangularMapToolbar()
				&& (evt.getPropertyName().equals("addJComboBoxModel")))
				connEtoC3(evt);
			if (evt.getSource() == JRectangularMapEditor.this.getJRectangularMapToolbar()
				&& (evt.getPropertyName().equals("addJComboBoxRenderer")))
				connEtoC4(evt);
			if (evt.getSource() == JRectangularMapEditor.this.getJRectangularMapToolbar()
				&& (evt.getPropertyName().equals("addJComboBoxSelectedItem")))
				connEtoC5(evt);
			if (evt.getSource() == JRectangularMapEditor.this.getJRectangularMapToolbar()
				&& (evt.getPropertyName().equals("addRectangularMapState")))
				connEtoC7(evt);
			if (evt.getSource() == JRectangularMapEditor.this.getJRectangularMapToolbar()
				&& (evt.getPropertyName().equals("removeRectangularMapState")))
				connEtoC1(evt);
			if (evt.getSource() == JRectangularMapEditor.this.getJRectangularMapToolbar()
				&& (evt.getPropertyName().equals("selectRectangularMapState")))
				connEtoC2(evt);
		}
	}

	/**
	 * JRectangularMapEditor constructor comment.
	 */
	public JRectangularMapEditor() {
		super();
		initialize();
	}

	/**
	 * connEtoC1:  (JRectangularMapToolbar.removeRectangularMapState --> JRectangularMapEditor.firePropertyChange(Ljava.lang.String;Ljava.lang.Object;Ljava.lang.Object;)V)
	 * @param arg1 java.beans.PropertyChangeEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC1(java.beans.PropertyChangeEvent arg1) {
		try {
			// user code begin {1}
			// user code end
			this.firePropertyChange("removeRectangularMapState", arg1.getOldValue(), arg1.getNewValue());
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC2:  (JRectangularMapToolbar.selectRectangularMapState --> JRectangularMapEditor.firePropertyChange(Ljava.lang.String;Ljava.lang.Object;Ljava.lang.Object;)V)
	 * @param arg1 java.beans.PropertyChangeEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC2(java.beans.PropertyChangeEvent arg1) {
		try {
			// user code begin {1}
			// user code end
			this.firePropertyChange("selectRectangularMapState", arg1.getOldValue(), arg1.getNewValue());
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC3:  (JRectangularMapToolbar.addJComboBoxModel --> JRectangularMapEditor.firePropertyChange(Ljava.lang.String;Ljava.lang.Object;Ljava.lang.Object;)V)
	 * @param arg1 java.beans.PropertyChangeEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC3(java.beans.PropertyChangeEvent arg1) {
		try {
			// user code begin {1}
			// user code end
			this.firePropertyChange("addJComboBoxModel", arg1.getOldValue(), arg1.getNewValue());
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC4:  (AddBoundJComboBoxIntern.selectedItem --> JRectangularMapEditor.firePropertyChange(Ljava.lang.String;Ljava.lang.Object;Ljava.lang.Object;)V)
	 * @param arg1 java.beans.PropertyChangeEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC4(java.beans.PropertyChangeEvent arg1) {
		try {
			// user code begin {1}
			// user code end
			this.firePropertyChange("addJComboBoxRenderer", arg1.getOldValue(), arg1.getNewValue());
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC5:  (AddBoundJComboBoxIntern.model --> JRectangularMapEditor.firePropertyChange(Ljava.lang.String;Ljava.lang.Object;Ljava.lang.Object;)V)
	 * @param arg1 java.beans.PropertyChangeEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC5(java.beans.PropertyChangeEvent arg1) {
		try {
			// user code begin {1}
			// user code end
			this.firePropertyChange("addJComboBoxSelectedItem", arg1.getOldValue(), arg1.getNewValue());
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC6:  (JScrollPane.component.componentShown(java.awt.event.ComponentEvent) --> JRectangularMapEditor.eventContainerEvents(Ljava.awt.event.ComponentEvent;)V)
	 * @param arg1 java.awt.event.ComponentEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC6(java.awt.event.ComponentEvent arg1) {
		try {
			// user code begin {1}
			// user code end
			this.eventContainerEvents(arg1);
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC7:  (JRectangularMapToolbar.addRectangularMapState --> JRectangularMapEditor.firePropertyChange(Ljava.lang.String;Ljava.lang.Object;Ljava.lang.Object;)V)
	 * @param arg1 java.beans.PropertyChangeEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC7(java.beans.PropertyChangeEvent arg1) {
		try {
			// user code begin {1}
			// user code end
			this.firePropertyChange("addRectangularMapState", arg1.getOldValue(), arg1.getNewValue());
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoC8:  (JRectangularMapIntern.rectangularMapCellRenderer --> JRectangularMapEditor.firePropertyChange(Ljava.lang.String;Ljava.lang.Object;Ljava.lang.Object;)V)
	 * @param arg1 java.beans.PropertyChangeEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC8(java.beans.PropertyChangeEvent arg1) {
		try {
			// user code begin {1}
			// user code end
			this.firePropertyChange("rectangularMapCellRenderer", arg1.getOldValue(), arg1.getNewValue());
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connEtoM1:  (JRectangularMapEditor.initialize() --> RectangularMapModelIntern.this)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoM1() {
		try {
			// user code begin {1}
			// user code end
			setRectangularMapModelIntern(this.getJRectangularMapIntern().getRectangularMapModel());
			// user code begin {2}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connPtoP12SetSource:  (RectangularMapModelIntern.colsCount <--> JTextFieldCols.integerValue)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connPtoP12SetSource() {
		/* Set the source from the target */
		try {
			if (ivjConnPtoP12Aligning == false) {
				// user code begin {1}
				// user code end
				ivjConnPtoP12Aligning = true;
				if ((getRectangularMapModelIntern() != null)) {
					getRectangularMapModelIntern().setColsCount(getJTextFieldCols().getIntegerValue());
				}
				// user code begin {2}
				// user code end
				ivjConnPtoP12Aligning = false;
			}
		} catch (java.lang.Throwable ivjExc) {
			ivjConnPtoP12Aligning = false;
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connPtoP12SetTarget:  (RectangularMapModelIntern.colsCount <--> JTextFieldCols.integerValue)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connPtoP12SetTarget() {
		/* Set the target from the source */
		try {
			if (ivjConnPtoP12Aligning == false) {
				// user code begin {1}
				// user code end
				ivjConnPtoP12Aligning = true;
				if ((getRectangularMapModelIntern() != null)) {
					getJTextFieldCols().setIntegerValue(getRectangularMapModelIntern().getColsCount());
				}
				// user code begin {2}
				// user code end
				ivjConnPtoP12Aligning = false;
			}
		} catch (java.lang.Throwable ivjExc) {
			ivjConnPtoP12Aligning = false;
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connPtoP13SetSource:  (RectangularMapModelIntern.rowsCount <--> JTextFieldRows.integerValue)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connPtoP13SetSource() {
		/* Set the source from the target */
		try {
			if (ivjConnPtoP13Aligning == false) {
				// user code begin {1}
				// user code end
				ivjConnPtoP13Aligning = true;
				if ((getRectangularMapModelIntern() != null)) {
					getRectangularMapModelIntern().setRowsCount(getJTextFieldRows().getIntegerValue());
				}
				// user code begin {2}
				// user code end
				ivjConnPtoP13Aligning = false;
			}
		} catch (java.lang.Throwable ivjExc) {
			ivjConnPtoP13Aligning = false;
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connPtoP13SetTarget:  (RectangularMapModelIntern.rowsCount <--> JTextFieldRows.integerValue)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connPtoP13SetTarget() {
		/* Set the target from the source */
		try {
			if (ivjConnPtoP13Aligning == false) {
				// user code begin {1}
				// user code end
				ivjConnPtoP13Aligning = true;
				if ((getRectangularMapModelIntern() != null)) {
					getJTextFieldRows().setIntegerValue(getRectangularMapModelIntern().getRowsCount());
				}
				// user code begin {2}
				// user code end
				ivjConnPtoP13Aligning = false;
			}
		} catch (java.lang.Throwable ivjExc) {
			ivjConnPtoP13Aligning = false;
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connPtoP1SetSource:  (JRectangularMapIntern.rectangularMapModel <--> RectangularMapModelIntern.this)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connPtoP1SetSource() {
		/* Set the source from the target */
		try {
			if (ivjConnPtoP1Aligning == false) {
				// user code begin {1}
				// user code end
				ivjConnPtoP1Aligning = true;
				if ((getRectangularMapModelIntern() != null)) {
					getJRectangularMapIntern().setRectangularMapModel(getRectangularMapModelIntern());
				}
				// user code begin {2}
				// user code end
				ivjConnPtoP1Aligning = false;
			}
		} catch (java.lang.Throwable ivjExc) {
			ivjConnPtoP1Aligning = false;
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connPtoP1SetTarget:  (JRectangularMapIntern.rectangularMapModel <--> RectangularMapModelIntern.this)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connPtoP1SetTarget() {
		/* Set the target from the source */
		try {
			if (ivjConnPtoP1Aligning == false) {
				// user code begin {1}
				// user code end
				ivjConnPtoP1Aligning = true;
				setRectangularMapModelIntern(getJRectangularMapIntern().getRectangularMapModel());
				// user code begin {2}
				// user code end
				ivjConnPtoP1Aligning = false;
			}
		} catch (java.lang.Throwable ivjExc) {
			ivjConnPtoP1Aligning = false;
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connPtoP5SetSource:  (RectangularMapModelIntern.torus <--> BoundJCheckBoxTorus.selected)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connPtoP5SetSource() {
		/* Set the source from the target */
		try {
			if (ivjConnPtoP5Aligning == false) {
				// user code begin {1}
				// user code end
				ivjConnPtoP5Aligning = true;
				if ((getRectangularMapModelIntern() != null)) {
					getRectangularMapModelIntern().setTorus(getBoundJCheckBoxTorus().isSelected());
				}
				// user code begin {2}
				// user code end
				ivjConnPtoP5Aligning = false;
			}
		} catch (java.lang.Throwable ivjExc) {
			ivjConnPtoP5Aligning = false;
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connPtoP5SetTarget:  (RectangularMapModelIntern.torus <--> BoundJCheckBoxTorus.selected)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connPtoP5SetTarget() {
		/* Set the target from the source */
		try {
			if (ivjConnPtoP5Aligning == false) {
				// user code begin {1}
				// user code end
				ivjConnPtoP5Aligning = true;
				if ((getRectangularMapModelIntern() != null)) {
					getBoundJCheckBoxTorus().setSelected(getRectangularMapModelIntern().isTorus());
				}
				// user code begin {2}
				// user code end
				ivjConnPtoP5Aligning = false;
			}
		} catch (java.lang.Throwable ivjExc) {
			ivjConnPtoP5Aligning = false;
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * connPtoP6SetTarget:  (JScrollRectangularMap.this <--> JRectangularMapToolbar.JScrollRectangularMap)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connPtoP6SetTarget() {
		/* Set the target from the source */
		try {
			getJRectangularMapToolbar().setJScrollRectangularMap(getJScrollRectangularMap());
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {3}
			// user code end
			handleException(ivjExc);
		}
	}

	/**
	 * @see de.uniwue.ki.gui.util.IDisposeable
	 */
	public void dispose() {

		getRectangularMapModel().removePropertyChangeListener(ivjEventHandler);

		getJRectangularMapIntern().dispose();

		super.dispose();
	}

	protected void eventContainerEvents(java.awt.event.ComponentEvent componentEvent) {
		getJScrollRectangularMap().doEqualSize();
	}

	/**
	 * Method generated to support the promotion of the addJComboBoxModel attribute.
	 * @return javax.swing.ComboBoxModel
	 */
	public javax.swing.ComboBoxModel getAddJComboBoxModel() {
		return getJRectangularMapToolbar().getAddJComboBoxModel();
	}

	/**
	 * Method generated to support the promotion of the addJComboBoxRenderer attribute.
	 * @return javax.swing.ListCellRenderer
	 */
	public javax.swing.ListCellRenderer getAddJComboBoxRenderer() {
		return getJRectangularMapToolbar().getAddJComboBoxRenderer();
	}

	/**
	 * Method generated to support the promotion of the addJComboBoxSelectedItem attribute.
	 * @return java.lang.Object
	 */
	public java.lang.Object getAddJComboBoxSelectedItem() {
		return getJRectangularMapToolbar().getAddJComboBoxSelectedItem();
	}

	/**
	 * Method generated to support the promotion of the addRectangularMapState attribute.
	 * @return de.uniwue.ki.gui.util.rectangular.IRectangularMapState
	 */
	public IRectangularMapPanelState getAddRectangularMapState() {
		return getJRectangularMapToolbar().getAddRectangularMapState();
	}

	/**
	 * Return the BoundJCheckBoxTorus property value.
	 * @return com.ibm.easyswing.BoundJCheckBox
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private com.ibm.easyswing.BoundJCheckBox getBoundJCheckBoxTorus() {
		if (ivjBoundJCheckBoxTorus == null) {
			try {
				ivjBoundJCheckBoxTorus = new com.ibm.easyswing.BoundJCheckBox();
				ivjBoundJCheckBoxTorus.setName("BoundJCheckBoxTorus");
				ivjBoundJCheckBoxTorus.setText("Torus");
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjBoundJCheckBoxTorus;
	}

	/**
	 * Return the JLabel2 property value.
	 * @return javax.swing.JLabel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JLabel getJLabelCols() {
		if (ivjJLabelCols == null) {
			try {
				ivjJLabelCols = new javax.swing.JLabel();
				ivjJLabelCols.setName("JLabelCols");
				ivjJLabelCols.setText("Cols: ");
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJLabelCols;
	}

	/**
	 * Return the JLabel3 property value.
	 * @return javax.swing.JLabel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JLabel getJLabelRows() {
		if (ivjJLabelRows == null) {
			try {
				ivjJLabelRows = new javax.swing.JLabel();
				ivjJLabelRows.setName("JLabelRows");
				ivjJLabelRows.setText("Rows: ");
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJLabelRows;
	}

	/**
	 * @return JRectangularMap
	 */
	public JRectangularMap getJRectangularMap() {
		return getJRectangularMapIntern();
	}

	protected JRectangularMap getJRectangularMapIntern() {
		return getJScrollRectangularMap().getJRectangularMap();
	}

	/**
	 * Return the JRectangularMapToolbar property value.
	 * @return de.uniwue.ki.gui.util.rectangular.JRectangularMapToolbar
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private JRectangularMapToolbar getJRectangularMapToolbar() {
		if (ivjJRectangularMapToolbar == null) {
			try {
				ivjJRectangularMapToolbar = new de.uniwue.ki.gui.util.rectangular.JRectangularMapToolbar();
				ivjJRectangularMapToolbar.setName("JRectangularMapToolbar");
				ivjJRectangularMapToolbar.setFloatable(false);
				ivjJRectangularMapToolbar.setAddRemoveAndAddButtons(true);
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJRectangularMapToolbar;
	}

	/**
	 * Return the JScrollRectangularMap property value.
	 * @return de.uniwue.ki.gui.util.rectangular.JScrollRectangularMap
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private JScrollRectangularMap getJScrollRectangularMap() {
		if (ivjJScrollRectangularMap == null) {
			try {
				ivjJScrollRectangularMap = new de.uniwue.ki.gui.util.rectangular.JScrollRectangularMap();
				ivjJScrollRectangularMap.setName("JScrollRectangularMap");
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJScrollRectangularMap;
	}

	/**
	 * Return the JTextField1 property value.
	 * @return BoundJIntegerTextField
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private de.uniwue.ki.gui.util.bound.BoundJIntegerTextField getJTextFieldCols() {
		if (ivjJTextFieldCols == null) {
			try {
				ivjJTextFieldCols = new de.uniwue.ki.gui.util.bound.BoundJIntegerTextField();
				ivjJTextFieldCols.setName("JTextFieldCols");
				ivjJTextFieldCols.setMinimumSize(new java.awt.Dimension(33, 20));
				ivjJTextFieldCols.setColumns(3);
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJTextFieldCols;
	}

	/**
	 * Return the JTextField2 property value.
	 * @return BoundJIntegerTextField
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private de.uniwue.ki.gui.util.bound.BoundJIntegerTextField getJTextFieldRows() {
		if (ivjJTextFieldRows == null) {
			try {
				ivjJTextFieldRows = new de.uniwue.ki.gui.util.bound.BoundJIntegerTextField();
				ivjJTextFieldRows.setName("JTextFieldRows");
				ivjJTextFieldRows.setMinimumSize(new java.awt.Dimension(33, 20));
				ivjJTextFieldRows.setColumns(3);
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJTextFieldRows;
	}

	/**
	 * Return the JToolBar property value.
	 * @return javax.swing.JToolBar
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JToolBar getJToolBar() {
		if (ivjJToolBar == null) {
			try {
				ivjJToolBar = new javax.swing.JToolBar();
				ivjJToolBar.setName("JToolBar");
				ivjJToolBar.setFloatable(false);
				getJToolBar().add(getJLabelCols(), getJLabelCols().getName());
				getJToolBar().add(getJTextFieldCols(), getJTextFieldCols().getName());
				ivjJToolBar.addSeparator();
				getJToolBar().add(getJLabelRows(), getJLabelRows().getName());
				getJToolBar().add(getJTextFieldRows(), getJTextFieldRows().getName());
				ivjJToolBar.addSeparator();
				getJToolBar().add(getBoundJCheckBoxTorus(), getBoundJCheckBoxTorus().getName());
				ivjJToolBar.addSeparator();
				// user code begin {1}
				ivjJToolBar.putClientProperty("JToolBar.isRollover", Boolean.TRUE);
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJToolBar;
	}

	/**
	 * Method generated to support the promotion of the rectangularMapCellRenderer attribute.
	 * @return de.uniwue.ki.gui.util.rectangular.IRectangularMapCellRenderer
	 */
	public IRectangularMapCellRenderer getRectangularMapCellRenderer() {
		return getJRectangularMapIntern().getRectangularMapCellRenderer();
	}

	/**
	 * Method generated to support the promotion of the rectangularMapModel attribute.
	 * @return de.uniwue.ki.util.rectangular.IRectangularMapModel
	 */
	public de.uniwue.ki.util.rectangular.IRectangularMapModel getRectangularMapModel() {
		return getRectangularMapModelIntern();
	}

	/**
	 * Return the RectangularMapModel property value.
	 * @return de.uniwue.ki.gui.util.rectangular.IRectangularMapModel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private de.uniwue.ki.util.rectangular.IRectangularMapModel getRectangularMapModelIntern() {
		// user code begin {1}
		// user code end
		return ivjRectangularMapModelIntern;
	}

	/**
	 * Method generated to support the promotion of the removeRectangularMapState attribute.
	 * @return de.uniwue.ki.gui.util.rectangular.IRectangularMapState
	 */
	public IRectangularMapPanelState getRemoveRectangularMapState() {
		return getJRectangularMapToolbar().getRemoveRectangularMapState();
	}

	/**
	 * Method generated to support the promotion of the selectRectangularMapState attribute.
	 * @return de.uniwue.ki.gui.util.rectangular.IRectangularMapState
	 */
	public IRectangularMapPanelState getSelectRectangularMapState() {
		return getJRectangularMapToolbar().getSelectRectangularMapState();
	}

	/**
	 * Called whenever the part throws an exception.
	 * @param exception java.lang.Throwable
	 */
	private void handleException(java.lang.Throwable exception) {

		System.out.println("--------- UNCAUGHT EXCEPTION ---------");
		exception.printStackTrace(System.out);
	}

	/**
	 * Initializes connections
	 * @exception java.lang.Exception The exception description.
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void initConnections() throws java.lang.Exception {
		// user code begin {1}
		// user code end
		getJRectangularMapIntern().addPropertyChangeListener(ivjEventHandler);
		getJTextFieldCols().addPropertyChangeListener(ivjEventHandler);
		getJTextFieldRows().addPropertyChangeListener(ivjEventHandler);
		getBoundJCheckBoxTorus().addPropertyChangeListener(ivjEventHandler);
		getJScrollRectangularMap().addComponentListener(ivjEventHandler);
		getJRectangularMapToolbar().addPropertyChangeListener(ivjEventHandler);
		connPtoP1SetTarget();
		connPtoP12SetTarget();
		connPtoP13SetTarget();
		connPtoP5SetTarget();
		connPtoP6SetTarget();
	}

	/**
	 * Initialize the class.
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void initialize() {
		try {
			// user code begin {1}
			// user code end
			setName("JRectangularMapEditor");
			setLayout(new java.awt.GridBagLayout());
			setSize(549, 454);

			java.awt.GridBagConstraints constraintsJRectangularMapToolbar = new java.awt.GridBagConstraints();
			constraintsJRectangularMapToolbar.gridx = 0;
			constraintsJRectangularMapToolbar.gridy = 0;
			constraintsJRectangularMapToolbar.anchor = java.awt.GridBagConstraints.NORTHWEST;
			add(getJRectangularMapToolbar(), constraintsJRectangularMapToolbar);

			java.awt.GridBagConstraints constraintsJToolBar = new java.awt.GridBagConstraints();
			constraintsJToolBar.gridx = 0;
			constraintsJToolBar.gridy = 1;
			constraintsJToolBar.anchor = java.awt.GridBagConstraints.NORTHWEST;
			add(getJToolBar(), constraintsJToolBar);

			java.awt.GridBagConstraints constraintsJScrollRectangularMap = new java.awt.GridBagConstraints();
			constraintsJScrollRectangularMap.gridx = 0;
			constraintsJScrollRectangularMap.gridy = 2;
			constraintsJScrollRectangularMap.fill = java.awt.GridBagConstraints.BOTH;
			constraintsJScrollRectangularMap.weightx = 1.0;
			constraintsJScrollRectangularMap.weighty = 1.0;
			constraintsJScrollRectangularMap.insets = new java.awt.Insets(4, 4, 4, 4);
			add(getJScrollRectangularMap(), constraintsJScrollRectangularMap);
			initConnections();
			connEtoM1();
		} catch (java.lang.Throwable ivjExc) {
			handleException(ivjExc);
		}
		// user code begin {2}
		// user code end
	}

	/**
	 * main entrypoint - starts the part when it is run as an application
	 * @param args java.lang.String[]
	 */
	public static void main(java.lang.String[] args) {
		try {
			JFrame frame = new javax.swing.JFrame();
			JRectangularMapEditor aJRectangularMapEditor;
			aJRectangularMapEditor = new JRectangularMapEditor();
			frame.setContentPane(aJRectangularMapEditor);
			frame.setSize(aJRectangularMapEditor.getSize());
			frame.addWindowListener(new java.awt.event.WindowAdapter() {
				public void windowClosing(java.awt.event.WindowEvent e) {
					System.exit(0);
				}
			});
			frame.show();
			java.awt.Insets insets = frame.getInsets();
			frame.setSize(
				frame.getWidth() + insets.left + insets.right,
				frame.getHeight() + insets.top + insets.bottom);
			frame.setVisible(true);
		} catch (Throwable exception) {
			System.err.println("Exception occurred in main() of javax.swing.JPanel");
			exception.printStackTrace(System.out);
		}
	}

	/**
	 * Method generated to support the promotion of the addJComboBoxModel attribute.
	 * @param arg1 javax.swing.ComboBoxModel
	 */
	public void setAddJComboBoxModel(javax.swing.ComboBoxModel arg1) {
		getJRectangularMapToolbar().setAddJComboBoxModel(arg1);
	}

	/**
	 * Method generated to support the promotion of the addJComboBoxRenderer attribute.
	 * @param arg1 javax.swing.ListCellRenderer
	 */
	public void setAddJComboBoxRenderer(javax.swing.ListCellRenderer arg1) {
		getJRectangularMapToolbar().setAddJComboBoxRenderer(arg1);
	}

	/**
	 * Method generated to support the promotion of the addJComboBoxSelectedItem attribute.
	 * @param arg1 java.lang.Object
	 */
	public void setAddJComboBoxSelectedItem(java.lang.Object arg1) {
		getJRectangularMapToolbar().setAddJComboBoxSelectedItem(arg1);
	}

	/**
	 * Method generated to support the promotion of the addRectangularMapState attribute.
	 * @param arg1 de.uniwue.ki.gui.util.rectangular.IRectangularMapState
	 */
	public void setAddRectangularMapState(IRectangularMapPanelState arg1) {
		getJRectangularMapToolbar().setAddRectangularMapState(arg1);
	}

	/**
	 * Method generated to support the promotion of the rectangularMapCellRenderer attribute.
	 * @param arg1 de.uniwue.ki.gui.util.rectangular.IRectangularMapCellRenderer
	 */
	public void setRectangularMapCellRenderer(IRectangularMapCellRenderer arg1) {
		getJRectangularMapIntern().setRectangularMapCellRenderer(arg1);
	}

	/**
	 * Method generated to support the promotion of the rectangularMapModel attribute.
	 * @param arg1 de.uniwue.ki.util.rectangular.IRectangularMapModel
	 */
	public void setRectangularMapModel(de.uniwue.ki.util.rectangular.IRectangularMapModel arg1) {
		setRectangularMapModelIntern(arg1);
	}

	/**
	 * Set the RectangularMapModel to a new value.
	 * @param newValue de.uniwue.ki.gui.util.rectangular.IRectangularMapModel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void setRectangularMapModelIntern(de.uniwue.ki.util.rectangular.IRectangularMapModel newValue) {
		if (ivjRectangularMapModelIntern != newValue) {
			try {
				de.uniwue.ki.util.rectangular.IRectangularMapModel oldValue = getRectangularMapModelIntern();
				/* Stop listening for events from the current object */
				if (ivjRectangularMapModelIntern != null) {
					ivjRectangularMapModelIntern.removePropertyChangeListener(ivjEventHandler);
				}
				ivjRectangularMapModelIntern = newValue;

				/* Listen for events from the new object */
				if (ivjRectangularMapModelIntern != null) {
					ivjRectangularMapModelIntern.addPropertyChangeListener(ivjEventHandler);
				}
				connPtoP1SetSource();
				connPtoP12SetTarget();
				connPtoP13SetTarget();
				connPtoP5SetTarget();
				firePropertyChange("rectangularMapModel", oldValue, newValue);
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		// user code begin {3}
		// user code end
	}

	/**
	 * Method generated to support the promotion of the removeRectangularMapState attribute.
	 * @param arg1 de.uniwue.ki.gui.util.rectangular.IRectangularMapState
	 */
	public void setRemoveRectangularMapState(IRectangularMapPanelState arg1) {
		getJRectangularMapToolbar().setRemoveRectangularMapState(arg1);
	}

	/**
	 * Method generated to support the promotion of the selectRectangularMapState attribute.
	 * @param arg1 de.uniwue.ki.gui.util.rectangular.IRectangularMapState
	 */
	public void setSelectRectangularMapState(IRectangularMapPanelState arg1) {
		getJRectangularMapToolbar().setSelectRectangularMapState(arg1);
	}
}