package de.uniwue.ki.gui.util.rectangular;
import javax.swing.Icon;

import de.uniwue.ki.gui.util.SwingMoreUtilities;
/**
 * Creation date: (30.11.2000 16:42:52)
 * @author Christoph Oechslein
 */
public class SelectRectangularMapPanelState extends AbstractRectangularMapPanelState {

	/**
	 * SelectRectangularEditorState constructor comment.
	 */
	public SelectRectangularMapPanelState() {
	    super();
	}

	/**
	 * SelectRectangularEditorState constructor comment.
	 * @param rectangularMap de.uniwue.ki.gui.generic.rectangular.JRectangularMap
	 */
	public SelectRectangularMapPanelState(JRectangularMap rectangularMap) {
	    super(rectangularMap);
	}

	/**
	 * @return Icon
	 * @see de.uniwue.ki.gui.util.rectangular.IRectangularMapState#getIcon()
	 */
	public Icon getIcon() {
	    return SwingMoreUtilities.getJavaSunIcon(24, "Select24.gif");
	}

	/**
	 * @return String
	 * @see de.uniwue.ki.util.INamed#getName()
	 */
	public String getName() {
	    return "Select";
	}

	/**
	 * @param e java.awt.event.MouseEvent
	 * @see java.awt.event.MouseListener
	 */
	public void mousePressed(java.awt.event.MouseEvent e) {
	    if (!e.isConsumed()) {
	        setSelectedPointMousePoint(e.getPoint());
	        e.consume();
	    }
	}

	/**
	 * @param point java.awt.Point
	 */
	public void setSelectedPointMousePoint(java.awt.Point point) {
	    getRectangularMap().setSelectedPoint(convertMousePointToModelPoint(point));
	}
}