package de.uniwue.ki.gui.util.rectangular;
import java.beans.PropertyChangeEvent;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.event.AncestorEvent;

import com.magelang.box.Glue;

import de.uniwue.ki.gui.util.bound.BoundJSlider;
/**
 * Creation date: (15.11.2000 17:01:21)
 * @author Christoph Oechslein
 */
public class TestJRectangularMap extends JPanel {
   private JRectangularMap ivjJRectangularMap1 = null;
   private JScrollPane ivjJScrollPane1 = null;
   private boolean ivjConnPtoP2Aligning = false;
   private boolean ivjConnPtoP3Aligning = false;
   private final IvjEventHandler ivjEventHandler = new IvjEventHandler();
   private JLabel ivjJLabel1 = null;
   private JLabel ivjJLabel2 = null;
   private JPanel ivjJPanel1 = null;
   private JPanel ivjJPanel2 = null;
   private JPanel ivjJPanel3 = null;
   private BoundJSlider ivjJSlider1 = null;
   private BoundJSlider ivjJSlider2 = null;
   private Glue ivjBoxLayoutGlue1 = null;
   private boolean ivjConnPtoP4Aligning = false;
   private com.ibm.easyswing.BoundJCheckBox ivjJCheckBox1 = null;
   private JPanel ivjJPanel4 = null;   private final class IvjEventHandler implements java.beans.PropertyChangeListener, javax.swing.event.AncestorListener {
      /**
       * @param event javax.swing.event.AncestorEvent
       * @see javax.swing.event.AncestorListener#ancestorAdded(AncestorEvent)
       */
      public void ancestorAdded(javax.swing.event.AncestorEvent event) {
         if (event.getSource() == TestJRectangularMap.this)
            connEtoC1(event);
      }
      public void ancestorMoved(javax.swing.event.AncestorEvent event) {
      }
      /**
       * @param event javax.swing.event.AncestorEvent
       * @see javax.swing.event.AncestorListener#ancestorRemoved(AncestorEvent)
       */
      public void ancestorRemoved(javax.swing.event.AncestorEvent event) {
         if (event.getSource() == TestJRectangularMap.this)
            connEtoC2(event);
      }
      /**
       * @param evt java.beans.PropertyChangeEvent
       * @see java.beans.PropertyChangeListener#propertyChange(PropertyChangeEvent)
       */
      public void propertyChange(java.beans.PropertyChangeEvent evt) {
         if (evt.getSource() == TestJRectangularMap.this.getJSlider2() && (evt.getPropertyName().equals("value")))
            connPtoP3SetTarget();
         if (evt.getSource() == TestJRectangularMap.this.getJRectangularMap1()
            && (evt.getPropertyName().equals("rectangleWidth")))
            connPtoP3SetSource();
         if (evt.getSource() == TestJRectangularMap.this.getJSlider1() && (evt.getPropertyName().equals("value")))
            connPtoP2SetTarget();
         if (evt.getSource() == TestJRectangularMap.this.getJRectangularMap1()
            && (evt.getPropertyName().equals("rectangleHeight")))
            connPtoP2SetSource();
         if (evt.getSource() == TestJRectangularMap.this.getJCheckBox1() && (evt.getPropertyName().equals("selected")))
            connPtoP4SetTarget();
         if (evt.getSource() == TestJRectangularMap.this.getJRectangularMap1() && (evt.getPropertyName().equals("drawingGrid")))
            connPtoP4SetSource();
      }
   }

	/**
	 * TestJRectangularMap constructor comment.
	 */
	public TestJRectangularMap() {
	   super();
	   initialize();
	}

	/**
	 * TestJRectangularMap constructor comment.
	 * @param layout java.awt.LayoutManager
	 */
	public TestJRectangularMap(java.awt.LayoutManager layout) {
	   super(layout);
	}

	/**
	 * TestJRectangularMap constructor comment.
	 * @param layout java.awt.LayoutManager
	 * @param isDoubleBuffered boolean
	 */
	public TestJRectangularMap(java.awt.LayoutManager layout, boolean isDoubleBuffered) {
	   super(layout, isDoubleBuffered);
	}

	/**
	 * TestJRectangularMap constructor comment.
	 * @param isDoubleBuffered boolean
	 */
	public TestJRectangularMap(boolean isDoubleBuffered) {
	   super(isDoubleBuffered);
	}

	/**
	 * main entrypoint - starts the part when it is run as an application
	 * @param args java.lang.String[]
	 */
	public static void main(java.lang.String[] args) {
	   try {
	      final JFrame frame = new javax.swing.JFrame();
	      final TestJRectangularMap aTestJRectangularMap = new TestJRectangularMap();
	
	      frame.setContentPane(aTestJRectangularMap);
	      frame.setSize(aTestJRectangularMap.getSize());
	      frame.addWindowListener(new java.awt.event.WindowAdapter() {
	         public void windowClosing(java.awt.event.WindowEvent e) {
	            e.getWindow().dispose();
	            System.exit(0);
	         }
	      });
	      frame.show();
	      java.awt.Insets insets = frame.getInsets();
	      frame.setSize(frame.getWidth() + insets.left + insets.right, frame.getHeight() + insets.top + insets.bottom);
	      frame.setVisible(true);
	   } catch (Throwable exception) {
	      System.err.println("Exception occurred in main() of javax.swing.JPanel");
	      exception.printStackTrace(System.out);
	   }
	}

	public void removeNotify() {
	
	   super.removeNotify();
	}

	/**
	 * Comment
	 * @param ancestorEvent javax.swing.event.AncestorEvent
	 */
	public void testJRectangularMap_AncestorAdded(javax.swing.event.AncestorEvent ancestorEvent) {
	
	   return;
	}

	/**
	 * Comment
	 * @param ancestorEvent javax.swing.event.AncestorEvent
	 */
	public void testJRectangularMap_AncestorRemoved(javax.swing.event.AncestorEvent ancestorEvent) {
	
	   return;
	}



	/**
	 * Return the BoxLayoutGlue1 property value.
	 * @return com.magelang.box.BoxLayoutGlue
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private Glue getBoxLayoutGlue1() {
	   if (ivjBoxLayoutGlue1 == null) {
	      try {
	         ivjBoxLayoutGlue1 = new com.magelang.box.Glue();
	         ivjBoxLayoutGlue1.setName("BoxLayoutGlue1");
	         // user code begin {1}
	         // user code end
	      } catch (java.lang.Throwable ivjExc) {
	         // user code begin {2}
	         // user code end
	         handleException(ivjExc);
	      }
	   }
	   return ivjBoxLayoutGlue1;
	}

	/**
	 * Return the JCheckBox1 property value.
	 * @return com.ibm.easyswing.BoundJCheckBox
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private com.ibm.easyswing.BoundJCheckBox getJCheckBox1() {
	   if (ivjJCheckBox1 == null) {
	      try {
	         ivjJCheckBox1 = new com.ibm.easyswing.BoundJCheckBox();
	         ivjJCheckBox1.setName("JCheckBox1");
	         ivjJCheckBox1.setAlignmentX(java.awt.Component.LEFT_ALIGNMENT);
	         ivjJCheckBox1.setText("Grid");
	         // user code begin {1}
	         // user code end
	      } catch (java.lang.Throwable ivjExc) {
	         // user code begin {2}
	         // user code end
	         handleException(ivjExc);
	      }
	   }
	   return ivjJCheckBox1;
	}

	/**
	 * Return the JLabel1 property value.
	 * @return javax.swing.JLabel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JLabel getJLabel1() {
	   if (ivjJLabel1 == null) {
	      try {
	         ivjJLabel1 = new javax.swing.JLabel();
	         ivjJLabel1.setName("JLabel1");
	         ivjJLabel1.setText("Width:");
	         // user code begin {1}
	         // user code end
	      } catch (java.lang.Throwable ivjExc) {
	         // user code begin {2}
	         // user code end
	         handleException(ivjExc);
	      }
	   }
	   return ivjJLabel1;
	}

	/**
	 * Return the JLabel2 property value.
	 * @return javax.swing.JLabel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JLabel getJLabel2() {
	   if (ivjJLabel2 == null) {
	      try {
	         ivjJLabel2 = new javax.swing.JLabel();
	         ivjJLabel2.setName("JLabel2");
	         ivjJLabel2.setText("Height:");
	         // user code begin {1}
	         // user code end
	      } catch (java.lang.Throwable ivjExc) {
	         // user code begin {2}
	         // user code end
	         handleException(ivjExc);
	      }
	   }
	   return ivjJLabel2;
	}

	/**
	 * Return the JPanel1 property value.
	 * @return javax.swing.JPanel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JPanel getJPanel1() {
	   if (ivjJPanel1 == null) {
	      try {
	         ivjJPanel1 = new javax.swing.JPanel();
	         ivjJPanel1.setName("JPanel1");
	         ivjJPanel1.setLayout(getJPanel1BoxLayout());
	         getJPanel1().add(getJPanel2(), getJPanel2().getName());
	         getJPanel1().add(getJPanel3(), getJPanel3().getName());
	         getJPanel1().add(getJPanel4(), getJPanel4().getName());
	         // user code begin {1}
	         // user code end
	      } catch (java.lang.Throwable ivjExc) {
	         // user code begin {2}
	         // user code end
	         handleException(ivjExc);
	      }
	   }
	   return ivjJPanel1;
	}

	/**
	 * Return the JPanel1BoxLayout property value.
	 * @return javax.swing.BoxLayout
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.BoxLayout getJPanel1BoxLayout() {
	   javax.swing.BoxLayout ivjJPanel1BoxLayout = null;
	   try {
	      /* Create part */
	      ivjJPanel1BoxLayout = new javax.swing.BoxLayout(getJPanel1(), javax.swing.BoxLayout.Y_AXIS);
	   } catch (java.lang.Throwable ivjExc) {
	      handleException(ivjExc);
	   }
	   return ivjJPanel1BoxLayout;
	}

	/**
	 * Return the JPanel2 property value.
	 * @return javax.swing.JPanel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JPanel getJPanel2() {
	   if (ivjJPanel2 == null) {
	      try {
	         ivjJPanel2 = new javax.swing.JPanel();
	         ivjJPanel2.setName("JPanel2");
	         ivjJPanel2.setLayout(new javax.swing.BoxLayout(getJPanel2(), javax.swing.BoxLayout.X_AXIS));
	         getJPanel2().add(getJLabel1(), getJLabel1().getName());
	         getJPanel2().add(getJSlider2(), getJSlider2().getName());
	         // user code begin {1}
	         // user code end
	      } catch (java.lang.Throwable ivjExc) {
	         // user code begin {2}
	         // user code end
	         handleException(ivjExc);
	      }
	   }
	   return ivjJPanel2;
	}

	/**
	 * Return the JPanel3 property value.
	 * @return javax.swing.JPanel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JPanel getJPanel3() {
	   if (ivjJPanel3 == null) {
	      try {
	         ivjJPanel3 = new javax.swing.JPanel();
	         ivjJPanel3.setName("JPanel3");
	         ivjJPanel3.setLayout(new javax.swing.BoxLayout(getJPanel3(), javax.swing.BoxLayout.X_AXIS));
	         getJPanel3().add(getJLabel2(), getJLabel2().getName());
	         getJPanel3().add(getJSlider1(), getJSlider1().getName());
	         // user code begin {1}
	         // user code end
	      } catch (java.lang.Throwable ivjExc) {
	         // user code begin {2}
	         // user code end
	         handleException(ivjExc);
	      }
	   }
	   return ivjJPanel3;
	}

	/**
	 * Return the JPanel4 property value.
	 * @return javax.swing.JPanel
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JPanel getJPanel4() {
	   if (ivjJPanel4 == null) {
	      try {
	         ivjJPanel4 = new javax.swing.JPanel();
	         ivjJPanel4.setName("JPanel4");
	         ivjJPanel4.setLayout(new javax.swing.BoxLayout(getJPanel4(), javax.swing.BoxLayout.X_AXIS));
	         getJPanel4().add(getJCheckBox1(), getJCheckBox1().getName());
	         getJPanel4().add(getBoxLayoutGlue1(), getBoxLayoutGlue1().getName());
	         // user code begin {1}
	         // user code end
	      } catch (java.lang.Throwable ivjExc) {
	         // user code begin {2}
	         // user code end
	         handleException(ivjExc);
	      }
	   }
	   return ivjJPanel4;
	}

	/**
	 * Return the JRectangularMap1 property value.
	 * @return de.uniwue.ki.gui.util.rectangular.JRectangularMap
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private JRectangularMap getJRectangularMap1() {
	   if (ivjJRectangularMap1 == null) {
	      try {
	         ivjJRectangularMap1 = new de.uniwue.ki.gui.util.rectangular.JRectangularMap();
	         ivjJRectangularMap1.setName("JRectangularMap1");
	         ivjJRectangularMap1.setBounds(0, 0, 160, 120);
	         // user code begin {1}
	         // user code end
	      } catch (java.lang.Throwable ivjExc) {
	         // user code begin {2}
	         // user code end
	         handleException(ivjExc);
	      }
	   }
	   return ivjJRectangularMap1;
	}

	/**
	 * Return the JScrollPane1 property value.
	 * @return javax.swing.JScrollPane
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JScrollPane getJScrollPane1() {
	   if (ivjJScrollPane1 == null) {
	      try {
	         ivjJScrollPane1 = new javax.swing.JScrollPane();
	         ivjJScrollPane1.setName("JScrollPane1");
	         getJScrollPane1().setViewportView(getJRectangularMap1());
	         // user code begin {1}
	         // user code end
	      } catch (java.lang.Throwable ivjExc) {
	         // user code begin {2}
	         // user code end
	         handleException(ivjExc);
	      }
	   }
	   return ivjJScrollPane1;
	}

	/**
	 * Return the JSlider1 property value.
	 * @return BoundJSlider
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private BoundJSlider getJSlider1() {
	   if (ivjJSlider1 == null) {
	      try {
	         ivjJSlider1 = new BoundJSlider();
	         ivjJSlider1.setName("JSlider1");
	         ivjJSlider1.setMinimum(10);
	         ivjJSlider1.setValue(30);
	         // user code begin {1}
	         // user code end
	      } catch (java.lang.Throwable ivjExc) {
	         // user code begin {2}
	         // user code end
	         handleException(ivjExc);
	      }
	   }
	   return ivjJSlider1;
	}

	/**
	 * Return the JSlider2 property value.
	 * @return BoundJSlider
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private BoundJSlider getJSlider2() {
	   if (ivjJSlider2 == null) {
	      try {
	         ivjJSlider2 = new BoundJSlider();
	         ivjJSlider2.setName("JSlider2");
	         ivjJSlider2.setMinimum(10);
	         ivjJSlider2.setValue(30);
	         // user code begin {1}
	         // user code end
	      } catch (java.lang.Throwable ivjExc) {
	         // user code begin {2}
	         // user code end
	         handleException(ivjExc);
	      }
	   }
	   return ivjJSlider2;
	}

	/**
	 * connEtoC1:  (TestJRectangularMap.ancestor.ancestorAdded(javax.swing.event.AncestorEvent) --> TestJRectangularMap.testJRectangularMap_AncestorAdded(Ljavax.swing.event.AncestorEvent;)V)
	 * @param arg1 javax.swing.event.AncestorEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC1(javax.swing.event.AncestorEvent arg1) {
	   try {
	      // user code begin {1}
	      // user code end
	      this.testJRectangularMap_AncestorAdded(arg1);
	      // user code begin {2}
	      // user code end
	   } catch (java.lang.Throwable ivjExc) {
	      // user code begin {3}
	      // user code end
	      handleException(ivjExc);
	   }
	}

	/**
	 * connEtoC2:  (TestJRectangularMap.ancestor.ancestorRemoved(javax.swing.event.AncestorEvent) --> TestJRectangularMap.testJRectangularMap_AncestorRemoved(Ljavax.swing.event.AncestorEvent;)V)
	 * @param arg1 javax.swing.event.AncestorEvent
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connEtoC2(javax.swing.event.AncestorEvent arg1) {
	   try {
	      // user code begin {1}
	      // user code end
	      this.testJRectangularMap_AncestorRemoved(arg1);
	      // user code begin {2}
	      // user code end
	   } catch (java.lang.Throwable ivjExc) {
	      // user code begin {3}
	      // user code end
	      handleException(ivjExc);
	   }
	}

	/**
	 * connPtoP2SetSource:  (JSlider1.value <--> JRectangularMap1.rectangleHeight)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connPtoP2SetSource() {
	   /* Set the source from the target */
	   try {
	      if (ivjConnPtoP2Aligning == false) {
	         // user code begin {1}
	         // user code end
	         ivjConnPtoP2Aligning = true;
	         getJSlider1().setValue(getJRectangularMap1().getRectangleHeight());
	         // user code begin {2}
	         // user code end
	         ivjConnPtoP2Aligning = false;
	      }
	   } catch (java.lang.Throwable ivjExc) {
	      ivjConnPtoP2Aligning = false;
	      // user code begin {3}
	      // user code end
	      handleException(ivjExc);
	   }
	}

	/**
	 * connPtoP2SetTarget:  (JSlider1.value <--> JRectangularMap1.rectangleHeight)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connPtoP2SetTarget() {
	   /* Set the target from the source */
	   try {
	      if (ivjConnPtoP2Aligning == false) {
	         // user code begin {1}
	         // user code end
	         ivjConnPtoP2Aligning = true;
	         getJRectangularMap1().setRectangleHeight(getJSlider1().getValue());
	         // user code begin {2}
	         // user code end
	         ivjConnPtoP2Aligning = false;
	      }
	   } catch (java.lang.Throwable ivjExc) {
	      ivjConnPtoP2Aligning = false;
	      // user code begin {3}
	      // user code end
	      handleException(ivjExc);
	   }
	}

	/**
	 * connPtoP3SetSource:  (JSlider2.value <--> JRectangularMap1.rectangleWidth)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connPtoP3SetSource() {
	   /* Set the source from the target */
	   try {
	      if (ivjConnPtoP3Aligning == false) {
	         // user code begin {1}
	         // user code end
	         ivjConnPtoP3Aligning = true;
	         getJSlider2().setValue(getJRectangularMap1().getRectangleWidth());
	         // user code begin {2}
	         // user code end
	         ivjConnPtoP3Aligning = false;
	      }
	   } catch (java.lang.Throwable ivjExc) {
	      ivjConnPtoP3Aligning = false;
	      // user code begin {3}
	      // user code end
	      handleException(ivjExc);
	   }
	}

	/**
	 * connPtoP3SetTarget:  (JSlider2.value <--> JRectangularMap1.rectangleWidth)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connPtoP3SetTarget() {
	   /* Set the target from the source */
	   try {
	      if (ivjConnPtoP3Aligning == false) {
	         // user code begin {1}
	         // user code end
	         ivjConnPtoP3Aligning = true;
	         getJRectangularMap1().setRectangleWidth(getJSlider2().getValue());
	         // user code begin {2}
	         // user code end
	         ivjConnPtoP3Aligning = false;
	      }
	   } catch (java.lang.Throwable ivjExc) {
	      ivjConnPtoP3Aligning = false;
	      // user code begin {3}
	      // user code end
	      handleException(ivjExc);
	   }
	}

	/**
	 * connPtoP4SetSource:  (JCheckBox1.selected <--> JRectangularMap1.drawingGrid)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connPtoP4SetSource() {
	   /* Set the source from the target */
	   try {
	      if (ivjConnPtoP4Aligning == false) {
	         // user code begin {1}
	         // user code end
	         ivjConnPtoP4Aligning = true;
	         getJCheckBox1().setSelected(getJRectangularMap1().isDrawingGrid());
	         // user code begin {2}
	         // user code end
	         ivjConnPtoP4Aligning = false;
	      }
	   } catch (java.lang.Throwable ivjExc) {
	      ivjConnPtoP4Aligning = false;
	      // user code begin {3}
	      // user code end
	      handleException(ivjExc);
	   }
	}

	/**
	 * connPtoP4SetTarget:  (JCheckBox1.selected <--> JRectangularMap1.drawingGrid)
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void connPtoP4SetTarget() {
	   /* Set the target from the source */
	   try {
	      if (ivjConnPtoP4Aligning == false) {
	         // user code begin {1}
	         // user code end
	         ivjConnPtoP4Aligning = true;
	         getJRectangularMap1().setDrawingGrid(getJCheckBox1().isSelected());
	         // user code begin {2}
	         // user code end
	         ivjConnPtoP4Aligning = false;
	      }
	   } catch (java.lang.Throwable ivjExc) {
	      ivjConnPtoP4Aligning = false;
	      // user code begin {3}
	      // user code end
	      handleException(ivjExc);
	   }
	}

	/**
	 * Called whenever the part throws an exception.
	 * @param exception java.lang.Throwable
	 */
	private void handleException(java.lang.Throwable exception) {
	
	   /* Uncomment the following lines to print uncaught exceptions to stdout */
	   System.out.println("--------- UNCAUGHT EXCEPTION ---------");
	   exception.printStackTrace(System.out);
	}

	/**
	 * Initializes connections
	 * @exception java.lang.Exception The exception description.
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void initConnections() throws java.lang.Exception {
	   // user code begin {1}
	   // user code end
	   getJSlider2().addPropertyChangeListener(ivjEventHandler);
	   getJRectangularMap1().addPropertyChangeListener(ivjEventHandler);
	   getJSlider1().addPropertyChangeListener(ivjEventHandler);
	   getJCheckBox1().addPropertyChangeListener(ivjEventHandler);
	   this.addAncestorListener(ivjEventHandler);
	   connPtoP3SetTarget();
	   connPtoP2SetTarget();
	   connPtoP4SetTarget();
	}

	/**
	 * Initialize the class.
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void initialize() {
	   try {
	      // user code begin {1}
	      // user code end
	      setName("TestJRectangularMap");
	      setLayout(new java.awt.BorderLayout());
	      setSize(207, 188);
	      add(getJScrollPane1(), "Center");
	      add(getJPanel1(), "North");
	      initConnections();
	   } catch (java.lang.Throwable ivjExc) {
	      handleException(ivjExc);
	   }
	   // user code begin {2}
	   // user code end
	}
}