package de.uniwue.ki.gui.util.timetable;

import java.awt.Color;

import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.border.EtchedBorder;

/**
 * @author herrler
 *
 * herrler@ki.informatik.uni-wuerzburg.de
 */
public class DefaultAppointmentRenderer implements IAppointmentRenderer {

	/**
	 * @see schedulegui.IAppointmentRenderer#getAppointmentComponent(IAppointment)
	 */
	public JComponent getAppointmentComponent(IAppointment appointment) {
		JLabel label = new JLabel(" "+appointment.getDescription());
		label.setBackground(Color.ORANGE);
		//label.setForeground(Color.RED);
		label.setOpaque(true);
		label.setBorder(new EtchedBorder());
		label.setToolTipText(appointment.getDescription());
		
		return label;
	}
}
