package de.uniwue.ki.gui.util.tree;

/**
 * Creation date: (05.02.2002 17:58:17)
 * @author Christoph Oechslein
 */

public class JScrollableTree extends javax.swing.JScrollPane {
	private javax.swing.JTree ivjJTree1 = null;

	/**
	 * JScrollableTree constructor comment.
	 */
	public JScrollableTree() {
		super();
		initialize();
	}

	/**
	 * Method generated to support the promotion of the jTree attribute.
	 * @return javax.swing.JTree
	 */
	public javax.swing.JTree getJTree() {
		return getJTree1();
	}

	/**
	 * Return the JTree1 property value.
	 * @return javax.swing.JTree
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private javax.swing.JTree getJTree1() {
		if (ivjJTree1 == null) {
			try {
				ivjJTree1 = new javax.swing.JTree();
				ivjJTree1.setName("JTree1");
				ivjJTree1.setBounds(0, 0, 78, 72);
				// user code begin {1}
				// user code end
			} catch (java.lang.Throwable ivjExc) {
				// user code begin {2}
				// user code end
				handleException(ivjExc);
			}
		}
		return ivjJTree1;
	}

	/**
	 * Called whenever the part throws an exception.
	 * @param exception java.lang.Throwable
	 */
	private void handleException(java.lang.Throwable exception) {
	exception.printStackTrace(System.out);
	}

	/**
	 * Initialize the class.
	 */
	/* WARNING: THIS METHOD WILL BE REGENERATED. */
	private void initialize() {
		try {
			// user code begin {1}
			// user code end
			setName("JScrollableTree");
			setSize(160, 120);
			setViewportView(getJTree1());
		} catch (java.lang.Throwable ivjExc) {
			handleException(ivjExc);
		}
		// user code begin {2}
		// user code end
	}

	/**
	 * main entrypoint - starts the part when it is run as an application
	 * @param args java.lang.String[]
	 */
	public static void main(java.lang.String[] args) {
		try {
			javax.swing.JFrame frame = new javax.swing.JFrame();
			JScrollableTree aJScrollableTree;
			aJScrollableTree = new JScrollableTree();
			frame.setContentPane(aJScrollableTree);
			frame.setSize(aJScrollableTree.getSize());
			frame.addWindowListener(new java.awt.event.WindowAdapter() {
				public void windowClosing(java.awt.event.WindowEvent e) {
					System.exit(0);
				}
			});
			frame.show();
			java.awt.Insets insets = frame.getInsets();
			frame.setSize(frame.getWidth() + insets.left + insets.right, frame.getHeight() + insets.top + insets.bottom);
			frame.setVisible(true);
		} catch (Throwable exception) {
			System.err.println("Exception occurred in main() of de.uniwue.ki.gui.util.JScrollableTree");
			exception.printStackTrace(System.out);
		}
	}
}