package de.uniwue.ki.mas.application.remote.server;

import java.io.IOException;
import java.io.Serializable;

import de.uniwue.ki.mas.application.remote.ISimulationControlConnection;
import de.uniwue.ki.util.copy.ICopyable;
import de.uniwue.ki.util.name.INamed;

/**
 * Creation date: 18.09.2002, 10:21:49
 * @author oechslein
 */
public interface IRemoteModelSimulationTask extends INamed, ICopyable, Serializable {
	int LOAD_MODEL_START_SIM_SUCCESS = 0;
	int MODEL_FILE_LOAD_ERROR = 1;
	int START_SIMULATION_ERROR = 2;

	int loadModelAndSimulate(ISimulationControlConnection simulationControlConnection) throws IOException;

	String getSimulationName();

	String getModelFileName();
}
