package de.uniwue.ki.mas.basics.action;

import java.util.List;

import de.uniwue.ki.mas.basics.functionDeclaration.AbstractSpecificFunctionArgsDeclaration;
import de.uniwue.ki.mas.basics.type.VoidType;

/**
 * Creation date: (30.07.2001 14:42:16)
 * @author Christoph Oechslein
 */

public abstract class AbstractFunctionActionDeclaration extends AbstractSpecificFunctionArgsDeclaration {

	public AbstractFunctionActionDeclaration(String name, List inputTypes) {
		super(name, VoidType.getInstance(), inputTypes, false);
	}

	public AbstractFunctionActionDeclaration(
		String name,
		List inputTypes,
		boolean isExpertFunctionActionDeclaration) {
		super(name, VoidType.getInstance(), inputTypes, false, isExpertFunctionActionDeclaration);
	}
}