package de.uniwue.ki.mas.basics.action;

import de.uniwue.ki.mas.util.declaration.DefaultDeclarationListAndFactory;

/**
 * Creation date: 19.06.2002, 15:44:18
 * @author oechslein
 */
public final class FunctionActionCallDeclarationListAndFactory extends DefaultDeclarationListAndFactory {
	private final String _name;

	public FunctionActionCallDeclarationListAndFactory(
		String name,
		FunctionActionCallDeclarationList functionActionCallDeclarationList,
		FunctionActionCallDeclarationFactory functionActionCallDeclarationFactory) {

		super(functionActionCallDeclarationList, functionActionCallDeclarationFactory);

		_name = name;
	}

	public FunctionActionCallDeclarationListAndFactory(
		String name,
		FunctionActionCallDeclarationList functionActionCallDeclarationList) {

		this(name, functionActionCallDeclarationList, FunctionActionCallDeclarationFactory.getInstance());
	}

	public FunctionActionCallDeclarationListAndFactory(String name) {
		this(name, new FunctionActionCallDeclarationList());
	}

	public final FunctionActionCallDeclarationList getFunctionActionCallDeclarationList() {
		return (FunctionActionCallDeclarationList) getDeclarationList();
	}

	public final FunctionActionCallDeclarationFactory getFunctionActionCallDeclarationFactory() {
		return (FunctionActionCallDeclarationFactory) getDeclarationFactory();
	}

	public String getName() {
		return _name;
	}

}
