package de.uniwue.ki.mas.basics.action.simulation;

import junit.framework.Assert;
import de.uniwue.ki.mas.basics.action.AbstractFunctionActionDeclaration;
import de.uniwue.ki.mas.basics.function.*;
import de.uniwue.ki.util.collection.CollectionsHelper;

/**
 * Creation date: 11.09.2002, 12:53:25
 * @author oechslein
 */
final class FunctionActionDeclarationPause extends AbstractFunctionActionDeclaration {

	public FunctionActionDeclarationPause() {
		super(FunctionActionPause.NAME, CollectionsHelper.EMPTY_LIST, true);

		setDocumentation("Pauses the simulation");
	}

	public IFunction createFunction(ICreateFunctionArgs createFunctionArgs, IFunctionList functions) {
		if (Assert.ASSERTION_ON)
			Assert.assertEquals(0, functions.size());
		return FunctionActionPause.getInstance();
	}
}
