package de.uniwue.ki.mas.basics.feature;

import de.uniwue.ki.mas.entity.object.IObjectCreateFunctionArgs;

/**
 * This includes 
 *    IFeatureClassdeclaration
 *    IObjectFeatureClassDeclaration
 *    IObjectFeatureInstanceDeclaration
 * 
 * Created on 24.02.2004
 * @author herrler
 */

public abstract class AbstractFeaturePlusAllDeclaration extends AbstractFeaturePlusObjectFeatureClassDeclaration implements IObjectFeatureInstanceDeclaration {
	public AbstractFeaturePlusAllDeclaration(String name) {
		super(name);
	}
	
	public IObjectFeatureInstanceDeclaration createObjectFeatureInstanceDeclaration() {
		return this;
	}

	public abstract IObjectFeature createObjectFeature(IObjectCreateFunctionArgs createObjectFunctionArgs);


	public IObjectFeatureClassDeclaration getObjectFeatureClassDeclaration() {
		return this;
	}
}
