package de.uniwue.ki.mas.basics.feature;
import java.util.Iterator;

import de.uniwue.ki.mas.entity.object.IObjectInstanceDeclaration;
import de.uniwue.ki.mas.util.declaration.IDeclaration;

/**
 * Creation date: (22.10.2001 12:50:02)
 * @author Christoph Oechslein
 */
public interface IObjectFeatureClassDeclaration extends IDeclaration {
	IObjectFeatureInstanceDeclaration createObjectFeatureInstanceDeclaration(IObjectInstanceDeclaration objectInstanceDeclaration);

	IFeatureClassDeclaration getFeatureClassDeclaration();

	/**
	 * Returns the {@link de.uniwue.ki.mas.model.basics.function.IFunctionDeclaration function declarations}
	 * of this feature declaration.
	 */
	Iterator getFunctionDeclarations();

	/**
	 * Returns the {@link de.uniwue.ki.mas.model.entity.variableclass.IVariableClassDeclaration variable class declaration}
	 * of this feature declaration.
	 */
	Iterator getVariableClassDeclarations();
}