package de.uniwue.ki.mas.basics.feature;
import de.uniwue.ki.mas.basics.functionDeclaration.list.FunctionDeclarationListManager;
import de.uniwue.ki.mas.entity.objectclass.IObjectClassDeclaration;

/**
 * Creation date: (25.02.2002 13:49:00)
 * @author Christoph Oechslein
 */

public final class StandardFunctionsBuildinFeatureClassDeclaration extends BuildinFeatureClassDeclaration {
	private static final StandardFunctionsBuildinFeatureClassDeclaration _instance =
		new StandardFunctionsBuildinFeatureClassDeclaration();

	protected StandardFunctionsBuildinFeatureClassDeclaration() {
		super(
			"Standard Functions",
			FunctionDeclarationListManager.getDefaultFunctionDeclarationList(),
			FunctionDeclarationListManager.getDefaultFunctionDeclarationList());
	}

	public boolean canBeRemoved(boolean recursive) {
		return false;
	}

	public static final StandardFunctionsBuildinFeatureClassDeclaration getInstance() {
		return _instance;
	}

	public boolean isDefaultFeatureClassDeclarationFor(IObjectClassDeclaration objectClassDeclaration) {
		return true;
	}
}