package de.uniwue.ki.mas.basics.feature;
import de.uniwue.ki.mas.basics.functionDeclaration.list.FunctionDeclarationListManager;
import de.uniwue.ki.mas.entity.objectclass.IObjectClassDeclaration;

/**
 * Creation date: (25.02.2002 13:54:08)
 * @author Christoph Oechslein
 */

public final class StandardObjectFunctionsBuildinFeatureClassDeclaration
	extends BuildinFeatureClassDeclaration {
	private static final StandardObjectFunctionsBuildinFeatureClassDeclaration _instance =
		new StandardObjectFunctionsBuildinFeatureClassDeclaration();

	protected StandardObjectFunctionsBuildinFeatureClassDeclaration() {
		super(
			"Standard Object Functions",
			FunctionDeclarationListManager.getDefaultObjectFunctionDeclarationList(),
			FunctionDeclarationListManager.getDefaultObjectFunctionDeclarationList());
	}

	public boolean canBeRemoved(boolean recursive) {
		return false;
	}

	public static final StandardObjectFunctionsBuildinFeatureClassDeclaration getInstance() {
		return _instance;
	}

	public boolean isDefaultFeatureClassDeclarationFor(IObjectClassDeclaration objectClassDeclaration) {
		return true;
	}
}