/*
 * Created on 25.02.2004
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
package de.uniwue.ki.mas.basics.feature.focus;

import javax.swing.JLabel;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

import de.uniwue.ki.gui.util.JDisposeablePanel;


class FocusFeatureRenderer extends JDisposeablePanel implements ChangeListener {
	final JLabel label = new JLabel();
	final FocusObjectFeature feature;
	FocusFeatureRenderer(FocusObjectFeature feature) {
		this.feature = feature;
		stateChanged(null);
		add(label);
		feature.addChangeListener(this);
	}
	public void stateChanged(ChangeEvent e) {
		if (feature.getFocusedObject() != null)
			label.setText(feature.getFocusedObject().getName());
		else
			label.setText("nothing in focus");
	}
}