package de.uniwue.ki.mas.basics.feature.spatial.function;
import de.uniwue.ki.mas.basics.function.IFunction;
import de.uniwue.ki.mas.basics.type.DoubleType;

/**
 * Creation date: (04.09.2001 13:15:18)
 * @author Christoph Oechslein
 */

final class ChangeDirectionBySpecificFunctionDeclaration
	extends AbstractChangeAnySpatialFeatureSpecificFunctionDeclaration {

	public ChangeDirectionBySpecificFunctionDeclaration(boolean hasSpatialInfo) {
		super(
			hasSpatialInfo,
			"ChangeDirectionBy",
			DoubleType.getInstance(),
			"Changes the direction of the given spatial info by the given value.");
	}

	protected IFunction createNewFunction(IFunction spatialInfoFunction, IFunction changeFunction) {
		return new ChangeDirectionByFunction(spatialInfoFunction, changeFunction);
	}
}