package de.uniwue.ki.mas.basics.feature.spatial.function;
import de.uniwue.ki.mas.basics.function.IFunction;
import de.uniwue.ki.mas.basics.type.DoubleType;

/**
 * Creation date: (04.09.2001 13:14:28)
 * @author Christoph Oechslein
 */

final class ChangeDirectionToSpecificFunctionDeclaration
	extends AbstractChangeAnySpatialFeatureSpecificFunctionDeclaration {

	public ChangeDirectionToSpecificFunctionDeclaration(boolean hasSpatialInfo) {
		super(
			hasSpatialInfo,
			"ChangeDirectionTo",
			DoubleType.getInstance(),
			"Changes the direction of the given spatial info to the given value.");
	}

	protected IFunction createNewFunction(IFunction spatialInfoFunction, IFunction changeFunction) {
		return new ChangeDirectionToFunction(spatialInfoFunction, changeFunction);
	}
}