package de.uniwue.ki.mas.basics.feature.spatial.function;

import de.uniwue.ki.mas.basics.feature.spatial.ISpatialInfo;
import de.uniwue.ki.mas.basics.feature.spatial.ISpatialMapModel;
import de.uniwue.ki.mas.basics.function.IFunction;

/**
 * @author oechslein
 * 
 * Creation date: 07.05.2003
 */
final class ChangeRadiusByFunction extends AbstractChangeFunction {
	public ChangeRadiusByFunction(IFunction spatialFunction, IFunction changeFunction) {
		super(spatialFunction, changeFunction);
	}

	protected void changeSpatialInfo(ISpatialMapModel mapModel, ISpatialInfo spatialInfo, double change) {
		mapModel.changeRadius(spatialInfo, spatialInfo.getRadius() + change);
	}

	protected String getFunctionName() {
		return "ChangeRadiusBy";
	}

}
