package de.uniwue.ki.mas.basics.feature.spatial.function;
import de.uniwue.ki.mas.basics.function.IFunction;
import de.uniwue.ki.mas.basics.type.DoubleType;

/**
 * Creation date: (04.09.2001 13:13:41)
 * @author Christoph Oechslein
 */

final class ChangeRadiusToSpecificFunctionDeclaration
	extends AbstractChangeAnySpatialFeatureSpecificFunctionDeclaration {

	public ChangeRadiusToSpecificFunctionDeclaration(boolean hasSpatialInfo) {
		super(
			hasSpatialInfo,
			"ChangeRadiusTo",
			DoubleType.getInstance(),
			"Changes the radius of the given spatial info to the given value.");
	}

	protected IFunction createNewFunction(IFunction spatialInfoFunction, IFunction changeFunction) {
		return new ChangeRadiusToFunction(spatialInfoFunction, changeFunction);
	}
}