package de.uniwue.ki.mas.basics.feature.spatial.function;
import de.uniwue.ki.mas.basics.function.IFunction;
import de.uniwue.ki.mas.basics.type.DoubleType;

/**
 * Creation date: (04.09.2001 13:13:41)
 * @author Christoph Oechslein
 */

final class ChangeSpeedBySpecificFunctionDeclaration
	extends AbstractChangeAnySpatialFeatureSpecificFunctionDeclaration {

	public ChangeSpeedBySpecificFunctionDeclaration(boolean hasSpatialInfo) {
		super(
			hasSpatialInfo,
			"ChangeSpeedBy",
			DoubleType.getInstance(),
			"Changes the speed of the given spatial info by the given value.");
	}

	protected IFunction createNewFunction(IFunction spatialInfoFunction, IFunction changeFunction) {
		return new ChangeSpeedByFunction(spatialInfoFunction, changeFunction);
	}
}