package de.uniwue.ki.mas.basics.feature.spatial.function;
import de.uniwue.ki.mas.basics.feature.spatial.ImageType;
import de.uniwue.ki.mas.basics.function.*;
import de.uniwue.ki.mas.basics.functionDeclaration.AbstractSpecificFunctionUnlimitedArgsDeclaration;
import de.uniwue.ki.mas.model.ModelCompilingException;

/**
 * Creation date: (18.10.2001 16:30:55)
 * @author Christoph Oechslein
 */

final class CreateOverlayImageSpecificFunctionDeclaration
	extends AbstractSpecificFunctionUnlimitedArgsDeclaration {
		
	public CreateOverlayImageSpecificFunctionDeclaration() {
		super("CreateOverlayImage", ImageType.getInstance(), ImageType.getInstance(), 2, true);

		setDocumentation("Creates a new image which is the overlay of the given images (last on top).");
		setExpertFunctionDeclaration(true);
	}

	public IFunction createFunction(ICreateFunctionArgs createFunctionArgs, IFunctionList functions)
		throws ModelCompilingException {

		return new CreateOverlayImageFunction(functions);
	}
}