package de.uniwue.ki.mas.basics.feature.spatial.function;
import de.uniwue.ki.mas.basics.feature.spatial.ISpatialInfo;
import de.uniwue.ki.mas.basics.function.IFunction;

/**
 * Creation date: (04.09.2001 15:46:50)
 * @author Christoph Oechslein
 */

final class GetDirectionInDegree extends AbstractGetDoubleFunction {
	public GetDirectionInDegree(IFunction spatialInfoFunction) {
		super(spatialInfoFunction);
	}

	protected double getInfo(ISpatialInfo spatialInfo) {
		return Math.toDegrees(spatialInfo.getDirection());
	}

	protected String getFunctionName() {
		return "GetDirection";
	}
}