package de.uniwue.ki.mas.basics.feature.spatial.function;
import de.uniwue.ki.mas.basics.function.IFunction;

/**
 * Creation date: (08.01.2002 15:27:57)
 * @author Christoph Oechslein
 */

final class GetDirectionInDegreeSpecificFunctionDeclaration
	extends AbstractGetAnySpatialFeatureSpecificFunctionDeclaration {

	public GetDirectionInDegreeSpecificFunctionDeclaration(boolean hasSpatialFeature) {
		super(hasSpatialFeature, "GetDirection", "Returns the direction of the given spatial info");
	}

	protected IFunction createNewFunction(IFunction spatialFunction) {
		return new GetDirectionInDegree(spatialFunction);
	}
}
