package de.uniwue.ki.mas.basics.feature.spatial.function;
import de.uniwue.ki.mas.basics.feature.spatial.ImageType;
import de.uniwue.ki.mas.basics.function.IFunction;

/**
 * Creation date: (18.10.2001 16:30:55)
 * @author Christoph Oechslein
 */

final class GetImageSpecificFunctionDeclaration
	extends AbstractGetAnySpatialFeatureSpecificFunctionDeclaration {
		
	public GetImageSpecificFunctionDeclaration(boolean hasSpatialFeature) {
		super(hasSpatialFeature, "GetImage", ImageType.getInstance(), "Returns the image of the given spatial info");
	}

	protected IFunction createNewFunction(IFunction spatialFunction) {
		return new GetImageFunction(spatialFunction);
	}
}