package de.uniwue.ki.mas.basics.feature.spatial.function;
import de.uniwue.ki.mas.basics.function.IFunction;

/**
 * Creation date: (08.01.2002 15:28:24)
 * @author Christoph Oechslein
 */

final class GetRadiusSpecificFunctionDeclaration
	extends AbstractGetAnySpatialFeatureSpecificFunctionDeclaration {

	public GetRadiusSpecificFunctionDeclaration(boolean hasSpatialFeature) {
		super(hasSpatialFeature, "GetRadius", "Returns the radius of the given spatial info");
	}

	protected IFunction createNewFunction(IFunction spatialFunction) {
		return new GetRadiusFunction(spatialFunction);
	}
}