package de.uniwue.ki.mas.basics.feature.user;
import de.uniwue.ki.mas.basics.featureList.FeatureClassDeclarationList;
import de.uniwue.ki.mas.basics.featureList.IFeatureClassDeclarationList;
/**
 * Creation date: (16.11.2001 13:28:59)
 * @author Christoph Oechslein
 */
public class UserFeatureClassDeclarationList
	extends FeatureClassDeclarationList
	implements IFeatureClassDeclarationList {

	public UserFeatureClassDeclarationList() {
		super();
	}

	/**
	 * @return String
	 * @see de.uniwue.ki.util.INamed#getName()
	 */
	public String getName() {
		return "User Features";
	}

	/**
	 * @param declaration Object
	 * @return boolean
	 * @see de.uniwue.ki.util.IMutableListModel#accept(Object)
	 */
	public boolean accept(Object declaration) {
		return declaration instanceof IUserFeatureClassDeclaration;
	}
}