package de.uniwue.ki.mas.basics.feature.user;
import de.uniwue.ki.mas.basics.featureList.IFeatureClassDeclarationList;
import de.uniwue.ki.mas.util.declaration.DefaultDeclarationListAndFactory;

/**
 * Creation date: (14.11.2001 11:02:00)
 * @author Christoph Oechslein
 */
public class UserFeatureClassDeclarationListAndFactory extends DefaultDeclarationListAndFactory {
	public UserFeatureClassDeclarationListAndFactory() {

		this(new UserFeatureClassDeclarationList(), new UserFeatureClassDeclarationFactory());
	}

	public UserFeatureClassDeclarationListAndFactory(
		IFeatureClassDeclarationList userFeatureClassDeclarationList,
		UserFeatureClassDeclarationFactory userFeatureClassDeclarationFactory) {

		super(userFeatureClassDeclarationList, userFeatureClassDeclarationFactory);
	}

	/**
	 * @return UserFeatureClassDeclarationFactory
	 */
	public UserFeatureClassDeclarationFactory getUserFeatureClassDeclarationFactory() {
		return (UserFeatureClassDeclarationFactory) getDeclarationFactory();
	}

	/**
	 * @return UserFeatureClassDeclarationList
	 */
	public UserFeatureClassDeclarationList getUserFeatureClassDeclarationList() {
		return (UserFeatureClassDeclarationList) getDeclarationList();
	}
}