package de.uniwue.ki.mas.basics.function;
import java.util.Iterator;
/**
 * Creation date: (04.09.2001 15:46:50)
 * @author Christoph Oechslein
 */

public abstract class AbstractFunctionContainer extends AbstractFunction {
	private final IFunctionList _functions;

	public AbstractFunctionContainer(IFunctionList functions) {
		super();
		_functions = functions;
	}

	public final Iterator getFunctions() {
		return _functions.iterator();
	}

	public String getName() {
		return getFunName() + _functions.getName();
	}

	protected abstract String getFunName();
}