package de.uniwue.ki.mas.basics.function;
import java.util.Iterator;
import java.util.List;

import de.uniwue.ki.mas.basics.type.argument.Argument;
import de.uniwue.ki.util.collection.CollectionsHelper;
/**
 * Creation date: (16.01.2002 19:54:26)
 * @author Christoph Oechslein
 */

public class ObjectMapFunctionList extends AbstractMapFunctionList {


	public ObjectMapFunctionList(Iterator delegate) {
	   super(CollectionsHelper.asArrayList(delegate, true));
	}

	public ObjectMapFunctionList(List delegate) {
	    super(delegate);
	}

	protected final IFunction map(Object anObject) {
	    return new Argument(anObject);
	}
}