package de.uniwue.ki.mas.basics.function.iterator;
import de.uniwue.ki.mas.basics.function.IFunctionList;
import de.uniwue.ki.util.collection.CollectionsHelper;
import de.uniwue.ki.util.collection.IteratorWithException;
/**
 * Creation date: (04.09.2001 15:46:50)
 * @author Christoph Oechslein
 */

final class FunctionIteratorConcatenate extends AbstractIteratorFunctionContainer {

	public FunctionIteratorConcatenate(IFunctionList functions) {
		super(functions);
	}

	protected String getFunName() {
		return "Concatenate";
	}

	protected Object createFunction(IteratorWithException iterator) throws Exception {
		return CollectionsHelper.concatenateWithException(iterator);
	}
}