package de.uniwue.ki.mas.basics.function.iterator;
import de.uniwue.ki.mas.basics.function.IExecuteIterator;
import de.uniwue.ki.mas.basics.function.IFunction;
import de.uniwue.ki.util.collection.CollectionsHelper;
/**
 * Creation date: (04.09.2001 15:46:50)
 * @author Christoph Oechslein
 */

final class FunctionIteratorConcatenate2Args extends Abstract2ArgsIteratorFunction {
	public FunctionIteratorConcatenate2Args(IFunction functionA, IFunction functionB) {
		super(functionA, functionB);
	}

	protected String getFunName() {
		return "Concatenate";
	}

	protected Object createFunction(IExecuteIterator iteratorA, IExecuteIterator iteratorB)
		throws Exception {
		return CollectionsHelper.concatenateWithException(iteratorA, iteratorB);
	}
}