package de.uniwue.ki.mas.basics.function.iterator;
import de.uniwue.ki.mas.basics.function.*;
import de.uniwue.ki.mas.model.SimulationRuntimeException;
/**
 * Creation date: (04.09.2001 15:46:50)
 * @author Christoph Oechslein
 */

final class FunctionIteratorCreate extends AbstractFunction {
    private final IFunctionList _functions;


	public FunctionIteratorCreate(IFunctionList functions) {
	    super();
	
	    _functions = functions;
	}


	public Object execute(final IExecuteFunctionArgs executeFunctionArgs) throws SimulationRuntimeException {
		return mapFunctionsToObjects(executeFunctionArgs, _functions.iterator(),true);
	}


	public String getName() {
	    return "CreateIterator" + _functions.getName();
	}
}