// $id:$
package de.uniwue.ki.mas.basics.function.iterator;

import de.uniwue.ki.mas.basics.function.IFunctionList;
import de.uniwue.ki.util.collection.CollectionsHelper;
import de.uniwue.ki.util.collection.IteratorWithException;

/**
 * @author oechslein
 * 
 * Creation date: 13.05.2003
 */
public final class FunctionIteratorUnion extends AbstractIteratorFunctionContainer {
	public FunctionIteratorUnion(IFunctionList functions) {
		super(functions);
	}

	protected String getFunName() {
		return "Union";
	}

	protected Object createFunction(IteratorWithException iterator) throws Exception {
		return CollectionsHelper.unionWithException(iterator);
	}
}