// $id:$
package de.uniwue.ki.mas.basics.function.iterator;

import de.uniwue.ki.mas.basics.function.IExecuteIterator;
import de.uniwue.ki.mas.basics.function.IFunction;
import de.uniwue.ki.util.collection.CollectionsHelper;

/**
 * @author oechslein
 * 
 * Creation date: 13.05.2003
 */
public final class FunctionIteratorUnion2Args extends Abstract2ArgsIteratorFunction {
	public FunctionIteratorUnion2Args(IFunction functionA, IFunction functionB) {
		super(functionA, functionB);
	}

	protected String getFunName() {
		return "Union";
	}

	protected Object createFunction(IExecuteIterator iteratorA, IExecuteIterator iteratorB)
		throws Exception {
		return CollectionsHelper.unionWithException(iteratorA, iteratorB);
	}
}