package de.uniwue.ki.mas.basics.function.iterator;
import de.uniwue.ki.mas.basics.function.IFunction;
/**
 * Creation date: (18.12.2001 09:27:51)
 * @author Christoph Oechslein
 */
final class GetFirstGenericFunctionDeclaration extends AbstractGetAnyGenericFunctionDeclaration {

	public GetFirstGenericFunctionDeclaration() {
	    super("GetFirst");
	    
	    setDocumentation("Returns the first element of its Set");
	}

	protected IFunction generateFunction(IFunction function) {
	    return new FunctionIteratorGetFirst(function);
	}
}