package de.uniwue.ki.mas.basics.function.iterator;
import de.uniwue.ki.mas.basics.function.IFunction;
/**
 * Creation date: (18.12.2001 09:27:51)
 * @author Christoph Oechslein
 */
final class GetLastGenericFunctionDeclaration extends AbstractGetAnyGenericFunctionDeclaration {

	public GetLastGenericFunctionDeclaration() {
	    super("GetLast");
	    
	    setDocumentation("Returns the last element of its Set");
	}

	protected IFunction generateFunction(IFunction function) {
	    return new FunctionIteratorGetLast(function);
	}
}