package de.uniwue.ki.mas.basics.function.number;
import junit.framework.Assert;
import de.uniwue.ki.mas.basics.function.*;
import de.uniwue.ki.mas.basics.functionDeclaration.AbstractSpecificFunctionArgsDeclaration;
import de.uniwue.ki.mas.basics.type.ISpecificType;
import de.uniwue.ki.util.collection.CollectionsHelper;
/**
 * Creation date: 31.01.2003, 17:41:23
 * @author oechslein
 */
final class AbsSpecificFunctionDeclaration extends AbstractSpecificFunctionArgsDeclaration {

	public AbsSpecificFunctionDeclaration(ISpecificType specificType) {
		super("Abs", specificType, CollectionsHelper.createList(specificType));
	}

	public IFunction createFunction(ICreateFunctionArgs createFunctionArgs, IFunctionList functions) {
		Assert.assertEquals(1, functions.size());
		return new FunctionAbs(functions.getFunction(0));
	}
}