package de.uniwue.ki.mas.basics.function.object;
import junit.framework.Assert;
import de.uniwue.ki.mas.basics.function.*;
import de.uniwue.ki.mas.basics.functionDeclaration.AbstractSpecificFunctionArgsDeclaration;
import de.uniwue.ki.mas.basics.type.GenericSimObjectType;
import de.uniwue.ki.util.collection.CollectionsHelper;

/**
 * Creation date: 13.12.2002, 16:12:29
 * @author oechslein
 */
final class GetWorldSpecificFunctionDeclaration extends AbstractSpecificFunctionArgsDeclaration {
	public GetWorldSpecificFunctionDeclaration() {
		super("GetWorld", GenericSimObjectType.getGeneralSimObjectType(), CollectionsHelper.EMPTY_LIST, true);
		
		setDocumentation("Returns the body of the world");
	}

	public IFunction createFunction(ICreateFunctionArgs createFunctionArgs, IFunctionList functions) {
		if (Assert.ASSERTION_ON)
			Assert.assertEquals(0, functions.size());
		return GetWorldFunction.getInstance();
	}
}