package de.uniwue.ki.mas.basics.functionArgument;

import de.uniwue.ki.mas.basics.type.ISpecificType;
import de.uniwue.ki.mas.basics.type.argument.IArgument;
import de.uniwue.ki.mas.basics.type.argument.IArgumentDeclaration;
import de.uniwue.ki.mas.util.declaration.IDocumentableDeclaration;

public interface IFunctionArgumentDeclaration extends IDocumentableDeclaration, IArgumentDeclaration {
	IArgument getArgument();

	IFunctionArgument getFunctionArgument();

	int getReferencedAtomicFunInternCallDeclCount();

	void setSpecificType(ISpecificType newSpecificType);
	boolean canChangeSpecificTypeTo(ISpecificType newSpecificType);
}