package de.uniwue.ki.mas.basics.functionArgument;
import de.uniwue.ki.mas.basics.functionDeclaration.ISpecificFunctionDeclaration;
import de.uniwue.ki.mas.basics.type.ISpecificType;
import de.uniwue.ki.mas.util.declaration.IDocumentableDeclaration;

/**
 * The specific function declaration for user defined parametric functions.
 *
 * Creation date: (26.06.2001 14:35:36)
 * @author Christoph Oechslein
 */

public interface ISpecificFunctionDeclarationWithArgDeclBinds
	extends ISpecificFunctionDeclaration, IDocumentableDeclaration {

	IFunctionArgumentDeclarationList getFunctionArgumentDeclarationList();

	IParametricFunctionCallDeclaration getParametricFunctionCallDeclaration();

	ISpecificType getSpecificOutputType();

	void setSpecificOutputType(ISpecificType specificType);
}