package de.uniwue.ki.mas.basics.functionArgument;

import de.uniwue.ki.mas.basics.type.ISpecificType;
import de.uniwue.ki.mas.util.declaration.AbstractDeclarationFactory;
import de.uniwue.ki.mas.util.declaration.IDeclaration;

/**
 * Creation date: (04.09.2001 16:05:27)
 * @author Christoph Oechslein
 */

public final class SpecificFunctionDeclarationWithArgDeclBindsFactory extends AbstractDeclarationFactory {

	public static final SpecificFunctionDeclarationWithArgDeclBinds createSpecificFunctionDeclarationWithArgDeclBinds() {
		return new SpecificFunctionDeclarationWithArgDeclBinds();
	}

	public static final SpecificFunctionDeclarationWithArgDeclBinds createSpecificFunctionDeclarationWithArgDeclBinds(ISpecificType specificType) {
		return new SpecificFunctionDeclarationWithArgDeclBinds(specificType);
	}

	public IDeclaration createDeclaration() {
		return createSpecificFunctionDeclarationWithArgDeclBinds();
	}

	protected SpecificFunctionDeclarationWithArgDeclBindsFactory() {
		super();
	}
}
