package de.uniwue.ki.mas.basics.functionCall;

import de.uniwue.ki.mas.basics.type.argument.IArgumentDeclaration;

/**
 * A <code>IAtomicFunctionCallInternDeclaration</code> is a leaf of a {@link IFunctionCallDeclaration},
 * it consists of a {@link IArgumentDeclaration} .
 * Creation date: (17.05.00 13:50:21)
 *
 * @author Christoph Oechslein
 */

public interface IAtomicFunctionCallInternDeclaration extends IFunctionCallInternDeclaration {

/**
 * Returns the argument declaration.*
 *
 * @directed
 * @link aggregationByValue
 * @label argument declaration
 */

/*#de.uniwue.ki.mas.model.basics.type.IArgumentDeclaration lnkIArgumentSpecific;
*/

IArgumentDeclaration getArgumentDeclaration();
}
