package de.uniwue.ki.mas.basics.functionCall;

import java.beans.PropertyChangeListener;

import de.uniwue.ki.mas.util.declaration.IDocumentableDeclaration;
/**
 * Creation date: 04.09.2002, 18:40:19
 * @author oechslein
 */
public interface INamedFunctionCallDeclaration extends IFunctionCallDeclaration, IDocumentableDeclaration {

	/**
	 * Adds property change listener.
	 *
	 * @see #removePropertyChangeListener(PropertyChangeListener)
	 */
	void addPropertyChangeListener(PropertyChangeListener listener);

	/**
	 * Removes property change listener.
	 *
	 * @see #addPropertyChangeListener(PropertyChangeListener)
	 */

	void removePropertyChangeListener(PropertyChangeListener listener);
}
