/*
 * Created on 21.11.2003
 */
package de.uniwue.ki.mas.basics.functionDeclaration.list;

import junit.framework.Assert;
import de.uniwue.ki.mas.basics.functionDeclaration.IFunctionDeclaration;
import de.uniwue.ki.util.functions.IPredicateFunction;

/**
 * @author herrler
 */
public class FunctionDeclarationNameFilter implements IPredicateFunction {
	String _filterString;

	public FunctionDeclarationNameFilter(String filterString) {
		_filterString = filterString;
	}

	public boolean isElementOk(Object obj) throws Exception {
		if (obj instanceof IFunctionDeclaration) {
		    Assert.assertNotNull(obj+" has no shortDescription", ((IFunctionDeclaration)obj).getShortDescription());
			return ((IFunctionDeclaration)obj).getShortDescription().toLowerCase().startsWith(
				_filterString.toLowerCase());
		} else
			return false;
	}
}
