/*
 * Created on 21.11.2003
 */
package de.uniwue.ki.mas.basics.functionDeclaration.list;

import de.uniwue.ki.mas.basics.functionDeclaration.IGenericFunctionDeclaration;
import de.uniwue.ki.mas.basics.type.ISpecificType;
import de.uniwue.ki.mas.model.ISeSAmDeclaration;
import de.uniwue.ki.util.functions.IPredicateFunction;

/**
 * @author herrler
 */
public class FunctionDeclarationOutputTypeFilter implements IPredicateFunction {
	ISpecificType _specificType;
	ISeSAmDeclaration _seSAmDeclaration;

	public FunctionDeclarationOutputTypeFilter(ISpecificType specificType,ISeSAmDeclaration seSAmDeclaration) {
		_specificType = specificType;
		_seSAmDeclaration = seSAmDeclaration;
	}

	public boolean isElementOk(Object obj) throws Exception {
		if (obj instanceof IGenericFunctionDeclaration) {
		    return ((IGenericFunctionDeclaration)obj).canCreateFunctionDeclarationWith(_seSAmDeclaration,_specificType);
		} else
			return true;
	}
}
