package de.uniwue.ki.mas.basics.functionDeclaration.list;

import java.util.Iterator;
import java.util.List;

import de.uniwue.ki.mas.basics.functionDeclaration.ISpecificFunctionDeclaration;
import de.uniwue.ki.mas.basics.type.ISpecificType;
import de.uniwue.ki.mas.util.declaration.IDeclarationList;

/**
 * Creation date: 01.08.2002, 10:31:40
 * @author oechslein
 */
public interface IFunctionDeclarationList extends IDeclarationList, IFunctionDeclarationListAble {
	ISpecificFunctionDeclaration getSpecificFunctionDeclaration(String name, ISpecificType outputType);

	ISpecificFunctionDeclaration getSpecificFunctionDeclaration(
		String name,
		ISpecificType outputType,
		List inputTypes);

	Iterator getFunctionDeclarations(ISpecificType outputType);
}
