package de.uniwue.ki.mas.basics.type;

import java.util.Map;

import de.uniwue.ki.util.Utils;
import de.uniwue.ki.util.copy.ICopyable;

/**
 * @author oechslein
 * 
 * Creation date: 18.07.2003
 */
public abstract class AbstractCopyAbleSpecificType extends AbstractSpecificType {
	public ICopyable copy(Map objectMapping) {
		ICopyable newObject = createInstance(objectMapping);
		copyInto(newObject, objectMapping);
		return newObject;
	}

	protected ICopyable createInstance(Map objectMapping) {
		return (ICopyable)Utils.newInstanceOf(this);
	}

	public void copyInto(Object dstObject, Map objectMapping) {
	}
}
