package de.uniwue.ki.mas.basics.type.composed;

import java.io.Serializable;

import de.uniwue.ki.mas.model.SimulationRuntimeException;
import de.uniwue.ki.util.IRemoveable;
import de.uniwue.ki.util.copy.ICopyable;
import de.uniwue.ki.util.name.INamed;

/**
 * Creation date: 19.06.2002, 09:39:26
 * @author oechslein
 */
public interface IComposedTypeValue extends IRemoveable, ICopyable, INamed, Serializable {
	
	Object getAttributeValue(int i) throws SimulationRuntimeException;

	void setAttributeValue(int i, Object value) throws SimulationRuntimeException;

	ISpecificComposedType getComposedType();
}
