/*
 * Created on 20.05.2003
 *
 */
package de.uniwue.ki.mas.basics.type.composed;

import java.util.Map;

import de.uniwue.ki.mas.basics.type.ObjectType;
import de.uniwue.ki.util.copy.ICopyable;

/**
 * The RootComposedType is default Father of all User defined 
 * composed Types
 *  
 * @author herrler
 */
public class RootComposedType extends AbstractSpecificComposedType {
	private static RootComposedType _instance = new RootComposedType();

	public static RootComposedType getInstance() {
		return _instance;
	}

	private RootComposedType() {
		super();
		ObjectType.getInstance().addSubType(this);
	}

	protected ICopyable createInstance(Map objectMapping) {
		throw new UnsupportedOperationException();
	}

	public String getName() {
		return "RootType";
	}
}
