package de.uniwue.ki.mas.basics.type.enum;
import de.uniwue.ki.mas.basics.functionDeclaration.list.FunctionDeclarationList;
import de.uniwue.ki.mas.basics.functionDeclaration.list.IFunctionDeclarationList;

/**
 * Creation date: (20.11.2001 16:08:46)
 * @author Christoph Oechslein
 */

public final class FunctionDeclarationEnumTypeFactory {
	private static IFunctionDeclarationList _cachedFunctionDeclarationList = new FunctionDeclarationList();

	static {
		_cachedFunctionDeclarationList.add(
			new SwitchOnEnumerationGenericFunctionDeclarationWithUnspecificDependents());
	}

	public static void insertFunctions(IFunctionDeclarationList functionDeclarationList) {
		functionDeclarationList.addAll(_cachedFunctionDeclarationList);
	}

}