package de.uniwue.ki.mas.basics.type.user;

import de.uniwue.ki.mas.basics.type.ISpecificType;
import de.uniwue.ki.mas.basics.type.composed.SpecificComposedType;
import de.uniwue.ki.mas.basics.type.enum.SpecificEnumType;
import de.uniwue.ki.mas.util.declaration.IDocumentableDeclaration;

/**
 * Creation date: 04.07.2002, 13:55:19
 * @author oechslein
 */
public interface IUserTypeDeclaration extends IDocumentableDeclaration {
	boolean isComposedType();

	SpecificComposedType getSpecificComposedType();
	SpecificEnumType getSpecificEnumType();
	
	ISpecificType getSpecificType();
}
