package de.uniwue.ki.mas.basics.type.user;

import java.util.Iterator;

import de.uniwue.ki.mas.util.declaration.DefaultDeclarationList;

public class UserTypeDeclarationList extends DefaultDeclarationList {

	public UserTypeDeclarationList() {
		super();
	}

	public boolean accept(Object declaration) {
		return declaration instanceof IUserTypeDeclaration;
	}

	public String getName() {
		return "User Types";
	}

	public IUserTypeDeclaration getUserTypeDeclaration(boolean composed) {
		Iterator it = iterator();

		while (it.hasNext()) {
			IUserTypeDeclaration element = (IUserTypeDeclaration) it.next();
			if (element.isComposedType() == composed)
				return element;
		}

		return null;
	}
}
