package de.uniwue.ki.mas.behaviour.activityGraph;

import de.uniwue.ki.mas.basics.action.simulation.FunctionActionSuicide;
import de.uniwue.ki.mas.basics.function.IFunction;
import de.uniwue.ki.mas.behaviour.activityGraphDeclaration.IActivityGraphLeafDeclaration;

/**
 * Creation date: (14.09.2001 09:27:52)
 * @author Christoph Oechslein
 */
final class SuicideExitActivityGraphLeaf extends AbstractExitActivityGraphLeaf {

	public SuicideExitActivityGraphLeaf(IActivityGraphLeafDeclaration activityDeclaration) {
		super(activityDeclaration);
	}

	protected IFunction getFunctionAction() {
		return FunctionActionSuicide.getInstance();
	}

	public boolean isInstantly() {
		return false;
	}
}