package de.uniwue.ki.mas.behaviour.activityGraphDeclaration;
import de.uniwue.ki.mas.behaviour.activityGraph.ActivityFactory;
import de.uniwue.ki.mas.behaviour.activityGraph.IActivityGraphLeaf;
import de.uniwue.ki.mas.entity.object.IObjectCreateFunctionArgs;
import de.uniwue.ki.mas.model.ModelCompilingException;
import de.uniwue.ki.util.copy.ICopyable;
/**
 * Creation date: (13.03.2002 19:00:58)
 * @author Christoph Oechslein
 */

class DecisionGraphLeafDeclaration
	extends AbstractActivityGraphLeafDeclaration
	implements IDecisionGraphLeafDeclaration {

	public DecisionGraphLeafDeclaration(IActivityGraphDeclaration parentComposedActivityDeclaration) {
		super(parentComposedActivityDeclaration);
	}

	public IActivityGraphLeaf createActivityGraphLeaf(IObjectCreateFunctionArgs objectCreateFunctionArgs)
		throws ModelCompilingException {

		return ActivityFactory.createDecisionActivityGraphLeaf(this);
	}

	protected ICopyable createInstance(java.util.Map objectMapping) {
		return DecisionGraphLeafDeclarationFactory.createDecisionActivityGraphLeafDeclaration(
			getActivityGraphDeclaration());
	}

	public boolean isInstantly() {
		return true;
	}
}