package de.uniwue.ki.mas.behaviour.activityGraphDeclaration;
import mygale.mcge.net.INetEdge;
import de.uniwue.ki.mas.util.declaration.IDeclaration;

/**
 * @author herrler
 */

public interface IDeclarationNetEdge extends IDeclaration, INetEdge {

	IDeclarationNetNode getFromDeclarationNetNode();

	IDeclarationNetNode getToDeclarationNetNode();

	/**
	 * Only set from activity and don't add to port, this had to be done by calling setBeginPort(fromActivityDeclaration.getChainRulePort());
	 */
	void setFromDeclarationNetNode(IDeclarationNetNode declaration);

	/**
	 * Only set to activity and don't add to port, this had to be done by calling setEndPort(toActivityDeclaration.getChainRulePort());
	 */
	void setToDeclarationNetNode(IDeclarationNetNode declaration);
}