/**
 * Created on 11.02.2003
 *
 * This class is responsible for //insert purpose here//
 * 
 * @author glueckselig
 */
package de.uniwue.ki.mas.behaviour.rule;

import java.util.Map;

import de.uniwue.ki.util.copy.ICopyable;

public class DocumentGraphEdgeDeclaration
	extends AbstractActivityGraphEdgeDeclaration
	implements IGraphDocumentEdgeDeclaration {

	private String _name;

	public DocumentGraphEdgeDeclaration() {
		super();

		_name = "";
	}

	protected ICopyable createInstance(Map objectMapping) {
		return new DocumentGraphEdgeDeclaration();
	}

	public void copyInto(Object dstObject, Map objectMapping) {
				
		((DocumentGraphEdgeDeclaration)dstObject).setName(getName());		
	}


	public String getName() {
		return _name;
	}

	public void setName(String name) {
		_name = name;
		
		fireStateChanged();
	}
}
