package de.uniwue.ki.mas.behaviour.rule;

import de.uniwue.ki.mas.behaviour.activityGraph.IActivityGraphLeaf;
import de.uniwue.ki.mas.entity.object.IObjectExecuteFunctionArgs;

/**
 * Enhance <code>IRule</code> by adding a then result part:
 * Getting an {@link IActivityGraphLeaf}.
 * <BR>Creation date: (11.05.00 18:08:29)
 *
 * @author Christoph Oechslein
 */
public interface IActivityGraphRule extends IRule {

	/**
	 * If {@link IRule#isExecuteableProbability(IObjectExecuteFunctionArgs)} returns true,
	 * the rule returns an <code>IAtomicActivity</code>.
	 */
	IActivityGraphLeaf getActivityGraphLeaf();
}
