package de.uniwue.ki.mas.entity.object;
import java.util.Map;

import de.uniwue.ki.mas.entity.objectclass.IRessourceClassDeclaration;
import de.uniwue.ki.util.copy.ICopyable;
/**
 * Creation date: (22.01.2002 17:09:53)
 * @author Christoph Oechslein
 */
public class RessourceInstanceDeclaration
	extends AbstractObjectInstanceDeclaration
	implements IRessourceInstanceDeclaration {

	public RessourceInstanceDeclaration(IRessourceClassDeclaration ressourceClassDeclaration) {
		super(ressourceClassDeclaration);

		initObjectFeatureInstanceDeclarationList(ressourceClassDeclaration);
	}

	protected ICopyable createInstance(Map objectMapping) {
		return RessourceInstanceDeclarationFactory.createRessourceInstanceDeclaration(
			(IRessourceClassDeclaration) getObjectClassDeclaration());
	}

	public IObject createObject(IObjectCreateFunctionArgs objectCreateFunctionArgs) {
		return new RessourceObject(this, objectCreateFunctionArgs);
	}
}