package de.uniwue.ki.mas.entity.object.agent;
import java.util.Map;

import de.uniwue.ki.mas.entity.objectclass.agentclass.IActivityAgentClassDeclaration;
import de.uniwue.ki.util.copy.ICopyable;

/**
 * Creation date: (22.01.2002 19:02:38)
 * @author Christoph Oechslein
 */

class ActivityAgentInstanceDeclaration
	extends AbstractActivityAgentInstanceDeclaration
	implements IActivityAgentInstanceDeclaration {

	/**
	 * @param activityAgentClassDeclaration IActivityAgentClassDeclaration
	 */
	public ActivityAgentInstanceDeclaration(IActivityAgentClassDeclaration activityAgentClassDeclaration) {
		super(activityAgentClassDeclaration);

		initObjectFeatureInstanceDeclarationList(activityAgentClassDeclaration);
	}

	protected ICopyable createInstance(Map objectMapping) {
		return ActivityAgentInstanceDeclarationFactory.createActivityAgentInstanceDeclaration(
			getActivityAgentClassDeclaration());
	}
}