package de.uniwue.ki.mas.entity.object.agent;

import de.uniwue.ki.mas.behaviour.activityGraph.IActivityGraphLeaf;
import de.uniwue.ki.mas.sim.listener.IAgentsActivityListener;
/**
* Object executing binding.
* Creation date: (06.12.2000 15:36:44)
*
* @author Christoph Oechslein
*/
public interface IActivityAgentExecuteFunctionArgs extends IAgentExecuteFunctionArgs {

	void fireStartsReasoning(IActivityAgent agent, int currActivityReasoningEngineIndex);
	void fireFinishedReasoning(IActivityAgent agent, int currActivityReasoningEngineIndex);

	void fireStartsActing(IActivityAgent agent, int currActivityReasoningEngineIndex);
	void fireFinishedActing(IActivityAgent agent, int currActivityReasoningEngineIndex);

	void fireCurrentActivityChanged(
		IActivityAgent agent,
		IActivityGraphLeaf oldActivity,
		IActivityGraphLeaf newActivity,
		int currActivityReasoningEngineIndex);

	void addAgentsActivityListener(IAgentsActivityListener objectsListener);

	void removeAgentsActivityListener(IAgentsActivityListener objectsListener);

	boolean hasAgentsActivityListener();
}
