package de.uniwue.ki.mas.entity.object.agent;

import de.uniwue.ki.mas.basics.function.IFunction;
import de.uniwue.ki.mas.entity.object.IObjectExecuteFunctionArgs;
import de.uniwue.ki.mas.sim.listener.IActivityAgentsListener;
import de.uniwue.ki.mas.sim.listener.IAgentsActionListener;
/**
* Object executing binding.
* Creation date: (06.12.2000 15:36:44)
*
* @author Christoph Oechslein
*/
public interface IAgentExecuteFunctionArgs extends IObjectExecuteFunctionArgs {

	void fireCurrentActionChanged(IAgent agent, IFunction oldAction, IFunction newAction);

	void addAgentsListener(IActivityAgentsListener objectsListener);

	void removeAgentsListener(IActivityAgentsListener objectsListener);

	boolean hasAgentsListener();

	void addAgentsActionListener(IAgentsActionListener objectsListener);

	void removeAgentsActionListener(IAgentsActionListener objectsListener);

	boolean hasAgentsActionListener();
}
