package de.uniwue.ki.mas.entity.object.world;

import de.uniwue.ki.mas.entity.object.agent.IActivityAgentInstanceDeclaration;
import de.uniwue.ki.mas.entity.objectclass.agentclass.IActivityWorldClassDeclaration;

/**
  * An instance of {@link IActivityWorldClassDeclaration activity world class declaration}.
  * Creation date: (02.11.2000 14:48:44)
  *
  * @author Christoph Oechslein
  */

public interface IActivityWorldInstanceDeclaration
	extends IActivityAgentInstanceDeclaration, IWorldInstanceDeclaration {

	/**
	 * Returns declaration.
	 *
	 * @see getWorldClassDeclaration
	 */
	IActivityWorldClassDeclaration getActivityWorldClassDeclaration();
}
