package de.uniwue.ki.mas.entity.object.world;
import de.uniwue.ki.mas.entity.object.IObjectInstanceDeclaration;
import de.uniwue.ki.mas.entity.object.ObjectInstanceDeclarationList;
import de.uniwue.ki.mas.entity.object.agent.IAgentInstanceDeclaration;
import de.uniwue.ki.mas.entity.objectclass.worldclass.IWorldClassDeclaration;
/**
* An <code>IWorldInstanceDeclaration</code> is an instance of an {@link IWorldClassDeclaration}.
* Creation date: (30.10.2000 10:39:18)
*
* @author Christoph Oechslein
*/
public interface IWorldInstanceDeclaration extends IAgentInstanceDeclaration {

	/**
	 * Returns list of {@link IObjectInstanceDeclaration ObjectInstanceDeclarations}.
	 */

	ObjectInstanceDeclarationList getObjectInstanceDeclarationList();

	/**
	 * Returns declaration.
	 *
	 * @see #getObjectClassDeclaration()
	 */
	IWorldClassDeclaration getWorldClassDeclaration();
}