package de.uniwue.ki.mas.entity.object.world;

import de.uniwue.ki.mas.entity.object.agent.IAgentInstanceDeclarationFactory;

/*
 * Factory for creating {@link IWorldInstanceDeclaration IWorldInstanceDeclarations}.
 * Creation date: (02.11.2000 18:52:57)
 *
 * @author Christoph Oechslein
 */
public interface IWorldInstanceDeclarationFactory extends IAgentInstanceDeclarationFactory {

/**
 * Creates a new <code>IWorldInstanceDeclaration</code> object.
 *
 * @directed
 * @label creates
 */

/*# IWorldInstanceDeclaration lnkIWorldInstanceDeclaration;*/

IWorldInstanceDeclaration createWorldInstanceDeclaration();
}