package de.uniwue.ki.mas.entity.object.world;

import java.io.Serializable;
import java.util.EventListener;
/**
 * Creation date: 04.09.2002, 19:18:59
 * @author oechslein
 */
public interface WorldListener extends EventListener, Serializable {

	/**
	 * A new object was added to the world.
	 *
	 * @param event de.uniwue.ki.mas.model.entity.object.WorldEvent
	 */
	void addedObject(WorldEvent event);

	/**
	 * An object was removed from the world.
	 *
	 * @param event de.uniwue.ki.mas.model.entity.object.WorldEvent
	 */
	void removedObject(WorldEvent event);
}
