package de.uniwue.ki.mas.entity.objectclass;
import de.uniwue.ki.mas.entity.bodyclass.BodyClassDeclarationFactory;
import de.uniwue.ki.mas.entity.object.IObjectInstanceDeclaration;
import de.uniwue.ki.mas.entity.object.RessourceInstanceDeclaration;
/**
 * Creation date: (22.01.2002 17:19:26)
 * @author Christoph Oechslein
 */
public class RessourceClassDeclaration
	extends AbstractObjectClassDeclaration
	implements IRessourceClassDeclaration {
	public RessourceClassDeclaration() {
		super(BodyClassDeclarationFactory.createBodyClassDeclaration());

		setUsesShortDescription(true);
		setShortDescription("Untitled Ressource Class");
	}

	public IObjectInstanceDeclaration createObjectInstanceDeclaration() {
		return new RessourceInstanceDeclaration(this);
	}
}