package de.uniwue.ki.mas.entity.objectclass.agentclass;

import de.uniwue.ki.mas.entity.object.world.IActivityWorldInstanceDeclaration;
import de.uniwue.ki.mas.entity.objectclass.worldclass.IWorldClassDeclaration;

/**
 * An <code>IActivityWorldClassDeclaration</code> generates {@link IActivityWorldInstanceDeclaration}
 * and enhance <code>IWorldClassDeclaration</code> by specialicing type of the reasoning engine.
 * Creation date: (03.08.2000 16:14:49)
 *
 * @author Christoph Oechslein
 */

public interface IActivityWorldClassDeclaration
	extends IWorldClassDeclaration, IActivityAgentClassDeclaration {

/**
 * Creates a new <code>IActivityWorldInstanceDeclaration</code> object.
 */

IActivityWorldInstanceDeclaration createActivityWorldInstanceDeclaration();
}
