package de.uniwue.ki.mas.entity.variable;

import de.uniwue.ki.mas.entity.variableclass.IBodyVariableClassDeclaration;
import de.uniwue.ki.mas.util.declaration.AbstractDeclarationFactory;
import de.uniwue.ki.mas.util.declaration.IDeclaration;

/**
 * Creation date: (04.09.2001 16:05:27)
 * @author Christoph Oechslein
 */

public final class BodyVariableInstanceDeclarationFactory extends AbstractDeclarationFactory {
	private final IBodyVariableClassDeclaration bodyVariableClassDeclaration;

/**
 * @see de.uniwue.ki.mas.model.util.declaration.IDeclarationFactory
 */
public static final IBodyVariableInstanceDeclaration createBodyVariableInstanceDeclaration(IBodyVariableClassDeclaration bodyVariableClassDeclaration) {
   return new BodyVariableInstanceDeclaration(bodyVariableClassDeclaration);
}

/**
 * @see de.uniwue.ki.mas.model.util.declaration.IDeclarationFactory
 */
public final IBodyVariableInstanceDeclaration createBodyVariableInstanceDeclaration() {
   return createBodyVariableInstanceDeclaration(bodyVariableClassDeclaration);
}

/**
 * @see de.uniwue.ki.mas.model.util.declaration.IDeclarationFactory
 */
public final IDeclaration createDeclaration() {
   return createBodyVariableInstanceDeclaration();
}

/**
 * BodyVariableInstanceDeclarationFactory constructor comment.
 */
protected BodyVariableInstanceDeclarationFactory(IBodyVariableClassDeclaration bodyVariableClassDeclaration) {
    super();
    this.bodyVariableClassDeclaration = bodyVariableClassDeclaration;
}
}
