package de.uniwue.ki.mas.entity.variableclass;
import de.uniwue.ki.mas.util.declaration.AbstractDeclarationFactory;
import de.uniwue.ki.mas.util.declaration.IDeclaration;

/**
 * Creation date: (04.09.2001 16:05:27)
 * @author Christoph Oechslein
 */

public final class BodyVariableClassDeclarationFactory extends AbstractDeclarationFactory {
	private static final BodyVariableClassDeclarationFactory _instance = new BodyVariableClassDeclarationFactory();

public BodyVariableClassDeclarationFactory() {
   super();
}


public final IBodyVariableClassDeclaration createBodyVariableClassDeclaration() {
   return createBodyVariableClassDeclaration(VariableClassDeclarationFactory.getInstance().createVariableClassDeclaration());
}


public final IBodyVariableClassDeclaration createBodyVariableClassDeclaration(IVariableClassDeclaration variableClassDeclaration) {
    return variableClassDeclaration.createBodyVariableClassDeclaration();
}


public IDeclaration createDeclaration() {
   return createBodyVariableClassDeclaration();
}


public static final BodyVariableClassDeclarationFactory getInstance() {
	return _instance;
}
}