package de.uniwue.ki.mas.entity.variableclass;

import de.uniwue.ki.mas.basics.functionCall.IFunctionCallDeclaration;
import de.uniwue.ki.mas.basics.type.ISpecificType;

/**
 * Creation date: (19.11.2001 11:23:38)
 * @author Christoph Oechslein
 */
final class FeatureVariableClassDeclaration
	extends VariableClassDeclaration
	implements IFeatureVariableClassDeclaration {

	public FeatureVariableClassDeclaration() {
		super();
	}

	/**
	 * FeatureVariableClassDeclaration constructor comment.
	 * @param type de.uniwue.ki.mas.model.basics.type.ISpecificType
	 */
	public FeatureVariableClassDeclaration(ISpecificType type) {
		super(type);
	}

	/**
	 * FeatureVariableClassDeclaration constructor comment.
	 * @param type de.uniwue.ki.mas.model.basics.type.ISpecificType
	 * @param defaultValue de.uniwue.ki.mas.model.basics.functionCall.IFunctionCallDeclaration
	 */
	public FeatureVariableClassDeclaration(ISpecificType type, IFunctionCallDeclaration defaultValue) {
		super(type, defaultValue);
	}

	/**
	 * @return IBodyVariableClassDeclaration
	 * @see de.uniwue.ki.mas.entity.variableclass.IVariableClassDeclaration#createBodyVariableClassDeclaration()
	 */
	public IBodyVariableClassDeclaration createBodyVariableClassDeclaration() {
		return new BodyFeatureVariableClassDeclaration(this);
	}
}