package de.uniwue.ki.mas.model;
import de.uniwue.ki.mas.basics.feature.user.UserFeatureClassDeclarationListAndFactory;
import de.uniwue.ki.mas.basics.functionUser.UserFunctionDeclarationListAndFactory;
import de.uniwue.ki.mas.basics.type.user.UserTypeDeclarationListAndFactory;
import de.uniwue.ki.mas.util.declaration.IDeclaration;

/**
 * Encapsulate user defined functions, features and types.
 * @author Christoph Oechslein
 */
public interface ISeSAmModelBasicsDeclaration extends IDeclaration {
	void clear();

	UserFeatureClassDeclarationListAndFactory getUserFeatureClassDeclarationListAndFactory();

	UserFunctionDeclarationListAndFactory getUserFunctionDeclarationListAndFactory();

	UserTypeDeclarationListAndFactory getUserTypeDeclarationListAndFactory();
}