/**
 * Created on 27.01.2004
 *
 * This class is responsible for //insert purpose//.
 * 
 * @author glueckselig
 */
package de.uniwue.ki.mas.model.graph;

import de.uniwue.ki.mas.model.ISeSAmDeclaration;
import de.uniwue.ki.mas.util.declaration.DefaultDeclarationListAndFactory;

public class UMLLayoutGraphDeclarationListAndFactory
    extends DefaultDeclarationListAndFactory {

    private static UMLLayoutGraphDeclarationListAndFactory _instance;

    private UMLLayoutGraphDeclarationListAndFactory(ISeSAmDeclaration decl) {

        this(
            decl.getUMLGraphDeclerationList(),
            UMLLayoutGraphDeclarationFactory.getInstance(decl));
    }

    private UMLLayoutGraphDeclarationListAndFactory(
        UMLLayoutGraphDeclarationList declarationList,
        UMLLayoutGraphDeclarationFactory declarationFactory) {

        super(declarationList, declarationFactory);
    }

    public static UMLLayoutGraphDeclarationListAndFactory getInstance(ISeSAmDeclaration decl) {
        if (_instance == null) {

            _instance = new UMLLayoutGraphDeclarationListAndFactory(decl);
        }
        
        return _instance;
    }
    
    

}
