/**
 * Created on 10.07.2003
 *
 * This class is responsible for //insert purpose//.
 * 
 * @author glueckselig
 */
package de.uniwue.ki.mas.model.graph;

import mygale.mcge.net.DefaultNetEdge;

public class UMLLayoutGraphEdge extends DefaultNetEdge {

    private String _name; // the name of the edge - the string that gets drawn besides it.

    public UMLLayoutGraphEdge(IUMLLayoutGraphNode fromNode, IUMLLayoutGraphNode toNode, String name) {

        setBeginNode(fromNode);
        setEndNode(toNode);

        setName(name);
    }

    public String getName() {
        return _name;
    }

    public void setName(String name) {
        _name = name;
    }

}
