package de.uniwue.ki.mas.model.userInterface;

import java.util.ArrayList;

import de.uniwue.ki.mas.sim.simulation.ISimulationDeclaration;
import de.uniwue.ki.mas.util.declaration.IDocumentableDeclaration;

/**
 *  @author Hartmann
 *	01.03.2004
 */
public interface IUserInterfaceDeclaration extends IDocumentableDeclaration//, Collection
{
	/**
	 * Returns simulation declaration of this userInterface declaration
	 */

	ISimulationDeclaration getSimulationDeclaration();

	/** consists of InterfaceItemDeclarations*/
	ArrayList getInterfaceItemDeclarationList();

	/**
	 * Sets simulation declaration of this userInterface declaration
	 *
	 * @see #getSimulationDeclaration()
	 */
	void setSimulationDeclaration(ISimulationDeclaration simulationDeclaration);

}
