package de.uniwue.ki.mas.model.userInterface;

import de.uniwue.ki.mas.sim.simulation.ISimulation;
import de.uniwue.ki.mas.sim.simulation.ISimulationDeclaration;

/**
 *  @author Hartmann
 *	09.03.2004
 */

class UserInterface //extends AbstractUserInterface
 implements IUserInterface {
//	private final AnalysisList _analysisList;
//	private final IFunction _endFunction;
	private String _name;
//	private final IFunction _nameFunction;
	private IUserInterfaceDeclaration _userInterfaceDeclaration;
	private ISimulation _simulation;
//	private final ISimulationDeclaration _simulationDeclaration;
//	private final ISimulationStrategie _simulationsStrategie;
//	private final ISituation _situation;
//	private final boolean _testSimulation;
//	private final IFunction _duringTestAction;
//	private final IFunction _afterTestAction;
//
//	private final boolean _updateWorldBeforeAllObjects;

	public UserInterface(
		IUserInterfaceDeclaration userInterfaceDeclaration,
//		IFunction nameFunction,
		ISimulationDeclaration simulationDeclaration
//		ISimulationStrategie simulationsStrategie,
//		SimulationFunctionArgs simulationFunctionArgs
		)
//		throws ModelCompilingException
		{
//
//		super(simulationFunctionArgs);
//
//		getSimulationFunctionArgs().setSimulation(this);
//
//		_updateWorldBeforeAllObjects =
//			simulationDeclaration
//				.getSituationDeclaration()
//				.getWorldInstanceDeclaration()
//				.getWorldClassDeclaration()
//				.isUpdateBeforeAllObjects();
//
//		_nameFunction = nameFunction;
//
//		setName("Initializing ...");

		_userInterfaceDeclaration = userInterfaceDeclaration;
//		_simulationDeclaration = simulationDeclaration;
//		_simulationsStrategie = simulationsStrategie;

		//_simulation = getUserInterfaceDeclaration().getSimulationDeclaration().createSimulation();
//		_situation =
//			getSimulationDeclaration().getSituationDeclaration().createSituation(getSimulationFunctionArgs());
//
//		getSimulationFunctionArgs().setWorld(_situation.getWorld());
//		getSimulationFunctionArgs().setObject(_situation.getWorld());
//
//		_analysisList = createAnalysisList();
//
//		_endFunction = createEndFunction();
//		_duringTestAction = createDuringTestAction();
//		_afterTestAction = createAfterTestAction();
//		_testSimulation = simulationDeclaration.isTestSimulationDeclaration();
//
//		// we don't need it since we are already initialized !!
//
//		// must initialized since e.g. in a experiment we create a simulation
//		// then set variables of it and then we simulated
//
//		try {
//			initSimulation(false);
//
//		} catch (SimulationRuntimeException e) {
//			throw new ModelCompilingException(e);
//		}
	}

//	public UserInterface(
//		IFunction nameFunction,
//		ISimulationDeclaration simulationDeclaration,
//		SimulationFunctionArgs simulationFunctionArgs)
//		throws ModelCompilingException {
//
//		this(
//			nameFunction,
//			simulationDeclaration,
//			SimulationStrategieFactory.createSimulationStrategieSerial(),
//			simulationFunctionArgs);
//	}

//	protected void cleanup(Throwable exception) {
//		if (exception != null) {
//			fireSimulationFinished(exception);
//		}
//	}
//
//	private final IFunction createAfterTestAction() throws ModelCompilingException {
//		return createCombinedFunction(
//			getSimulationDeclaration().getAfterRunTestActionDefinitionList(),
//			FunctionActionRestDeclarationFactory.BLOCK_SPECIFIC_FUNCTION_DECL,
//			null);
//	}
//
//	private AnalysisList createAnalysisList() throws ModelCompilingException {
//		AnalysisList analysisList =
//			new AnalysisList(getSimulationDeclaration().getAnalysisDeclarationList().size());
//		Iterator it = getSimulationDeclaration().getAnalysisDeclarationList().iterator();
//
//		while (it.hasNext()) {
//			analysisList.add(((IAnalysisDeclaration)it.next()).createAnalysis(getSimulationFunctionArgs()));
//		}
//
//		return analysisList;
//	}
//
//	private IFunction createCombinedFunction(
//		IDeclarationList functionDeclarationList,
//		ISpecificFunctionDeclaration specificFunctionDecl,
//		Object noArgumentResult)
//		throws ModelCompilingException {
//
//		if (!functionDeclarationList.isEmpty()) {
//			Iterator functionCallDecls = functionDeclarationList.iterator();
//
//			Iterator functionCallInternDecls = CollectionsHelper.map(functionCallDecls, new IMapFunction() {
//				public Object map(Object obj) throws Exception {
//					return ((IFunctionCallDeclaration)obj).getFunctionCallInternDeclaration();
//				}
//			});
//
//			IComposedFunctionCallInternDeclaration resultFuncCallInternDecl =
//				FunctionCallDeclarationFactory.getInstance().createComposedFunctionCallInternDeclaration(
//					null,
//					specificFunctionDecl,
//					functionCallInternDecls);
//
//			IFunction resultFunction = resultFuncCallInternDecl.createFunction(getSimulationFunctionArgs());
//
//			functionCallDecls = functionDeclarationList.iterator();
//			while (functionCallDecls.hasNext()) {
//				IFunctionCallDeclaration element = (IFunctionCallDeclaration)functionCallDecls.next();
//				element.getFunctionCallInternDeclaration().setParent(null);
//			}
//
//			return resultFunction;
//
//		} else if (noArgumentResult == null) {
//			return null;
//
//		} else {
//			return new Argument(noArgumentResult);
//		}
//	}
//
//	private final IFunction createDuringTestAction() throws ModelCompilingException {
//		return createCombinedFunction(
//			getSimulationDeclaration().getDuringRunTestActionDefinitionList(),
//			FunctionActionRestDeclarationFactory.BLOCK_SPECIFIC_FUNCTION_DECL,
//			null);
//	}
//
//	private final IFunction createEndFunction() throws ModelCompilingException {
//		// or() would return true but we want false
//		Boolean noArgumentResult = Boolean.FALSE;
//
//		// compile with 'or' function so we automatically optimize it!
//		ISpecificFunctionDeclaration specificFunctionDecl =
//			FunctionDeclarationBoolFactory.OR_SPECIFIC_FUNCTION_DECLARATION;
//
//		return createCombinedFunction(
//			getSimulationDeclaration().getEndFunctionDeclarationListAndFactory().getDeclarationList(),
//			specificFunctionDecl,
//			noArgumentResult);
//	}
//
//	protected boolean endFunctionFired() throws SimulationRuntimeException {
//		return _endFunction.executeForBoolean(getSimulationFunctionArgs());
//	}
//
//	public final AnalysisList getAnalysisList() {
//		return _analysisList;
//	}

	public String getName() {
		return _name;
	}

	public IUserInterfaceDeclaration getUserInterfaceDeclaration()
	{
		return _userInterfaceDeclaration;
	}
//	public ISimulationDeclaration getSimulationDeclaration() {
//		return _simulationDeclaration;
//	}
//
//	public ISimulationStrategie getSimulationStrategie() {
//		return _simulationsStrategie;
//	}

	public ISimulation getSimulation()
	{
		return _simulation;
	}
//	public ISituation getSituation() {
//		return _situation;
//	}
//
//	protected void initSimulation(boolean withReset) throws SimulationRuntimeException {
//
//		Assert.assertEquals(getSimulationStatus(), SIMULATION_UNINITIALIZED);
//
//		super.initSimulation(withReset);
//
//		getSimulationFunctionArgs().setWorld(getSituation().getWorld());
//
//		if (withReset) {
//			getSituation().reset(getSimulationFunctionArgs());
//		}
//
//		setName((String)_nameFunction.execute(getSimulationFunctionArgs()));
//
//		initAnalysisList();
//	}
//
//	public boolean isTestSimulation() {
//		return _testSimulation;
//	}
//
//	public boolean isUpdateWorldBeforeAllObjects() {
//		return _updateWorldBeforeAllObjects;
//	}

	public void setName(String newName) {
		_name = newName;
	}

	/* (non-Javadoc)
	 * @see de.uniwue.ki.util.name.INamed#appendName(java.lang.StringBuffer, int, int)
	 */
	public void appendName(StringBuffer buff, int currDepth, int maxDepth) {
		// TODO Auto-generated method stub
		
	}

	/* (non-Javadoc)
	 * @see de.uniwue.ki.util.IRemoveable#remove()
	 */
	public void remove() {
		// TODO Auto-generated method stub
		
	}

//	//	long _sumOfObjects = -1;
//
//	protected void simulateOneStep() throws SimulationRuntimeException {
//
//		//		long startTime = System.currentTimeMillis();
//
//		getSimulationStrategie().simulateOneStep(getSimulationFunctionArgs());
//		analyseAnalysisList();
//
//		if (isTestSimulation() && (_duringTestAction != null)) {
//			_duringTestAction.act(getSimulationFunctionArgs());
//		}
//
//		//		int currTicks = getSituation().getTimeDurationInTicks();
//		//		int currObjectCount = getSituation().getWorld().getObjectCount(false, false);
//		//
//		//		if (_sumOfObjects == -1) {
//		//			_sumOfObjects = 0;
//		//			System.out.println(
//		//				"curr tick;currObject;Lasted Time;LastedTime per Tick;Curr Lasted Time;Curr Lasted Time per obj;Lasted Time per object;");
//		//		}
//		//
//		//		_sumOfObjects += currObjectCount;
//		//
//		//		if (currTicks % 10 == 0) {
//		//			long endTime = System.currentTimeMillis();
//		//
//		//			double lastedTime = (endTime - getStartDate().getTime()) / 1000d;
//		//
//		//			System.out.println(
//		//				currTicks
//		//					+ ";"
//		//					+ currObjectCount
//		//					+ ";"
//		//					+ lastedTime
//		//					+ ";"
//		//					+ (lastedTime / currTicks)
//		//					+ ";"
//		//					+ (endTime - startTime)
//		//					+ ";"
//		//					+ ((endTime - startTime) / ((double) currObjectCount))
//		//					+ ";"
//		//					+ (lastedTime / _sumOfObjects));
//		//			System.out.flush();
//		//		}
//	}
//
//	protected boolean simulationNextStep() throws SimulationRuntimeException {
//		return !getSituation().getWorld().isDead() && !endFunctionFired();
//	}
//
//	public void startSimulation() throws SimulationRuntimeException {
//		Throwable exception = null;
//
//		try {
//			while (simulationNextStep()) {
//				simulateOneStep();
//			}
//
//			executeAfterTestAction();
//
//		} catch (Throwable occuredException) {
//			exception = occuredException;
//		}
//
//		cleanup(exception);
//	}
//
//	protected void executeAfterTestAction() throws SimulationRuntimeException {
//		if (isTestSimulation() && (_afterTestAction != null)) {
//			_afterTestAction.act(getSimulationFunctionArgs());
//		}
//	}
}