/**
 * Created on 21.08.2002
 *
 * This class is responsible for centrally layouting functions.
 * The functionality of this method could have been covered by HTMLFunctionsWriter alone, too.
 * But whereas in HTMLFunctionsWriter this would have been spread over the whole code introducing
 * this class allowed to centrally control layout of functions with html.
 * 
 * @author glueckselig
 */
package de.uniwue.ki.mas.modelprint.layouter;

import de.uniwue.ki.mas.modelprint.Base;

public class FunctionLayoutWrapper extends Base {
	//	private static final int MAX_LENGTH_LINE = 40;

	//	public static Layouter createFunctionLayouter(IComposedFunctionCallInternDeclaration icDec) {
	//		Layouter layouter = null;
	//		ISpecificFunctionDeclaration functionDeclaration = icDec.getSpecificFunctionDeclaration();
	//
	//		String functionsName = functionDeclaration.getName();
	//		if (functionsName.equals("Filter")
	//			|| functionsName.equals("DoWith")
	//			|| functionsName.equals("ForElements")
	//			|| functionsName.equals("Map")) {
	//
	//			if (icDec.getChildCount() == 2) {
	//
	//				layouter = new TwoChildBlockLayout(escape(functionsName), "");
	//				layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(icDec.getChild(1)));
	//				layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(icDec.getChild(0)));
	//
	//			} else {
	//				System.out.println(
	//					"Function argumentlength not matched in HTMLFunctionsWriter.createReasoningComposedFunctionCall(Composed)");
	//			}
	//
	//		} else if (functionsName.equals("ForTimes")) {
	//
	//			layouter = new ForTimesLayout();
	//
	//			layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(icDec.getChild(1)));
	//			layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(icDec.getChild(2)));
	//			layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(icDec.getChild(0)));
	//		} else if (functionsName.equals("If Then Else")) {
	//
	//			layouter = new IfThenElseLayout();
	//
	//			layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(icDec.getChild(0)));
	//			layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(icDec.getChild(1)));
	//			layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(icDec.getChild(2)));
	//		} else if (functionsName.equals("SetVariableOf")) {
	//			layouter = new SetVariableOfLayout();
	//
	//			layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(icDec.getChild(0)));
	//			layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(icDec.getChild(2)));
	//			layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(icDec.getChild(1)));
	//		} else if (functionsName.equals("IncrementVarOf")) {
	//			layouter = new IncrementVarOfLayout();
	//
	//			layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(icDec.getChild(0)));
	//			layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(icDec.getChild(2)));
	//			layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(icDec.getChild(1)));
	//		} else if (functionsName.equals("GetVariableFrom")) {
	//
	//			layouter = new GetVariableFromLayout();
	//
	//			layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(icDec.getChild(0)));
	//			layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(icDec.getChild(1)));
	//		} else if (functionsName.equals("RandomInt")) {
	//
	//			layouter = new RandomIntLayout();
	//
	//			layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(icDec.getChild(0)));
	//			layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(icDec.getChild(1)));
	//		} else if (functionsName.equals("RandomDouble")) {
	//
	//			layouter = new RandomDoubleLayout();
	//
	//			layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(icDec.getChild(0)));
	//			layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(icDec.getChild(1)));
	//		} else if (functionsName.equals("Block")) {
	//			layouter = new BlockLayout();
	//
	//			Iterator it = icDec.getChildren();
	//			while (it.hasNext()) {
	//				IFunctionCallInternDeclaration functionCallInternDeclaration =
	//					(IFunctionCallInternDeclaration) it.next();
	//
	//				layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(functionCallInternDeclaration));
	//			}
	//		} else {
	//			if (functionDeclaration instanceof IUserFunctionDeclaration) {
	//				layouter = new UserFunctionLayout(createLink(functionDeclaration, functionsName), "");
	//			} else {
	//				layouter = new DefaultLayout(escape(functionsName));
	//
	//			}
	//
	//			Iterator it = icDec.getChildren();
	//			while (it.hasNext()) {
	//				IFunctionCallInternDeclaration functionCallInternDeclaration =
	//					(IFunctionCallInternDeclaration) it.next();
	//
	//				layouter.addChild(HTMLFunctionsWriter.interpolateTypeResult(functionCallInternDeclaration));
	//			}
	//		}
	//
	//		return layouter;
	//	}

}
