package de.uniwue.ki.mas.sim.analysis;
import de.uniwue.ki.mas.util.declaration.DefaultDeclarationListAndFactory;
/**
 * Creation date: (26.11.2001 14:17:46)
 * @author Christoph Oechslein
 */
public class AnalysisDeclarationListAndFactory extends DefaultDeclarationListAndFactory {
	public AnalysisDeclarationListAndFactory() {
		super(new AnalysisDeclarationList(), new AnalysisDeclarationFactory());
	}
	
	public AnalysisDeclarationList getAnalysisDeclarationList() {
		return (AnalysisDeclarationList) getDeclarationList();
	}
	
	public AnalysisDeclarationFactory getAnalysisDeclarationFactory() {
		return (AnalysisDeclarationFactory) getDeclarationFactory();
	}
	
}