package de.uniwue.ki.mas.sim.analysis;
import de.uniwue.ki.mas.basics.functionCall.IFunctionCallDeclaration;
import de.uniwue.ki.util.copy.ICopyable;
import de.uniwue.ki.util.name.INamed;

/**
 * Creation date: (15.10.2001 16:53:45)
 * @author Christoph Oechslein
 */
public interface IAnalysisDeltaSettings extends INamed, ICopyable {
	/*
	 * Must be greater than 0.
	 */
	int getDeltaTicks();

	/*
	 * Must be greater than 0.
	 */
	void setDeltaTicks(int newDeltaTicks);

	IFunctionCallDeclaration getDecisionFunctionCallDeclaration();

	boolean isUsingDecisionFunctionCallDeclaration();

	int getStartTick();

	void setStartTick(int newStartTick);

	void setUsingDecisionFunctionCallDeclaration(boolean newUseDecisionFunctionCallDeclaration);
}