package de.uniwue.ki.mas.sim.analysis;
import de.uniwue.ki.mas.model.ModelCompilingException;
import de.uniwue.ki.mas.sim.simulation.ISimulationCreateFunctionArgs;
import de.uniwue.ki.mas.util.declaration.IDeclaration;

/**
 * Creation date: (28.11.2001 17:16:48)
 * @author Christoph Oechslein
 */
public interface IAnalysisTypeDeclaration extends IDeclaration {
	IAnalysis createAnalysis(
		ISimulationCreateFunctionArgs createFunctionArgs,
		IAnalysisDeclaration analysisDeclaration)
		throws ModelCompilingException;

	IAnalysisItemDeclarationFactory getAnalysisItemDeclarationFactory();
}