package de.uniwue.ki.mas.sim.listener;

import de.uniwue.ki.mas.entity.object.agent.IActivityAgent;
/**
 * Creation date: 04.09.2002, 18:40:20
 * @author oechslein
 */
public class ActivityAgentEvent extends AgentEvent {

	private final int _currActivityReasoningEngineIndex;

	public ActivityAgentEvent(IActivityAgent activityAgent, int currActivityReasoningEngineIndex) {
		super(activityAgent);

		_currActivityReasoningEngineIndex = currActivityReasoningEngineIndex;
	}

	public final IActivityAgent getActivityAgent() {
		return (IActivityAgent) getAgent();
	}

	public int getCurrActivityReasoningEngineIndex() {
		return _currActivityReasoningEngineIndex;
	}
}
