package de.uniwue.ki.mas.sim.simulation;

import de.uniwue.ki.mas.sim.situation.ISituation;


/**
 * An <code>ISimulation</code> is a simulation run with
 * a {@link ISituation specific situation}
 * and generates {@link SimulationEvent simulation events}.
 * Creation date: (05.12.2000 15:58:59)
 *
 * @author Christoph Oechslein
 */

public interface IThreadedSimulation extends ISimulation, IStartPauseFinishInThreadAble {

	SimulationFunctionArgs getSimulationFunctionArgs();

	void resetSimulation();
	
	Thread getSimulationThread();
}