package de.uniwue.ki.mas.sim.simulation;
import java.util.EventObject;

/**
 * Creation date: (14.11.2001 09:22:50)
 * @author Christoph Oechslein
 */

public class StartPauseFinishEvent extends EventObject {
    private final Throwable _exception;

    /**
     * @return Throwable
     */
    public Throwable getException() {
        return _exception;
    }

/**
 * @param source Object
 */
public StartPauseFinishEvent(Object source) {
    this(source, null);
}


public StartPauseFinishEvent(Object source, Throwable exception) {
    super(source);

    _exception = exception;
}
}