package de.uniwue.ki.mas.sim.situation;

import java.util.EventListener;

/**
 * The event set listener interface for the situation feature:
 * clock advances.
 * @author oechslein
 */

public interface SituationListener extends EventListener {

/**
 * Get called if the situation clock advances.
 */
void nextTimeStep(SituationEvent event);
}
