package de.uniwue.ki.mas.test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import de.uniwue.ki.util.TestAllUtils;
import de.uniwue.ki.util.file.TestFileUtilities;
import de.uniwue.ki.util.hash.TestIsomorphicHashTableWrapper;
import de.uniwue.ki.util.rectangular.TestRectangularMapModel;

/**
 * Insert the class' description here.
 * Creation date: (05.09.2001 10:39:39)
 * @author Christoph Oechslein
 */

public final class TestAllUtil extends TestCase {

	/**
	 * TestAll constructor comment.
	 * @param name java.lang.String
	 */
	public TestAllUtil(String name) {
		super(name);
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (01.11.2000 17:47:04)
	 * @author Christoph Oechslein
	 * @param args java.lang.String[]
	 */
	public static void main(String[] args) {
		junit.swingui.TestRunner.run(TestAllUtil.class);
	}

	/**
	 * Insert the method's description here.
	 * <BR>Creation date: (29.03.00 13:25:53)
	 */
	public static TestSuite suite() {
		TestSuite anSuite = new TestSuite("Util");

		anSuite.addTestSuite(TestFileUtilities.class);
		anSuite.addTest(TestAllUtils.suite());
		anSuite.addTest(TestRectangularMapModel.suite());
		anSuite.addTest(TestIsomorphicHashTableWrapper.suite());

		return anSuite;
	}
}