package de.uniwue.ki.mas.util.declaration;

/**
 * Creation date: 04.09.2002, 18:40:20
 * @author oechslein
 */
public abstract class AbstractDeclarationFactory implements IDeclarationFactory {

	protected AbstractDeclarationFactory() {
		super();
	}

	public final Object createObject() {
		return createDeclaration();
	}

	public String getName() {
		return "Untitled Factory";
	}

	public void appendName(StringBuffer buff, int currDepth, int maxDepth) {
		if (currDepth >= maxDepth) {
			buff.append("...");
		} else {
			buff.append(getName());
		}
	}
}
