package de.uniwue.ki.mas.util.declaration;

/**
 * Creation date: (14.11.2001 13:03:30)
 * @author Christoph Oechslein
 */
public class DefaultDeclarationListAndFactory
	extends AbstractDeclarationListAndFactory
	implements IDeclarationListAndFactory {

	private final IDeclarationList _declarationList;
	private final IDeclarationFactory _declarationFactory;

	public DefaultDeclarationListAndFactory(
		IDeclarationList declarationList,
		IDeclarationFactory declarationFactory) {
		super();

		_declarationList = declarationList;
		_declarationFactory = declarationFactory;
	}

	public final IDeclarationFactory getDeclarationFactory() {
		return _declarationFactory;
	}

	public final IDeclarationList getDeclarationList() {
		return _declarationList;
	}
}