package de.uniwue.ki.mas.util.declaration;
import java.io.Serializable;

import de.uniwue.ki.util.IRemoveable;
import de.uniwue.ki.util.copy.ICopyable;
import de.uniwue.ki.util.hash.IIsomorphicHashable;
import de.uniwue.ki.util.list.IMutableListModelAndFactory;

/**
 * Creation date: (14.11.2001 10:38:31)
 * @author Christoph Oechslein
 */
public interface IDeclarationListAndFactory
	extends IMutableListModelAndFactory, ICopyable, IIsomorphicHashable, IRemoveable, Serializable {

	IDeclarationFactory getDeclarationFactory();

	IDeclarationList getDeclarationList();

	IDeclaration getFirstDeclarationOrCreateNewIfEmpty();
}