package de.uniwue.ki.mas.util.declaration;

import java.lang.ref.WeakReference;

/**
 * Creation date: 04.09.2002, 19:19:00
 * @author oechslein
 */
public final class NeverRemoveVetoListener implements RemoveVetoListener {
	// for debugging only
	private final transient WeakReference _referredObject;

	public NeverRemoveVetoListener(Object referedObject) {
		super();

		_referredObject = new WeakReference(referedObject);
	}

	public final String toString() {
		return super.toString() + "[ref: " + _referredObject.get() + "]";
	}

	public final boolean canBeRemoved() {
		boolean result = (_referredObject == null) || (_referredObject.get() == null);
		return result;
	}
}
