package de.uniwue.ki.mas.util.declaration;

import java.io.Serializable;
import java.util.EventListener;

/**
 * The event set listener interface for the removeVeto feature:
 * veto against removing.
 * @author oechslein
 */

public interface RemoveVetoListener extends EventListener, Serializable {

	/**
	 * Returns true if listener if against removing the source.
	 */
	boolean canBeRemoved();
}