package de.uniwue.ki.mas.xml.reader;

import de.uniwue.ki.mas.basics.feature.IObjectFeatureClassDeclaration;
import de.uniwue.ki.mas.basics.feature.IObjectFeatureInstanceDeclaration;
import de.uniwue.ki.mas.entity.objectclass.IObjectClassDeclaration;
import de.uniwue.ki.mas.xml.castor.v01.model.XMLFeature;
import de.uniwue.ki.mas.xml.castor.v01.model.XMLFeatureInstance;

/**
 * @author oechslein
 * 
 * Creation date: 21.05.2003
 */
public interface IXMLFeatureReader {
	boolean isResponsibleFor(Object obj);

	IObjectFeatureClassDeclaration createObjectFeatureClassDeclaration(
	        XMLModelReader xmlModelReader,
			IObjectClassDeclaration objectClassDeclaration,
			XMLFeature xmlFeature)
			throws XMLReadException;
		
	IObjectFeatureInstanceDeclaration createObjectFeatureInstanceDeclaration(
	        XMLModelReader xmlModelReader,
			IObjectClassDeclaration objectClassDeclaration,
			XMLFeatureInstance xmlFeature, IObjectFeatureClassDeclaration featureClassParent)
			throws XMLReadException;
}
