package de.uniwue.ki.mas.xml.reader;

import de.uniwue.ki.mas.basics.type.ISpecificType;
import de.uniwue.ki.mas.xml.castor.v01.model.XMLTypeGroup;
import de.uniwue.ki.mas.xml.castor.v01.model.XMLTypeValueGroup;

/**
 * @author herrler
 * 
 * Creation date: 21.07.2003
 */
public interface IXMLTypeReader {
	boolean isResponsibleForType(XMLTypeGroup xmlType);

	boolean isResponsibleForValue(XMLTypeValueGroup xmlTypeValue);

	ISpecificType createSpecificTypeFromTypeGroup(
		XMLTypeGroup xmlTypeGroup)
		throws XMLReadException;

	ISpecificType createSpecificTypeFromValueGroup(
		XMLTypeValueGroup xmlTypeValueGroup)
		throws XMLReadException;

	Object createSpecificTypeValue(XMLTypeValueGroup xmlTypeValue);
}
