package de.uniwue.ki.mas.xml.reader.oldfunctions;

import junit.framework.Assert;

import de.uniwue.ki.mas.basics.function.*;
import de.uniwue.ki.mas.basics.functionDeclaration.AbstractSpecificFunctionAdapterGenericFunctionDeclaration;
import de.uniwue.ki.mas.basics.type.*;
import de.uniwue.ki.mas.model.ModelCompilingException;

final class TransformSetVariableOfSpecificFunctionDeclaration
	extends AbstractSpecificFunctionAdapterGenericFunctionDeclaration {

	private final SpecificIteratorType _specificIteratorType;
	
	public TransformSetVariableOfSpecificFunctionDeclaration(
		TransformSetVariableOfGenericFunctionDeclaration transformSetVariableGenericFunctionDeclaration,
		SpecificIteratorType specificIteratorType) {
			
		super(transformSetVariableGenericFunctionDeclaration, 3);

		_specificIteratorType = specificIteratorType;
	}

	public IFunction createFunction(ICreateFunctionArgs createFunctionArgs, IFunctionList functions)
		throws ModelCompilingException {

		throw new RuntimeException("Just here to transform input!!");
	}

	public ISpecificType getSpecificInputTypeAt(int index) {
		if (index == 0) {
			return GenericVariableClassDeclarationType.getInstance(true, true).createSpecificVariableType(
				GenericListType.getInstance().createSpecificListType(_specificIteratorType.getIteratorSpecificType()));

		} else if (index == 1) {
			return _specificIteratorType;

		} else if (index == 2) {
			return GenericSimObjectType.getGeneralSimObjectType();

		} else {
			Assert.fail();
			return null;
		}
	}
}
