package de.uniwue.ki.mas.xml.writer;

import de.uniwue.ki.mas.basics.feature.IObjectFeatureClassDeclaration;
import de.uniwue.ki.mas.basics.feature.IObjectFeatureInstanceDeclaration;
import de.uniwue.ki.mas.xml.castor.v01.model.XMLFeature;
import de.uniwue.ki.mas.xml.castor.v01.model.XMLFeatureInstance;

/**
 * @author oechslein
 * 
 * Creation date: 21.05.2003
 */
public interface IXMLFeatureWriter {

    public abstract boolean isResponsibleFor(
            IObjectFeatureClassDeclaration objectFeatureClassDeclaration);

    public abstract XMLFeature createXMLObjectFeatureClassDeclaration(
            XMLModelWriter modelWriter,
            XMLModelObjectWriter modelObjectWriter,
            IObjectFeatureClassDeclaration objectFeatureClassDeclaration)
            throws XMLWriteException;

    public abstract XMLFeatureInstance createXMLObjectFeatureInstanceDeclaration(
            XMLModelWriter modelWriter,
            XMLModelObjectWriter modelObjectWriter,
            IObjectFeatureInstanceDeclaration currentFeatureInstanceDeclaration)
            throws XMLWriteException;
}