package de.uniwue.ki.util;/**
 * Creation date: (18.01.2002 10:16:15)
 * @author Christoph Oechslein
 */
public class Schlange {

	/**
	 * Schlange constructor comment.
	 */
	public Schlange() {
	    super();
	}

	/**
	 * @param args String[]
	 */
	public static void main(String[] args) {
	    Schlange.simuliereNSchlange(1000, 3, 1, new double[] { 1, 1, 4, 1, 2, 10, 1, 15, 3, 2 });
	    Schlange.simuliereNSchlange(1000, 9, 3, new double[] { 1, 1, 4, 1, 2, 10, 1, 15, 3, 2 });
	}

	/**
	 * @param wieoft int
	 * @param anzahlSchlangen int
	 * @param anzahlServiceeinheiten int
	 * @param stichprobe double[]
	 * @return double
	 */
	public static double simuliereNSchlange(int wieoft, int anzahlSchlangen, int anzahlServiceeinheiten, double[] stichprobe) {
	    java.util.Random random = new java.util.Random();
	    int laengeStichprobe = stichprobe.length;
	
	    double[] warteZeitenListe = new double[wieoft];
	
	    for (int i = 0; i < wieoft; i++) {
	
	        double warteZeit = 0;
	
	        for (int j = 0; j < anzahlSchlangen; j++) {
	            int index = random.nextInt(laengeStichprobe);
	            warteZeit += stichprobe[index];
	        }
	
	        warteZeitenListe[i] = warteZeit / anzahlServiceeinheiten;
	    }
	
	    java.util.Arrays.sort(warteZeitenListe);
	
	    System.out.print("[");
	
	    for (int i = 0; i < wieoft; i++) {
	        System.out.print((int) Math.round(warteZeitenListe[i]));
	        if (((i + 1) % 10) == 0) {
	            System.out.println(", ");
	            System.out.print(" ");
	        } else
	            System.out.print(", ");
	    }
	
	    System.out.println("]");
	
	    return warteZeitenListe[(9 * wieoft) / 10];
	}
}