package de.uniwue.ki.util;/**
 * Creation date: (19.09.2000 17:06:43)
 * @author Christoph Oechslein
 */
public class UniqueSequenceKeyGenerator {


	private int counter = 0;

	/**
	 * SequenceKeyGenerator constructor comment.
	 */
	public UniqueSequenceKeyGenerator() {
	    super();
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (19.09.2000 17:07:57)
	 * @param anObject Object
	 * @return java.util.Map
	 */
	public final int getNextId(Object anObject) {
	   int oldCounter = getCounter();
	   setCounter(oldCounter + 1);
	   return oldCounter;
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (19.10.2000 17:35:05)
	 * @author Christoph Oechslein
	 * @param anObject Object
	 * @param usedId Integer
	 */
	public void setUsedId(Object anObject, Integer usedId) {
	    if (getCounter() < usedId.intValue())
	        setCounter(usedId.intValue());
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (23.10.2000 16:11:43)
	 * @author Christoph Oechslein
	 * @return int
	 */
	protected int getCounter() {
	    return counter;
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (23.10.2000 16:11:43)
	 * @author Christoph Oechslein
	 * @param newCounter int
	 */
	protected void setCounter(int newCounter) {
	    counter = newCounter;
	}
}