package de.uniwue.ki.util.collection;
/**
 * Creation date: (27.04.00 17:19:25)
 * @author oechslein
 */
public abstract class AbstractIteratorWithException
	extends AbstractIterator
	implements IteratorWithException {
		
	public AbstractIteratorWithException() {
		super();
	}

	public Object next() {
		Object result;
		try {
			result = nextWithException();

		} catch (Exception e) {
			throw new RuntimeException(e);
		}
		return result;
	}

	public void remove() {
		throw new UnsupportedOperationException();
	}
}