package de.uniwue.ki.util.collection;
import java.util.Iterator;/**
 * <BR>Creation date: (14.04.00 16:34:08)
 * @author Christoph Oechslein
 */

class ConcatenateTwoIterator implements Iterator {
	private Iterator iteratorA;
	private Iterator iteratorB;


	public ConcatenateTwoIterator(Iterator iteratorA, Iterator iteratorB) {
	    super();
	    this.iteratorA = iteratorA;
	    this.iteratorB = iteratorB;
	}


	public boolean hasNext() {
	    if (iteratorA != null) {
	        if (iteratorA.hasNext()) {
	            return true;
	        } else {
	            iteratorA = null;
	            return iteratorB.hasNext();
	        }
	    } else {
	        return iteratorB.hasNext();
	    }
	}


	public Object next() {
	    if (iteratorA != null) {
	        if (iteratorA.hasNext()) {
	            return iteratorA.next();
	        } else {
	            iteratorA = null;
	            return iteratorB.next();
	        }
	    } else {
	        return iteratorB.next();
	    }
	}

	/**
	 * remove method comment.
	 * @see java.util.Iterator#remove()
	 */
	public void remove() {
	    throw new UnsupportedOperationException();
	}
}