package de.uniwue.ki.util.collection;
import java.util.Iterator;/**
 * <BR>Creation date: (14.04.00 16:34:08)
 * @author Christoph Oechslein
 */

class ConcatenateTwoIteratorWithException extends AbstractIteratorWithException implements Iterator {
	private IteratorWithException iteratorA;
	private IteratorWithException iteratorB;


	public ConcatenateTwoIteratorWithException(IteratorWithException iteratorA, IteratorWithException iteratorB) {
	    super();
	    this.iteratorA = iteratorA;
	    this.iteratorB = iteratorB;
	}

	public boolean hasNext() {
	    if (iteratorA != null) {
	        if (iteratorA.hasNext()) {
	            return true;
	        } else {
	            iteratorA = null;
	            return iteratorB.hasNext();
	        }
	    } else {
	        return iteratorB.hasNext();
	    }
	}


	public Object nextWithException() throws Exception {
	    if (iteratorA != null) {
	        if (iteratorA.hasNext()) {
	            return iteratorA.nextWithException();
	        } else {
	            iteratorA = null;
	            return iteratorB.nextWithException();
	        }
	    } else {
	        return iteratorB.nextWithException();
	    }
	}
}