package de.uniwue.ki.util.collection;
import java.util.*;/**
 * Creation date: (25.05.00 09:56:45)
 * @author Christoph Oechslein
 */
public class PiList extends LinkedList {

	/**
	 * Insert the method's description here.
	 * Creation date: (25.05.00 09:57:05)
	 * @author Christoph Oechslein
	 * @param first Object
	 * @return java.lang.Object
	 */
	public static final List cons(Object first) {
	    List newList = new LinkedList();
	    newList.add(first);
	    return newList;
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (25.05.00 09:57:05)
	 * @author Christoph Oechslein
	 * @param first Object
	 * @param rest List
	 * @return java.lang.Object
	 */
	public static final List cons(Object first, List rest) {
	    if (rest == null)
	        return cons(first);
	    else {
	        try {
	            List newList = (List)rest.getClass().newInstance();
	            newList.add(first);
	            newList.addAll(rest);
	            return newList;
	        } catch (InstantiationException e) {
	            throw new RuntimeException();
	        } catch (IllegalAccessException e) {
	            throw new RuntimeException();
	        }
	    }
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (25.05.00 09:57:05)
	 * @author Christoph Oechslein
	 * @param l List
	 * @return java.lang.Object
	 */
	public static final Object first(List l) {
	    return l.get(0);
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (25.05.00 09:57:05)
	 * @author Christoph Oechslein
	 * @param l List
	 * @return java.lang.Object
	 */
	public static final boolean isEmpty(List l) {
	    return (l.isEmpty());
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (25.05.00 10:39:30)
	 * @author Christoph Oechslein
	 * @param it Iterator
	 * @param resultList List
	 * @return List
	 */
	public static List iteratorFlachKlopfen(Iterator it, List resultList) {
	    if (it.hasNext()) {
	        Object element = it.next();
	        if (element instanceof List) {
	            resultList.addAll((List)element);
	        } else {
	            resultList.add(element);
	        }
	        return iteratorFlachKlopfen(it, resultList);
	    } else {
	        return resultList;
	    }
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (25.05.00 09:57:05)
	 * @author Christoph Oechslein
	 * @param l List
	 * @return java.lang.Object
	 */
	public static final List rest(List l) {
	    return l.subList(1, l.size());
	}
}