package de.uniwue.ki.util.functions;

/**
 * Creation date: (12.04.00 11:30:31)
 * @author Christoph Oechslein
 */
public abstract class AbstractDoubleAggregateFunction implements IAggregateFunction {
	private double helper = 0.0;

	public AbstractDoubleAggregateFunction() {
	    super();
	}

	public AbstractDoubleAggregateFunction(double startValue) {
	    super();
	    this.helper = startValue;
	}

	public AbstractDoubleAggregateFunction(Double startValue) {
	    this(startValue.doubleValue());
	}

	public Object getResult() {
	    return new Double(helper);
	}

	public double getValue() {
	    return helper;
	}

	public void setValue(double newValue) {
	    helper = newValue;
	}
}