package de.uniwue.ki.util.functions;
import de.uniwue.ki.util.Utils;/**
 * Creation date: (17.09.2001 16:04:01)
 * @author Christoph Oechslein
 */
public class IsNotEqualToObjectPredicateFunction implements IPredicateFunction {
   private final Object _anObject;

	/**
	 * @param anObject Object
	 */
	public IsNotEqualToObjectPredicateFunction(Object anObject) {
	   super();
	
	   _anObject = anObject;
	}

	/**
	 * @param obj Object
	 * @return boolean
	 * @throws Exception
	 * @see de.uniwue.ki.util.functions.IPredicateFunction#isElementOk(Object)
	 */
	public boolean isElementOk(Object obj) throws Exception {
	   return Utils.equals(obj, _anObject);
	}
}