package de.uniwue.ki.util.list;

import de.uniwue.ki.util.factory.IObjectFactory;

/**
 * Creation date: (14.11.2001 13:07:01)
 * @author Christoph Oechslein
 */
public class DefaultMutableListModelAndFactory extends AbstractMutableListModelAndFactory {
	private final IMutableListModel _mutableListModel;
	private final IObjectFactory _objectFactory;

	public DefaultMutableListModelAndFactory(
		IMutableListModel mutableListModel,
		IObjectFactory objectFactory) {
		super();

		_mutableListModel = mutableListModel;
		_objectFactory = objectFactory;
	}

	public final IMutableListModel getMutableListModel() {
		return _mutableListModel;
	}

	public final IObjectFactory getObjectFactory() {
		return _objectFactory;
	}
}