/*
 * Created on 03.02.2004
 */
package de.uniwue.ki.util.list;

import java.util.Collection;
import java.util.Iterator;

import javax.swing.DefaultListModel;

/**
 * @author herrler
 */
public class EnhancedListModel extends DefaultListModel {

	public EnhancedListModel(Collection coll) {
		super();
		addAll(coll);
	}

	public EnhancedListModel(Iterator iter) {
		super();
		addAll(iter);
	}

	public void addAll(Collection coll) {
		addAll(coll.iterator());
	}

	public void addAll(Iterator iter) {
		while (iter.hasNext()) {
			Object element = iter.next();
			addElement(element);
		}
	}
}
