package de.uniwue.ki.util.math;
/**
 * @author oechslein
 */
public interface IRandomWrapper {
	int nextInt(int n);
	boolean nextBoolean();
	boolean nextBoolean(double p);
	double nextDouble();
	double nextDouble(double a);
	double nextDouble(double a, double b);
	double nextGaussian();
	double nextGaussian(double m, double s2);
	int nextPoisson();
	int nextPoisson(double lambda);
	double nextBeta(double alpha, double beta);
	double nextChiSq();
	double nextChiSq(int df);
	double nextChiSq(int df, double lambda);
	double nextExp();
	double nextExp(double beta);
	double nextExp(double beta, double lambda);
	double nextGamma();
	double nextGamma(double alpha, double beta);
	double nextGamma(double alpha, double beta, double lambda);
}