package de.uniwue.ki.util.name;
/**
 * Creation date: (06.09.2000 10:33:11)
 * @author Rainer Herrler
 */
public class INamedObjectWrapper extends AbstractNamed implements INamed {
	private String _name = "Unnamed";
	private Object _wrappedObject = null;

	public INamedObjectWrapper(String objectName, Object givenObject) {
		super();

		setName(objectName);
		setObject(givenObject);
	}

	public String getName() {
		return _name;
	}

	public void setName(String newName) {
		_name = newName;
	}

	public Object getObject() {
		return _wrappedObject;
	}

	public void setObject(Object newWrappedObject) {
		_wrappedObject = newWrappedObject;
	}
}