package de.uniwue.ki.util.name;
/**
 * Creation date: (12.10.2000 17:54:45)
 * @author Christoph Oechslein
 */
public class NamedToStringMethodWrapper {
	private final INamed _namedObject;

	public NamedToStringMethodWrapper(INamed namedObject) {
		super();

		_namedObject = namedObject;
	}

	public String toString() {
		return getNamedObject().getName();
	}

	public final INamed getNamedObject() {
		return _namedObject;
	}
}