package de.uniwue.ki.util.rectangular.event;

import java.util.EventObject;
/**
 * This is the event class to support the de.uniwue.ki.gui.generic.rectangular.RectangularMapObjectREmovedListener interface.
 */
abstract class AbstractRectangularMapObjectEvent extends EventObject {
	private final Object anObject;
	private final int col;
	private final int row;

	/**
	 * RectangularMapObjectREmovedEvent constructor comment.
	 * @param source java.lang.Object
	 */
	protected AbstractRectangularMapObjectEvent(java.lang.Object source, Object anObject, int col, int row) {
		super(source);

		this.anObject = anObject;
		this.row = row;
		this.col = col;
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (15.11.2000 15:38:07)
	 * @author Christoph Oechslein
	 * @return int
	 */
	public final int getCol() {
		return col;
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (15.11.2000 15:21:33)
	 * @author Christoph Oechslein
	 * @return java.lang.Object
	 */
	protected final java.lang.Object getObject() {
		return anObject;
	}

	/**
	 * Insert the method's description here.
	 * Creation date: (15.11.2000 15:38:07)
	 * @author Christoph Oechslein
	 * @return int
	 */
	public final int getRow() {
		return row;
	}
}