package de.uniwue.ki.util.rectangular.event;/**
 * This is the event class to support the RectangularMapObjectAddedListener interface.
 * @author oechslein
 */
public class RectangularMapObjectAddedEvent extends AbstractRectangularMapObjectEvent {

	/**
	 * RectangularMapObjectAddedEvent constructor comment.
	 * @param source java.lang.Object
	 * @param addedObject Object
	 * @param col int
	 * @param row int
	 */
	public RectangularMapObjectAddedEvent(java.lang.Object source, Object addedObject, int col, int row) {
	    super(source, addedObject, col, row);
	}

	/**
	 * @return Object
	 */
	public Object getAddedObject() {
	    return getObject();
	}
}