package de.uniwue.ki.util.tree;
import de.uniwue.ki.util.list.IMutableListModel;
import de.uniwue.ki.util.name.INamed;

/**
 * Creation date: (07.02.2002 13:48:41)
 * @author Christoph Oechslein
 */
public class MutableListModelTreeNodeAdapter
	extends AbstractMutableListTreeNode
	implements IMutableListTreeNode, INamed {


	public MutableListModelTreeNodeAdapter(
		IObjectTreeNode parent,
		IMutableListModel mutableListModel,
		IObjectTreeNodeFactory treeNodeFactory) {

		super(parent, mutableListModel, treeNodeFactory);

		addListener(mutableListModel);
	}

	public final IMutableListModel getMutableListModel() {
		return (IMutableListModel) getUserObject();
	}
}