package mygale.mcge.cmd;





/** Cmd to close all windows and exit the application.
 *
 */
public class CmdExit extends Cmd {

/** Construct an new CmdExit.
     */
    public CmdExit() { super(null); }

/** Construct an new CmdExit.
     *
     * @param name name of this command.
     */
    public CmdExit(String name) { super(name); }

/** Exit from this application.
     */
    public void doIt() {
    System.exit(0);
    }

/** Reply the tooltip for this command.
     *
     * @return a string that explains this command.
     */
    public String getToolTipText() {
    return "exit the program" ;
    }
}
