package mygale.mcge.fig;
import java.awt.Point;

/**
 * Insert the type's description here.
 * Creation date: (06.04.2001 14:30:07)
 
 */
public interface IFigNode extends IFigLayeredObject {

	//ehemals IFigNode

	// ++++++++++++++++++++++++++

	//ehemals IFigPort

	/** Get the select-state of this fig.
		   *
		   * @return <code>true</code> if this Fig was selected.
		   */
	boolean getActiveState();

	//	/** Reply <code>true</code> if the given Rectangle
	//	 *  contains some pixels of the Fig. This is used to determine
	//	 *  if the user is trying to select this Fig.
	//	 *
	//	 * @param r the Rectangle that may contains a part of this Fig.
	//	 * @return <code>true</code> if <var>r</var> contains a
	//	 *         part of this Fig, <code>false</code> otherwise.
	//	 */
	//	boolean hit(java.awt.Rectangle r, Prefs prefs);

	/** Method to compute the intersection of a line drawed from
		   *  a given point with the active handle of the port.
		   *  This method compute the intersection from the line
		   *  (<var>pt</var>)-(center of this port) with the frame
		   *  of this port.
		   *  The frame of this port is "translated" by the
		   *  <var>dx</var> and <var>dy</var> quantities.
		   *
		   * @param pt the point that permits to define a line.
		   * @param dx translation step along the x axis.
		   * @param dy translation step along the x axis.
		   * @return the intersection point.
		   */
	Point intersectWith(Point pt, int dx, int dy);

	/** Set the select-state of this fig.
		   *
		   * @param select <code>true</code> if this Fig was selected.
		   */
	void setActiveState(boolean active);
}