package mygale.mcge.net;

import java.util.EventListener;

/**
 * The event set listener interface for the netGraphModelChanged feature.
 */
public interface NetGraphModelChangedListener extends EventListener {

    /**
     * @param event
     *            mygale.mcge.net.NetGraphModelChangedEvent
     */
    void addedEdge(NetGraphModelChangedEvent event);

    /**
     * @param event
     *            mygale.mcge.net.NetGraphModelChangedEvent
     */
    void addedNode(NetGraphModelChangedEvent event);

    /**
     * @param event
     *            mygale.mcge.net.NetGraphModelChangedEvent
     */
    void removedEdge(NetGraphModelChangedEvent event);

    /**
     * @param event
     *            mygale.mcge.net.NetGraphModelChangedEvent
     */
    void removedNode(NetGraphModelChangedEvent event);
}
