package mygale.mcge.throwable;





/** <var>MCGEInternalError</var> is the class of those exceptions
 *  that can be thrown when an internal error of MCGE occurs.
 *  <p>Because this is a
 *  {@link java.lang.RuntimeException RuntimeException}
 *  you don't need to declare this exception in the
 *  <code>throws</code> clause.
 *
 */
public class MCGEInternalError extends RuntimeException {

/** Construct a new MCGEInternalError.
     *
     * @param message the message that explain this exception.
     */
    public MCGEInternalError(String message) {
    super( message );
    }
}
