package mygale.mcge.throwable;





/** <var>MCGEInvalidIconLookAndFeel</var> is the class of those exceptions
 *  that can be thrown when an icon's look and feel was unknown.
 *  <p>Because this is a
 *  {@link java.lang.RuntimeException RuntimeException}
 *  you don't need to declare this exception in the
 *  <code>throws</code> clause.
 *
 */
public class MCGEInvalidIconLookAndFeel extends RuntimeException {

/** Construct a new MCGEInvalidIconLookAndFeel.
     *
     * @param id the bad l&f id.
     */
    public MCGEInvalidIconLookAndFeel(int id) {
    super( "Invalid icon's l&f id : " + id );
    }
}
