package schema;
import org.exolab.castor.builder.SourceGenerator;

/**
 * Created on 10.02.2004
 * 
 * @author herrler
 */
public class CompileSeSAmModel {
	public static void main(String[] arguments) {
		generate(convertFileName("sesam-model.xsd"),
			"de.uniwue.ki.mas.xml.castor.v01.model");

		//generate(convertFileName("sesam-ini.xsd"),
		//	"de.uniwue.ki.mas.xml.castor.v01.ini");

		//generate(convertFileName("sesam-remote.xsd"),
		//	"de.uniwue.ki.mas.xml.castor.v01.remote");
		System.out.println("finished");
	}

	private static String convertFileName(String file) {
		return CompileSeSAmModel
			.class
			.getResource(file)
			.getFile()
			.substring(1)
			.replace('/', ((char)92))
			.replaceAll("%20", " ");
	}

	private static void generate(String fileName, String packageName) {
		SourceGenerator.main(
			new String[] { "-i", fileName, "-package", packageName, "-f", "-dest", "..", "-types", "j2" });
	}

}
